#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2011 
#au titre des revenus perçus en 2010. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
regle corrective base_stratemajo 120:
application :  oceans, iliad ;
MAJOIR07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR07TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR07TARDIF_P) ;
MAJOIR08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR08TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR08TARDIF_P) ;
MAJOIR17_1TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR17_1TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR17_1TARDIF_P) ;
MAJOIR17_2TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR17_2TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR17_2TARDIF_P) ;
MAJOIRTARDIF_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) 
			* (somme(x = 07,08 : MAJOIR0xTARDIF_DEF)
		    + MAJOIR17_1TARD_DEF + MAJOIR17_2TARD_DEF)
		    + (1 - positif(FLAG_TRTARDIF) * positif(FLAG_RETARD))
		    * MAJOIRTARDIF_REF ;
MAJOCS07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS07TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS07TARDIF_P) ;
MAJOCS08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS08TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS08TARDIF_P) ;
MAJOCS17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS17TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS17TARDIF_P) ;
MAJOCSTARDIF_DEF = somme(x = 07,08,17 : MAJOCSxTARDIF_DEF);
MAJOPS07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPS07TARDIF_D 
		  + positif(PROPPS_A) * MAJOPS07TARDIF_P) ;
MAJOPS08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPS08TARDIF_D 
		  + positif(PROPPS_A) * MAJOPS08TARDIF_P) ;
MAJOPS17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPS17TARDIF_D 
		  + positif(PROPPS_A) * MAJOPS17TARDIF_P) ;
MAJOPSTARDIF_DEF = somme(x = 07,08,17 : MAJOPSxTARDIF_DEF);
MAJORD07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJORD07TARDIF_D 
		  + positif(PROPRD_A) * MAJORD07TARDIF_P) ;
MAJORD08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJORD08TARDIF_D 
		  + positif(PROPRD_A) * MAJORD08TARDIF_P) ;
MAJORD17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJORD17TARDIF_D 
		  + positif(PROPRD_A) * MAJORD17TARDIF_P) ;
MAJORDTARDIF_DEF = somme(x = 07,08,17 : MAJORDxTARDIF_DEF);
MAJOSA07TARDIF_DEF = FLAG_RETARD * MAJOCSAL07TARDIF_D;

MAJOSA08TARDIF_DEF = FLAG_RETARD * MAJOCSAL08TARDIF_D;
MAJOSA17TARDIF_DEF = FLAG_RETARD * MAJOCSAL17TARDIF_D;
MAJOSATARDIF_DEF = somme(x = 07,08,17 : MAJOSAxTARDIF_DEF);
MAJOCDIS07TARD_DEF = FLAG_RETARD * MAJOCDIS07TARDIF_D;

MAJOCDIS08TARD_DEF = FLAG_RETARD * MAJOCDIS08TARDIF_D;
MAJOCDIS17TARD_DEF = FLAG_RETARD * MAJOCDIS17TARDIF_D;
MAJOCDISTARDIF_DEF = somme(x = 07,08,17 : MAJOCDISxTARD_DEF);
MAJOTA07TARDIF_DEF = FLAG_RETARD * MAJOTAXA07TARDIF_D;
MAJOTA08TARDIF_DEF = FLAG_RETARD * MAJOTAXA08TARDIF_D;
MAJOTA17_1TARD_DEF = FLAG_RETARD * MAJOTA17_1TARDIF_D; 
MAJOTA17_2TARD_DEF = FLAG_RETARD * MAJOTA17_2TARDIF_D; 
MAJOTAXATARDIF_DEF = somme(x = 07,08 : MAJOTA0xTARDIF_DEF)
		+ MAJOTA17_1TARD_DEF + MAJOTA17_2TARD_DEF;
PROPIR_DEF = PROPIR;
PROPCS_DEF = PROPCS;
PROPPS_DEF = PROPPS;
PROPRD_DEF = PROPRD;
IRBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * IRBASE
		+ (1 - positif(FLAG_TRTARDIF)) * IRBASE_REF;
IRNINTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * IRBASE
		  + FLAG_TRTARDIF_R * SUPIR[00]
                  + FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRBASE) 
		    * (positif(FLAG_RECTIF) * min(SUPIR[2],IRBASE)
		      + (1 - positif(FLAG_RECTIF)) * min(IRBASE,IRBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRBASE))
		      * (positif(FLAG_RECTIF) * min(SUPIR[00],IRBASE)
                     + (1 - positif(FLAG_RECTIF)) * IRBASE_REF)
		      )
                  + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
                            * (positif(FLAG_RECTIF) * SUPIR[00]
                               + (1 - positif(FLAG_RECTIF)) * IRNINTARDIF_A)
		  ));
CSGTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CSBASE
		+ FLAG_TRTARDIF_R * SUPCS[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPCS[2],CSG)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPCS[00],CSG)
		   + (1 - positif(FLAG_RECTIF)) * CSGTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
		          * (positif(FLAG_RECTIF) * SUPCS[00]
		            + (1 - positif(FLAG_RECTIF)) * CSGTARDIF_A)
		    ));
PRSTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * PSBASE
		+ FLAG_TRTARDIF_R * SUPPS[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPPS[2],PRS)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPPS[00],PRS)
		    + (1 - positif(FLAG_RECTIF)) * PRSTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPPS[00]
			  + (1 - positif(FLAG_RECTIF)) * PRSTARDIF_A)
		));
RDSTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RDBASE
		+ FLAG_TRTARDIF_R * SUPRD[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRD[2],RDSN)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRD[00],RDSN)
		     + (1 - positif(FLAG_RECTIF)) * RDSTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRD[00]
			  + (1 - positif(FLAG_RECTIF)) * RDSTARDIF_A)
		));
CSALTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CSALBASE
		+ FLAG_TRTARDIF_R * SUPCSAL[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPCSAL[2],CSAL)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPCSAL[00],CSAL)
		     + (1 - positif(FLAG_RECTIF)) * CSALTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPCSAL[00]
			  + (1 - positif(FLAG_RECTIF)) * CSALTARDIF_A)
		));
CDISTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CDISBASE
		+ FLAG_TRTARDIF_R * SUPCDIS[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPCDIS[2],CDIS)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPCDIS[00],CDIS)
		     + (1 - positif(FLAG_RECTIF)) * CDISTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPCDIS[00]
			  + (1 - positif(FLAG_RECTIF)) * CDISTARDIF_A)
		));
TAXATARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * TAXABASE_MAJO
		+ FLAG_TRTARDIF_R * SUPTAXA[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(TAXATARDIF_A - TAXABASE_MAJO) * min(SUPTAXA[2],TAXASSUR)
		    + (1 - positif(TARDIFEVT2) * positif(TAXATARDIF_A - TAXABASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPTAXA[00],TAXASSUR)
		    + (1 - positif(FLAG_RECTIF)) * TAXATARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPTAXA[00]
			  + (1 - positif(FLAG_RECTIF)) * TAXATARDIF_A)
		  ));
IRNINMAJOP_DEF = max(IRNIN_MAJOP,IRNINMAJOP_A);
CSGMAJOP_DEF = max(CSG_MAJOP,CSGMAJOP_A);
RDSMAJOP_DEF =  max(RDS_MAJOP,RDSMAJOP_A);
PRSMAJOP_DEF =  max(PRS_MAJOP,PRSMAJOP_A);
regle corrective base_stratemajo 121:
application :  oceans, iliad ;
pour x = 07,08,11,31:
MAJOPIRx_DEF = max(MAJOIR_Px,MAJOPIRx_A);
MAJOPIR10_1DEF = max(MAJOIR_P10_1,MAJOPIR10_1A);
MAJOPIR10_2DEF = max(MAJOIR_P10_2,MAJOPIR10_2A);
MAJOPIR17_1DEF = max(MAJOIR_P17_1,MAJOPIR17_1A);
MAJOPIR17_2DEF = max(MAJOIR_P17_2,MAJOPIR17_2A);
MAJOPIR_DEF = max(MAJOPIR_TOT,MAJOPIR_A);
pour x = 07,08,10,11,17,31:
MAJOPCSx_DEF = max(MAJOCS_Px,MAJOPCSx_A);
MAJOPCS_DEF = max(MAJOPCS_TOT,MAJOPCS_A);
pour x = 07,08,10,11,17,31:
MAJOPRDx_DEF = max(MAJORD_Px,MAJOPRDx_A);
MAJOPRD_DEF = max(MAJOPRD_TOT,MAJOPRD_A);
pour x = 07,08,10,11,17,31:
MAJOPPSx_DEF = max(MAJOPS_Px,MAJOPPSx_A);
MAJOPPS_DEF = max(MAJOPPS_TOT,MAJOPPS_A);
regle corrective base_stratemajo 122:
application :  oceans, iliad ;
MAJOIRST_DEF = MAJOIR_ST ;
MAJOCSST_DEF = MAJOCS_ST;
MAJORDST_DEF = MAJORD_ST;
MAJOPSST_DEF = MAJOPS_ST;
MAJOCSALST_DEF = MAJOCSAL_ST;
MAJOCDISST_DEF = MAJOCDIS_ST;
MAJOTAXAST_DEF = MAJOTAXA_ST;
TNAPCR[X] = NAPCRINR;

TIRBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(IRBASE,TIRBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(IRBASE,IRNIN_P))
            + (1 - null(X)) * max(IRBASE,TIRBASE[FLAG_DERSTTR]);
TIRBASEDEF[X] = IRBASE;
TCSBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CSBASE,TCSBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CSBASE,CSG_P))
           + (1 - null(X)) * max(CSBASE,TCSBASE[FLAG_DERSTTR]);
TRDBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RDBASE,TRDBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RDBASE,RDS_P))
           + (1 - null(X)) * max(RDBASE,TRDBASE[FLAG_DERSTTR]);
TPSBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(PSBASE,TPSBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(PSBASE,PRS_P))
           + (1 - null(X)) * max(PSBASE,TPSBASE[FLAG_DERSTTR]);
TCSALBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CSALBASE,TCSALBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CSALBASE,CSAL_P))
           + (1 - null(X)) * max(CSALBASE,TCSALBASE[FLAG_DERSTTR]);
TCDISBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CDISBASE,TCDISBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CDISBASE,CDIS_P))
           + (1 - null(X)) * max(CDISBASE,TCDISBASE[FLAG_DERSTTR]);
TTAXABASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(TAXABASE_MAJO,TTAXABASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(TAXABASE_MAJO,TAXA_P))
           + (1 - null(X)) * max(TAXABASE_MAJO,TTAXABASE[FLAG_DERSTTR]);
TTAXABASEDEF[X] = TAXABASE_MAJO;
MAJOIR01 = TMAJOIR[22] * STR_TR22
	   + TMAJOIR[01] * null(CSTRATE1 - 1);
MAJOIR02_1 = TMAJOIR[20] * STR_TR20 
	   + TMAJOIR[01] * null(CSTRATE1 - 2);
MAJOIR02_1_NTL = T2MAJOIR[17] * STR_TR17
	   + T2MAJOIR[01] * null(CSTRATE1 - 2);
MAJOIR02_2_NTL = T2MAJOIR[18] * STR_TR18 * (1 - positif(TIRBASE[18]-TIRBASE[20]) * positif(TIRBASE[20])) * (1 - IND_RJLJ)
               + positif(TIRBASE[18] - TIRBASE[20]) * (1 - IND_RJLJ) * positif(TIRBASE[20])
                * arr(max(0,(TIRBASE[18] - TIRBASE[0] - (TIRBASE[18] - TIRBASEDEF[20]))) * TX1758A/100) * STR_TR18
               + T2MAJOIR[01] * null(CSTRATE1 - 2);
MAJOIR02_1_TL = T2MAJOIR[19] * STR_TR19;
MAJOIR02_2_TL = T2MAJOIR[20] * STR_TR20;
MAJOIR02_2 = MAJOIR02_2_TL + MAJOIR02_2_NTL;
MAJOIR03 = TMAJOIR[12] * STR_TR12 
	   + TMAJOIR[01] * null(CSTRATE1 - 3);
MAJOIR04 = TMAJOIR[08] * STR_TR08 
	   + TMAJOIR[01] * null(CSTRATE1 - 4);
MAJOIR05 = TMAJOIR[07] * STR_TR07 
	   + TMAJOIR[01] * null(CSTRATE1 - 5);
MAJOIR06 = TMAJOIR[03] * STR_TR03
	   + TMAJOIR[01] * null(CSTRATE1 - 6);
MAJOIR07 = TMAJOIR[16] * STR_TR16 
	   + TMAJOIR[01] * null(CSTRATE1 - 7)
	   + max(0,MAJOIR07TARDIF_DEF) ;
MAJOIR08 = TMAJOIR[10] * STR_TR10 
	   + TMAJOIR[01] * null(CSTRATE1 - 8)
	   + max(0,MAJOIR08TARDIF_DEF) ;
MAJOIR10_1 = TMAJOIR[14] * STR_TR14 
	   + TMAJOIR[01] * null(CSTRATE1 - 10);
MAJOIR10_2 = T2MAJOIR[14] * STR_TR14
	   + T2MAJOIR[01] * null(CSTRATE1 - 10);
MAJOIR11 = TMAJOIR[9] * STR_TR09 
	   + TMAJOIR[01] * null(CSTRATE1 - 11);
MAJOIR17_1 = TMAJOIR[15] * STR_TR15  
	   + TMAJOIR[01] * null(CSTRATE1 - 17)
	   + max(0,MAJOIR17_1TARD_DEF);
MAJOIR17_2 = T2MAJOIR[15] * STR_TR15
	   + T2MAJOIR[01] * null(CSTRATE1 - 17)
	   + max(0,MAJOIR17_2TARD_DEF);
MAJOIR22 = TMAJOIR[21] * STR_TR21 
	   + TMAJOIR[01] * null(CSTRATE1 - 22);
MAJOIR30 = TMAJOIR[13] * STR_TR13 
	   + TMAJOIR[01] * null(CSTRATE1 - 30);
MAJOIR31 = TMAJOIR[06] * STR_TR06 
	   + TMAJOIR[01] * null(CSTRATE1 - 31);
MAJOIR32 = TMAJOIR[05] * STR_TR05 
	   + TMAJOIR[01] * null(CSTRATE1 - 32);
MAJOIR55 = TMAJOIR[11] * STR_TR11
	   + TMAJOIR[01] * null(CSTRATE1 - 55);
MAJOIR99 = (TMAJOIR[00] * STR_TR00 
	   + TMAJOIR[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99)) ;
MAJOPS01 = TMAJOPS[22] * STR_TR22 
	   + TMAJOPS[01] * null(CSTRATE1 - 1);
MAJOPS02 = TMAJOPS[20] * STR_TR20 
	   + TMAJOPS[01] * null(CSTRATE1 - 2);
MAJOPS03 = TMAJOPS[12] * STR_TR12 
	   + TMAJOPS[01] * null(CSTRATE1 - 3);
MAJOPS04 = TMAJOPS[08] * STR_TR08 
	   + TMAJOPS[01] * null(CSTRATE1 - 4);
MAJOPS05 = TMAJOPS[07] * STR_TR07 
	   + TMAJOPS[01] * null(CSTRATE1 - 5);
MAJOPS06 = TMAJOPS[03] * STR_TR03
	   + TMAJOPS[01] * null(CSTRATE1 - 6);
MAJOPS07 = TMAJOPS[16] * STR_TR16 
	   + TMAJOPS[01] * null(CSTRATE1 - 7)
           + max(0,MAJOPS07TARDIF_DEF) ;
MAJOPS08 = TMAJOPS[10] * STR_TR10 
	   + TMAJOPS[01] * null(CSTRATE1 - 8)
           + max(0,MAJOPS08TARDIF_DEF) ;
MAJOPS10 = TMAJOPS[14] * STR_TR14 
	   + TMAJOPS[01] * null(CSTRATE1 - 10);
MAJOPS11 = TMAJOPS[9] * STR_TR09 
	   + TMAJOPS[01] * null(CSTRATE1 - 11);
MAJOPS17 = TMAJOPS[15] * STR_TR15 
	   + TMAJOPS[01] * null(CSTRATE1 - 17)
           + max(0,MAJOPS17TARDIF_DEF) ;
MAJOPS22 = TMAJOPS[21] * STR_TR21 
	   + TMAJOPS[01] * null(CSTRATE1 - 22);
MAJOPS30 = TMAJOPS[13] * STR_TR13 
	   + TMAJOPS[01] * null(CSTRATE1 - 30);
MAJOPS31 = TMAJOPS[06] * STR_TR06 
	   + TMAJOPS[01] * null(CSTRATE1 - 31);
MAJOPS55 = TMAJOPS[11] * STR_TR11 
	   + TMAJOPS[01] * null(CSTRATE1 - 55);
MAJOPS99 = (TMAJOPS[00] * STR_TR00 
	   + TMAJOPS[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJOCS01 = TMAJOCS[22] * STR_TR22 
	   + TMAJOCS[01] * null(CSTRATE1 - 1);
MAJOCS02 = TMAJOCS[20] * STR_TR20 
	   + TMAJOCS[01] * null(CSTRATE1 - 2);
MAJOCS03 = TMAJOCS[12] * STR_TR12 
	   + TMAJOCS[01] * null(CSTRATE1 - 3);
MAJOCS04 = TMAJOCS[08] * STR_TR08 
	   + TMAJOCS[01] * null(CSTRATE1 - 4);
MAJOCS05 = TMAJOCS[07] * STR_TR07 
	   + TMAJOCS[01] * null(CSTRATE1 - 5);
MAJOCS06 = TMAJOCS[03] * STR_TR03
	   + TMAJOCS[01] * null(CSTRATE1 - 6);
MAJOCS07 = TMAJOCS[16] * STR_TR16 
	   + TMAJOCS[01] * null(CSTRATE1 - 7)
           + max(0,MAJOCS07TARDIF_DEF) ;
MAJOCS08 = TMAJOCS[10] * STR_TR10 
	   + TMAJOCS[01] * null(CSTRATE1 - 8)
           + max(0,MAJOCS08TARDIF_DEF) ;
MAJOCS10 = TMAJOCS[14] * STR_TR14 
	   + TMAJOCS[01] * null(CSTRATE1 - 10);
MAJOCS11 = TMAJOCS[9] * STR_TR09 
	   + TMAJOCS[01] * null(CSTRATE1 - 11);
MAJOCS17 = TMAJOCS[15] * STR_TR15 
	   + TMAJOCS[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCS17TARDIF_DEF) ;
MAJOCS22 = TMAJOCS[21] * STR_TR21 
	   + TMAJOCS[01] * null(CSTRATE1 - 22);
MAJOCS30 = TMAJOCS[13] * STR_TR13 
	   + TMAJOCS[01] * null(CSTRATE1 - 30);
MAJOCS31 = TMAJOCS[06] * STR_TR06 
	   + TMAJOCS[01] * null(CSTRATE1 - 31);
MAJOCS32 = TMAJOCS[05] * STR_TR05 
	   + TMAJOCS[01] * null(CSTRATE1 - 32);
MAJOCS55 = TMAJOCS[11] * STR_TR11 
	   + TMAJOCS[01] * null(CSTRATE1 - 55);
MAJOCS99 = (TMAJOCS[00] * STR_TR00 
	   + TMAJOCS[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJORD01 = TMAJORD[22] * STR_TR22 
	   + TMAJORD[01] * null(CSTRATE1 - 1);
MAJORD02 = TMAJORD[20] * STR_TR20 
	   + TMAJORD[01] * null(CSTRATE1 - 2);
MAJORD03 = TMAJORD[12] * STR_TR12 
	   + TMAJORD[01] * null(CSTRATE1 - 3);
MAJORD04 = TMAJORD[08] * STR_TR08 
	   + TMAJORD[01] * null(CSTRATE1 - 4);
MAJORD05 = TMAJORD[07] * STR_TR07 
	   + TMAJORD[01] * null(CSTRATE1 - 5);
MAJORD06 = TMAJORD[03] * STR_TR03
	   + TMAJORD[01] * null(CSTRATE1 - 6);
MAJORD07 = TMAJORD[16] * STR_TR16 
	   + TMAJORD[01] * null(CSTRATE1 - 7)
           + max(0,MAJORD07TARDIF_DEF) ;
MAJORD08 = TMAJORD[10] * STR_TR10 
	   + TMAJORD[01] * null(CSTRATE1 - 8)
           + max(0,MAJORD08TARDIF_DEF) ;
MAJORD10 = TMAJORD[14] * STR_TR14 
	   + TMAJORD[01] * null(CSTRATE1 - 10);
MAJORD11 = TMAJORD[9] * STR_TR09 
	   + TMAJORD[01] * null(CSTRATE1 - 11);
MAJORD17 = TMAJORD[15] * STR_TR15 
	   + TMAJORD[01] * null(CSTRATE1 - 17)
           + max(0,MAJORD17TARDIF_DEF) ;
MAJORD22 = TMAJORD[21] * STR_TR21 
	   + TMAJORD[01] * null(CSTRATE1 - 22);
MAJORD30 = TMAJORD[13] * STR_TR13 
	   + TMAJORD[01] * null(CSTRATE1 - 30);
MAJORD31 = TMAJORD[06] * STR_TR06 
	   + TMAJORD[01] * null(CSTRATE1 - 31);
MAJORD32 = TMAJORD[05] * STR_TR05 
	   + TMAJORD[01] * null(CSTRATE1 - 32);
MAJORD55 = TMAJORD[11] * STR_TR11 
	   + TMAJORD[01] * null(CSTRATE1 - 55);
MAJORD99 = (TMAJORD[00] * STR_TR00 
	   + TMAJORD[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJOCSAL01 = TMAJOCSAL[22] * STR_TR22 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 1);
MAJOCSAL02 = TMAJOCSAL[20] * STR_TR20 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 2);
MAJOCSAL03 = TMAJOCSAL[12] * STR_TR12 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 3);
MAJOCSAL04 = TMAJOCSAL[08] * STR_TR08 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 4);
MAJOCSAL05 = TMAJOCSAL[07] * STR_TR07 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 5);
MAJOCSAL06 = TMAJOCSAL[03] * STR_TR03
	   + TMAJOCSAL[01] * null(CSTRATE1 - 6);
MAJOCSAL07 = TMAJOCSAL[16] * STR_TR16 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 7)
           + max(0,MAJOSA07TARDIF_DEF) ;
MAJOCSAL08 = TMAJOCSAL[10] * STR_TR10 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 8)
           + max(0,MAJOSA08TARDIF_DEF) ;
MAJOCSAL10 = TMAJOCSAL[14] * STR_TR14 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 10);
MAJOCSAL11 = TMAJOCSAL[9] * STR_TR09 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 11);
MAJOCSAL17 = TMAJOCSAL[15] * STR_TR15 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 17)
           + max(0,MAJOSA17TARDIF_DEF) ;
MAJOCSAL22 = TMAJOCSAL[21] * STR_TR21 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 22);
MAJOCSAL30 = TMAJOCSAL[13] * STR_TR13 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 30);
MAJOCSAL31 = TMAJOCSAL[06] * STR_TR06 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 31);
MAJOCSAL55 = TMAJOCSAL[11] * STR_TR11 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 55);
MAJOCSAL99 = (TMAJOCSAL[00] * STR_TR00 
	   + TMAJOCSAL[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJOCDIS01 = TMAJOCDIS[22] * STR_TR22 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 1);
MAJOCDIS02 = TMAJOCDIS[20] * STR_TR20 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 2);
MAJOCDIS03 = TMAJOCDIS[12] * STR_TR12 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 3);
MAJOCDIS04 = TMAJOCDIS[08] * STR_TR08 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 4);
MAJOCDIS05 = TMAJOCDIS[07] * STR_TR07 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 5);
MAJOCDIS06 = TMAJOCDIS[03] * STR_TR03
	   + TMAJOCDIS[01] * null(CSTRATE1 - 6);
MAJOCDIS07 = TMAJOCDIS[16] * STR_TR16 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 7)
           + max(0,MAJOCDIS07TARD_DEF) ;
MAJOCDIS08 = TMAJOCDIS[10] * STR_TR10 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 8)
           + max(0,MAJOCDIS08TARD_DEF) ;
MAJOCDIS10 = TMAJOCDIS[14] * STR_TR14 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 10);
MAJOCDIS11 = TMAJOCDIS[9] * STR_TR09 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 11);
MAJOCDIS17 = TMAJOCDIS[15] * STR_TR15 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCDIS17TARD_DEF) ;
MAJOCDIS22 = TMAJOCDIS[21] * STR_TR21 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 22);
MAJOCDIS30 = TMAJOCDIS[13] * STR_TR13 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 30);
MAJOCDIS31 = TMAJOCDIS[06] * STR_TR06 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 31);
MAJOCDIS55 = TMAJOCDIS[11] * STR_TR11 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 55);
MAJOCDIS99 = (TMAJOCDIS[00] * STR_TR00 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJOTAXA01 = TMAJOTAXA[22] * STR_TR22
	   + TMAJOTAXA[01] * null(CSTRATE1 - 1);
MAJOTAXA02_1 = TMAJOTAXA[20] * STR_TR20 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 2);
MAJOTAXA02_1_NTL = T2MAJOTAXA[17] * STR_TR17
	     + T2MAJOTAXA[01] * null(CSTRATE1 - 2);
MAJOTAXA02_2_NTL = T2MAJOTAXA[18] * STR_TR18 * (1 - positif_ou_nul(TTAXABASE[18] - TTAXABASE[20]) * positif(TTAXABASE[20])) * (1 - IND_RJLJ)
               + positif_ou_nul(TTAXABASE[18] - TTAXABASE[20]) * (1 - IND_RJLJ) * positif(TTAXABASE[20])
               * arr(max(0,(TTAXABASE[18] - TTAXABASE[0] - (TTAXABASE[18] - TTAXABASEDEF[20]))) * TX1758A/100) * STR_TR18
               + T2MAJOTAXA[01] * null(CSTRATE1 - 2);
MAJOTAXA02_1_TL = T2MAJOTAXA[19] * STR_TR19
	     + T2MAJOTAXA[01] * null(CSTRATE1 - 2);
MAJOTAXA02_2_TL = T2MAJOTAXA[20] * STR_TR20
	     + T2MAJOTAXA[01] * null(CSTRATE1 - 2);
MAJOTAXA03 = TMAJOTAXA[12] * STR_TR12 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 3);
MAJOTAXA04 = TMAJOTAXA[08] * STR_TR08 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 4);
MAJOTAXA05 = TMAJOTAXA[07] * STR_TR07 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 5);
MAJOTAXA06 = TMAJOTAXA[03] * STR_TR03
	   + TMAJOTAXA[01] * null(CSTRATE1 - 6);
MAJOTAXA07 = TMAJOTAXA[16] * STR_TR16
	   + TMAJOTAXA[01] * null(CSTRATE1 - 7)
           + max(0,MAJOTA07TARDIF_DEF) ;
MAJOTAXA08 = TMAJOTAXA[10] * STR_TR10 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 8)
           + max(0,MAJOTA08TARDIF_DEF) ;
MAJOTAXA10_1 = TMAJOTAXA[14] * STR_TR14 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 10);
MAJOTAXA10_2 = T2MAJOTAXA[14] * STR_TR14
	   + T2MAJOTAXA[01] * null(CSTRATE1 - 10);
MAJOTAXA11 = TMAJOTAXA[9] * STR_TR09 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 11);
MAJOTAXA17_1 = TMAJOTAXA[15] * STR_TR15
	   + TMAJOTAXA[01] * null(CSTRATE1 - 17)
           + max(0,MAJOTA17_1TARD_DEF) ;
MAJOTAXA17_2 = T2MAJOTAXA[15] * STR_TR15
	   + T2MAJOTAXA[01] * null(CSTRATE1 - 17)
           + max(0,MAJOTA17_2TARD_DEF) ;
MAJOTAXA22 = TMAJOTAXA[21] * STR_TR21 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 22);
MAJOTAXA30 = TMAJOTAXA[13] * STR_TR13 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 30);
MAJOTAXA31 = TMAJOTAXA[06] * STR_TR06 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 31);
MAJOTAXA55 = TMAJOTAXA[11] * STR_TR11 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 55);
MAJOTAXA99 = (TMAJOTAXA[00] * STR_TR00 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJO1728IR = somme (x = 07,08,11,31 : MAJOIRx)
	     + MAJOIR10_1 + MAJOIR17_1
	     + somme (x = 07,08,11,31 : MAJOPIRx)
	     + MAJOPIR10_1 + MAJOPIR17_1;
MAJO1728TAXA = somme (x = 07,08,11,31 : MAJOTAXAx)
	     + MAJOTAXA10_1 + MAJOTAXA17_1;
MAJO1728RD = somme (x = 07,08,10,11,17,31 : MAJORDx)
	     + somme(x = 07,08,10,11,31 : MAJOPRDx);
MAJO1728CS = somme (x = 07,08,10,11,17,31 : MAJOCSx)
	     + somme(x = 07,08,10,11,31 : MAJOPCSx);
MAJO1728PS = somme (x = 07,08,10,11,17,31 : MAJOPSx)
	     + somme(x = 07,08,10,11,31 : MAJOPPSx);
MAJO1728CSAL = somme (x = 07,08,10,11,17,31 : MAJOCSALx);
MAJO1728CDIS = somme (x = 07,08,10,11,17,31 : MAJOCDISx);
MAJO1729IR = somme (x = 03..05,22,55 : MAJOIRx)
	     + MAJOIR02_1;
MAJO1729TAXA = somme (x = 03..05,22,55 : MAJOTAXAx)
		+ MAJOTAXA02_1;
MAJO1729RD = somme (x = 03..05,22,55 : MAJORDx);
MAJO1729CS = somme (x = 03..05,22,55 : MAJOCSx);
MAJO1729PS = somme (x = 03..05,22,55 : MAJOPSx);
MAJO1729CSAL = somme (x = 03..05,22,55 : MAJOCSALx);
MAJO1729CDIS = somme (x = 03..05,22,55 : MAJOCDISx);
MAJO1732IR = MAJOIR06;
MAJO1732RD = MAJORD06;
MAJO1732CS = MAJOCS06;
MAJO1732PS = MAJOPS06;
MAJO1732CSAL = MAJOCSAL06;
MAJO1732CDIS = MAJOCDIS06;
MAJO1732TAXA = MAJOTAXA06;
MAJO1758IR = MAJOIR30 + MAJOIR32;
MAJO1758RD = MAJORD30 + MAJORD32;
MAJO1758CS = MAJOCS30 + MAJOCS32;
MAJO1758PS = MAJOPS30;
MAJO1758CSAL = MAJOCSAL30;
MAJO1758CDIS = MAJOCDIS30;
MAJO1758TAXA = MAJOTAXA30;

MAJO1758AIR = MAJOIR10_2 + MAJOIR17_2 + MAJOIR02_2_NTL + MAJOIR02_2_TL
		+ MAJOPIR10_2 + MAJOPIR17_2;
MAJO1758ATAXA = MAJOTAXA10_2 + MAJOTAXA17_2 
		+ MAJOTAXA02_2_NTL + MAJOTAXA02_2_TL ;


regle corrective base_MAJO 123:
application : oceans, iliad ;
PROPIR_A = PROPIR_DEF;
PROPCS_A = PROPCS_DEF;
PROPPS_A = PROPPS_DEF;
PROPRD_A = PROPRD_DEF;
IRNINMAJOP_A = IRNINMAJOP_DEF;
CSGMAJOP_A = CSGMAJOP_DEF;
RDSMAJOP_A = RDSMAJOP_DEF;
PRSMAJOP_A = PRSMAJOP_DEF;
pour x = 07,08,11,31:
MAJOPIRx_A = MAJOPIRx_DEF;
MAJOPIR10_1A = MAJOPIR10_1DEF;
MAJOPIR10_2A = MAJOPIR10_2DEF;
MAJOPIR17_1A = MAJOPIR17_1DEF;
MAJOPIR17_2A = MAJOPIR17_2DEF;
pour x = 07,08,10,11,17,31:
MAJOPCSx_A = MAJOPCSx_DEF;
pour x = 07,08,10,11,17,31:
MAJOPPSx_A = MAJOPPSx_DEF;
pour x = 07,08,10,11,17,31:
MAJOPRDx_A = MAJOPRDx_DEF;
MAJOPIR_A = MAJOPIR_DEF;
MAJOPCS_A = MAJOPCS_DEF;
MAJOPRD_A = MAJOPRD_DEF;
MAJOPPS_A = MAJOPPS_DEF;
MAJOPIR07 = MAJOPIR07_A;
MAJOPIR08 = MAJOPIR08_A;
MAJOPIR10_1 = MAJOPIR10_1A;
MAJOPIR10_2 = MAJOPIR10_2A;
MAJOPIR11 = MAJOPIR11_A;
MAJOPIR17_1 = MAJOPIR17_1A;
MAJOPIR17_2 = MAJOPIR17_2A;
MAJOPIR31 = MAJOPIR31_A;
MAJOPCS07 = MAJOPCS07_A;
MAJOPCS08 = MAJOPCS08_A;
MAJOPCS10 = MAJOPCS10_A;
MAJOPCS11 = MAJOPCS11_A;
MAJOPCS17 = MAJOPCS17_A;
MAJOPCS31 = MAJOPCS31_A;
MAJOPPS07 = MAJOPPS07_A;
MAJOPPS08 = MAJOPPS08_A;
MAJOPPS10 = MAJOPPS10_A;
MAJOPPS11 = MAJOPPS11_A;
MAJOPPS17 = MAJOPPS17_A;
MAJOPPS31 = MAJOPPS31_A;
MAJOPRD07 = MAJOPRD07_A;
MAJOPRD08 = MAJOPRD08_A;
MAJOPRD10 = MAJOPRD10_A;
MAJOPRD11 = MAJOPRD11_A;
MAJOPRD17 = MAJOPRD17_A;
MAJOPRD31 = MAJOPRD31_A;
MAJOPIR_TOT = somme (x = 07,08,11,31 : MAJOPIRx)
		+ MAJOPIR10_1 + MAJOPIR10_2
		+ MAJOPIR17_1 + MAJOPIR17_2;
MAJOPCS_TOT = somme (x = 07,08,10,11,17,31 : MAJOPCSx);
MAJOPPS_TOT = somme (x = 07,08,10,11,17,31 : MAJOPPSx);
MAJOPRD_TOT = somme (x = 07,08,10,11,17,31 : MAJOPRDx);
regle corrective base_anterieure 124:
application : oceans, iliad ;
MAJOIR07TARDIF_A = MAJOIR07TARDIF_DEF;
MAJOIR08TARDIF_A = MAJOIR08TARDIF_DEF;
MAJOIR17_1TARDIF_A = MAJOIR17_1TARD_DEF;
MAJOIR17_2TARDIF_A = MAJOIR17_2TARD_DEF;
MAJOIRTARDIF_A = somme(x = 07,08 : MAJOIR0xTARDIF_A)
		+ MAJOIR17_1TARDIF_A + MAJOIR17_2TARDIF_A;
MAJOPS07TARDIF_A = MAJOPS07TARDIF_DEF;
MAJOPS08TARDIF_A = MAJOPS08TARDIF_DEF;
MAJOPS17TARDIF_A = MAJOPS17TARDIF_DEF;
MAJOPSTARDIF_A = somme(x = 07,08,17 : MAJOPSxTARDIF_A);
MAJOCS07TARDIF_A = MAJOCS07TARDIF_DEF;
MAJOCS08TARDIF_A = MAJOCS08TARDIF_DEF;
MAJOCS17TARDIF_A = MAJOCS17TARDIF_DEF;
MAJOCSTARDIF_A = somme(x = 07,08,17 : MAJOCSxTARDIF_A);
MAJORD07TARDIF_A = MAJORD07TARDIF_DEF;
MAJORD08TARDIF_A = MAJORD08TARDIF_DEF;
MAJORD17TARDIF_A = MAJORD17TARDIF_DEF;
MAJORDTARDIF_A = somme(x = 07,08,17 : MAJORDxTARDIF_A);
MAJOCSAL07TARDIF_A = MAJOSA07TARDIF_DEF;
MAJOCSAL08TARDIF_A = MAJOSA08TARDIF_DEF;
MAJOCSAL17TARDIF_A = MAJOSA17TARDIF_DEF;
MAJOCSALTARDIF_A = somme(x = 07,08,17 : MAJOCSALxTARDIF_A);
MAJOCDIS07TARDIF_A = MAJOCDIS07TARD_DEF;
MAJOCDIS08TARDIF_A = MAJOCDIS08TARD_DEF;
MAJOCDIS17TARDIF_A = MAJOCDIS17TARD_DEF;
MAJOCDISTARDIF_A = somme(x = 07,08,17 : MAJOCDISxTARDIF_A);
MAJOTAXA07TARDIF_A = MAJOTA07TARDIF_DEF;
MAJOTAXA08TARDIF_A = MAJOTA08TARDIF_DEF;
MAJOTA17_1TARDIF_A = MAJOTA17_1TARD_DEF;
MAJOTA17_2TARDIF_A = MAJOTA17_2TARD_DEF;
MAJOTAXATARDIF_A = somme(x = 07,08 : MAJOTAXA0xTARDIF_A)
		+ MAJOTA17_1TARD_DEF + MAJOTA17_2TARD_DEF;
IRBASE_REF = IRBASE_DEF;
MAJOIRTARDIF_REF = MAJOIRTARDIF_DEF;
IRNINTARDIF_A = IRNINTARDIF_DEF;
NAPCRTARDIF_A = NAPCRINR;
CSGTARDIF_A = CSGTARDIF_DEF;
RDSTARDIF_A = RDSTARDIF_DEF;
PRSTARDIF_A = PRSTARDIF_DEF;
CSALTARDIF_A = CSALTARDIF_DEF;
CDISTARDIF_A = CDISTARDIF_DEF;
TAXATARDIF_A = TAXATARDIF_DEF;
MAJO1728_TOT = MAJO1728IR + 
	       MAJO1728CS + 
               MAJO1728RD + 
               MAJO1728PS + 
               MAJO1728CSAL + 
               MAJO1728CDIS + 
	       MAJO1728TAXA;
MAJO1729_TOT = MAJO1729IR + 
	       MAJO1729CS + 
               MAJO1729RD + 
               MAJO1729PS + 
               MAJO1729CSAL + 
               MAJO1729CDIS + 
	       MAJO1729TAXA;
MAJO1732_TOT = MAJO1732IR +
	       MAJO1732CS +
               MAJO1732RD +
	       MAJO1732PS +
	       MAJO1732CSAL +
	       MAJO1732CDIS +
	       MAJO1732TAXA;
MAJO1758_TOT = MAJO1758IR +
	       MAJO1758CS +
	       MAJO1758RD +
	       MAJO1758PS +
	       MAJO1758CSAL +
	       MAJO1758CDIS +
	       MAJO1758TAXA;

MAJO1758A_TOT = MAJO1758AIR +
	       MAJO1758ATAXA;
MAJOIR_TOT = MAJO1728IR + MAJO1729IR + MAJO1732IR + MAJO1758IR + MAJO1758AIR;
MAJOCS_TOT = MAJO1728CS + MAJO1729CS + MAJO1732CS + MAJO1758CS;
MAJOPS_TOT = MAJO1728PS + MAJO1729PS + MAJO1732PS + MAJO1758PS;
MAJORD_TOT = MAJO1728RD + MAJO1729RD + MAJO1732RD + MAJO1758RD;
MAJOCSAL_TOT = MAJO1728CSAL + MAJO1729CSAL + MAJO1732CSAL + MAJO1758CSAL;
MAJOCDIS_TOT = MAJO1728CDIS + MAJO1729CDIS + MAJO1732CDIS + MAJO1758CDIS;
MAJOTAXA_TOT = MAJO1728TAXA + MAJO1729TAXA + MAJO1732TAXA + MAJO1758TAXA 
			  + MAJO1758ATAXA;
MAJO_TOT = MAJOIR_TOT + MAJOCS_TOT + MAJOPS_TOT + MAJORD_TOT 
	   + MAJOCSAL_TOT + MAJOCDIS_TOT + MAJOTAXA_TOT;
STRATIR01 = SUPIR[22] + null(CSTRATE1-1) * SUPIR[01] + null(CSTRATE1 - 1) * SUP2IR[01] ;
STRATIR02_1 = SUPIR[20] + null(CSTRATE1-2) * SUPIR[01] + null(CSTRATE1 - 2) * SUP2IR[01] ;
STRATIR02_1_NTL = SUP2IR[17] + null(CSTRATE1 - 2) * SUP2IR[01] ;
STRATIR02_2_NTL = SUP2IR[17] +
                 (SUP2IR[18] * STR_TR18 * (1 - positif_ou_nul(TIRBASE[18]-TIRBASE[20]) * positif(TIRBASE[20])) * (1 - IND_RJLJ)
                + positif_ou_nul(TIRBASE[18] - TIRBASE[20]) * (1 - IND_RJLJ) * positif(TIRBASE[20])
                     * max(0,(TIRBASE[18] - TIRBASE[0] - (TIRBASE[18] - TIRBASEDEF[20]))) * STR_TR18)
		     + null(CSTRATE1 - 2) * SUP2IR[01];
STRATIR02_1_TL = SUP2IR[19] + null(CSTRATE1 - 2) * SUP2IR[01];
STRATIR02_2_TL = SUP2IR[19]+SUP2IR[20] + null(CSTRATE1 - 2) * SUP2IR[01];
STRATIR03 = SUPIR[12] + null(CSTRATE1 - 3) * SUPIR[01];
STRATIR04 = SUPIR[08] + null(CSTRATE1 - 4) * SUPIR[01];
STRATIR05 = SUPIR[07] + null(CSTRATE1 - 5) * SUPIR[01];
STRATIR06 = SUPIR[03] + null(CSTRATE1 - 6) * SUPIR[01];
STRATIR07 = SUPIR[16] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN))
		     + null(CSTRATE1 - 7) * SUPIR[1];
STRATIR08 = SUPIR[10] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN));
STRATIR10_1 = SUPIR[14] + null(CSTRATE1-10) * SUPIR[01] + null(CSTRATE1 - 10) * SUP2IR[01] ;
STRATIR10_2 = SUP2IR[14] + null(CSTRATE1 - 10) * SUP2IR[01] ;
STRATIR11 = SUPIR[9] + null(CSTRATE1 - 11) * SUPIR[01];
STRATIR17_1 = SUPIR[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN))
		     + null(CSTRATE1-17) * SUPIR[01] + null(CSTRATE1 - 17) * SUP2IR[01] ;
STRATIR17_2 = SUP2IR[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN))
		     + null(CSTRATE1 - 17) * SUP2IR[01];
STRATIR22 = SUPIR[21] + null(CSTRATE1 - 22) * SUPIR[01] ;
STRATIR30 = SUPIR[13] + null(CSTRATE1 - 30) * SUPIR[01] + null(CSTRATE1 - 30) * SUP2IR[01] ;
STRATIR31 = SUPIR[06] + null(CSTRATE1 - 31) * SUPIR[01] ;
STRATIR32 = SUPIR[05] + null(CSTRATE1 - 32) * SUPIR[01] + null(CSTRATE1 - 32) * SUP2IR[01];
STRATIR55 = SUPIR[11] + null(CSTRATE1 - 55) * SUPIR[01] ;
STRATIR99 = SUPIR[00] + null(CSTRATE1 - 99) * SUPIR[01] ;
STRATCS01 = SUPCS[22] ;
STRATCS02 = SUPCS[20] ;
STRATCS03 = SUPCS[12] ;
STRATCS04 = SUPCS[08] ;
STRATCS05 = SUPCS[07] ;
STRATCS06 = SUPCS[03] ;
STRATCS07 = SUPCS[16] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CSGTARDIF_A, CSBASE));
STRATCS08 = SUPCS[10] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CSGTARDIF_A, CSBASE));
STRATCS10 = SUPCS[14] ;
STRATCS11 = SUPCS[9]  ;
STRATCS17 = SUPCS[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) 