#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2019]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2019 
#au titre des revenus perçus en 2018. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************

# ======================================================================
# Chapitre 3 : Net a payer
# ======================================================================


regle 301000:
application : bareme , iliad ;

IRN = min(0 , IAN + AVFISCOPTER - IRE) + max(0 , IAN + AVFISCOPTER - IRE) * positif( IAMD1 + 1 - SEUIL_61) ;


regle 301005:
application : bareme , iliad ;
IRNAF = min( 0, IAN - IRE) + max( 0, IAN - IRE) * positif( IAMD1AF + 1 - SEUIL_61) ;

regle 301010:
application : bareme , iliad ;


IAR = min( 0, IAN + AVFISCOPTER - IRE) + max( 0, IAN + AVFISCOPTER - IRE) ;

regle 301015:
application : bareme , iliad ;

IARAF = min(0 , IANAF - IREAF) + max(0 , IANAF - IREAF) + NEGIANAF ;

regle 301020:
application : iliad ;


CREREVET =  min(arr((BPTP3 + BPTPD + BPTPG) * TX128/100),arr(CIIMPPRO * TX128/100 ))
	  + min(arr(BPTP19 * TX19/100),arr(CIIMPPRO2 * TX19/100 ))
	  + min (arr(RCMIMPTR * TX075/100),arr(COD8XX * TX075/100)) ;

CIIMPPROTOT = CIIMPPRO + CIIMPPRO2 +COD8XX ;

regle 301030:
application : iliad ;

ICI8XFH = min(arr(BPTP18 * TX18/100),arr(COD8XF * TX18/100 ))
      + min(arr(BPTP4I * TX30/100),arr(COD8XG * TX30/100 ))
      + min(arr(BPTP40 * TX41/100),arr(COD8XH * TX41/100 ));
ICIGLO = min(arr(BPTP18 * TX18/100),arr(COD8XF * TX18/100 ))
      + min(arr(BPTP4I * TX30/100),arr(COD8XG * TX30/100 ))
      + min(arr(BPTP40 * TX41/100),arr(COD8XH * TX41/100 ));

CIGLOTOT = COD8XF + COD8XG + COD8XH; 
regle 301032:
application : iliad ;

CI8XFH = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET,ICI8XFH));
CIGLO = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET,ICIGLO));

regle 301035:
application : iliad ;

CI8XFHAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY-CIRCMAVFTAF-IRETSAF-ICREREVETAF,ICI8XFH));
CIGLOAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF,ICIGLO));
regle 301040:
application : iliad ;


ICREREVET = max(0,min(IAD11 + ITP - CIRCMAVFT - IRETS , min(ITP , CREREVET))) ;

regle 301045:
application : iliad ;

ICREREVETAF = max(0,min(IAD11 + ITP - CIRCMAVFTAF - IRETSAF , min(ITP , CREREVET))) ;
regle 301050:
application : iliad , bareme ;

INE = (CIRCMAVFT + IRETS + ICREREVET + CIGLO + CICULTUR + CIGPA + CIDONENTR + CICORSE + CIRECH + CICOMPEMPL)
            * (1-positif(RE168+TAX1649));

IAN = max( 0, (IRB - AVFISCOPTER + ((- CIRCMAVFT
				     - IRETS
                                     - ICREREVET
                                     - CIGLO
                                     - CICULTUR
                                     - CIGPA
                                     - CIDONENTR
                                     - CICORSE
				     - CIRECH 
                                     - CICOMPEMPL)
                                   * (1 - positif(RE168 + TAX1649)))
                  + min(TAXASSUR+0 , max(0,INE-IRB+AVFISCOPTER)) 
                  + min(IPCAPTAXTOT+0 , max(0,INE-IRB+AVFISCOPTER - min(TAXASSUR+0,max(0,INE-IRB+AVFISCOPTER))))
                  + min(TAXLOY+0 ,max(0,INE-IRB+AVFISCOPTER - min(IPCAPTAXTOT+0 , max(0,INE-IRB+AVFISCOPTER - min(TAXASSUR+0,max(0,INE-IRB+AVFISCOPTER))))
										  - min(TAXASSUR+0 , max(0,INE-IRB+AVFISCOPTER))))
	      )
         ) ;

regle 301055:
application : iliad , bareme ;

INEAF = (CIRCMAVFTAF + IRETSAF + ICREREVETAF + CIGLOAF + CICULTURAF + CIGPAAF + CIDONENTRAF + CICORSEAF + CIRECHAF + CICOMPEMPLAF)
            * (1-positif(RE168+TAX1649));
regle 301057:
application : iliad , bareme ;

IANAF = max( 0, (IRBAF  + ((- CIRCMAVFTAF
				     - IRETSAF
                                     - ICREREVETAF
                                     - CIGLOAF
                                     - CICULTURAF
                                     - CIGPAAF
                                     - CIDONENTRAF
                                     - CICORSEAF
				     - CIRECHAF
                                     - CICOMPEMPLAF)
                                   * (1 - positif(RE168 + TAX1649)))
                  + min(TAXASSUR+0 , max(0,INEAF-IRBAF)) 
                  + min(IPCAPTAXTOT+0 , max(0,INEAF-IRBAF - min(TAXASSUR+0,max(0,INEAF-IRBAF))))
                  + min(TAXLOY+0 ,max(0,INEAF-IRBAF- min(IPCAPTAXTOT+0 , max(0,INEAF-IRBAF - min(TAXASSUR+0,max(0,INEAF-IRBAF))))
										  - min(TAXASSUR+0 , max(0,INEAF-IRBAF))))
	      )
         )
 ;
NEGIANAF =   -1 * (min(TAXASSUR+0 , max(0,INEAF-IRBAF))
                  + min(IPCAPTAXTOT+0 , max(0,INEAF-IRBAF - min(TAXASSUR+0,max(0,INEAF-IRBAF))))
                  + min(TAXLOY+0 ,max(0,INEAF-IRBAF- min(IPCAPTAXTOT+0 , max(0,INEAF-IRBAF - min(TAXASSUR+0,max(0,INEAF-IRBAF)))) - min(TAXASSUR+0 , max(0,INEAF-IRBAF)))));
regle 301060:
application : iliad ;


IRE = (EPAV + CRICH + CICORSENOW + CIGE + CIDEVDUR + CITEC + CICA + CIGARD + CISYND 
       + CIPRETUD + CIADCRE + CIHABPRIN + CREFAM + CREAPP +CREAGRIBIO + CRESINTER 
       + CREFORMCHENT + CREARTS + CICONGAGRI + CRERESTAU + AUTOVERSLIB
       + CI2CK + CIFORET + CIHJA + COD8TL * (1 - positif(RE168 + TAX1649))
       + CIMR *(1-V_INDTEO)) * (1 - positif(RE168 + TAX1649 + 0)) ;
IREAF = (EPAV + CRICH + CICORSENOW + CIGE + CIDEVDUR + CITEC + CICA + CIGARD + CISYND 
       + CIPRETUD + CIADCRE + CIHABPRIN + CREFAM + CREAPP +CREAGRIBIO + CRESINTER 
       + CREFORMCHENT + CREARTS + CICONGAGRI + CRERESTAU + AUTOVERSLIB
       + CI2CK + CIFORET + CIHJA + COD8TL * (1 - positif(RE168 + TAX1649))
        ) * (1 - positif(RE168 + TAX1649 + 0)) ;

IRE2 = IRE + (BCIGA * (1 - positif(RE168+TAX1649))); 

regle 301065:
application : iliad ;

CIHJA = CODHJA * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR) ;

regle 301070:
application : iliad ;

CRICH =  IPRECH * (1 - positif(RE168+TAX1649));

regle 301080:
application : iliad ;


CIRCMAVFT = max(0,min(IRB + TAXASSUR + IPCAPTAXT + TAXLOY - AVFISCOPTER , RCMAVFT * (1 - V_CNR)));

regle 301085:
application : iliad ;

CIRCMAVFTAF = max(0,min(IRBAF + TAXASSUR + IPCAPTAXT + TAXLOY , RCMAVFT * (1 - V_CNR)));
regle 301100:
application : iliad;
CI2CK = COD2CK * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR);

regle 301110:
application : iliad;


CICA =  arr(BAILOC98 * TX_BAIL / 100) * (1 - positif(RE168 + TAX1649)) ;

regle 301130:
application : iliad ;


IPAE = COD8VL + COD8VM + COD8WM + COD8UM ;

RASIPSOUR =  IPSOUR * positif( null(V_REGCO-2) + null(V_REGCO-3) ) * ( 1 - positif(RE168+TAX1649) );

RASIPAE = IPAE * positif(null(V_REGCO-1) + null(V_REGCO-3) + null(V_REGCO-5) + null(V_REGCO-6)) ;

regle 301133:
application : iliad ;

IRETS1 = max(0 , min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT , RASIPSOUR)) ;

IRETS2 = max(0 , min(max(0 , min(COD8PA , IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT-IRETS1) * present(COD8PA) + (IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT-IRETS1) * (1 - present(COD8PA))) 
                     , RASIPAE)) ;
	
IRETS = IRETS1 + IRETS2 ;

regle 301135:
application : iliad ;

IRETS1AF = max(0 , min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY-CIRCMAVFTAF , RASIPSOUR)) ;

IRETS2AF = max(0,
		min(
			max(0,min(COD8PA,IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF - IRETS1AF) * present(COD8PA)+(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF - IRETS1AF )*(1-present(COD8PA)) ) 
			, RASIPAE
		) 
	);
	
IRETSAF = IRETS1AF + IRETS2AF;
regle 301150:
application : iliad ;

BCIAQCUL = arr(CIAQCUL * TX_CIAQCUL / 100);
regle 301152:
application : iliad ;

CICULTUR = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-REI-IRETS-ICREREVET-CIGLO,min(IAD11+COD8EA+ITP+TAXASSUR+TAXLOY+IPCAPTAXT,BCIAQCUL)));

regle 301155:
application : iliad ;

CICULTURAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-REI-IRETSAF-ICREREVETAF-CIGLOAF,min(IAD11+COD8EA+ITP+TAXASSUR+TAXLOY+IPCAPTAXT,BCIAQCUL)));
regle 301160:
application : iliad ;

BCIGA = CRIGA;
regle 301162:
application : iliad ;

CIGPA = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR,BCIGA));

regle 301165:
application : iliad ;

CIGPAAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF,BCIGA));
regle 301170:
application : iliad ;

BCIDONENTR = RDMECENAT * (1-V_CNR) ;
regle 301172:
application : iliad ;

CIDONENTR = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-REI-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA,BCIDONENTR));
regle 301175:
application : iliad ;

CIDONENTRAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-REI-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF,BCIDONENTR));

regle 301180:
application : iliad ;

CICORSE = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IPPRICORSE-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR,CIINVCORSE+IPREPCORSE));
CICORSEAVIS = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY-AVFISCOPTER-CIRCMAVFT-IPPRICORSE-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR,CIINVCORSE+IPREPCORSE))+CICORSENOW;
TOTCORSE = CIINVCORSE + IPREPCORSE + CICORSENOW;

regle 301185:
application : iliad ;

CICORSEAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IPPRICORSE-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF,CIINVCORSE+IPREPCORSE));
CICORSEAVISAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY-CIRCMAVFTAF-IPPRICORSE-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF,CIINVCORSE+IPREPCORSE))+CICORSENOW;
regle 301190:
application : iliad ;

CIRECH = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR-CICORSE,IPCHER));

regle 301195:
application : iliad ;

CIRECHAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF-CICORSEAF,IPCHER));
regle 301200:
application : iliad ;

CICOMPEMPL = max(0,min(IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR-CICORSE-CIRECH,COD8UW));

DIEMPLOI = (COD8UW + COD8TL) * (1 - positif(RE168+TAX1649)) ;

CIEMPLOI = (CICOMPEMPL + COD8TL) * (1 - positif(RE168+TAX1649)) ;

IRECR = abs(min(0 ,IRB+TAXASSUR+IPCAPTAXT+TAXLOY -AVFISCOPTER-CIRCMAVFT-IRETS-ICREREVET-CIGLO-CICULTUR-CIGPA-CIDONENTR-CICORSE-CIRECH-CICOMPEMPL));

regle 301205:
application : iliad ;

CICOMPEMPLAF = max(0,min(IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF-CICORSEAF-CIRECHAF,COD8UW));

CIEMPLOIAF = (CICOMPEMPLAF + COD8TL) * (1 - positif(RE168+TAX1649)) ;

IRECRAF = abs(min(0 ,IRBAF+TAXASSUR+IPCAPTAXT+TAXLOY -CIRCMAVFTAF-IRETSAF-ICREREVETAF-CIGLOAF-CICULTURAF-CIGPAAF-CIDONENTRAF-CICORSEAF-CIRECHAF-CICOMPEMPLAF));
regle 301210:
application : iliad ;
  
REPCORSE = abs(CIINVCORSE+IPREPCORSE-CICORSE) ;
REPRECH = abs(IPCHER - CIRECH) ;
REPCICE = abs(COD8UW - CICOMPEMPL) ;

regle 301220:
application : iliad ;

CICONGAGRI = CRECONGAGRI * (1-V_CNR) ;

regle 301230:
application : iliad ;

BCICAP = arr(PRELIBXT * TX90/100 * T_PCAPTAX/100) ;

regle 301233:
application : iliad ;

BCICAPAVIS = arr(PRELIBXT * TX90/100) ;

CICAP = max(0 , min(IPCAPTAXTOT , BCICAP)) ;

regle 301235:
application : iliad ;

CICAPAF = CICAP ;

regle 301240:
application : iliad ;

BCICHR = arr(CHRAPRES * (REGCI*(1-present(COD8XY))+COD8XY+0) / (REVKIREHR - TEFFHRC+COD8YJ));
regle 301242:
application : iliad ;

CICHR = max(0,min(IRB + TAXASSUR + IPCAPTAXT +TAXLOY +CHRAPRES - AVFISCOPTER ,min(CHRAPRES,BCICHR)));
regle 301245:
application : iliad ;

CICHRAF = max(0,min(IRBAF + TAXASSUR + IPCAPTAXT +TAXLOY +CHRAPRES ,min(CHRAPRES,BCICHR)));
regle 301247:
application : iliad ;

BCICHR3WH = arr(CHRAPRES3WH * (REGCI*(1-present(COD8XY))+COD8XY+0) / (REVKIREHR+PVREPORT - TEFFHRC+COD8YJ));

regle 301249:
application : iliad ;

CICHR3WH = max(0,min(IRB + TAXASSUR + IPCAPTAXT +TAXLOY +CHRAPRES3WH - AVFISCOPTER ,min(CHRAPRES3WH,BCICHR3WH)));

regle 301252:
application : iliad ;

CICHR3WHAF = max(0,min(IRBAF + TAXASSUR + IPCAPTAXTOT +TAXLOY +CHRAPRES3WH -CICAPAF ,min(CHRAPRES3WH,BCICHR3WH)));

regle 301257:
application : iliad ;



DSYND = RDSYVO + RDSYCJ + RDSYPP ;


SOMBCOSV = TSHALLOV + COD1AA + CARTSV + ALLOV  + REMPLAV + COD1GB  + COD1GF  + COD1AF  
           + CODRAF   + COD1AG + CODRAG + PRBRV  + CARPEV  + PALIV   + PENSALV + CODDAJ  
	   + CODEAJ   + PENINV + CODRAZ + COD1AL + CODRAL  + COD1AM  + CODRAM  + COD1TP  
	   + GLDGRATV + COD1TZ + COD1NX ;

SOMBCOSC = TSHALLOC + COD1BA + CARTSC + ALLOC  + REMPLAC + COD1HB  + COD1HF  + COD1BF 
           + CODRBF   + COD1BG + CODRBG + PRBRC  + CARPEC  + PALIC   + PENSALC + CODDBJ 
           + CODEBJ   + PENINC + CODRBZ + COD1BL + CODRBL  + COD1BM  + CODRBM  + COD1UP  
           + GLDGRATC + COD1OX ;

SOMBCOSP = TSHALLO1 + TSHALLO2 + TSHALLO3 + TSHALLO4 + COD1CA   + COD1DA   + COD1EA   + COD1FA   
           + CARTSP1  + CARTSP2  + CARTSP3  + CARTSP4  + ALLO1    + ALLO2    + ALLO3    + ALLO4    
           + REMPLAP1 + REMPLAP2 + REMPLAP3 + REMPLAP4 + COD1IB   + COD1JB   
           + COD1IF   + COD1JF   + COD1KF   + COD1LF   + COD1CF   + COD1DF   + COD1EF   + COD1FF   
           + CODRCF   + CODRDF   + CODREF   + CODRFF   + COD1CG   + COD1DG   + COD1EG   + COD1FG    
           + CODRCG   + CODRDG   + CODRGG   + CODRFG   + PRBR1    + PRBR2    + PRBR3    + PRBR4     
           + CARPEP1  + CARPEP2  + CARPEP3  + CARPEP4  + PALI1    + PALI2    + PALI3    + PALI4     
           + PENSALP1 + PENSALP2 + PENSALP3 + PENSALP4 + PENIN1   + PENIN2   + PENIN3   + PENIN4    
           + CODRCZ   + CODRDZ   + CODREZ   + CODRFZ   + COD1CL   + COD1DL   + COD1EL   + COD1FL    
           + CODRCL   + CODRDL   + CODREL   + CODRFL   + COD1CM   + COD1DM   + COD1EM   + COD1FM    
           + CODRCM   + CODRDM   + CODREM   + CODRFM ;


BCOS = min(RDSYVO+0,arr(TX_BASECOTSYN/100*SOMBCOSV*IND_10V))
      +min(RDSYCJ+0,arr(TX_BASECOTSYN/100*SOMBCOSC*IND_10C))                             
      +min(RDSYPP+0,arr(TX_BASECOTSYN/100*SOMBCOSP*IND_10P));

ASYND = BCOS * (1-V_CNR) ;


CISYND = arr(TX_REDCOTSYN/100 * BCOS) * (1 - V_CNR) ;

regle 301260:
application : iliad ;


IAVF = IRE - EPAV + CICORSE + CICULTUR + CIGPA + CIRCMAVFT ;


DIAVF2 = (BCIGA + IPRECH + IPCHER + RCMAVFT ) * (1 - positif(RE168+TAX1649)) + CIRCMAVFT * positif(RE168+TAX1649);


IAVF2 = (IPRECH + CIRECH + CIRCMAVFT + CIGPA + 0) * (1 - positif(RE168 + TAX1649))
        + CIRCMAVFT * positif(RE168 + TAX1649) ;

IAVFGP = IAVF2 + CREFAM + CREAPP ;

regle 301270:
application : iliad ;


I2DH = EPAV ;

regle 301280:
application : iliad ;


BTANTGECUM   = (V_BTGECUM * (1 - positif(present(COD7ZZ)+present(COD7ZY)+present(COD7ZX)+present(COD7ZW))) + COD7ZZ+COD7ZY+COD7ZX+COD7ZW);

BTANTGECUMWL = V_BTPRT3 * (1 - present(COD7WK)) + COD7WK 
               + V_BTPRT2 * (1 - present(COD7WQ)) + COD7WQ 
	       + V_BTPRT1 * (1- present (COD7WH)) + COD7WH;

P2GE = max( (   PLAF_GE2 * (1 + BOOL_0AM)
             + PLAF_GE2_PACQAR * (V_0CH + V_0DP)
             + PLAF_GE2_PAC * (V_0CR + V_0CF + V_0DJ + V_0DN)  
              ) - BTANTGECUM
             , 0
             ) ;
BGEPAHA = min(RDEQPAHA +COD7WI, P2GE) * (1 - V_CNR);

P2GEWL = max(0,PLAF20000 - BTANTGECUMWL);
BGTECH = min(RDTECH , P2GEWL) * (1 - V_CNR) ;

BGEDECL = RDTECH + RDEQPAHA + COD7WI;
TOTBGE = BGTECH + BGEPAHA ;

RGEPAHA =  (BGEPAHA * TX25 / 100 );
RGTECH = (BGTECH * TX40 / 100); 
CIGE = arr (RGTECH + RGEPAHA ) * (1 - positif(RE168 + TAX1649));


DEPENDPDC = BGEPAHA ;


DEPENPPRT = BGTECH ;

GECUM = min(P2GE,BGEPAHA)+(V_BTGECUM * (1 - positif(present(COD7ZY)+present(COD7ZX)+present(COD7ZW))) + COD7ZW +COD7ZX + COD7ZY);
GECUMWL = max(0,BGTECH + BTANTGECUMWL) ;

BADCRE = min(CREAIDE , min((LIM_AIDOMI * (1 - positif(PREMAIDE)) + LIM_PREMAIDE * positif(PREMAIDE)
                            + MAJSALDOM * (positif_ou_nul(ANNEEREV-V_0DA-65) + positif_ou_nul(ANNEEREV-V_0DB-65) * BOOL_0AM
                                           + V_0CF + V_0DJ + V_0DN + (V_0CH + V_0DP)/2+ASCAPA)
                           ) , LIM_AIDOMI3 * (1 - positif(PREMAIDE)) + LIM_PREMAIDE2 * positif(PREMAIDE) ) * (1-positif(INAIDE + 0))
                               +  LIM_AIDOMI2 * positif(INAIDE + 0)) ;

DAIDC = CREAIDE ;
AAIDC = BADCRE * (1-V_CNR) ;
CIADCRE = arr (BADCRE * TX_AIDOMI /100) * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR) ;

regle 301300:
application : iliad ;


DDEVDUR = COD7CB + COD7AA + COD7AO + COD7AD + COD7AF + COD7AH + COD7AK + COD7AL + COD7AM + COD7AP + COD7AN + COD7AQ + COD7AR + COD7AV 
	  + COD7AX + COD7AS + COD7AY + COD7AZ + COD7BB + COD7BC + COD7BM + COD7BD + COD7BE + COD7BF + COD7BH + COD7BK + COD7BL ;

PDEVDUR = max( (   PLAF_DEVDUR * (1 + BOOL_0AM)
                  + PLAF_GE2_PACQAR * (V_0CH+V_0DP)
	          + PLAF_GE2_PAC * (V_0CR+V_0CF+V_0DJ+V_0DN) 
		 ) - (V_BTDEVDUR*(1-positif(present(COD7XD)+present(COD7XE)+present(COD7XF)+present(COD7XG)))+COD7XD+COD7XE+COD7XF+COD7XG) , 0 );

BDEV7AX = max(0,min(COD7AX,LIM3000));
BDEV30 = min(PDEVDUR , COD7CB + COD7AA + COD7AD + COD7AF + COD7AH + COD7AK + COD7AL + COD7AM + COD7AN + COD7AQ + COD7AR + COD7AV 
                       + BDEV7AX + COD7AS + COD7AY + COD7AZ + COD7BB  + COD7BM + COD7BC + COD7BD + COD7BE + COD7BF + COD7BH + COD7BK + COD7BL) ;

BDEV15 = min(max(0,PDEVDUR-BDEV30) , COD7AO + COD7AP);

ADEVDUR = BDEV30 + BDEV15; 

CIDEVDUR = arr(BDEV30 * TX30/100 + BDEV15 * TX15/100) * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR) ; 

DEVDURCUM = ADEVDUR + ((V_BTDEVDUR*(1-positif(present(COD7XD)+present(COD7XE)+present(COD7XF)+present(COD7XG))))+COD7XD+COD7XE+COD7XF+COD7XG) ;

regle 301310:
application : iliad ;

DTEC = RISKTEC;
ATEC = positif(DTEC) * DTEC;
CITEC = arr (ATEC * TX40/100);

regle 301320:
application : iliad ;

DPRETUD = PRETUD + PRETUDANT ;
APRETUD = max(min(PRETUD,LIM_PRETUD) + min(PRETUDANT,LIM_PRETUD*CASEPRETUD),0) * (1-V_CNR) ;

CIPRETUD = arr(APRETUD*TX_PRETUD/100) * (1 - positif(RE168 + TAX1649)) * (1-V_CNR) ;

regle 301330:
application : iliad ;


EM7 = somme (i=0..7: min (1 , max(0 , V_0Fi + AG_LIMFG - ANNEEREV)))
         + somme (j=0..5: min (1 , max(0 , V_0Nj + AG_LIMFG - ANNEEREV)))
      + (1 - positif(somme(i=0..7:V_0Fi) + somme(i=0..5: V_0Ni) + 0)) * (V_0CF + V_0DN) ;

EM7QAR = somme (i=0..5: min (1 , max(0 , V_0Hi + AG_LIMFG - ANNEEREV)))
         + somme (j=0..3: min (1 , max(0 , V_0Pj + AG_LIMFG - ANNEEREV)))
         + (1 - positif(somme(i=0..5: V_0Hi) + somme(j=0..3: V_0Pj) + 0)) * (V_0CH + V_0DP) ;

BRFG = min(RDGARD1,PLAF_REDGARD) + min(RDGARD2,PLAF_REDGARD)
       + min(RDGARD3,PLAF_REDGARD) + min(RDGARD4,PLAF_REDGARD)
       + min(RDGARD1QAR,PLAF_REDGARDQAR) + min(RDGARD2QAR,PLAF_REDGARDQAR)
       + min(RDGARD3QAR,PLAF_REDGARDQAR) + min(RDGARD4QAR,PLAF_REDGARDQAR)
       ;
RFG1 = arr ( (BRFG) * TX_REDGARD /100 ) * (1 -V_CNR);
DGARD = somme(i=1..4:RDGARDi)+somme(i=1..4:RDGARDiQAR);
AGARD = (BRFG) * (1-V_CNR) ;
CIGARD = RFG1 * (1 - positif(RE168 + TAX1649)) ;

regle 301340:
application : iliad ;

PREHAB = PREHABT + PREHABTN + PREHABTN1 + PREHABT1 + PREHABT2 + PREHABTN2 + PREHABTVT ;

BCIHP = max(( PLAFHABPRIN * (1 + BOOL_0AM) * (1+positif(V_0AP+V_0AF+V_0CG+V_0CI+V_0CR))
                 + (PLAFHABPRINENF/2) * (V_0CH + V_0DP)
                 + PLAFHABPRINENF * (V_0CR + V_0CF + V_0DJ + V_0DN)
                  )
             ,0);

BCIHABPRIN1 = min(BCIHP , PREHABT) * (1 - V_CNR) ;
BCIHABPRIN2 = min(max(0,BCIHP-BCIHABPRIN1),PREHABT1) * (1 - V_CNR);
BCIHABPRIN3 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2),PREHABTN) * (1 - V_CNR);
BCIHABPRIN4 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3),PREHABTN1) * (1 - V_CNR);
BCIHABPRIN5 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3-BCIHABPRIN4),PREHABT2) * (1 - V_CNR);
BCIHABPRIN6 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3-BCIHABPRIN4-BCIHABPRIN5),PREHABTN2) * (1 - V_CNR);
BCIHABPRIN7 = min(max(0,BCIHP-BCIHABPRIN1-BCIHABPRIN2-BCIHABPRIN3-BCIHABPRIN4-BCIHABPRIN5-BCIHABPRIN6),PREHABTVT) * (1 - V_CNR);

BCIHABPRIN = BCIHABPRIN1 + BCIHABPRIN2 + BCIHABPRIN3 + BCIHABPRIN4 + BCIHABPRIN5 + BCIHABPRIN6 + BCIHABPRIN7 ;

CIHABPRIN = arr((BCIHABPRIN1 * TX40/100)
                + (BCIHABPRIN2 * TX40/100)
                + (BCIHABPRIN3 * TX30/100)
                + (BCIHABPRIN4 * TX25/100)
                + (BCIHABPRIN5 * TX20/100)
                + (BCIHABPRIN6 * TX15/100)
                + (BCIHABPRIN7 * TX10/100))
                * (1 - positif(RE168 + TAX1649)) * (1 - V_CNR);

regle 301350:
application : iliad ;


BDCIFORET  = COD7VQ+COD7VR+COD7TP+COD7TQ+COD7VM + COD7TM + COD7VN + COD7TO
 	   + REPFOR3 +COD7VP + REPSINFOR5 + COD7TK +RDFORESTRA + SINISFORET
	   + COD7UA + COD7UB + RDFORESTGES + COD7UI+ COD7VS+COD7TR+COD7VL+COD7TS;
BCIFORETVP = max(0,min(COD7VP,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)))) * (1-V_CNR);

BCIFORETTK = max(0,min(COD7TK,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP))) * (1-V_CNR);

BCIFORETUX = max(0,min(REPFOR3,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK))) * (1-V_CNR);

BCIFORETTJ = max(0,min(REPSINFOR5,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX))) * (1-V_CNR);

BCIFORETVN = max(0,min(COD7VN,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ))) * (1-V_CNR);

BCIFORETTO = max(0,min(COD7TO,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN))) * (1-V_CNR);

BCIFORETVM = max(0,min(COD7VM,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO))) * (1-V_CNR);

BCIFORETTM = max(0,min(COD7TM,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM))) * (1-V_CNR);
BCIFORETVR = max(0,min(COD7VR,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM))) * (1-V_CNR);
BCIFORETTQ = max(0,min(COD7TQ,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR))) * (1-V_CNR);
BCIFORETVQ = max(0,min(COD7VQ,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ))) * (1-V_CNR);
BCIFORETTP = max(0,min(COD7TP,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ))) * (1-V_CNR);

BCIFORETVL= max(0,min(COD7VL,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP))) * (1-V_CNR);

BCIFORETTS= max(0,min(COD7TS,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
								-BCIFORETVL))) * (1-V_CNR);

BCIFORETVS= max(0,min(COD7VS,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
								-BCIFORETVL-BCIFORETTS))) * (1-V_CNR);

BCIFORETTR= max(0,min(COD7TR,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
								-BCIFORETVL-BCIFORETTS-BCIFORETVS))) * (1-V_CNR);

BCIFORETUA = max(0,min(COD7UA,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
								 -BCIFORETVL-BCIFORETTS-BCIFORETVS-BCIFORETTR))) * (1-V_CNR);

BCIFORETUB = max(0,min(COD7UB,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                 -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
								 -BCIFORETVL-BCIFORETTS-BCIFORETVS-BCIFORETTR-BCIFORETUA))) * (1-V_CNR);

BCIFORETUP = max(0,min(RDFORESTRA,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                               -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
							       -BCIFORETVL-BCIFORETTS-BCIFORETVS-BCIFORETTR-BCIFORETUA-BCIFORETUB)) * (1-V_CNR);

BCIFORETUT = max(0,min(SINISFORET,max(0,PLAF_FOREST1 * (1 + BOOL_0AM)-BCIFORETVP-BCIFORETTK-BCIFORETUX-BCIFORETTJ-BCIFORETVN-BCIFORETTO
                                                                     -BCIFORETVM-BCIFORETTM-BCIFORETVR-BCIFORETTQ-BCIFORETVQ-BCIFORETTP
								     -BCIFORETVL-BCIFORETTS-BCIFORETVS-BCIFORETTR-BCIFORETUA-BCIFORETUB-BCIFORETUP))) * (1-V_CNR);

BCIFORETUI = max(0,min(COD7UI,max(0,PLAF_FOREST2 * (1 + BOOL_0AM))))  * (1-V_CNR);

BCIFORETUQ = max(0,min(RDFORESTGES, PLAF_FOREST2 * (1 + BOOL_0AM)-BCIFORETUI)) * (1-V_CNR);

BCIFORET=BCIFORETVP+BCIFORETTK+BCIFORETUX+BCIFORETTJ+BCIFORETVN+BCIFORETTO+BCIFORETVM+BCIFORETTM+BCIFORETVR+
         BCIFORETTQ+BCIFORETVQ+BCIFORETTP+BCIFORETVL+BCIFORETTS+BCIFORETVS+BCIFORETTR+BCIFORETUA+BCIFORETUB+
	 BCIFORETUP+BCIFORETUT+BCIFORETUI+BCIFORETUQ;

CIFORET=arr((BCIFORETUX+BCIFORETTJ+BCIFORETVM+BCIFORETTM+BCIFORETVQ+BCIFORETTP+BCIFORETVS+BCIFORETTR+BCIFORETUP+BCIFORETUT+BCIFORETUQ)*TX18/100 
            +(BCIFORETVP+BCIFORETTK+BCIFORETVN+BCIFORETTO+BCIFORETVR+BCIFORETTQ+BCIFORETVL+BCIFORETTS+BCIFORETUA+BCIFORETUB+BCIFORETUI)*TX25/100);

regle 301360:
application : iliad ;



REPCIFAD= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR-PLAF_FOREST1*(1+BOOL_0AM))
          *
	  COD7UA
         +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR-PLAF_FOREST1*(1+BOOL_0AM))) 
          *
	  max(0,COD7UA-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL-COD7TS-COD7VS-COD7TR)))
	 *(1-V_CNR);
							   
REPCIFADSIN= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR+COD7UA-PLAF_FOREST1*(1+BOOL_0AM))
             *
	     COD7UB
            +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR+COD7UA-PLAF_FOREST1*(1+BOOL_0AM))) 
             *
	     max(0,COD7UB-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL-COD7TS-COD7VS-COD7TR-COD7UA)))
	    *(1-V_CNR);
							   
REPCIF= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7TO+COD7VM+COD7TM+COD7VN+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR+COD7UA+COD7UB-PLAF_FOREST1*(1+BOOL_0AM))
        *
        RDFORESTRA
       +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7TR+COD7VS+COD7UA+COD7UB-PLAF_FOREST1*(1+BOOL_0AM))) 
        *max(0,RDFORESTRA-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL-COD7TS-COD7VS-COD7TR-COD7UA-COD7UB)))
       *(1-V_CNR);
							   
REPCIFSIN= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7TO+COD7VM+COD7TM+COD7VN+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR+COD7UA+COD7UB+RDFORESTRA-PLAF_FOREST1*(1+BOOL_0AM))
           *
	   SINISFORET
          +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7TO+COD7VM+COD7TM+COD7VN+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS+COD7TR+COD7UA+COD7UB+RDFORESTRA-PLAF_FOREST1*(1+BOOL_0AM))) 
           *
	   max(0,SINISFORET-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL-COD7TS-COD7VS-COD7TR-COD7UA-COD7UB-RDFORESTRA)))
	  *(1-V_CNR);


REPCIFADHSN1= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP-PLAF_FOREST1*(1+BOOL_0AM))
              *
	      COD7VL
             +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP-PLAF_FOREST1*(1+BOOL_0AM)))
	      *
	      max(0,COD7VL-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP)))
	     *(1-V_CNR);

REPCIFADSSN1= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL-PLAF_FOREST1*(1+BOOL_0AM))
              *
	      COD7TS
	     +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL-PLAF_FOREST1*(1+BOOL_0AM)))
	      *
	      max(0,COD7TS-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL)))
	     *(1-V_CNR);

REPCIFHSN1= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS-PLAF_FOREST1*(1+BOOL_0AM))
            *
	    COD7VS
	   +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS-PLAF_FOREST1*(1+BOOL_0AM)))
            *
	    max(0,COD7VS-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL-COD7TS)))
	   *(1-V_CNR);

REPCIFSN1= (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS-PLAF_FOREST1*(1+BOOL_0AM))
           *
	   COD7TR
	  +(1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ+COD7TP+COD7VL+COD7TS+COD7VS-PLAF_FOREST1*(1+BOOL_0AM)))
	   *
	   max(0,COD7TR-(PLAF_FOREST1*(1+BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ-COD7TP-COD7VL-COD7TS-COD7VS)))
	  *(1-V_CNR);
			     

REPCIFADHSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7VR
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM- PLAF_FOREST1 * (1+ BOOL_0AM))) 
               * max(0,COD7VR - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM))) * (1-V_CNR);
							   
REPCIFADSSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TQ
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR- PLAF_FOREST1 * (1+ BOOL_0AM))) 
               * max(0,COD7TQ - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR))) * (1-V_CNR);
							   
REPCIFHSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7VQ
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ- PLAF_FOREST1 * (1+ BOOL_0AM))) 
               * max(0,COD7VQ - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ))) * (1-V_CNR);
							   
REPCIFSN2 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TP
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM+COD7TM+COD7VR+COD7TQ+COD7VQ- PLAF_FOREST1 * (1+ BOOL_0AM))) 
               * max(0,COD7TP - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM-COD7TM-COD7VR-COD7TQ-COD7VQ))) * (1-V_CNR);
							   

REPCIFADHSN3 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5 - PLAF_FOREST1 * (1+ BOOL_0AM)) *  COD7VN
         + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5- PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,COD7VN - (PLAF_FOREST1 * (1+ BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5))) * (1-V_CNR);

REPCIFADSSN3 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN - PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TO
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN - PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,COD7TO - (PLAF_FOREST1 * (1+ BOOL_0AM)-COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN))) * (1-V_CNR);

REPCIFHSN3 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO - PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7VM
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO- PLAF_FOREST1 * (1+ BOOL_0AM))) 
               * max(0,COD7VM - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO))) * (1-V_CNR);

REPCIFSN3 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN + COD7TO +COD7VM- PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TM
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3+REPSINFOR5+COD7VN+COD7TO+COD7VM- PLAF_FOREST1 * (1+ BOOL_0AM))) 
               * max(0,COD7TM - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3-REPSINFOR5-COD7VN-COD7TO-COD7VM))) * (1-V_CNR);


REPCIFADHSN4 = max(0,COD7VP - PLAF_FOREST1 * (1+ BOOL_0AM)) * (1-V_CNR);

REPCIFADSSN4 = (positif_ou_nul(COD7VP - PLAF_FOREST1 * (1+ BOOL_0AM)) * COD7TK
            + (1-positif_ou_nul(COD7VP - PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,COD7TK - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP))) * (1-V_CNR);

REPCIFHSN4 = (positif_ou_nul(COD7VP + COD7TK - PLAF_FOREST1 * (1+ BOOL_0AM)) * REPFOR3
            + (1-positif_ou_nul(COD7VP + COD7TK- PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,REPFOR3 - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK))) * (1-V_CNR);

REPCIFSN4 = (positif_ou_nul(COD7VP+COD7TK+REPFOR3 - PLAF_FOREST1 * (1+ BOOL_0AM)) * REPSINFOR5
            + (1-positif_ou_nul(COD7VP+COD7TK+REPFOR3- PLAF_FOREST1 * (1+ BOOL_0AM))) * max(0,REPSINFOR5 - (PLAF_FOREST1 * (1+ BOOL_0AM) - COD7VP-COD7TK-REPFOR3))) * (1-V_CNR);


regle 301365:
application : iliad ;

REP7UP = REPCIF + REPCIFHSN1 + REPCIFHSN2+REPCIFHSN3;
REP7UA = REPCIFAD + REPCIFADHSN1 + REPCIFADHSN2+REPCIFADHSN3;
REP7UT = REPCIFSIN + REPCIFSN1 + REPCIFSN2+REPCIFSN3;
REP7UB = REPCIFADSIN + REPCIFADSSN1 + REPCIFADSSN2+REPCIFADSSN3; 
regle 301370:
application : iliad ;

CICSG = min( CSGC , arr( IPPNCS * T_CSG/100 ));

CIRDS = min( RDSC , arr(( IPPNCS + min( REVCSXA , SALECS ) + min( REVCSXB , SALECSG+COD8SC )
                                 + min( REVCSXC , ALLECS ) + min( REVCSXD , INDECS+COD8SW  )
                                 + min( REVCSXE , PENECS + COD8SX ) + min( COD8XI , COD8SA )
                                 + min( COD8XJ , COD8SB) + min ( COD8XM , GLDGRATV+GLDGRATC )
                         ) * T_RDS/100 ));

CIPSOL = min( MPSOL , arr( IPPNCS * TXPSOL/100 ));

CICVN = min( CVNSALC , arr( min(BCVNSAL,COD8XL) * TX10/100 )) ;

CIGLOA = min( CGLOA , arr ( min(GLDGRATV+GLDGRATC,COD8XM) * T_CSG/100));


CIRSE1 = min( RSE1 , arr( min(SALECS,REVCSXA) * TXTQ/100 ));

RSE8TV = arr(BRSE8TV * TXTV/100) * (1 - positif(ANNUL2042));
RSE8SA = arr(BRSE8SA * TXTV/100) * (1 - positif(ANNUL2042));
CIRSE8TV = min( RSE8TV , arr( min(ALLECS,REVCSXC) * TXTV/100 )) ;
CIRSE8SA = min( RSE8SA , arr(min(COD8SA,COD8XI) * TXTV/100 )) ;
CIRSE2 = min(RSE2, arr(min(ALLECS,REVCSXC)* TXTV/100 + min(COD8SA,COD8XI) * TXTV/100));

CIRSE3 = min( RSE3 , arr( min(COD8SW+INDECS,REVCSXD * TXTW/100 )));

RSE8TX = arr(BRSE8TX * TXTX/100) * (1 - positif(ANNUL2042));
RSE8SB = arr(BRSE8SB * TXTX/100) * (1 - positif(ANNUL2042));
CIRSE8TX = min( RSE8TX , arr( REVCSXE * TXTX/100 )) ;
CIRSE8SB = min( RSE8SB , arr( COD8XJ * TXTX/100 ));
CIRSE4 =  min(RSE4, arr(min(PENECS+COD8SX,REVCSXE)* TXTX/100 + min(COD8XJ,COD8SB) * TXTX/100));

CIRSE5 = min( RSE5 , arr( min(SALECSG+COD8SC,REVCSXB) * TXTR/100 ));

CIRSE6 = min( RSE6 , arr(( min( REVCSXB , SALECSG+COD8SC ) +
                           min( REVCSXC , ALLECS ) +
                           min( COD8XI , COD8SA )
                         ) * TXCASA/100 ));

CIRSETOT = CIRSE1 + CIRSE2 + CIRSE3 + CIRSE4 + CIRSE5;

regle 301374:
application : iliad ;


CIPSBASE = arr(CIPSRF + CIPSRVTO + CIPSLNP1 + CIPSLNP2 + CIPSLNPP + CIPS5HY + CIPS5IY + CIPS5JY);
regle 301375:
application : iliad ;


ICIMR8SHCDV = positif(COD8SH)* positif(V_0AC + V_0AD + V_0AV);

ICIMR8SHSIMO = positif(COD8SH)*positif(COD8SI)*positif(V_0AM + V_0AO);

ICIMR8SHMO = positif(COD8SH) *(1-positif(COD8SI))* positif(V_0AM + V_0AO);

ICIMR8SIMO = positif(COD8SI) *(1-positif(COD8SH))* positif(V_0AM + V_0AO);


CIPSBA8SHMO = max(0,CIPSRVTO-COD8RV)+ max(0,CIPSRF+COD8XK+COD8YK-COD8RF)+ CIPSLNP2 + CIPSLNPP + CIPS5IY +CIPS5JY ;

CIPSBA8SHMOB = (CIPSRVTO-min(COD8RV,CIPSRVTO)) +max(0,CIPSRF+COD8XK+COD8YK-COD8RF) + CIPSLNP2 + CIPSLNPP + CIPS5IY + CIPS5JY ; 

CIPSBA8SIMOB = max(0,CIPSRVTO-COD8RV) + max(0,CIPSRF+COD8XK+COD8YK-COD8RF) + CIPSLNP1 + CIPSLNPP + CIPS5HY + CIPS5JY ;


CIMRCSG = positif(ICIMR8SHCDV + ICIMR8SHSIMO)*(0)
         + positif(ICIMR8SHMO) * (min(max(0 , CSGC - CICSG) , arr(CIPSBA8SHMO * T_CSG/100))) 
         + positif(ICIMR8SIMO) * (min(max(0 , CSGC - CICSG) , arr(CIPSBA8SIMOB * T_CSG/100))) 
         +(1-positif(COD8SH+COD8SI))*(min(max(0 , CSGC - CICSG) , arr((CIPSBASE+COD8XK+COD8YK) * T_CSG/100))) ;

CIMRCRDS = positif(ICIMR8SHCDV + ICIMR8SHSIMO)*(0)
         + positif(ICIMR8SHMO) *(min(max(0 , RDSC - CIRDS) , arr(CIPSBA8SHMO * T_RDS/100)))
	 + positif(ICIMR8SIMO) * (min(max(0 , RDSC - CIRDS) , arr(CIPSBA8SIMOB * T_RDS/100)))
         + (1-positif(COD8SH+COD8SI))*(min(max(0 , RDSC - CIRDS) , arr((CIPSBASE+COD8XK+COD8YK) * T_RDS/100))) ;

CIMRPSOL = positif(ICIMR8SHCDV + ICIMR8SHSIMO)*(0) 
         + positif(ICIMR8SHMO)*(min(max(0 , MPSOL - CIPSOL) , arr(CIPSBA8SHMOB * TXPSOL/100)))
	 + positif(ICIMR8SIMO) * (min(max(0 , MPSOL - CIPSOL) , arr(CIPSBA8SIMOB * TXPSOL/100)))
         + (1-positif(COD8SH+COD8SI))*(min(max(0 , MPSOL - CIPSOL) , arr((CIPSBASE+COD8XK+COD8YK) * TXPSOL/100))) ;
	 
regle 301380:
application : iliad ;

CRESINTER = PRESINTER ;

regle 301390:
application : iliad ;

REST = positif(IRE) * positif(IRESTITIR) ;

CIMRREST = positif(REST) * max(0 , min(CIMR , IRESTITIR)) ;

CIMRIMP = positif_ou_nul(CIMRREST) * (CIMR - CIMRREST) ;

LIBREST = positif(REST) * max(0 , min(AUTOVERSLIB , IRESTITIR-CIMR)) ;

LIBIMP = positif_ou_nul(LIBREST) * (AUTOVERSLIB - LIBREST) ;

TAUREST = positif(REST) * max(0 , min(CRERESTAU , IRESTITIR-CIMR-AUTOVERSLIB)) ;

TAUIMP = positif_ou_nul(TAUREST) * (CRERESTAU - TAUREST) ;

AGRREST = positif(REST) * max(0 , min(CICONGAGRI , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU)) ;

AGRIMP = positif_ou_nul(AGRREST) * (CICONGAGRI - AGRREST) ;

ARTREST = positif(REST) * max(0 , min(CREARTS , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI)) ;

ARTIMP = positif_ou_nul(ARTREST) * (CREARTS - ARTREST) ;

FORREST = positif(REST) * max(0 , min(CREFORMCHENT , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS)) ;

FORIMP = positif_ou_nul(FORREST) * (CREFORMCHENT - FORREST) ;

PSIREST = positif(REST) * max(0 , min(CRESINTER , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT)) ; 

PSIIMP = positif_ou_nul(PSIREST) * (CRESINTER - PSIREST) ;

BIOREST = positif(REST) * max(0 , min(CREAGRIBIO , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER)) ;

BIOIMP = positif_ou_nul(BIOREST) * (CREAGRIBIO - BIOREST) ;

APPREST = positif(REST) * max(0 , min(CREAPP , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                        -CREAGRIBIO)) ;

APPIMP = positif_ou_nul(APPREST) * (CREAPP - APPREST) ;

FAMREST = positif(REST) * max(0 , min(CREFAM , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                        -CREAGRIBIO-CREAPP)) ;

FAMIMP = positif_ou_nul(FAMREST) * (CREFAM - FAMREST) ;

HABREST = positif(REST) * max(0 , min(CIHABPRIN , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                           -CREAGRIBIO-CREAPP-CREFAM)) ;

HABIMP = positif_ou_nul(HABREST) * (CIHABPRIN - HABREST) ;

ROFREST = positif(REST) * max(0 , min(CIFORET , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                         -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN)) ;

ROFIMP = positif_ou_nul(ROFREST) * (CIFORET - ROFREST) ;

SALREST = positif(REST) * max(0 , min(CIADCRE , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                         -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET)) ;

SALIMP = positif_ou_nul(SALREST) * (CIADCRE - SALREST) ;

PREREST = positif(REST) * max(0 , min(CIPRETUD , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                          -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE)) ;

PREIMP = positif_ou_nul(PREREST) * (CIPRETUD - PREREST) ;

SYNREST = positif(REST) * max(0 , min(CISYND , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                        -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD)) ;

SYNIMP = positif_ou_nul(SYNREST) * (CISYND - SYNREST) ;

GARREST = positif(REST) * max(0 , min(CIGARD , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                        -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND)) ;

GARIMP = positif_ou_nul(GARREST) * (CIGARD - GARREST) ;

BAIREST = positif(REST) * max(0 , min(CICA , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                      -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND-CIGARD)) ;
 
BAIIMP = positif_ou_nul(BAIREST) * (CICA - BAIREST) ;

TECREST = positif(REST) * max(0 , min(CITEC , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                       -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
						       -CIGARD-CICA)) ;

TECIMP = positif_ou_nul(TECREST) * (CITEC - TECREST) ;

DEPREST = positif(REST) * max(0 , min(CIDEVDUR , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                          -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
							  -CIGARD-CICA-CITEC)) ;

DEPIMP = positif_ou_nul(DEPREST) * (CIDEVDUR - DEPREST) ;

AIDREST = positif(REST) * max(0 , min(CIGE , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                      -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
						      -CIGARD-CICA-CITEC-CIDEVDUR)) ;

AIDIMP = positif_ou_nul(AIDREST) * (CIGE - AIDREST) ;

HJAREST = positif(REST) * max(0 , min(CIHJA , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                       -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
						       -CIGARD-CICA-CITEC-CIDEVDUR-CIGE)) ;

HJAIMP = positif_ou_nul(HJAREST) * (CIHJA - HJAREST) ;

ASSREST = positif(REST) * max(0 , min(I2DH , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                      -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
						      -CIGARD-CICA-CITEC-CIDEVDUR-CIGE-CIHJA)) ;

ASSIMP = positif_ou_nul(ASSREST) * (I2DH - ASSREST) ;

2CKREST = positif(REST) * max(0 , min(CI2CK , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                       -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
						       -CIGARD-CICA-CITEC-CIDEVDUR-CIGE-CIHJA-I2DH)) ;

2CKIMP = positif_ou_nul(2CKREST) * (CI2CK - 2CKREST) ;

EMPREST = positif(REST) * max(0 , min(COD8TL , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                        -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
							-CIGARD-CICA -CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK)) ;

EMPIMP = positif_ou_nul(EMPREST) * (COD8TL - EMPREST) ;


RECREST = positif(REST) * max(0 , min(IPRECH , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                        -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
							-CIGARD-CICA-CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK-COD8TL)) ;

RECIMP = positif_ou_nul(RECREST) * (IPRECH - RECREST) ;

CORREST = positif(REST) * max(0 , min(CICORSENOW , IRESTITIR-CIMR-AUTOVERSLIB-CRERESTAU-CICONGAGRI-CREARTS-CREFORMCHENT-CRESINTER
                                                            -CREAGRIBIO-CREAPP-CREFAM-CIHABPRIN-CIFORET-CIADCRE-CIPRETUD-CISYND
							    -CIGARD-CICA-CITEC-CIDEVDUR-CIGE-CIHJA-I2DH-CI2CK-COD8TL-IPRECH)) ;

CORIMP = positif_ou_nul(CORREST) * (CICORSENOW - CORREST) ;


regle 301400:
application : iliad ,bareme;

RFRMENAGE = REVKIRE + COD3SA + (COD3WM+ABPVNOSURSIS) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));
RFRMENAGE3WG = REVKIRE + COD3SA + PVREPORT + (COD3WM+ABPVNOSURSIS) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));

PMENAGEMIN = max( (  (PLAF_MENAGE_MIN) * (1 + BOOL_0AM)
                 + (PLAF_MENAGE_QAR * (NBQAR * 4)
                 + PLAF_MENAGE_PAC * (((NSM -1) * (1-BOOL_0AM) + NPA+NIN+NSP) * 2)) * (1-present(V_9VV))
		 + (PLAF_MENAGE_PAC * (V_9VV - (1+BOOL_0AM))*2) * present(V_9VV)
                ), 0 );
PMENAGE = max( (   PLAF_MENAGE * (1 + BOOL_0AM)
                 + (PLAF_MENAGE_QAR * (NBQAR * 4)
                 + PLAF_MENAGE_PAC * (((NSM -1) * (1-BOOL_0AM) + NPA+NIN+NSP) * 2)) * (1-present(V_9VV))
		 + (PLAF_MENAGE_PAC * (V_9VV - (1+BOOL_0AM))*2) * present(V_9VV)
                ), 0 );

INDMENAGEMIN = positif_ou_nul(PMENAGEMIN - RFRMENAGE);
INDMENAGEMIN3WG = positif_ou_nul(PMENAGEMIN - RFRMENAGE3WG);

INDMENAGESUP = positif_ou_nul(PMENAGE - RFRMENAGE) * positif(RFRMENAGE - PMENAGEMIN+1);
INDMENAGESUP3WG = positif_ou_nul(PMENAGE - RFRMENAGE3WG) * positif(RFRMENAGE3WG - PMENAGEMIN+1);

INDMENAGE = positif_ou_nul(PMENAGE - RFRMENAGE)* (1-V_CNR) * (1 - positif(present(REVFONC)+present(IND_TDR)));

RMENAGE = INDMENAGE * ( INDMENAGEMIN * (1-positif(INDMENAGESUP)) * arr(( IDOM11 - DEC11)*TX20/100)
                      + positif(INDMENAGESUP) * arr(( IDOM11 - DEC11)*TX20/100 * ((PMENAGE - RFRMENAGE)/(LIMRMENAGE*(1+BOOL_0AM)))))
		    * (1 - FLAG_BAREM)  ;
INDMENAGE3WG = positif_ou_nul(PMENAGE - RFRMENAGE3WG)* (1-V_CNR) * (1 - positif(present(REVFONC)+present(IND_TDR)));
RMENAGE3WG = INDMENAGE3WG * ( INDMENAGEMIN3WG * (1-positif(INDMENAGESUP3WG)) * arr(( IDOM13 - DEC13)*TX20/100)
                      + positif(INDMENAGESUP3WG) * arr(( IDOM13 - DEC13)*TX20/100 * ((PMENAGE - RFRMENAGE3WG)/(LIMRMENAGE*(1+BOOL_0AM)))));

regle 201900:
application : iliad ;

TSN1AX = arr(COD1AX * (TSN1AJ + TSN1AA + TSN1GF + TSN1GB + TSN1AP + TSN1AG) / (TSHALLOV + COD1AA + COD1GF + COD1GB + ALLOV + COD1AG))
         * positif(TSHALLOV + COD1AA + COD1GF + COD1GB + ALLOV + COD1AG) ;
MAXSOC11 = max(max(COD1AY + 0 , COD1UA + 0) , COD1UB + 0) ;
MAXSOC12 = max(max(COD1GY + 0 , COD1UC + 0) , COD1UD + 0) ;

SALCIMRV = max(0 , TSN1AJ + TSN1AA + TSN1GF + TSN1GB + TSN1AP + TSN1AG - TSN1AX) ;
CIMRSAL1 = SALCIMRV * (1 - positif(CODCIA + 0)) + CODCIA * positif(CODCIA + 0) 
           + (1 - positif(COD1AV + CODCAA)) * positif(COD1AN - MAXSOC11) * (MAXSOC11 - COD1AN)
           + (1 - positif(COD1GV + CODCBA)) * positif(COD1GN - MAXSOC12) * (MAXSOC12 - COD1GN)
           + (1 - positif(COD1KV + CODCCA)) * positif(COD1KN - max(max(COD1KY + 0 , COD1UE + 0) , COD1UF + 0)) * (max(max(COD1KY + 0 , COD1UE + 0) , COD1UF + 0) - COD1KN)
           + (1 - positif(COD1LV + CODCDA)) * positif(COD1LN - max(max(COD1LY + 0 , COD1UG + 0) , COD1UH + 0)) * (max(max(COD1LY + 0 , COD1UG + 0) , COD1UH + 0) - COD1LN)
           + (1 - positif(COD1MV + CODCEA)) * positif(COD1MN - max(max(COD1MY + 0 , COD1UI + 0) , COD1UJ + 0)) * (max(max(COD1MY + 0 , COD1UI + 0) , COD1UJ + 0) - COD1MN)
           + (1 - positif(COD1PV + CODCFA)) * positif(COD1PN - max(max(COD1PY + 0 , COD1UK + 0) , COD1UL + 0)) * (max(max(COD1PY + 0 , COD1UK + 0) , COD1UL + 0) - COD1PN) ;

CIMRSAL11 = (SALCIMRV * (1 - positif(CODCIA + 0)) + CODCIA * positif(CODCIA + 0)) * (1 - positif((1 - positif(COD1AV + CODCAA)) * positif(COD1AN - MAXSOC11) + (1 - positif(COD1GV + CODCBA)) * positif(COD1GN - MAXSOC12))) ;
CIMRSAL12 = (SALCIMRV * (1 - positif(CODCIA + 0)) + CODCIA * positif(CODCIA + 0)) * positif((1 - positif(COD1AV + CODCAA)) * positif(COD1AN - MAXSOC11) + (1 - positif(COD1GV + CODCBA)) * positif(COD1GN - MAXSOC12))
            + (1 - positif(COD1AV + CODCAA)) * positif(COD1AN - MAXSOC11) * (MAXSOC11 - COD1AN)
	    + (1 - positif(COD1GV + CODCBA)) * positif(COD1GN - MAXSOC12) * (MAXSOC12 - COD1GN) ;

TSN1BX = arr(COD1BX * (TSN1BJ + TSN1BA + TSN1HF + TSN1HB + TSN1BP + TSN1BG) / (TSHALLOC + COD1BA + COD1HF + COD1HB + ALLOC + COD1BG))
         * positif(TSHALLOC + COD1BA + COD1HF + COD1HB + ALLOC + COD1BG) ;
MAXSOC21 = max(max(COD1BY + 0 , COD1VA + 0) , COD1VB + 0) ;
MAXSOC22 = max(max(COD1HY + 0 , COD1VC + 0) , COD1VD + 0) ;

SALCIMRC = max(0 , TSN1BJ + TSN1BA + TSN1HF + TSN1HB + TSN1BP + TSN1BG - TSN1BX) ;
CIMRSAL2 = SALCIMRC * (1 - positif(CODCIB + 0)) + CODCIB * positif(CODCIB + 0) 
           + (1 - positif(COD1BV + CODCAB)) * positif(COD1BN - MAXSOC21) * (MAXSOC21 - COD1BN)
           + (1 - positif(COD1HV + CODCBB)) * positif(COD1HN - MAXSOC22) * (MAXSOC22 - COD1HN)
           + (1 - positif(COD1QV + CODCCB)) * positif(COD1QN - max(max(COD1QY + 0 , COD1VE + 0) , COD1VF + 0)) * (max(max(COD1QY + 0 , COD1VE + 0) , COD1VF + 0) - COD1QN)
           + (1 - positif(COD1RV + CODCDB)) * positif(COD1RN - max(max(COD1RY + 0 , COD1VG + 0) , COD1VH + 0)) * (max(max(COD1RY + 0 , COD1VG + 0) , COD1VH + 0) - COD1RN)
           + (1 - positif(COD1SV + CODCEB)) * positif(COD1SN - max(max(COD1SY + 0 , COD1VI + 0) , COD1VJ + 0)) * (max(max(COD1SY + 0 , COD1VI + 0) , COD1VJ + 0) - COD1SN)
           + (1 - positif(COD1TV + CODCFB)) * positif(COD1TN - max(max(COD1TY + 0 , COD1VK + 0) , COD1VL + 0)) * (max(max(COD1TY + 0 , COD1VK + 0) , COD1VL + 0) - COD1TN) ;

CIMRSAL21 = (SALCIMRC * (1 - positif(CODCIB + 0)) + CODCIB * positif(CODCIB + 0)) * (1 - positif((1 - positif(COD1BV + CODCAB)) * positif(COD1BN - MAXSOC21) + (1 - positif(COD1HV + CODCBB)) * positif(COD1HN - MAXSOC22))) ;
CIMRSAL22 = (SALCIMRC * (1 - positif(CODCIB + 0)) + CODCIB * positif(CODCIB + 0)) * positif((1 - positif(COD1BV + CODCAB)) * positif(COD1BN - MAXSOC21) + (1 - positif(COD1HV + CODCBB)) * positif(COD1HN - MAXSOC22))
            + (1 - positif(COD1BV + CODCAB)) * positif(COD1BN - MAXSOC21) * (MAXSOC21 - COD1BN)
	    + (1 - positif(COD1HV + CODCBB)) * positif(COD1HN - MAXSOC22) * (MAXSOC22 - COD1HN) ;

TSN1CX = arr(COD1CX * (TSN1CJ + TSN1CA + TSN1IF + TSN1IB + TSN1CP + TSN1CG) / (TSHALLO1 + COD1CA + COD1IF + COD1IB + ALLO1 + COD1CG))
         * positif(TSHALLO1 + COD1CA + COD1IF + COD1IB + ALLO1 + COD1CG) ;
MAXSOC31 = max(max(COD1CY + 0 , COD1WA + 0) , COD1WB + 0) ;
MAXSOC32 = max(max(COD1IY + 0 , COD1WC + 0) , COD1WD + 0) ;

SALCIMRP = max(0 , TSN1CJ + TSN1CA + TSN1IF + TSN1IB + TSN1CP + TSN1CG - TSN1CX) ;
CIMRSALP1 = SALCIMRP * (1 - positif(CODCID + 0)) + CODCID * positif(CODCID + 0) 
            + (1 - positif(COD1CV + CODCAC)) * positif(COD1CN - MAXSOC31) * (MAXSOC31 - COD1CN)
            + (1 - positif(COD1IV + CODCBC)) * positif(COD1IN - MAXSOC32) * (MAXSOC32 - COD1IN) ;

CIMRSAL31 = (SALCIMRP * (1 - positif(CODCID + 0)) + CODCID * positif(CODCID + 0)) * (1 - positif((1 - positif(COD1CV + CODCAC)) * positif(COD1CN - MAXSOC31) + (1 - positif(COD1IV + CODCBC)) * positif(COD1IN - MAXSOC32))) ;
CIMRSAL32 = (SALCIMRP * (1 - positif(CODCID + 0)) + CODCID * positif(CODCID + 0)) * positif((1 - positif(COD1CV + CODCAC)) * positif(COD1CN - MAXSOC31) + (1 - positif(COD1IV + CODCBC)) * positif(COD1IN - MAXSOC32))
            + (1 - positif(COD1CV + CODCAC)) * positif(COD1CN - MAXSOC31) * (MAXSOC31 - COD1CN)
            + (1 - positif(COD1IV + CODCBC)) * positif(COD1IN - MAXSOC32) * (MAXSOC32 - COD1IN) ;

TSN1DX = arr(COD1DX * (TSN1DJ + TSN1DA + TSN1JF + TSN1JB + TSN1DP + TSN1DG) / (TSHALLO2 + COD1DA + COD1JF + COD1JB + ALLO2 + COD1DG))
         * positif(TSHALLO2 + COD1DA + COD1JF + COD1JB + ALLO2 + COD1DG) ;

CIMRSALP2 = max(0 , TSN1DJ + TSN1DA + TSN1JF + TSN1JB + TSN1DP + TSN1DG - TSN1DX) * (1 - positif(CODCIE + 0))
	    + CODCIE * positif(CODCIE + 0) 
            + (1 - positif(COD1FV + CODCAD)) * positif(COD1FN - max(max(COD1FY + 0 , COD1XA + 0) , COD1XB + 0)) * (max(max(COD1FY + 0 , COD1XA + 0) , COD1XB + 0) - COD1FN)
            + (1 - positif(COD1JV + CODCBD)) * positif(COD1JN - max(max(COD1JY + 0 , COD1XC + 0) , COD1XD + 0)) * (max(max(COD1JY + 0 , COD1XC + 0) , COD1XD + 0) - COD1JN) ;

TSN1EX = arr(COD1EX * (TSN1EJ + TSN1EA + TSN1KF + TSN1EP + TSN1EG) / (TSHALLO3 + COD1EA + COD1KF + ALLO3 + COD1EG))
         * positif(TSHALLO3 + COD1EA + COD1KF + ALLO3 + COD1EG) ;

CIMRSALP3 = max(0 , TSN1EJ + TSN1EA + TSN1KF + TSN1EP + TSN1EG - TSN1EX) * (1 - positif(CODCIF + 0))
            + CODCIF * positif(CODCIF + 0) ;

TSN1FX = arr(COD1FX * (TSN1FJ + TSN1FA + TSN1LF + TSN1FP + TSN1FG) / (TSHALLO4 + COD1FA + COD1LF + ALLO4 + COD1FG))
         * positif(TSHALLO4 + COD1FA + COD1LF + ALLO4 + COD1FG) ;

CIMRSALP4 = max(0 , TSN1FJ + TSN1FA + TSN1LF + TSN1FP + TSN1FG - TSN1FX) * (1 - positif(CODCIG + 0))
            + CODCIG * positif(CODCIG + 0) ;

PRN1AD = arr(COD1AD * (PRN1AS + PRN1AZ + PRN1AO + PRN1AM) / (PRBRV + PENINV + PALIV + COD1AM)) * positif(PRBRV + PENINV + PALIV + COD1AM) ;

CIMRPEN1 = max(0 , PRN1AS + PRN1AZ + PRN1AO + PRN1AM - PRN1AD) ;

PRN1BD = arr(COD1BD * (PRN1BS + PRN1BZ + PRN1BO + PRN1BM) / (PRBRC + PENINC + PALIC + COD1BM)) * positif(PRBRC + PENINC + PALIC + COD1BM) ;

CIMRPEN2 = max(0 , PRN1BS + PRN1BZ + PRN1BO + PRN1BM - PRN1BD) ;

PRN1CD = arr(COD1CD * (PRN1CS + PRN1CZ + PRN1CO + PRN1CM) / (PRBR1 + PENIN1 + PALI1 + COD1CM)) * positif(PRBR1 + PENIN1 + PALI1 + COD1CM) ;

CIMRPENP1 = max(0 , PRN1CS + PRN1CZ + PRN1CO + PRN1CM - PRN1CD) ;

PRN1DD = arr(COD1DD * (PRN1DS + PRN1DZ + PRN1DO + PRN1DM) / (PRBR2 + PENIN2 + PALI2 + COD1DM)) * positif(PRBR2 + PENIN2 + PALI2 + COD1DM) ;

CIMRPENP2 = max(0 , PRN1DS + PRN1DZ + PRN1DO + PRN1DM - PRN1DD) ;

PRN1ED = arr(COD1ED * (PRN1ES + PRN1EZ + PRN1EO + PRN1EM) / (PRBR3 + PENIN3 + PALI3 + COD1EM)) * positif(PRBR3 + PENIN3 + PALI3 + COD1EM) ;

CIMRPENP3 = max(0 , PRN1ES + PRN1EZ + PRN1EO + PRN1EM - PRN1ED) ;

PRN1FD = arr(COD1FD * (PRN1FS + PRN1FZ + PRN1FO + PRN1FM) / (PRBR4 + PENIN4 + PALI4 + COD1FM)) * positif(PRBR4 + PENIN4 + PALI4 + COD1FM) ;

CIMRPENP4 = max(0 , PRN1FS + PRN1FZ + PRN1FO + PRN1FM - PRN1FD) ;

CIMRRVTO = RV1 + RV2 + RV3 + RV4 - (COD1AU * RV1 / RVB1 * positif(RVB1))
                                 - (COD1BU * RV2 / RVB2 * positif(RVB2))
	                         - (COD1CU * RV3 / RVB3 * positif(RVB3))
	                         - (COD1DU * RV4 / RVB4 * positif(RVB4)) ;

CIMRRF = arr(max(0 , (R34BA - R4BL + R3RBA - RRBT + R3SBA - COD4XC) * (1 + present(COD4XA) * present(COD4XB) * (min(1 , COD4XA/COD4XB) - 1)))
              * (1 - null(COD4XA) * present(COD4XA)) * (1 - null(COD4XB) * present(COD4XB))
              * (1 - positif(present(FONCI) + present(REAMOR)) * (1 - positif(present(RFORDI) + present(RFMIC))))
             + max(0 , PASRFASS * (RFMIC - COD4BK - COD4XD)/(RFMIC - COD4BK))) ;

BENBA1 = max(max(COD5TD + 0 , COD5TK + 0) , COD5TL + 0) ;
BACIMRV = max(0 , BAMICV + BAFORESTV + PASBACV + PASBAHV - arr(DEFANTBAV * ((IBAMICV + BAFORESTV + R15HC + R2MAJ5HI) / BAHQNODEFV))) + BATMARGV ;
BENBAV = BACIMRV + COD5XA + BAEXV + BAHEXV + BAPERPV + BANOCGAV ;

CONDBA1 = null(COD5AX + COD5AC + 0) * null(CODBAA + 0) * positif(BENBAV - BENBA1) ;

CIMRBA1 = positif(COD5AX + 0) * positif(COD5UD - BENBA1) * arr(BENBA1 * ((COD5UD - COD5VD)/COD5UD) + COD5WD)
          + (1 - positif(COD5AX + 0) * positif(COD5UD - BENBA1)) * (BACIMRV * (((BENBA1 / BENBAV) * CONDBA1) + 1 - CONDBA1)) ;

CIMRBA11 = (1 - positif(COD5AX + 0)) * BACIMRV * (1 - CONDBA1) ;
CIMRBA12 = (1 - positif(COD5AX + 0)) * BACIMRV * (BENBA1 / BENBAV) * CONDBA1 ;

BENBA2 = max(max(COD5TG + 0 , COD5TM + 0) , COD5TN + 0) ;
BACIMRC = max(0 , BAMICC + BAFORESTC + PASBACC + PASBAHC - arr(DEFANTBAC * ((IBAMICC + BAFORESTC + R15IC + R2MAJ5II) / BAHQNODEFC))) + BATMARGC ;
BENBAC = BACIMRC + COD5YA + BAEXC + BAHEXC + BAPERPC + BANOCGAC ;

CONDBA2 = null(COD5BX + COD5BC + 0) * null(CODBAB + 0) * positif(BENBAC - BENBA2) ;

CIMRBA2 = positif(COD5BX + 0) * positif(COD5UG - BENBA2) * arr(BENBA2 * ((COD5UG - COD5VG)/COD5UG) + COD5WG)
          + (1 - positif(COD5BX + 0) * positif(COD5UG - BENBA2)) * (BACIMRC * (((BENBA2 / BENBAC) * CONDBA2) + 1 - CONDBA2)) ;

CIMRBA21 = (1 - positif(COD5BX + 0)) * BACIMRC * (1 - CONDBA2) ;
CIMRBA22 = (1 - positif(COD5BX + 0)) * BACIMRC * (BENBA2 / BENBAC) * CONDBA2 ;

BENBA3 = max(max(COD5TO + 0 , COD5UM + 0) , COD5UN + 0) ;
BACIMRP = max(0 , BAMICP + BAFORESTP + PASBACP + PASBAHP - arr(DEFANTBAP * ((IBAMICP + BAFORESTP + R15JC + R2MAJ5JI) / BAHQNODEFP))) ;
BENBAP = BACIMRP + COD5ZA + BAEXP + BAHEXP + BAPERPP + BANOCGAP ;

CONDBAP = null(COD5CX + COD5CC + 0) * null(CODBAC + 0) * positif(BENBAP - BENBA3) ;

CIMRBA3 = positif(COD5CX + 0) * positif(COD5UO - BENBA3) * arr(BENBA3 * ((COD5UO - COD5VO)/COD5UO) + COD5WO)
          + (1 - positif(COD5CX + 0) * positif(COD5UO - BENBA3)) * (BACIMRP * (((BENBA3 / BENBAP) * CONDBAP) + 1 - CONDBAP)) ;

CIMRBA31 = (1 - positif(COD5CX + 0)) * BACIMRP * (1 - CONDBAP) ;
CIMRBA32 = (1 - positif(COD5CX + 0)) * BACIMRP * (BENBA3 / BENBAP) * CONDBAP ;

BENBIC1 = max(max(COD5TJ + 0 , COD5UV + 0) , COD5UW + 0) ;
BICIMRV = max(0 , MIB_NETVV + MIB_NETPV + PASBICPCV + PASBICPNCV
                  + max(0 , MIB_NETNPVV + MIB_NETNPPV + PASBICNPCV + PASBICNPNCV
                            - arr(DEFANTBICNPV * (R15NC + R2MAJ5NI + MIB_NETNPVV + MIB_NETNPPV + MIBNPPVV - MIBNPDCT) / BICNPONCV))
                  + max(0 , RLOCFNPIV + SNPLOCPASV + RNPLOCPASV
                            - arr(DEFANTLOCV * (RLOCFNPIV + SNPLOCPASV + RNPLOCPASV) / RNPILOCV))) * (1 - positif(COD5DR)) ;
BENBICV = BICIMRV + MIBEXV + BICEXV + BIHEXV + MIBNPEXV + BICNPEXV + BICNPHEXV ;

CONDBIC1 = null(COD5HN + COD5HO + 0) * null(CODBIA + 0) * positif(BENBICV - BENBIC1) ;

CIMRBIC1 = positif(COD5HO + 0) * positif(COD5UJ - BENBIC1) * arr(BENBIC1 * ((COD5UJ - COD5VJ)/COD5UJ) + COD5WJ)
           + (1 - positif(COD5HO + 0) * positif(COD5UJ - BENBIC1)) * (BICIMRV * (((BENBIC1 / BENBICV) * CONDBIC1) + 1 - CONDBIC1)) ;

CIMRBIC11 = (1 - positif(COD5HO + 0)) * BICIMRV * (1 - CONDBIC1) ;
CIMRBIC12 = (1 - positif(COD5HO + 0)) * BICIMRV * (BENBIC1 / BENBICV) * CONDBIC1 ;

BENBIC2 = max(max(COD5TV + 0 , COD5SQ + 0) , COD5SR + 0) ;
BICIMRC = max(0 , MIB_NETVC + MIB_NETPC + PASBICPCC + PASBICPNCC
                  + max(0 , MIB_NETNPVC + MIB_NETNPPC + PASBICNPCC + PASBICNPNCC
                            - arr(DEFANTBICNPC * (R15OC + R2MAJ5OI + MIB_NETNPVC + MIB_NETNPPC + MIBNPPVC - COD5RZ) / BICNPONCC))
                  + max(0 , RLOCFNPIC + SNPLOCPASC + RNPLOCPASC
                            - arr(DEFANTLOCC * (RLOCFNPIC + SNPLOCPASC + RNPLOCPASC) / RNPILOCC))) * (1 - positif(COD5ER)) ;
BENBICC = BICIMRC + MIBEXC + BICEXC + BIHEXC + MIBNPEXC + BICNPEXC + BICNPHEXC ;

CONDBIC2 = null(COD5IN + COD5IO + 0) * null(CODBIB + 0) * positif(BENBICC - BENBIC2) ;

CIMRBIC2 = positif(COD5IO + 0) * positif(COD5UK - BENBIC2) * arr(BENBIC2 * ((COD5UK - COD5VK)/COD5UK) + COD5WV)
           + (1 - positif(COD5IO + 0) * positif(COD5UK - BENBIC2)) * (BICIMRC * (((BENBIC2 / BENBICC) * CONDBIC2) + 1 - CONDBIC2)) ;

CIMRBIC21 = (1 - positif(COD5IO + 0)) * BICIMRC * (1 - CONDBIC2) ;
CIMRBIC22 = (1 - positif(COD5IO + 0)) * BICIMRC * (BENBIC2 / BENBICC) * CONDBIC2 ;

BENBIC3 = max(max(COD5SM + 0 , COD5SS + 0) , COD5ST + 0) ;
BICIMRP = max(0 , MIB_NETVP + MIB_NETPP + PASBICPCP + PASBICPNCP
                  + max(0 , MIB_NETNPVP + MIB_NETNPPP + PASBICNPCP + PASBICNPNCP
                            - arr(DEFANTBICNPP * (R15PC + R2MAJ5PI + MIB_NETNPVP + MIB_NETNPPP + MIBNPPVP - COD5SZ) / BICNPONCP))
                  + max(0 , RLOCFNPIP + SNPLOCPASP + RNPLOCPASP
                            - arr(DEFANTLOCP * (RLOCFNPIP + SNPLOCPASP + RNPLOCPASP) / RNPILOCP))) * (1 - positif(COD5FR)) ;
BENBICP = BICIMRP + MIBEXP + BICEXP + BIHEXP + MIBNPEXP + BICNPEXP + BICNPHEXP ;

CONDBICP = null(COD5JN + COD5JO + 0) * null(CODBIC + 0) * positif(BENBICP - BENBIC3) ;

CIMRBIC3 = positif(COD5JO + 0) * positif(COD5UL - BENBIC3) * arr(BENBIC3 * ((COD5UL - COD5VL)/COD5UL) + COD5WP)
           + (1 - positif(COD5JO + 0) * positif(COD5UL - BENBIC3)) * (BICIMRP * (((BENBIC3 / BENBICP) * CONDBICP) + 1 - CONDBICP)) ;

CIMRBIC31 = (1 - positif(COD5JO + 0)) * BICIMRP * (1 - CONDBICP) ;
CIMRBIC32 = (1 - positif(COD5JO + 0)) * BICIMRP * (BENBIC3 / BENBICP) * CONDBICP ;

BENBNC1 = max(max(COD5QS + 0 , COD5QR + 0) , COD5QT + 0) ;
BNCIMRV = max(0 , SPENETPV + PASBNNAV + PASBNNSV
                  + max(0 , SPENETNPV + PASBNNAAV + PASNOCEPIMPV
                            - arr(DABNCNPV * (SPENETNPV + BNCNPPVV - BNCNPDCT + R15JG + R2MAJ5SN) / BNCNPHQNCV))) * (1 - positif(COD5AE)) ;
BENBNCV = BNCIMRV + BNCPROEXV + BNCEXV + BNHEXV + BNCCRV + XSPENPV + BNCNPREXAAV + BNCNPREXV + BNCCRFV ;

CONDBNC1 = null(COD5KG + COD5KS + 0) * null(CODBNA + 0) * positif(BENBNCV - BENBNC1) ;

CIMRBNC1 = positif(COD5KS + 0) * positif(COD5TT - BENBNC1) * arr(BENBNC1 * ((COD5TT - COD5RS)/COD5TT) + COD5WT)
           + (1 - positif(COD5KS + 0) * positif(COD5TT - BENBNC1)) * (BNCIMRV * (((BENBNC1 / BENBNCV) * CONDBNC1) + 1 - CONDBNC1)) ;

CIMRBNC11 = (1 - positif(COD5KS + 0)) * BNCIMRV * (1 - CONDBNC1) ;
CIMRBNC12 = (1 - positif(COD5KS + 0)) * BNCIMRV * (BENBNC1 / BENBNCV) * CONDBNC1 ;

BENBNC2 = max(max(COD5QU + 0 , COD5QV + 0) , COD5QW + 0) ;
BNCIMRC = max(0 , SPENETPC + PASBNNAC + PASBNNSC
                  + max(0 , SPENETNPC + PASBNNAAC + PASNOCEPIMPC
                            - arr(DABNCNPC * (SPENETNPC + BNCNPPVC - COD5LD + R15RF + R2MAJ5NS) / BNCNPHQNCC))) * (1 - positif(COD5BE)) ;
BENBNCC = BNCIMRC + BNCPROEXC + BNCEXC + BNHEXC + BNCCRC + XSPENPC + BNCNPREXAAC + BNCNPREXC + BNCCRFC ;

CONDBNC2 = null(COD5LG + COD5LS + 0) * null(CODBNB + 0) * positif(BENBNCC - BENBNC2) ;

CIMRBNC2 = positif(COD5LS + 0) * positif(COD5TU - BENBNC2) * arr(BENBNC2 * ((COD5TU - COD5RT)/COD5TU) + COD5WU)
           + (1 - positif(COD5LS + 0) * positif(COD5TU - BENBNC2)) * (BNCIMRC * (((BENBNC2 / BENBNCC) * CONDBNC2) + 1 - CONDBNC2)) ;

CIMRBNC21 = (1 - positif(COD5LS + 0)) * BNCIMRC * (1 - CONDBNC2) ;
CIMRBNC22 = (1 - positif(COD5LS + 0)) * BNCIMRC * (BENBNC2 / BENBNCC) * CONDBNC2 ;

BENBNC3 = max(max(COD5NV + 0 , COD5OV + 0) , COD5PV + 0) ;
BNCIMRP = max(0 , SPENETPP + PASBNNAP + PASBNNSP
                  + max(0 , SPENETNPP + PASBNNAAP + PASNOCEPIMPP
		            - arr(DABNCNPP * (SPENETNPP + BNCNPPVP - COD5MD + R15SF + R2MAJ5OS) / BNCNPHQNCP))) * (1 - positif(COD5CE)) ;
BENBNCP = BNCIMRP + BNCPROEXP + BNCEXP + BNHEXP + BNCCRP + XSPENPP + BNCNPREXAAP + BNCNPREXP + BNCCRFP ;

CONDBNCP = null(COD5MG + COD5MS + 0) * null(CODBNC + 0) * positif(BENBNCP - BENBNC3) ;

CIMRBNC3 = positif(COD5MS + 0) * positif(COD5TW - BENBNC3) * arr(BENBNC3 * ((COD5TW - COD5RU)/COD5TW) + COD5WW)
           + (1 - positif(COD5MS + 0) * positif(COD5TW - BENBNC3)) * (BNCIMRP * (((BENBNC3 / BENBNCP) * CONDBNCP) + 1 - CONDBNCP)) ;

CIMRBNC31 = (1 - positif(COD5MS + 0)) * BNCIMRP * (1 - CONDBNCP) ;
CIMRBNC32 = (1 - positif(COD5MS + 0)) * BNCIMRP * (BENBNC3 / BENBNCP) * CONDBNCP ;

regle 201905:
application : iliad ;

CIMRA = (IDOM11 - IDEC - RMENAGE + IBATMARG + (IREXITI * positif(COD2OP))) * ((1 - V_CNR) * positif_ou_nul(IDOM11 - IDEC - RMENAGE + IBATMARG + (IREXITI * positif(COD2OP)))
                                                                              + V_CNR * positif(IDOM11 - IDEC - RMENAGE + IBATMARG + (IREXITI * positif(COD2OP)))) ;

CIMRB = CIMRSAL1 + CIMRSAL2 + CIMRSALP1 + CIMRSALP2 + CIMRSALP3 + CIMRSALP4 + CIMRPEN1 + CIMRPEN2 + CIMRPENP1 + CIMRPENP2 + CIMRPENP3
        + CIMRPENP4 + CIMRRVTO + CIMRRF + CIMRBA1 + CIMRBA2 + CIMRBA3 + CIMRBIC1 + CIMRBIC2 + CIMRBIC3 + CIMRBNC1 + CIMRBNC2 + CIMRBNC3 ;

CIMRSOM1 = SALCIMRV + BACIMRV + BICIMRV + BNCIMRV ;
CIMRSOM2 = SALCIMRC + BACIMRC + BICIMRC + BNCIMRC ;
CIMRSOM3 = SALCIMRP + BACIMRP + BICIMRP + BNCIMRP ;

CIMRC = REVTOT + BATMARGV + BATMARGC + ((PVIMPOS + CODRWB) * positif(COD2OP)) ;

CIMRCRED = (COD8VM + COD8WM + COD8UM) * (1 - positif_ou_nul(COD8PA)) + min(COD8VM + COD8WM + COD8UM , COD8PA) * positif_ou_nul(COD8PA) ;

CIMR = max(0 , arr(CIMRA * min(1 , CIMRB/CIMRC)) - CIMRCRED) ;

regle 201910:
application : iliad ;

CIPSRF = arr(max(0 , (R34BA - R4BL + R3RBA - RRBT + R3SBA - COD4XC) * (1 + present(COD4XA) * present(COD4XB) * (min(1 , COD4XA/COD4XB) - 1)))
              * (1 - null(COD4XA) * present(COD4XA)) * (1 - null(COD4XB) * present(COD4XB))
              * (1 - positif(present(FONCI) + present(REAMOR)) * (1 - positif(present(RFORDI) + present(RFMIC))))
             + max(0 , PASRFASS * (RFMIC - COD4BK - COD4XD)/(RFMIC - COD4BK))) ;

CIPSRVTO = (RV1 + RV2 + RV3 + RV4 - (COD1AU * RV1 / RVB1 * positif(RVB1))
                                  - (COD1BU * RV2 / RVB2 * positif(RVB2))
                                  - (COD1CU * RV3 / RVB3 * positif(RVB3))
                                  - (COD1DU * RV4 / RVB4 * positif(RVB4))) * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;

LOCNPCIPS1 = max(0 , R35NA + R35NK + MIBNETNPVLSV + MIBNPLOCPSV - arr(DEFANTLOCSV * (R35NA + R35NK + MIBNETNPVLSV + MIBNPLOCPSV) / NPLOCNETTSV)) ;
MAXLNP1 = max(max(COD5QX + 0 , COD5RX + 0) , COD5SU + 0) ;

CIPSLNP11 = (1 - null(COD5DH + 0) * null(CODLMA + 0) * positif(LOCNPCIPS1 - MAXLNP1)) * LOCNPCIPS1 ;
CIPSLNP12 = null(COD5DH + 0) * null(CODLMA + 0) * positif(LOCNPCIPS1 - MAXLNP1) * MAXLNP1 ;

CIPSLNP1 = CIPSLNP11 + CIPSLNP12 ;

LOCNPCIPS2 = max(0 , R35OA + R35OK + MIBNETNPVLSC + MIBNPLOCPSC - arr(DEFANTLOCSC * (R35OA + R35OK + MIBNETNPVLSC + MIBNPLOCPSC) / NPLOCNETTSC)) ;
MAXLNP2 = max(max(COD5QY + 0 , COD5RY + 0) , COD5SY + 0) ;

CIPSLNP21 = (1 - null(COD5EH + 0) * null(CODLMB + 0) * positif(LOCNPCIPS2 - MAXLNP2)) * LOCNPCIPS2 ;
CIPSLNP22 = null(COD5EH + 0) * null(CODLMB + 0) * positif(LOCNPCIPS2 - MAXLNP2) * MAXLNP2 ;

CIPSLNP2 = CIPSLNP21 + CIPSLNP22 ;

LOCNPCIPS3 = max(0 , R35PA + R35PK + MIBNETNPVLSP + MIBNPLOCPSP - arr(DEFANTLOCSP * (R35PA + R35PK + MIBNETNPVLSP + MIBNPLOCPSP) / NPLOCNETTSP)) ;
MAXLNP3 = max(max(COD5QZ + 0 , COD5RV + 0) , COD5UX + 0) ;

CIPSLNP31 = (1 - null(COD5FH + 0) * null(CODLMC + 0) * positif(LOCNPCIPS3 - MAXLNP3)) * LOCNPCIPS3 ;
CIPSLNP32 = null(COD5FH + 0) * null(CODLMC + 0) * positif(LOCNPCIPS3 - MAXLNP3) * MAXLNP3 ;

CIPSLNPP = CIPSLNP31 + CIPSLNP32 ;

MAX5HY = max(max(COD5TX + 0 , COD5TQ + 0) , COD5UQ + 0) ;
MAX5HYWX = MAX5HY + COD5WX ;

CIPS5HY = (positif(COD5EX + 0) * positif(COD5KA - MAX5HY) * MAX5HYWX
           + null(COD5EW + COD5EX + 0) * null(CODPSA + 0) * positif(RCSV - MAX5HY) * MAX5HY
           + (1 - (positif(COD5EX + 0) * positif(COD5KA - MAX5HY) + null(COD5EW + COD5EX + 0) * null(CODPSA + 0) * positif(RCSV - MAX5HY))) * RCSV 
          ) * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;
CIPS5HY11 = (1 - (positif(COD5EX + 0) * positif(COD5KA - MAX5HY) + null(COD5EW + COD5EX + 0) * null(CODPSA + 0) * positif(RCSV - MAX5HY))) * RCSV * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;
CIPS5HY12 = null(COD5EW + COD5EX + 0) * null(CODPSA + 0) * positif(RCSV - MAX5HY) * MAX5HY * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;

MAX5IY = max(max(COD5TY + 0 , COD5YV + 0) , COD5ZV + 0) ;
MAX5IYWY = MAX5IY + COD5WY ;

CIPS5IY = (positif(COD5FX + 0) * positif(COD5LA - MAX5IY) * MAX5IYWY
           + null(COD5FW + COD5FX + 0) * null(CODPSB + 0) * positif(RCSC - MAX5IY) * MAX5IY
           + (1 - (positif(COD5FX + 0) * positif(COD5LA - MAX5IY) + null(COD5FW + COD5FX + 0) * null(CODPSB + 0) * positif(RCSC - MAX5IY))) * RCSC 
          ) * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;
CIPS5IY21 = (1 - (positif(COD5FX + 0) * positif(COD5LA - MAX5IY) + null(COD5FW + COD5FX + 0) * null(CODPSB + 0) * positif(RCSC - MAX5IY))) * RCSC * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;
CIPS5IY22 = null(COD5FW + COD5FX + 0) * null(CODPSB + 0) * positif(RCSC - MAX5IY) * MAX5IY * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;

MAX5JY = max(max(COD5TZ + 0 , COD5XG + 0) , COD5YG + 0) ;
MAX5JYWZ = MAX5JY + COD5WZ ;

CIPS5JY = (positif(COD5GX + 0) * positif(COD5MA - MAX5JY) * MAX5JYWZ
           + null(COD5GW + COD5GX + 0) * null(CODPSC + 0) * positif(RCSP - MAX5JY) * MAX5JY
           + (1 - (positif(COD5GX + 0) * positif(COD5MA - MAX5JY) + null(COD5GW + COD5GX + 0) * null(CODPSC + 0) * positif(RCSP - MAX5JY))) * RCSP 
          ) * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ; 
CIPS5JY31 = (1 - (positif(COD5GX + 0) * positif(COD5MA - MAX5JY) + null(COD5GW + COD5GX + 0) * null(CODPSC + 0) * positif(RCSP - MAX5JY))) * RCSP * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;
CIPS5JY32 = null(COD5GW + COD5GX + 0) * null(CODPSC + 0) * positif(RCSP - MAX5JY) * MAX5JY * (1 - positif(null(2 - V_REGCO) + null(2 - VALREGCO))) ;


regle 201920:
application : iliad ;


CIPS = CIMRCSG + CIMRCRDS + CIMRPSOL ;

TOTCIMRPS = CIMR + CIPS ;

IRHCIMRPS = IDRS4 + NAPCRP + CIPS ;


TOTPSC = IRHCIMRPS - TOTCIMRPS ;


ICIMRPS =   0 * (1 - positif(TOTCIMRPS))
          + 1 * ((positif(TOTCIMRPS) * positif((1-null(NATIMP)))) + positif(TOTCIMRPS)*null(NATIMP)*(1-null(TOTPSC)))
          + 2 * (positif(TOTCIMRPS) * null(NATIMP) * null(TOTPSC)) ;


IPREHC = positif(IRHCIMRPS - TOTCIMRPS) ;

regle 201930:
application : iliad ;

CIMRCOR = null(4-V_IND_TRAIT) * max(0 , arr(CIMRA * min(1 , CIMRB/CIMRC))
               - (COD8VM + COD8WM + COD8UM) * (1 - positif_ou_nul(COD8PA)) 
	       - min(COD8VM + COD8WM + COD8UM , COD8PA) * positif_ou_nul(COD8PA))
	     + null(5-V_IND_TRAIT) * (CIMR99 + CIMR07NTL + CIMR24NTL+ CIMR07TL + CIMR24TL)  ;

