#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2019]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2019 
#au titre des revenus perçus en 2018. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************

# =================================================================================
# Chapitre plaf : Plafonnement global de certains avantages fiscaux
# =================================================================================


regle 8200:
application : iliad  ;


LIMIT12 = 18000 + max(0, arr( max(0, RI1 + TONEQUO1) * (4/100))) 
		     * (1 - positif(VARRMOND))
	        + max(0, 
		      arr( max(0, 
				VARRMOND 
				 + TONEQUOM1
			      )* (4/100))
		      ) 
		      * positif(VARRMOND);



LIMIT11 = 18000 + max(0, arr( max(0, RI1 + TONEQUO1) * (6/100))) 
		     * (1 - positif(VARRMOND))
	        + max(0, 
		      arr( max(0, 
			        VARRMOND
				  + TONEQUOM1
			      ) * (6/100))
		      ) 
		      * positif(VARRMOND);



LIMIT10 = 20000 + max(0, arr( max(0, RI1 + TONEQUO1) * (8/100))) 
		     * (1 - positif(VARRMOND))
	        + max(0, 
		      arr( max(0,
				VARRMOND
				  + TONEQUOM1
			      ) * (8/100))
		     ) 
		     * positif(VARRMOND);



LIMIT9 = 25000 + max(0, arr( max(0, RI1 + TONEQUO1) * (10/100))) 
		    * (1 - positif(VARRMOND))
               + max(0, 
		     arr( max(0,
			       VARRMOND
				 + TONEQUOM1
			     ) * (10/100))
		    ) 
		    * positif(VARRMOND);
		     
regle 82021:
application : iliad  ;


IRBTEO = max(0,V_IAD11TEO - min(RRI1,RLOGDOMTEO)-min(RRISUP,RLOGSOCTEO+RCOLENTTEO) + ITP + PVMTS + REI + COD8EA + AUTOVERSSUP);
IANTEO = max( 0, (IRBTEO - V_INETEO
                 + min(TAXASSUR+0 , max(0,V_INETEO-IRBTEO))
                 + min(IPCAPTAXTOT+0 , max(0,V_INETEO-IRBTEO - min(TAXASSUR+0,max(0,V_INETEO-IRBTEO))))
                 + min(TAXLOY+0 ,max(0,V_INETEO-IRBTEO - min(IPCAPTAXTOT+0 , max(0,V_INETEO-IRBTEO - min(TAXASSUR+0,max(0,V_INETEO-IRBTEO))))
                                                                               - min(TAXASSUR+0 , max(0,V_INETEO-IRBTEO))))
              )
         )
       ;
NEGIANTEO =  -1 * (min(TAXASSUR+0 , max(0,V_INETEO-IRBTEO))
		 + min(IPCAPTAXTOT+0 , max(0,V_INETEO-IRBTEO - min(TAXASSUR+0,max(0,V_INETEO-IRBTEO))))
                 + min(TAXLOY+0 ,max(0,V_INETEO-IRBTEO - min(IPCAPTAXTOT+0 , max(0,V_INETEO-IRBTEO - min(TAXASSUR+0,max(0,V_INETEO-IRBTEO)))) - min(TAXASSUR+0 , max(0,V_INETEO-IRBTEO)))));
IARTEO = min( 0, IANTEO - V_IRETEO ) + max( 0, IANTEO - V_IRETEO ) + NEGIANTEO;
regle 820211:
application : iliad  ;
AVFISCO = (IARTEO - IARAF)* positif_ou_nul(V_INDTEO);

regle 82025:
application : iliad  ;
DIFFTEOREEL = AVFISCO * (1 - V_INDTEO)* positif_ou_nul(V_INDTEO);

regle 8202:
application : iliad  ;
AVFISCOPTER = (AVPLAF9 + AVPLAF10 + AVPLAF11 + AVPLAF12 + AVPLAF13) * positif_ou_nul(V_INDTEO);
regle 82463:
application : iliad  ;


A13RSOC = max(0 , RSOC49 + RSOC54 + RSOC45 + RSOC50 + RSOC39 + RSOC44 + RSOC35 + RSOC40 + RSOC29 + RSOC34 
                  + RSOC25 + RSOC30 + RSOC20 + RSOC24 + RSOC12 + RSOC16 + RSOCHYB + RSOCHYBR + RSOCHYA + RSOCHYAR
                  - arr((((INVRETXT + INVRETXTR) * (1 - INDPLAF) + (INVRETXTA + INVRETXTRA) * INDPLAF)
		       + ((INVRETXO + INVRETXOR) * (1 - INDPLAF) + (INVRETXOA + INVRETXORA) * INDPLAF)
		       + ((INVRETXI + INVRETXIR) * (1 - INDPLAF) + (INVRETXIA + INVRETXIRA) * INDPLAF)
		       + ((INVRETXE + INVRETXER) * (1 - INDPLAF) + (INVRETXEA + INVRETXERA) * INDPLAF)
		       + ((INVRETYA + INVRETYAR) * (1 - INDPLAF) + (INVRETYAA + INVRETYARA) * INDPLAF)
		       + ((INVRETRD + INVRETRDR) * (1 - INDPLAF) + (INVRETRDA + INVRETRDRA) * INDPLAF)) * TX65/100)
                  - arr((((INVRETXU + INVRETXUR) * (1 - INDPLAF) + (INVRETXUA + INVRETXURA) * INDPLAF)
		       + ((INVRETYB + INVRETYBR) * (1 - INDPLAF) + (INVRETYBA + INVRETYBRA) * INDPLAF)
		       + ((INVRETXP + INVRETXPR) * (1 - INDPLAF) + (INVRETXPA + INVRETXPRA) * INDPLAF)
		       + ((INVRETXK + INVRETXKR) * (1 - INDPLAF) + (INVRETXKA + INVRETXKRA) * INDPLAF)) * TX70/100)
             ) * (1 - V_CNR) ;

regle 82462:
application : iliad  ;


A12RSOC = max(0 , RSOC48 + RSOC53 + RSOC38 + RSOC43 + RSOC28 + RSOC33 + RSOC19 + RSOC23 + RSOC11 + RSOC15
                  - arr((((INVRETXS + INVRETXSR) * (1 - INDPLAF) + (INVRETXSA + INVRETXSRA) * INDPLAF)
		       + ((INVRETXN + INVRETXNR) * (1 - INDPLAF) + (INVRETXNA + INVRETXNRA) * INDPLAF)
		       + ((INVRETXH + INVRETXHR) * (1 - INDPLAF) + (INVRETXHA + INVRETXHRA) * INDPLAF)
		       + ((INVRETXC + INVRETXCR) * (1 - INDPLAF) + (INVRETXCA + INVRETXCRA) * INDPLAF)
		       + ((INVRETRC + INVRETRCR) * (1 - INDPLAF) + (INVRETRCA + INVRETRCRA) * INDPLAF)) * TX65/100)
             ) * (1 - V_CNR) ; 

regle 82461:
application : iliad  ;


A11RSOC = max(0 , RSOC47 + RSOC52 + RSOC37 + RSOC42 + RSOC27 + RSOC32 + RSOC18 + RSOC22 +  RSOC10 + RSOC14
                  - arr((((INVRETXR + INVRETXRR) * (1 - INDPLAF) + (INVRETXRA + INVRETXRRA) * INDPLAF)
		       + ((INVRETXM + INVRETXMR) * (1 - INDPLAF) + (INVRETXMA + INVRETXMRA) * INDPLAF)
		       + ((INVRETXG + INVRETXGR) * (1 - INDPLAF) + (INVRETXGA + INVRETXGRA) * INDPLAF)
		       + ((INVRETXB + INVRETXBR) * (1 - INDPLAF) + (INVRETXBA + INVRETXBRA) * INDPLAF)
		       + ((INVRETRB + INVRETRBR) * (1 - INDPLAF) + (INVRETRBA + INVRETRBRA) * INDPLAF)) * TX65/100)
             ) * (1 - V_CNR) ;

regle 8246:
application : iliad  ;


A10RSOC = max(0 , RSOC46 + RSOC51 + RSOC36 + RSOC41 + RSOC26 + RSOC31 + RSOC17 + RSOC21 + RSOC9 + RSOC13
                  - arr((((INVRETXQ + INVRETXQR) * (1 - INDPLAF) + (INVRETXQA + INVRETXQRA) * INDPLAF)
		       + ((INVRETXL + INVRETXLR) * (1 - INDPLAF) + (INVRETXLA + INVRETXLRA) * INDPLAF)
		       + ((INVRETXF + INVRETXFR) * (1 - INDPLAF) + (INVRETXFA + INVRETXFRA) * INDPLAF)
		       + ((INVRETXA + INVRETXAR) * (1 - INDPLAF) + (INVRETXAA + INVRETXARA) * INDPLAF)
		       + ((INVRETRA + INVRETRAR) * (1 - INDPLAF) + (INVRETRAA + INVRETRARA) * INDPLAF)) * TX65/100)
             ) * (1 - V_CNR) ;

regle 82473:
application : iliad  ;


A13RENT = (RLOCHEP + RLOCHEU + RLOCHER + RLOCHEW + RLOC142 + RLOC145 + RLOC143 + RLOC146 + RLOC68 + RLOC74 
           + RLOC32 + RLOC38 + RLOC100 + RLOC105 + RLOC101 + RLOC106 + RLOC124 + RLOC127  + RLOC125 + RLOC128
           + max (0 , RLOCHET + RLOCHEO + RLOCHES + RLOCHEN + RLOCHETR + RLOCHEOR + RLOCHESR + RLOCHENR + RLOC140 + RLOC152 
	              + RLOC137 + RLOC149 + RLOC138 + RLOC150 + RLOC135 + RLOC147 + RLOC62 + RLOC86 + RLOC56 + RLOC80 
		      + RLOC26 + RLOC50 + RLOC20 + RLOC46 + RLOC96 + RLOC115 + RLOC91 + RLOC110 + RLOC92 + RLOC116 
		      + RLOC87 + RLOC111 + RLOC122 + RLOC134 + RLOC119 + RLOC131 + RLOC120 + RLOC132 + RLOC117 + RLOC129
                    - (arr(((INVRETEN + INVRETENR) * (1 - INDPLAF) + (INVRETENA + INVRETENRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETEO + INVRETEOR) * (1 - INDPLAF) + (INVRETEOA + INVRETEORA) * INDPLAF) * TX625/100)
		       + arr(((INVRETES + INVRETESR) * (1 - INDPLAF) + (INVRETESA + INVRETESRA) * INDPLAF) * TX56/100)
		       + arr(((INVRETET + INVRETETR) * (1 - INDPLAF) + (INVRETETA + INVRETETRA) * INDPLAF) * TX66/100)
		       + arr(((INVRETDN + INVRETDNR) * (1 - INDPLAF) + (INVRETDNA + INVRETDNRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETDO + INVRETDOR) * (1 - INDPLAF) + (INVRETDOA + INVRETDORA) * INDPLAF) * TX625/100)
		       + arr(((INVRETDS + INVRETDSR) * (1 - INDPLAF) + (INVRETDSA + INVRETDSRA) * INDPLAF) * TX56/100)
		       + arr(((INVRETDT + INVRETDTR) * (1 - INDPLAF) + (INVRETDTA + INVRETDTRA) * INDPLAF) * TX66/100)
		       + arr(((INVRETCN + INVRETCNR) * (1 - INDPLAF) + (INVRETCNA + INVRETCNRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETCO + INVRETCOR) * (1 - INDPLAF) + (INVRETCOA + INVRETCORA) * INDPLAF) * TX625/100)
		       + arr(((INVRETCS + INVRETCSR) * (1 - INDPLAF) + (INVRETCSA + INVRETCSRA) * INDPLAF) * TX56/100)
		       + arr(((INVRETCT + INVRETCTR) * (1 - INDPLAF) + (INVRETCTA + INVRETCTRA) * INDPLAF) * TX66/100)
		       + arr(((INVRETBX + INVRETBXR) * (1 - INDPLAF) + (INVRETBXA + INVRETBXRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETBY + INVRETBYR) * (1 - INDPLAF) + (INVRETBYA + INVRETBYRA) * INDPLAF) * TX625/100)
		       + arr(((INVRETCC + INVRETCCR) * (1 - INDPLAF) + (INVRETCCA + INVRETCCRA) * INDPLAF) * TX56/100)
		       + arr(((INVRETCD + INVRETCDR) * (1 - INDPLAF) + (INVRETCDA + INVRETCDRA) * INDPLAF) * TX66/100)
		       + arr(((INVRETBA + INVRETBAR) * (1 - INDPLAF) + (INVRETBAA + INVRETBARA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETBB + INVRETBBR) * (1 - INDPLAF) + (INVRETBBA + INVRETBBRA) * INDPLAF) * TX625/100)
		       + arr(((INVRETSZ + INVRETSZR) * (1 - INDPLAF) + (INVRETSZA + INVRETSZRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETTA + INVRETTAR) * (1 - INDPLAF) + (INVRETTAA + INVRETTARA) * INDPLAF) * TX625/100))
                  )
             ) * (1 - V_CNR) ;

regle 82472:
application : iliad  ;


A12RENT = (RLOC31 + RLOC37 + RLOC73 + RLOC67 + RLOC99 + RLOC104 + RLOC123 + RLOC126 + RLOC141 + RLOC144
           + max (0 , RLOC139 + RLOC151 + RLOC136 + RLOC148 + RLOC121 + RLOC133 + RLOC118 + RLOC130 + RLOC95 + RLOC114 
	              + RLOC90 + RLOC109 + RLOC61 + RLOC85 + RLOC55 + RLOC79 + RLOC25 + RLOC49 + RLOC19 + RLOC45 
                    - (arr(((INVRETDI + INVRETDIR) * (1 - INDPLAF) + (INVRETDIA + INVRETDIRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETDJ + INVRETDJR) * (1 - INDPLAF) + (INVRETDJA + INVRETDJRA) * INDPLAF) * TX625/100)
		       + arr(((INVRETCI + INVRETCIR) * (1 - INDPLAF) + (INVRETCIA + INVRETCIRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETCJ + INVRETCJR) * (1 - INDPLAF) + (INVRETCJA + INVRETCJRA) * INDPLAF) * TX625/100)
		       + arr(((INVRETBS + INVRETBSR) * (1 - INDPLAF) + (INVRETBSA + INVRETBSRA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETBT + INVRETBTR) * (1 - INDPLAF) + (INVRETBTA + INVRETBTRA) * INDPLAF) * TX625/100)
		       + arr(((INVRETAU + INVRETAUR) * (1 - INDPLAF) + (INVRETAUA + INVRETAURA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETAV + INVRETAVR) * (1 - INDPLAF) + (INVRETAVA + INVRETAVRA) * INDPLAF) * TX625/100)
		       + arr(((INVRETSU + INVRETSUR) * (1 - INDPLAF) + (INVRETSUA + INVRETSURA) * INDPLAF) * TX5263/100)
		       + arr(((INVRETSV + INVRETSVR) * (1 - INDPLAF) + (INVRETSVA + INVRETSVRA) * INDPLAF) * TX625/100))
                 )
            ) * (1 - V_CNR);

regle 82471:
application : iliad  ;


A11RENT = (RLOC28 + RLOC34 + RLOC30 + RLOC36 + RLOC64 + RLOC70 + RLOC66 + RLOC72 + RLOC98 + RLOC103    
           + max (0 , RLOC22 + RLOC42 + RLOC16 + RLOC40 + RLOC24 + RLOC48 + RLOC18 + RLOC44 + RLOC58 + RLOC82 
	              + RLOC52 + RLOC76 + RLOC60 + RLOC84 + RLOC54 + RLOC78 + RLOC94 + RLOC113 + RLOC89 + RLOC108
                      - (arr(((INVRETBN + INVRETBNR) * (1 - INDPLAF) + (INVRETBNA + INVRETBNRA) * INDPLAF) * TX5263/100)
		         + arr(((INVRETBO + INVRETBOR) * (1 - INDPLAF) + (INVRETBOA + INVRETBORA) * INDPLAF) * TX625/100)
			 + arr(((INVRETAP + INVRETAPR) * (1 - INDPLAF) + (INVRETAPA + INVRETAPRA) * INDPLAF) * TX5263/100)
			 + arr(((INVRETAQ + INVRETAQR) * (1 - INDPLAF) + (INVRETAQA + INVRETAQRA) * INDPLAF) * TX625/100)
			 + arr(((INVRETAF + INVRETAFR) * (1 - INDPLAF) + (INVRETAFA + INVRETAFRA) * INDPLAF) * TX5263/100)
			 + arr(((INVRETAG + INVRETAGR) * (1 - INDPLAF) + (INVRETAGA + INVRETAGRA) * INDPLAF) * TX625/100)
                         + arr(((INVRETSF + INVRETSFR) * (1 - INDPLAF) + (INVRETSFA + INVRETSFRA) * INDPLAF) * TX5263/100)
                         + arr(((INVRETSG + INVRETSGR) * (1 - INDPLAF) + (INVRETSGA + INVRETSGRA) * INDPLAF) * TX625/100)
                         + arr(((INVRETSP + INVRETSPR) * (1 - INDPLAF) + (INVRETSPA + INVRETSPRA) * INDPLAF) * TX5263/100)
                         + arr(((INVRETSQ + INVRETSQR) * (1 - INDPLAF) + (INVRETSQA + INVRETSQRA) * INDPLAF) * TX625/100))
                 )
            ) * (1 - V_CNR) ;

regle 8247:
application : iliad  ;


A10RENT = (RLOC27 + RLOC33 + RLOC29 + RLOC35 + RLOC63 + RLOC69 + RLOC65 + RLOC71 + RLOC97 + RLOC102 
           + max (0 , RLOC21 + RLOC41 + RLOC15 + RLOC39 + RLOC23 + RLOC47 + RLOC17 + RLOC43 + RLOC57 + RLOC81 
	              + RLOC51 + RLOC75 + RLOC59 + RLOC83 + RLOC53 + RLOC77 + RLOC93 + RLOC112  + RLOC88 + RLOC107
                      - (arr(((INVRETBI + INVRETBIR) * (1 - INDPLAF) + (INVRETBIA + INVRETBIRA) * INDPLAF) * TX5263/100)
		         + arr(((INVRETBJ + INVRETBJR) * (1 - INDPLAF) + (INVRETBJA + INVRETBJRA) * INDPLAF) * TX625/100)
			 + arr(((INVRETAK + INVRETAKR) * (1 - INDPLAF) + (INVRETAKA + INVRETAKRA) * INDPLAF) * TX5263/100)
			 + arr(((INVRETAL + INVRETALR) * (1 - INDPLAF) + (INVRETALA + INVRETALRA) * INDPLAF) * TX625/100)
			 + arr(((INVRETAA + INVRETAAR) * (1 - INDPLAF) + (INVRETAAA + INVRETAARA) * INDPLAF) * TX5263/100)
			 + arr(((INVRETAB + INVRETABR) * (1 - INDPLAF) + (INVRETABA + INVRETABRA) * INDPLAF) * TX625/100)
			 + arr(((INVRETSA + INVRETSAR) * (1 - INDPLAF) + (INVRETSAA + INVRETSARA) * INDPLAF) * TX5263/100)
			 + arr(((INVRETSB + INVRETSBR) * (1 - INDPLAF) + (INVRETSBA + INVRETSBRA) * INDPLAF) * TX625/100)
			 + arr(((INVRETSK + INVRETSKR) * (1 - INDPLAF) + (INVRETSKA + INVRETSKRA) * INDPLAF) * TX5263/100)
			 + arr(((INVRETSL + INVRETSLR) * (1 - INDPLAF) + (INVRETSLA + INVRETSLRA) * INDPLAF) * TX625/100))
                 )
            ) * (1 - V_CNR) ;

regle 82492:
application : iliad  ;
PLAFRED_FORTRA = max( 0, PLAF_FOREST1 * (1 + BOOL_0AM) - ACOTFOR_R);
BASE7UWI = max(0, min ( REPSINFOR1 + REPSINFOR2 + REPSINFOR3 + REPSINFOR4 , PLAFRED_FORTRA)
			   - ( REPSINFOR1 + REPSINFOR2 + REPSINFOR3)) * (1 - V_CNR) ;
BASE7UN = (min (RDFOREST, PLAF_FOREST * (1 + BOOL_0AM))) * (1 - V_CNR) ;

regle 82493:
application : iliad  ;
A13RFOR_1 =  max(0,
                   min( arr((BASE7UWI + BASE7UN)* TX18/100) ,
		   RRI1-RLOGDOM_1-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
		   -RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPLAFREPME4_1-RPENTDY_1
		   -RPENTEY_1-A10RFOR_1-A11RFOR_1-A12RFOR_1
                       )
                 ) ;
A13RFOR_2 = max( A13RFOR_P + A13RFORP2 , A13RFOR1731) * (1-PREM8_11) * ART1731BIS ;
A13RFOR = (A13RFOR_1 * (1 - ART1731BIS)
           + min( A13RFOR_1 , A13RFOR_2 ) * ART1731BIS 
          ) * (1 - V_CNR) ;
regle 8249101:
application : iliad  ;
BASE7UWH = max(0, min ( REPSINFOR1 + REPSINFOR2 + REPSINFOR3 , PLAFRED_FORTRA)
			   - ( REPSINFOR1 + REPSINFOR2)) * (1 - V_CNR) ;
BA12RFOR  = arr(BASE7UWH * TX18 / 100 ) ;
A12RFOR_1 = max(0,
	       min( BA12RFOR ,RRI1-RLOGDOM_1-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
	       	             -RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPLAFREPME4_1
		             -RPENTDY_1-RPENTEY_1-A10RFOR_1-A11RFOR_1  
                  )
                ) ;
A12RFOR_2 = max( A12RFOR_P + A12RFORP2 , A12RFOR1731) * (1-PREM8_11) * ART1731BIS ;
A12RFOR = (A12RFOR_1 * (1 - ART1731BIS)
           + min( A12RFOR_1 , A12RFOR_2 ) * ART1731BIS 
          ) * (1 - V_CNR) ;
regle 82491:
application : iliad  ;
BASE7UVG = max(0, min ( REPSINFOR1 + REPSINFOR2 , PLAFRED_FORTRA)
			   - (REPSINFOR1)) * (1 - V_CNR) ;
BA11RFOR  = arr(BASE7UVG * TX22 / 100 ) ;
A11RFOR_1 = max(0,
	       min( BA11RFOR ,RRI1-RLOGDOM_1-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
	       	             -RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPLAFREPME4_1
		             -RPENTDY_1-RPENTEY_1-A10RFOR_1  
                  )
             ) ;
A11RFOR_2 = max( A11RFOR_P + A11RFORP2 , A11RFOR1731) * (1-PREM8_11) * ART1731BIS ;
A11RFOR = (A11RFOR_1 * (1 - ART1731BIS)
           + min( A11RFOR_1 , A11RFOR_2 ) * ART1731BIS 
          ) * (1 - V_CNR) ;
regle 8249:
application : iliad  ;
BASE7UTF = max(0, min(REPSINFOR1, PLAFRED_FORTRA) )*(1 - V_CNR) ;
BA10RFOR  = arr(BASE7UTF * TX25 / 100 ) ;
A10RFOR_1 = max(0,
	       min( BA10RFOR ,RRI1-RLOGDOM_1-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
	       	             -RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPLAFREPME4_1
		             -RPENTDY_1-RPENTEY_1 
	          ) 
               ) ;
A10RFOR_2 = max( A10RFOR_P + A10RFORP2 , A10RFOR1731) * (1-PREM8_11) * ART1731BIS ;
A10RFOR = (A10RFOR_1 * (1 - ART1731BIS)
           + min( A10RFOR_1 , A10RFOR_2 ) * ART1731BIS 
          ) * (1 - V_CNR) ;
regle 8250:
application : iliad  ;
A13REELA = RCOTFOR + RFIPDOM + RFIPC  + RPRESSE + RINNO + RSOUFIP + RRIRENOV + RDUFLOTOT 
           + RPIQAB + RPIQEF + RPIQIJ + RPIQMN + RPIQRS + RPIREPAI + RPIREPBI + RPIREPBZ 
	   + RPIREPCZ + RPIREPQZ + RPIREPRZ + RPIREPRA + RPIREPRB
           + A13RFOR 
           + arr(RSNCF + RSNCL + RSNCQ + RSNCM + RSNCR + RSNCN + RSNCV + RSNCC + RSNCX)
	   + RPENTCY + RPENTDY + RPENTEY + RPENTFY + RPENTGY
           + CIDEVDUR + CIGARD + CIADCRE + CIHABPRIN + CIFORET
	   + RCODJT + RILMPE + RILMOA + RILMPJ + RILMOF + RILMPO + RILMPT + RILMPY + RILMSA
	   + RILMOK + RILMOP + RCODOU + RCODOV + RCODOW + RCODOX + RCODOY + RPATNAT + RREHAB ; 
A13REELB = RCINE 
           + RPIQCD + RPIQGH + RPIQKL + RPIQOP + RPIQTU + RPIREPCI + RPIREPDI + RPIREPDZ 
	   + RPIREPEZ + RPIREPSZ + RPIREPTZ + RPIREPRC + RPIREPRD
           + RLOG32 + RLOG39 + RLOG46 + RLOG53 + RLOG60 + RLOGHVH 
           + A13RSOC + A13RENT ;

regle 8254:
application : iliad  ;
AUBAINE13A = max(0, min(A13REELA, DIFFTEOREEL)) ;
AUBAINE13B = max(0, min(A13REELB, DIFFTEOREEL - AUBAINE13A)) ;

regle 8255:
application : iliad  ;


A12REEL = A12RFOR + RTOURREP * positif(COD7UY) + RTOUREPA * positif(COD7UZ)
          + RCELRREDMG + RCELRREDMH + RCELRREDLJ + RCELRREDLP + RCELRREDLV
          + RCELLY + RCELREPGJ
          + RCELREPYB + RCELREPYQ + RCELREPYM + RCELREPYX 
	  + RCELREPYT + RCELREPWX + RCELREPWT 
	  + RCELRV + RCELRT + RCELZI + RCELZK + RCELZL + RCELXQ
	  + RCELSI + RCELSK + RCELSL + RCELSM
          + RCODID
          + RILMJV + RILMJS + RILMPD + RILMOB + RILMPI + RILMOG
	  + RILMPN + RILMOL + RILMPS + RILMPX + RILMOQ + RILMSB
          + RPATNAT3
          + RLOG25 + RLOG31 + RLOG38 + RLOG45 + RLOG52 + RLOG59
          + A12RSOC + A12RENT ;

regle 8256:
application : iliad  ;
AUBAINE12 = max( 0, min( A12REEL , DIFFTEOREEL - AUBAINE13A - AUBAINE13B ))   ;

regle 8260:
application : iliad  ;


A11REEL = RLOG16 + RLOG21 + RLOG24 + RLOG28 + RLOG30 
          + RLOG35 + RLOG37 + RLOG42 + RLOG44 + RLOG49 
          + RLOG51 + RLOG56 + RLOG58
          + A11RSOC + A11RENT
          + RCELRREDLZ + RCELRREDLX + RCELRREDLI
	  + RCELRREDLO + RCELRREDLU + RCELLC
          + RCELREPHA + RCELREPGL + RCELREPYD + RCELREPYR 
	  + RCELREPYN + RCELREPYY + RCELREPYU + RCELREPWY + RCELREPWU
	  + RCELRW + RCELRU + RCELZO + RCELXO + RCELZM + RCELZE
	  + RCELZG + RCELZH + RCELZJ + RCELZQ + RCELZS + RCELSE
	  + RCELSG + RCELSH + RCELSJ
          + RCODIN + RCODIJ
          + RILMIZ + RILMIA + RILMJI + RILMJW + RILMPC + RILMOC + RILMSC
	  + RILMPH + RILMOH + RILMPM + RILMOM + RILMPR + RILMPW + RILMOR
          + RTOURREP*positif(INVLOCXN) + RTOUREPA*positif(INVLOCXV)


          + A11RFOR ;

regle 8261:
application : iliad  ;
AUBAINE11 = max( 0, min( A11REEL , DIFFTEOREEL - AUBAINE13A-AUBAINE13B-AUBAINE12 ));
regle 8262:
application : iliad  ;

A10REEL = RLOG11 + RLOG13 + RLOG15 + RLOG18 + RLOG20 + RLOG23 + RLOG26 + RLOG27 
          + RLOG29 + RLOG33 + RLOG34 + RLOG36 + RLOG40 + RLOG41 + RLOG43 
          + RLOG47 + RLOG48 + RLOG50 + RLOG54 + RLOG55 + RLOG57
          + A10RSOC  + A10RENT 
          + RCELRREDLS + RCELRREDLT + RCELRREDLH + RCELRREDLL + RCELRREDLR + RCELLB
          + RCELREPHW + RCELREPHV + RCELREPHD + RCELREPGS 
	  + RCELREPYF + RCELREPYS + RCELREPYO + RCELREPYZ + RCELREPYV
	  + RCELREPWZ + RCELREPWV
	  + RCELZP + RCELXP + RCELZN + RCELZF + RCELZR + RCELZT + RCELZU + RCELSF
          + RINVRED + RREPMEU + RCODIM 
	  + RILMIH + RILMIB + RILMJC + RILMJX + RILMPB 
	  + RILMPG + RILMOD + RILMOI + RILMPL + RILMON 
	  + RILMPQ + RILMPV + RILMOS + RTOURREP + RTOUREPA
          + A10RFOR ;
regle 8263:
application : iliad  ;
AUBAINE10 = max( 0, min( A10REEL , DIFFTEOREEL - AUBAINE13A-AUBAINE13B-AUBAINE12-AUBAINE11 ));
regle 8280:
application : iliad  ;

AUBAINE9 = max(0, DIFFTEOREEL - AUBAINE13A - AUBAINE13B - AUBAINE12 - AUBAINE11 - AUBAINE10);
regle 8290:
application : iliad  ;

AVPLAF13A = max(0, AUBAINE13A - LIM10000 ) * positif(DIFFTEOREEL) ;
AVPLAF13B = max(0, min(AUBAINE13A , LIM10000) + AUBAINE13B - LIM18000 ) * positif(DIFFTEOREEL) ;
AVPLAF13 = AVPLAF13A + AVPLAF13B ;
AVPLAF12 = max(0, AUBAINE13A + AUBAINE13B + AUBAINE12 
                  - AVPLAF13 - LIMIT12) * positif(DIFFTEOREEL);
AVPLAF11 = max(0, AUBAINE13A + AUBAINE13B + AUBAINE12 + AUBAINE11 
                  - AVPLAF13 - AVPLAF12 - LIMIT11) * positif(DIFFTEOREEL);
AVPLAF10 = max(0, AUBAINE13A + AUBAINE13B + AUBAINE12 + AUBAINE11 + AUBAINE10 
                  - AVPLAF13 - AVPLAF12 - AVPLAF11 - LIMIT10) * positif(DIFFTEOREEL);
AVPLAF9  = max(0, AUBAINE13A + AUBAINE13B + AUBAINE12 + AUBAINE11 + AUBAINE10 + AUBAINE9 
                  - AVPLAF13 - AVPLAF12 - AVPLAF11 - AVPLAF10 - LIMIT9) * positif(DIFFTEOREEL) ;
regle 8321:
application : iliad  ;
RFTEO = RFORDI + RFROBOR ; 
regle 8331:
application : iliad  ;

RFNTEO = (RFORDI + RFROBOR - min(
                                     min(RFDORD,RFDORD1731+0) * positif(ART1731BIS) + RFDORD * (1 - ART1731BIS)
			           + min(RFDANT,RFDANT1731+0) * positif(ART1731BIS) + RFDANT * (1 - ART1731BIS) ,
                                    RFORDI + RFROBOR
                                ) 
                           - RFDHIS * (1 - ART1731BIS)      
         ) * present(RFROBOR) + RRFI * (1-present(RFROBOR));

regle 8341:
application : iliad  ;
RRFTEO = RFNTEO ;

regle 8400 :
application : iliad  ;

RLOG01_2 = max(RLOG01_P + RLOG01P2 , RLOG011731) * (1-PREM8_11) * ART1731BIS ;
RLOG02_2 = max(RLOG02_P + RLOG02P2 , RLOG021731) * (1-PREM8_11) * ART1731BIS ;
RLOG03_2 = max(RLOG03_P + RLOG03P2 , RLOG031731) * (1-PREM8_11) * ART1731BIS ;
RLOG04_2 = max(RLOG04_P + RLOG04P2 , RLOG041731) * (1-PREM8_11) * ART1731BIS ;
RLOG05_2 = max(RLOG05_P + RLOG05P2 , RLOG051731) * (1-PREM8_11) * ART1731BIS ;
RLOG06_2 = max(RLOG06_P + RLOG06P2 , RLOG061731) * (1-PREM8_11) * ART1731BIS ;
RLOG07_2 = max(RLOG07_P + RLOG07P2 , RLOG071731) * (1-PREM8_11) * ART1731BIS ;
RLOG08_2 = max(RLOG08_P + RLOG08P2 , RLOG081731) * (1-PREM8_11) * ART1731BIS ;
RLOG09_2 = max(RLOG09_P + RLOG09P2 , RLOG091731) * (1-PREM8_11) * ART1731BIS ;
RLOG10_2 = max(RLOG10_P + RLOG10P2 , RLOG101731) * (1-PREM8_11) * ART1731BIS ;
RLOG11_2 = max(RLOG11_P + RLOG11P2 , RLOG111731) * (1-PREM8_11) * ART1731BIS ;
RLOG12_2 = max(RLOG12_P + RLOG12P2 , RLOG121731) * (1-PREM8_11) * ART1731BIS ;
RLOG13_2 = max(RLOG13_P + RLOG13P2 , RLOG131731) * (1-PREM8_11) * ART1731BIS ;
RLOG14_2 = max(RLOG14_P + RLOG14P2 , RLOG141731) * (1-PREM8_11) * ART1731BIS ;
RLOG15_2 = max(RLOG15_P + RLOG15P2 , RLOG151731) * (1-PREM8_11) * ART1731BIS ;
RLOG16_2 = max(RLOG16_P + RLOG16P2 , RLOG161731) * (1-PREM8_11) * ART1731BIS ;
RLOG17_2 = max(RLOG17_P + RLOG17P2 , RLOG171731) * (1-PREM8_11) * ART1731BIS ;
RLOG18_2 = max(RLOG18_P + RLOG18P2 , RLOG181731) * (1-PREM8_11) * ART1731BIS ;
RLOG19_2 = max(RLOG19_P + RLOG19P2 , RLOG191731) * (1-PREM8_11) * ART1731BIS ;
RLOG20_2 = max(RLOG20_P + RLOG20P2 , RLOG201731) * (1-PREM8_11) * ART1731BIS ;
RLOG21_2 = max(RLOG21_P + RLOG21P2 , RLOG211731) * (1-PREM8_11) * ART1731BIS ;
RLOG22_2 = max(RLOG22_P + RLOG22P2 , RLOG221731) * (1-PREM8_11) * ART1731BIS ;
RLOG23_2 = max(RLOG23_P + RLOG23P2 , RLOG231731) * (1-PREM8_11) * ART1731BIS ;
RLOG24_2 = max(RLOG24_P + RLOG24P2 , RLOG241731) * (1-PREM8_11) * ART1731BIS ;
RLOG25_2 = max(RLOG25_P + RLOG25P2 , RLOG251731) * (1-PREM8_11) * ART1731BIS ;
RLOG26_2 = max(RLOG26_P + RLOG26P2 , RLOG261731) * (1-PREM8_11) * ART1731BIS ;
RLOG27_2 = max(RLOG27_P + RLOG27P2 , RLOG271731) * (1-PREM8_11) * ART1731BIS ;
RLOG28_2 = max(RLOG28_P + RLOG28P2 , RLOG281731) * (1-PREM8_11) * ART1731BIS ;
RLOG29_2 = max(RLOG29_P + RLOG29P2 , RLOG291731) * (1-PREM8_11) * ART1731BIS ;
RLOG30_2 = max(RLOG30_P + RLOG30P2 , RLOG301731) * (1-PREM8_11) * ART1731BIS ;
RLOG31_2 = max(RLOG31_P + RLOG31P2 , RLOG311731) * (1-PREM8_11) * ART1731BIS ;
RLOG32_2 = max(RLOG32_P + RLOG32P2 , RLOG321731) * (1-PREM8_11) * ART1731BIS ;
RLOG33_2 = max(RLOG33_P + RLOG33P2 , RLOG331731) * (1-PREM8_11) * ART1731BIS ;
RLOG34_2 = max(RLOG34_P + RLOG34P2 , RLOG341731) * (1-PREM8_11) * ART1731BIS ;
RLOG35_2 = max(RLOG35_P + RLOG35P2 , RLOG351731) * (1-PREM8_11) * ART1731BIS ;
RLOG36_2 = max(RLOG36_P + RLOG36P2 , RLOG361731) * (1-PREM8_11) * ART1731BIS ;
RLOG37_2 = max(RLOG37_P + RLOG37P2 , RLOG371731) * (1-PREM8_11) * ART1731BIS ;
RLOG38_2 = max(RLOG38_P + RLOG38P2 , RLOG381731) * (1-PREM8_11) * ART1731BIS ;
RLOG39_2 = max(RLOG39_P + RLOG39P2 , RLOG391731) * (1-PREM8_11) * ART1731BIS ;
RLOG40_2 = max(RLOG40_P + RLOG40P2 , RLOG401731) * (1-PREM8_11) * ART1731BIS ;
RLOG41_2 = max(RLOG41_P + RLOG41P2 , RLOG411731) * (1-PREM8_11) * ART1731BIS ;
RLOG42_2 = max(RLOG42_P + RLOG42P2 , RLOG421731) * (1-PREM8_11) * ART1731BIS ;
RLOG43_2 = max(RLOG43_P + RLOG43P2 , RLOG431731) * (1-PREM8_11) * ART1731BIS ;
RLOG44_2 = max(RLOG44_P + RLOG44P2 , RLOG441731) * (1-PREM8_11) * ART1731BIS ;
RLOG45_2 = max(RLOG45_P + RLOG45P2 , RLOG451731) * (1-PREM8_11) * ART1731BIS ;
RLOG46_2 = max(RLOG46_P + RLOG46P2 , RLOG461731) * (1-PREM8_11) * ART1731BIS ;
RLOG47_2 = max(RLOG47_P + RLOG47P2 , RLOG471731) * (1-PREM8_11) * ART1731BIS ;
RLOG48_2 = max(RLOG48_P + RLOG48P2 , RLOG481731) * (1-PREM8_11) * ART1731BIS ;
RLOG49_2 = max(RLOG49_P + RLOG49P2 , RLOG491731) * (1-PREM8_11) * ART1731BIS ;
RLOG50_2 = max(RLOG50_P + RLOG50P2 , RLOG501731) * (1-PREM8_11) * ART1731BIS ;
RLOG51_2 = max(RLOG51_P + RLOG51P2 , RLOG511731) * (1-PREM8_11) * ART1731BIS ;
RLOG52_2 = max(RLOG52_P + RLOG52P2 , RLOG521731) * (1-PREM8_11) * ART1731BIS ;
RLOG53_2 = max(RLOG53_P + RLOG53P2 , RLOG531731) * (1-PREM8_11) * ART1731BIS ;
RLOG54_2 = max(RLOG54_P + RLOG54P2 , RLOG541731) * (1-PREM8_11) * ART1731BIS ;
RLOG55_2 = max(RLOG55_P + RLOG55P2 , RLOG551731) * (1-PREM8_11) * ART1731BIS ;
RLOG56_2 = max(RLOG56_P + RLOG56P2 , RLOG561731) * (1-PREM8_11) * ART1731BIS ;
RLOG57_2 = max(RLOG57_P + RLOG57P2 , RLOG571731) * (1-PREM8_11) * ART1731BIS ;
RLOG58_2 = max(RLOG58_P + RLOG58P2 , RLOG581731) * (1-PREM8_11) * ART1731BIS ;
RLOG59_2 = max(RLOG59_P + RLOG59P2 , RLOG591731) * (1-PREM8_11) * ART1731BIS ;
RLOG60_2 = max(RLOG60_P + RLOG60P2 , RLOG601731) * (1-PREM8_11) * ART1731BIS ;
RLOGHVH_2 = max(RLOGHVH_P + RLOGHVHP2 , RLOGHVH1731) * (1-PREM8_11) * ART1731BIS ;

RLOG01_1 = max(min(INVLOG2008 , RRI1) , 0) * (1 - V_CNR) ;
RLOG01 = RLOG01_1 * (1-ART1731BIS) + min( RLOG01_1 , RLOG01_2 ) * ART1731BIS ;
VARTMP1 = RLOG01_1 ;

RLOG02_1 = max(min(INVLGDEB2009 , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG02 = RLOG02_1 * (1-ART1731BIS) + min( RLOG02_1 , RLOG02_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG02_1 ;

RLOG03_1 = max(min(INVLGDEB , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG03 = RLOG03_1 * (1-ART1731BIS) + min( RLOG03_1 , RLOG03_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG03_1 ;

RLOG04_1 = max(min(INVOMLOGOA , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG04 = RLOG04_1 * (1-ART1731BIS) + min( RLOG04_1 , RLOG04_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG04_1 ;

RLOG05_1 = max(min(INVOMLOGOH , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG05 = RLOG05_1 * (1-ART1731BIS) + min( RLOG05_1 , RLOG05_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG05_1 ;

RLOG06_1 = max(min(INVOMLOGOL , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG06 = RLOG06_1 * (1-ART1731BIS) + min( RLOG06_1 , RLOG06_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG06_1 ;

RLOG07_1 = max(min(INVOMLOGOO , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG07 = RLOG07_1 * (1-ART1731BIS) + min( RLOG07_1 , RLOG07_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG07_1 ;

RLOG08_1 = max(min(INVOMLOGOS , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
RLOG08 = RLOG08_1 * (1-ART1731BIS) + min( RLOG08_1 , RLOG08_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG08_1 ;

RLOG09_1 = max(min((INVRETQL * (1 - INDPLAF) + INVRETQLA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG09 = RLOG09_1 * (1-ART1731BIS) + min( RLOG09_1 , RLOG09_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG09_1 ;

RLOG10_1 = max(min((INVRETQM * (1 - INDPLAF) + INVRETQMA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG10 = RLOG10_1 * (1-ART1731BIS) + min( RLOG10_1 , RLOG10_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG10_1 ;

RLOG11_1 = max(min((INVRETQD * (1 - INDPLAF) + INVRETQDA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG11 = RLOG11_1 * (1-ART1731BIS) + min( RLOG11_1 , RLOG11_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG11_1 ;

RLOG12_1 = max(min((INVRETOB * (1 - INDPLAF) + INVRETOBA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG12 = RLOG12_1 * (1-ART1731BIS) + min( RLOG12_1 , RLOG12_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG12_1 ;

RLOG13_1 = max(min((INVRETOC * (1 - INDPLAF) + INVRETOCA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG13 = RLOG13_1 * (1-ART1731BIS) + min( RLOG13_1 , RLOG13_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG13_1 ;

RLOG14_1 = max(min((INVRETOI * (1 - INDPLAF) + INVRETOIA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG14 = RLOG14_1 * (1-ART1731BIS) + min( RLOG14_1 , RLOG14_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG14_1 ;

RLOG15_1 = max(min((INVRETOJ * (1 - INDPLAF) + INVRETOJA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG15 = RLOG15_1 * (1-ART1731BIS) + min( RLOG15_1 , RLOG15_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG15_1 ;

RLOG16_1 = max(min((INVRETOK * (1 - INDPLAF) + INVRETOKA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG16 = RLOG16_1 * (1-ART1731BIS) + min( RLOG16_1 , RLOG16_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG16_1 ;

RLOG17_1 = max(min((INVRETOM * (1 - INDPLAF) + INVRETOMA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG17 = RLOG17_1 * (1-ART1731BIS) + min( RLOG17_1 , RLOG17_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG17_1 ;

RLOG18_1 = max(min((INVRETON * (1 - INDPLAF) + INVRETONA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG18 = RLOG18_1 * (1-ART1731BIS) + min( RLOG18_1 , RLOG18_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG18_1 ;

RLOG19_1 = max(min((INVRETOP * (1 - INDPLAF) + INVRETOPA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG19 = RLOG19_1 * (1-ART1731BIS) + min( RLOG19_1 , RLOG19_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG19_1 ;

RLOG20_1 = max(min((INVRETOQ * (1 - INDPLAF) + INVRETOQA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG20 = RLOG20_1 * (1-ART1731BIS) + min( RLOG20_1 , RLOG20_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG20_1 ;

RLOG21_1 = max(min((INVRETOR * (1 - INDPLAF) + INVRETORA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG21 = RLOG21_1 * (1-ART1731BIS) + min( RLOG21_1 , RLOG21_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG21_1 ;

RLOG22_1 = max(min((INVRETOT * (1 - INDPLAF) + INVRETOTA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG22 = RLOG22_1 * (1-ART1731BIS) + min( RLOG22_1 , RLOG22_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG22_1 ;

RLOG23_1 = max(min((INVRETOU * (1 - INDPLAF) + INVRETOUA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG23 = RLOG23_1 * (1-ART1731BIS) + min( RLOG23_1 , RLOG23_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG23_1 ;

RLOG24_1 = max(min((INVRETOV * (1 - INDPLAF) + INVRETOVA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG24 = RLOG24_1 * (1-ART1731BIS) + min( RLOG24_1 , RLOG24_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG24_1 ;

RLOG25_1 = max(min((INVRETOW * (1 - INDPLAF) + INVRETOWA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG25 = RLOG25_1 * (1-ART1731BIS) + min( RLOG25_1 , RLOG25_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG25_1 ;

RLOG26_1 = max(min((INVRETOD * (1 - INDPLAF) + INVRETODA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG26 = RLOG26_1 * (1-ART1731BIS) + min( RLOG26_1 , RLOG26_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG26_1 ;

RLOG27_1 = max(min((INVRETOE * (1 - INDPLAF) + INVRETOEA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG27 = RLOG27_1 * (1-ART1731BIS) + min( RLOG27_1 , RLOG27_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG27_1 ;

RLOG28_1 = max(min((INVRETOF * (1 - INDPLAF) + INVRETOFA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG28 = RLOG28_1 * (1-ART1731BIS) + min( RLOG28_1 , RLOG28_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG28_1 ;

RLOG29_1 = max(min((INVRETOG * (1 - INDPLAF) + INVRETOGA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG29 = RLOG29_1 * (1-ART1731BIS) + min( RLOG29_1 , RLOG29_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG29_1 ;

RLOG30_1 = max(min((INVRETOX * (1 - INDPLAF) + INVRETOXA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG30 = RLOG30_1 * (1-ART1731BIS) + min( RLOG30_1 , RLOG30_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG30_1 ;

RLOG31_1 = max(min((INVRETOY * (1 - INDPLAF) + INVRETOYA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG31 = RLOG31_1 * (1-ART1731BIS) + min( RLOG31_1 , RLOG31_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG31_1 ;

RLOG32_1 = max(min((INVRETOZ * (1 - INDPLAF) + INVRETOZA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG32 = RLOG32_1 * (1-ART1731BIS) + min( RLOG32_1 , RLOG32_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG32_1 ;

RLOG33_1 = max(min((INVRETUA * (1 - INDPLAF) + INVRETUAA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG33 = RLOG33_1 * (1-ART1731BIS) + min( RLOG33_1 , RLOG33_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG33_1 ;

RLOG34_1 = max(min((INVRETUB * (1 - INDPLAF) + INVRETUBA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG34 = RLOG34_1 * (1-ART1731BIS) + min( RLOG34_1 , RLOG34_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG34_1 ;

RLOG35_1 = max(min((INVRETUC * (1 - INDPLAF) + INVRETUCA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG35 = RLOG35_1 * (1-ART1731BIS) + min( RLOG35_1 , RLOG35_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG35_1 ;

RLOG36_1 = max(min((INVRETUD * (1 - INDPLAF) + INVRETUDA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG36 = RLOG36_1 * (1-ART1731BIS) + min( RLOG36_1 , RLOG36_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG36_1 ;

RLOG37_1 = max(min((INVRETUE * (1 - INDPLAF) + INVRETUEA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG37 = RLOG37_1 * (1-ART1731BIS) + min( RLOG37_1 , RLOG37_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG37_1 ;

RLOG38_1 = max(min((INVRETUF * (1 - INDPLAF) + INVRETUFA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG38 = RLOG38_1 * (1-ART1731BIS) + min( RLOG38_1 , RLOG38_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG38_1 ;

RLOG39_1 = max(min((INVRETUG * (1 - INDPLAF) + INVRETUGA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG39 = RLOG39_1 * (1-ART1731BIS) + min( RLOG39_1 , RLOG39_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG39_1 ;

RLOG40_1 = max(min((INVRETUH * (1 - INDPLAF) + INVRETUHA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG40 = RLOG40_1 * (1-ART1731BIS) + min( RLOG40_1 , RLOG40_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG40_1 ;

RLOG41_1 = max(min((INVRETUI * (1 - INDPLAF) + INVRETUIA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG41 = RLOG41_1 * (1-ART1731BIS) + min( RLOG41_1 , RLOG41_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG41_1 ;

RLOG42_1 = max(min((INVRETUJ * (1 - INDPLAF) + INVRETUJA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG42 = RLOG42_1 * (1-ART1731BIS) + min( RLOG42_1 , RLOG42_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG42_1 ;

RLOG43_1 = max(min((INVRETUK * (1 - INDPLAF) + INVRETUKA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG43 = RLOG43_1 * (1-ART1731BIS) + min( RLOG43_1 , RLOG43_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG43_1 ;

RLOG44_1 = max(min((INVRETUL * (1 - INDPLAF) + INVRETULA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG44 = RLOG44_1 * (1-ART1731BIS) + min( RLOG44_1 , RLOG44_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG44_1 ;

RLOG45_1 = max(min((INVRETUM * (1 - INDPLAF) + INVRETUMA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG45 = RLOG45_1 * (1-ART1731BIS) + min( RLOG45_1 , RLOG45_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG45_1 ;

RLOG46_1 = max(min((INVRETUN * (1 - INDPLAF) + INVRETUNA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG46 = RLOG46_1 * (1-ART1731BIS) + min( RLOG46_1 , RLOG46_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG46_1 ;

RLOG47_1 = max(min((INVRETUO * (1 - INDPLAF) + INVRETUOA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG47 = RLOG47_1 * (1-ART1731BIS) + min( RLOG47_1 , RLOG47_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG47_1 ;

RLOG48_1 = max(min((INVRETUP * (1 - INDPLAF) + INVRETUPA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG48 = RLOG48_1 * (1-ART1731BIS) + min( RLOG48_1 , RLOG48_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG48_1 ;

RLOG49_1 = max(min((INVRETUQ * (1 - INDPLAF) + INVRETUQA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG49 = RLOG49_1 * (1-ART1731BIS) + min( RLOG49_1 , RLOG49_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG49_1 ;

RLOG50_1 = max(min((INVRETUR * (1 - INDPLAF) + INVRETURA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG50 = RLOG50_1 * (1-ART1731BIS) + min( RLOG50_1 , RLOG50_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG50_1 ;

RLOG51_1 = max(min((INVRETUS * (1 - INDPLAF) + INVRETUSA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG51 = RLOG51_1 * (1-ART1731BIS) + min( RLOG51_1 , RLOG51_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG51_1 ;

RLOG52_1 = max(min((INVRETUT * (1 - INDPLAF) + INVRETUTA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG52 = RLOG52_1 * (1-ART1731BIS) + min( RLOG52_1 , RLOG52_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG52_1 ;

RLOG53_1 = max(min((INVRETUU * (1 - INDPLAF) + INVRETUUA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG53 = RLOG53_1 * (1-ART1731BIS) + min( RLOG53_1 , RLOG53_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG53_1 ;

RLOG54_1 = max(min((INVRETVA * (1 - INDPLAF) + INVRETVAA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG54 = RLOG54_1 * (1-ART1731BIS) + min( RLOG54_1 , RLOG54_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG54_1 ;

RLOG55_1 = max(min((INVRETVB * (1 - INDPLAF) + INVRETVBA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG55 = RLOG55_1 * (1-ART1731BIS) + min( RLOG55_1 , RLOG55_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG55_1 ;

RLOG56_1 = max(min((INVRETVC * (1 - INDPLAF) + INVRETVCA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG56 = RLOG56_1 * (1-ART1731BIS) + min( RLOG56_1 , RLOG56_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG56_1 ;

RLOG57_1 = max(min((INVRETVD * (1 - INDPLAF) + INVRETVDA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG57 = RLOG57_1 * (1-ART1731BIS) + min( RLOG57_1 , RLOG57_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG57_1 ;

RLOG58_1 = max(min((INVRETVE * (1 - INDPLAF) + INVRETVEA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG58 = RLOG58_1 * (1-ART1731BIS) + min( RLOG58_1 , RLOG58_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG58_1 ;

RLOG59_1 = max(min((INVRETVF * (1 - INDPLAF) + INVRETVFA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG59 = RLOG59_1 * (1-ART1731BIS) + min( RLOG59_1 , RLOG59_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG59_1 ;

RLOG60_1 = max(min((INVRETVG * (1 - INDPLAF) + INVRETVGA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOG60 = RLOG60_1 * (1-ART1731BIS) + min( RLOG60_1 , RLOG60_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOG60_1 ;

RLOGHVH_1 = max(min((INVRETVH * (1 - INDPLAF) + INVRETVHA * INDPLAF) , RRI1 - VARTMP1) , 0) * (1 - V_CNR) ;
RLOGHVH = RLOGHVH_1 * (1-ART1731BIS) + min( RLOGHVH_1 , RLOGHVH_2 ) * ART1731BIS ;
VARTMP1 = 0 ;

RLOGDOM_1 = (1 - V_INDTEO) * (somme(i=1..60: RLOGi_1) + RLOGHVH) ;
regle 8401 :
application : iliad  ;

VARTMP1 = 0 ;
RSOCHYB_2 = max(RSOCHYB_P + RSOCHYBP2 , RSOCHYB1731) * (1-PREM8_11) * ART1731BIS ;
RSOCHYA_2 = max(RSOCHYA_P + RSOCHYAP2 , RSOCHYA1731) * (1-PREM8_11) * ART1731BIS ;
RSOCHYBR_2 = max(RSOCHYBR_P + RSOCHYBRP2 , RSOCHYBR1731) * (1-PREM8_11) * ART1731BIS ;
RSOCHYAR_2 = max(RSOCHYAR_P + RSOCHYARP2 , RSOCHYAR1731) * (1-PREM8_11) * ART1731BIS ;

RSOCHYB_1 = arr(max(min((INVRETYB * (1 - INDPLAF) + INVRETYBA * INDPLAF) , RRISUP - RDOMSOC1 - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOCHYB = RSOCHYB_1 * (1-ART1731BIS) + min(RSOCHYB_1 , RSOCHYB_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOCHYB_1 ;

RSOCHYA_1 = arr(max(min((INVRETYA * (1 - INDPLAF) + INVRETYAA * INDPLAF) , RRISUP - RDOMSOC1 - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOCHYA = RSOCHYA_1 * (1-ART1731BIS) + min(RSOCHYA_1 , RSOCHYA_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOCHYA_1 ;

RSOCHYBR_1 = arr(max(min((INVRETYBR * (1 - INDPLAF) + INVRETYBRA * INDPLAF) , RRISUP - RDOMSOC1 - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOCHYBR = RSOCHYBR_1 * (1-ART1731BIS) + min(RSOCHYBR_1 , RSOCHYBR_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOCHYBR_1 ;

RSOCHYAR_1 = arr(max(min((INVRETYAR * (1 - INDPLAF) + INVRETYARA * INDPLAF) , RRISUP - RDOMSOC1 - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOCHYAR = RSOCHYAR_1 * (1-ART1731BIS) + min(RSOCHYAR_1 , RSOCHYAR_2) *  ART1731BIS ;
VARTMP1 = 0 ;

regle 8402 :
application : iliad  ;

VARTMP1 = 0 ;
RSOC9_2 = max(RSOC9_P + RSOC9P2 , RSOC91731) * (1-PREM8_11) * ART1731BIS ;
RSOC10_2 = max(RSOC10_P + RSOC10P2 , RSOC101731) * (1-PREM8_11) * ART1731BIS ;
RSOC11_2 = max( RSOC11_P + RSOC11P2 , RSOC111731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC12_2 = max( RSOC12_P + RSOC12P2 , RSOC121731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC13_2 = max( RSOC13_P + RSOC13P2 , RSOC131731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC14_2 = max( RSOC14_P + RSOC14P2 , RSOC141731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC15_2 = max( RSOC15_P + RSOC15P2 , RSOC151731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC16_2 = max( RSOC16_P + RSOC16P2 , RSOC161731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC17_2 = max( RSOC17_P + RSOC17P2 , RSOC171731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC18_2 = max( RSOC18_P + RSOC18P2 , RSOC181731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC19_2 = max( RSOC19_P + RSOC19P2 , RSOC191731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC20_2 = max( RSOC20_P + RSOC20P2 , RSOC201731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC21_2 = max( RSOC21_P + RSOC21P2 , RSOC211731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC22_2 = max( RSOC22_P + RSOC22P2 , RSOC221731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC23_2 = max( RSOC23_P + RSOC23P2 , RSOC231731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC24_2 = max( RSOC24_P + RSOC24P2 , RSOC241731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC25_2 = max( RSOC25_P + RSOC25P2 , RSOC251731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC26_2 = max( RSOC26_P + RSOC26P2 , RSOC261731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC27_2 = max( RSOC27_P + RSOC27P2 , RSOC271731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC28_2 = max( RSOC28_P + RSOC28P2 , RSOC281731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC29_2 = max( RSOC29_P + RSOC29P2 , RSOC291731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC30_2 = max( RSOC30_P + RSOC30P2 , RSOC301731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC31_2 = max( RSOC31_P + RSOC31P2 , RSOC311731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC32_2 = max( RSOC32_P + RSOC32P2 , RSOC321731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC33_2 = max( RSOC33_P + RSOC33P2 , RSOC331731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC34_2 = max( RSOC34_P + RSOC34P2 , RSOC341731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC35_2 = max( RSOC35_P + RSOC35P2 , RSOC351731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC36_2 = max( RSOC36_P + RSOC36P2 , RSOC361731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC37_2 = max( RSOC37_P + RSOC37P2 , RSOC371731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC38_2 = max( RSOC38_P + RSOC38P2 , RSOC381731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC39_2 = max( RSOC39_P + RSOC39P2 , RSOC391731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC40_2 = max( RSOC40_P + RSOC40P2 , RSOC401731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC41_2 = max( RSOC41_P + RSOC41P2 , RSOC411731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC42_2 = max( RSOC42_P + RSOC42P2 , RSOC421731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC43_2 = max( RSOC43_P + RSOC43P2 , RSOC431731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC44_2 = max( RSOC44_P + RSOC44P2 , RSOC441731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC45_2 = max( RSOC45_P + RSOC45P2 , RSOC451731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC46_2 = max( RSOC46_P + RSOC46P2 , RSOC461731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC47_2 = max( RSOC47_P + RSOC47P2 , RSOC471731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC48_2 = max( RSOC48_P + RSOC48P2 , RSOC481731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC49_2 = max( RSOC49_P + RSOC49P2 , RSOC491731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC50_2 = max( RSOC50_P + RSOC50P2 , RSOC501731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC51_2 = max( RSOC51_P + RSOC51P2 , RSOC511731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC52_2 = max( RSOC52_P + RSOC52P2 , RSOC521731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC53_2 = max( RSOC53_P + RSOC53P2 , RSOC531731 ) * (1-PREM8_11) * ART1731BIS ;
RSOC54_2 = max( RSOC54_P + RSOC54P2 , RSOC541731 ) * (1-PREM8_11) * ART1731BIS ;

RSOC9_1 = arr(max(min((INVRETRA * (1 - INDPLAF) + INVRETRAA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC9 = RSOC9_1 * (1-ART1731BIS) + min(RSOC9_1 , RSOC9_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC9_1 ;

RSOC10_1 = arr(max(min((INVRETRB * (1 - INDPLAF) + INVRETRBA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC10 = RSOC10_1 * (1-ART1731BIS) + min(RSOC10_1 , RSOC10_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC10_1 ;

RSOC11_1 = arr(max(min((INVRETRC * (1 - INDPLAF) + INVRETRCA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC11 = RSOC11_1 * (1-ART1731BIS) + min(RSOC11_1 , RSOC11_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC11_1 ;

RSOC12_1 = arr(max(min((INVRETRD * (1 - INDPLAF) + INVRETRDA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC12 = RSOC12_1 * (1-ART1731BIS) + min(RSOC12_1 , RSOC12_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC12_1 ;

RSOC13_1 = arr(max(min((INVRETRAR * (1 - INDPLAF) + INVRETRARA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC13 = RSOC13_1 * (1-ART1731BIS) + min(RSOC13_1 , RSOC13_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC13_1 ;

RSOC14_1 = arr(max(min((INVRETRBR * (1 - INDPLAF) + INVRETRBRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC14 = RSOC14_1 * (1-ART1731BIS) + min(RSOC14_1 , RSOC14_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC14_1 ;

RSOC15_1 = arr(max(min((INVRETRCR * (1 - INDPLAF) + INVRETRCRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC15 = RSOC15_1 * (1-ART1731BIS) + min(RSOC15_1 , RSOC15_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC15_1 ;

RSOC16_1 = arr(max(min((INVRETRDR * (1 - INDPLAF) + INVRETRDRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC16 = RSOC16_1 * (1-ART1731BIS) + min(RSOC16_1 , RSOC16_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC16_1 ;

RSOC17_1 = arr(max(min((INVRETXA * (1 - INDPLAF) + INVRETXAA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC17 = RSOC17_1 * (1-ART1731BIS) + min(RSOC17_1 , RSOC17_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC17_1 ;

RSOC18_1 = arr(max(min((INVRETXB * (1 - INDPLAF) + INVRETXBA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC18 = RSOC18_1 * (1-ART1731BIS) + min(RSOC18_1 , RSOC18_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC18_1 ;

RSOC19_1 = arr(max(min((INVRETXC * (1 - INDPLAF) + INVRETXCA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC19 = RSOC19_1 * (1-ART1731BIS) + min(RSOC19_1 , RSOC19_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC19_1 ;

RSOC20_1 = arr(max(min((INVRETXE * (1 - INDPLAF) + INVRETXEA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC20 = RSOC20_1 * (1-ART1731BIS) + min(RSOC20_1 , RSOC20_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC20_1 ;

RSOC21_1 = arr(max(min((INVRETXAR * (1 - INDPLAF) + INVRETXARA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC21 = RSOC21_1 * (1-ART1731BIS) + min(RSOC21_1 , RSOC21_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC21_1 ;

RSOC22_1 = arr(max(min((INVRETXBR * (1 - INDPLAF) + INVRETXBRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC22 = RSOC22_1 * (1-ART1731BIS) + min(RSOC22_1 , RSOC22_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC22_1 ;

RSOC23_1 = arr(max(min((INVRETXCR * (1 - INDPLAF) + INVRETXCRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC23 = RSOC23_1 * (1-ART1731BIS) + min(RSOC23_1 , RSOC23_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC23_1 ;

RSOC24_1 = arr(max(min((INVRETXER * (1 - INDPLAF) + INVRETXERA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC24 = RSOC24_1 * (1-ART1731BIS) + min(RSOC24_1 , RSOC24_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC24_1 ;

RSOC25_1 = arr(max(min((INVRETXK * (1 - INDPLAF) + INVRETXKA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC25 = RSOC25_1 * (1-ART1731BIS) + min( RSOC25_1 , RSOC25_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC25_1 ;

RSOC26_1 = arr(max(min((INVRETXF * (1 - INDPLAF) + INVRETXFA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC26 = RSOC26_1 * (1-ART1731BIS) + min( RSOC26_1 , RSOC26_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC26_1 ;

RSOC27_1 = arr(max(min((INVRETXG * (1 - INDPLAF) + INVRETXGA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC27 = RSOC27_1 * (1-ART1731BIS) + min( RSOC27_1 , RSOC27_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC27_1 ;

RSOC28_1 = arr(max(min((INVRETXH * (1 - INDPLAF) + INVRETXHA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC28 = RSOC28_1 * (1-ART1731BIS) + min( RSOC28_1 , RSOC28_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC28_1 ;

RSOC29_1 = arr(max(min((INVRETXI * (1 - INDPLAF) + INVRETXIA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC29 = RSOC29_1 * (1-ART1731BIS) + min( RSOC29_1 , RSOC29_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC29_1 ;

RSOC30_1 = arr(max(min((INVRETXKR * (1 - INDPLAF) + INVRETXKRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC30 = RSOC30_1 * (1-ART1731BIS) + min( RSOC30_1 , RSOC30_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC30_1 ;

RSOC31_1 = arr(max(min((INVRETXFR * (1 - INDPLAF) + INVRETXFRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC31 = RSOC31_1 * (1-ART1731BIS) + min( RSOC31_1 , RSOC31_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC31_1 ;

RSOC32_1 = arr(max(min((INVRETXGR * (1 - INDPLAF) + INVRETXGRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC32 = RSOC32_1 * (1-ART1731BIS) + min( RSOC32_1 , RSOC32_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC32_1 ;

RSOC33_1 = arr(max(min((INVRETXHR * (1 - INDPLAF) + INVRETXHRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC33 = RSOC33_1 * (1-ART1731BIS) + min( RSOC33_1 , RSOC33_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC33_1 ;

RSOC34_1 = arr(max(min((INVRETXIR * (1 - INDPLAF) + INVRETXIRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC34 = RSOC34_1 * (1-ART1731BIS) + min( RSOC34_1 , RSOC34_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC34_1 ;

RSOC35_1 = arr(max(min((INVRETXP * (1 - INDPLAF) + INVRETXPA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC35 = RSOC35_1 * (1-ART1731BIS) + min( RSOC35_1 , RSOC35_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC35_1 ;

RSOC36_1 = arr(max(min((INVRETXL * (1 - INDPLAF) + INVRETXLA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC36 = RSOC36_1 * (1-ART1731BIS) + min( RSOC36_1 , RSOC36_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC36_1 ;

RSOC37_1 = arr(max(min((INVRETXM * (1 - INDPLAF) + INVRETXMA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC37 = RSOC37_1 * (1-ART1731BIS) + min( RSOC37_1 , RSOC37_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC37_1 ;

RSOC38_1 = arr(max(min((INVRETXN * (1 - INDPLAF) + INVRETXNA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC38 = RSOC38_1 * (1-ART1731BIS) + min( RSOC38_1 , RSOC38_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC38_1 ;

RSOC39_1 = arr(max(min((INVRETXO * (1 - INDPLAF) + INVRETXOA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC39 = RSOC39_1 * (1-ART1731BIS) + min( RSOC39_1 , RSOC39_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC39_1 ;

RSOC40_1 = arr(max(min((INVRETXPR * (1 - INDPLAF) + INVRETXPRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC40 = RSOC40_1 * (1-ART1731BIS) + min( RSOC40_1 , RSOC40_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC40_1 ;

RSOC41_1 = arr(max(min((INVRETXLR * (1 - INDPLAF) + INVRETXLRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC41 = RSOC41_1 * (1-ART1731BIS) + min( RSOC41_1 , RSOC41_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC41_1 ;

RSOC42_1 = arr(max(min((INVRETXMR * (1 - INDPLAF) + INVRETXMRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC42 = RSOC42_1 * (1-ART1731BIS) + min( RSOC42_1 , RSOC42_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC42_1 ;

RSOC43_1 = arr(max(min((INVRETXNR * (1 - INDPLAF) + INVRETXNRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC43 = RSOC43_1 * (1-ART1731BIS) + min( RSOC43_1 , RSOC43_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC43_1 ;

RSOC44_1 = arr(max(min((INVRETXOR * (1 - INDPLAF) + INVRETXORA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC44 = RSOC44_1 * (1-ART1731BIS) + min( RSOC44_1 , RSOC44_2 ) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC44_1 ;

RSOC45_1 = arr(max(min((INVRETXU * (1 - INDPLAF) + INVRETXUA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC45 = RSOC45_1 * (1-ART1731BIS) + min(RSOC45_1 , RSOC45_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC45_1 ;

RSOC46_1 = arr(max(min((INVRETXQ * (1 - INDPLAF) + INVRETXQA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC46 = RSOC46_1 * (1-ART1731BIS) + min(RSOC46_1 , RSOC46_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC46_1 ;

RSOC47_1 = arr(max(min((INVRETXR * (1 - INDPLAF) + INVRETXRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC47 = RSOC47_1 * (1-ART1731BIS) + min(RSOC47_1 , RSOC47_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC47_1 ;

RSOC48_1 = arr(max(min((INVRETXS * (1 - INDPLAF) + INVRETXSA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC48 = RSOC48_1 * (1-ART1731BIS) + min(RSOC48_1 , RSOC48_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC48_1 ;

RSOC49_1 = arr(max(min((INVRETXT * (1 - INDPLAF) + INVRETXTA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC49 = RSOC49_1 * (1-ART1731BIS) + min(RSOC49_1 , RSOC49_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC49_1 ;

RSOC50_1 = arr(max(min((INVRETXUR * (1 - INDPLAF) + INVRETXURA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC50 = RSOC50_1 * (1-ART1731BIS) + min(RSOC50_1 , RSOC50_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC50_1 ;

RSOC51_1 = arr(max(min((INVRETXQR * (1 - INDPLAF) + INVRETXQRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC51 = RSOC51_1 * (1-ART1731BIS) + min(RSOC51_1 , RSOC51_2) *  ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC51_1 ;

RSOC52_1 = arr(max(min((INVRETXRR * (1 - INDPLAF) + INVRETXRRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC52 = RSOC52_1 * (1-ART1731BIS) + min(RSOC52_1 , RSOC52_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC52_1 ;

RSOC53_1 = arr(max(min((INVRETXSR * (1 - INDPLAF) + INVRETXSRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC53 = RSOC53_1 * (1-ART1731BIS) + min(RSOC53_1 , RSOC53_2 ) * ART1731BIS ;
VARTMP1 = VARTMP1 + RSOC53_1 ;

RSOC54_1 = arr(max(min((INVRETXTR * (1 - INDPLAF) + INVRETXTRA * INDPLAF) , RRISUP - VARTMP1) , 0)) * (1 - V_CNR) ;
RSOC54 = RSOC54_1 * (1-ART1731BIS) + min(RSOC54_1 , RSOC54_2) * ART1731BIS ;
VARTMP1 = 0 ;

regle 8403 :
application : iliad  ;

VARTMP1 = 0 ;
RLOCHET_2 = max(RLOCHET_P + RLOCHETP2 , RLOCHET1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHEO_2 = max(RLOCHEO_P + RLOCHEOP2 , RLOCHEO1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHES_2 = max(RLOCHES_P + RLOCHESP2 , RLOCHES1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHEN_2 = max(RLOCHEN_P + RLOCHENP2 , RLOCHEN1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHEP_2 = max(RLOCHEP_P + RLOCHEPP2 , RLOCHEP1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHEU_2 = max(RLOCHEU_P + RLOCHEUP2 , RLOCHEU1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHER_2 = max(RLOCHER_P + RLOCHERP2 , RLOCHER1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHEW_2 = max(RLOCHEW_P + RLOCHEWP2 , RLOCHEW1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHETR_2 = max(RLOCHETR_P + RLOCHETRP2 , RLOCHETR1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHEOR_2 = max(RLOCHEOR_P + RLOCHEORP2 , RLOCHEOR1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHESR_2 = max(RLOCHESR_P + RLOCHESRP2 , RLOCHESR1731) * (1-PREM8_11) * ART1731BIS ;
RLOCHENR_2 = max(RLOCHENR_P + RLOCHENRP2 , RLOCHENR1731) * (1-PREM8_11) * ART1731BIS ;

RRIRENT = RRISUP - RLOGSOC - RDOMSOC1 - RCOLENT ;

RLOCHET_1 = max(min((INVRETET * (1 - INDPLAF) + INVRETETA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHET = RLOCHET_1 * (1-ART1731BIS) + min(RLOCHET_1 , RLOCHET_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHET_1 ;

RLOCHEO_1 = max(min((INVRETEO * (1 - INDPLAF) + INVRETEOA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHEO = RLOCHEO_1 * (1-ART1731BIS) + min(RLOCHEO_1 , RLOCHEO_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHEO_1 ;

RLOCHES_1 = max(min((INVRETES * (1 - INDPLAF) + INVRETESA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHES = RLOCHES_1 * (1-ART1731BIS) + min(RLOCHES_1 , RLOCHES_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHES_1 ;

RLOCHEN_1 = max(min((INVRETEN * (1 - INDPLAF) + INVRETENA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHEN = RLOCHEN_1 * (1-ART1731BIS) + min(RLOCHEN_1 , RLOCHEN_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHEN_1 ;

RLOCHEP_1 = max(min((INVRETEP * (1 - INDPLAF) + INVRETEPA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHEP = RLOCHEP_1 * (1-ART1731BIS) + min(RLOCHEP_1 , RLOCHEP_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHEP_1 ;

RLOCHEU_1 = max(min((INVRETEU * (1 - INDPLAF) + INVRETEUA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHEU = RLOCHEU_1 * (1-ART1731BIS) + min(RLOCHEU_1 , RLOCHEU_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHEU_1 ;

RLOCHER_1 = max(min((INVRETER * (1 - INDPLAF) + INVRETERA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHER = RLOCHER_1 * (1-ART1731BIS) + min(RLOCHER_1 , RLOCHER_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHER_1 ;

RLOCHEW_1 = max(min((INVRETEW * (1 - INDPLAF) + INVRETEWA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHEW = RLOCHEW_1 * (1-ART1731BIS) + min(RLOCHEW_1 , RLOCHEW_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHEW_1 ;

RLOCHETR_1 = max(min((INVRETETR * (1 - INDPLAF) + INVRETETRA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHETR = RLOCHETR_1 * (1-ART1731BIS) + min(RLOCHETR_1 , RLOCHETR_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHETR_1 ;

RLOCHEOR_1 = max(min((INVRETEOR * (1 - INDPLAF) + INVRETEORA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHEOR = RLOCHEOR_1 * (1-ART1731BIS) + min(RLOCHEOR_1 , RLOCHEOR_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHEOR_1 ;

RLOCHESR_1 = max(min((INVRETESR * (1 - INDPLAF) + INVRETESRA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHESR = RLOCHESR_1 * (1-ART1731BIS) + min(RLOCHESR_1 , RLOCHESR_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOCHESR_1 ;

RLOCHENR_1 = max(min((INVRETENR * (1 - INDPLAF) + INVRETENRA * INDPLAF) , RRIRENT - VARTMP1) , 0) * (1 - V_CNR) ;
RLOCHENR = RLOCHENR_1 * (1-ART1731BIS) + min(RLOCHENR_1 , RLOCHENR_2) * ART1731BIS ;
VARTMP1 = 0 ;

regle 8404 :
application : iliad  ;

VARTMP1 = 0 ;
RLOC01_2 = max( RLOC01_P + RLOC01P2 , RLOC011731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC02_2 = max( RLOC02_P + RLOC02P2 , RLOC021731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC03_2 = max( RLOC03_P + RLOC03P2 , RLOC031731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC04_2 = max( RLOC04_P + RLOC04P2 , RLOC041731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC05_2 = max( RLOC05_P + RLOC05P2 , RLOC051731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC06_2 = max( RLOC06_P + RLOC06P2 , RLOC061731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC07_2 = max( RLOC07_P + RLOC07P2 , RLOC071731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC08_2 = max( RLOC08_P + RLOC08P2 , RLOC081731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC09_2 = max( RLOC09_P + RLOC09P2 , RLOC091731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC10_2 = max( RLOC10_P + RLOC10P2 , RLOC101731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC11_2 = max( RLOC11_P + RLOC11P2 , RLOC111731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC12_2 = max( RLOC12_P + RLOC12P2 , RLOC121731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC13_2 = max( RLOC13_P + RLOC13P2 , RLOC131731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC14_2 = max( RLOC14_P + RLOC14P2 , RLOC141731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC15_2 = max( RLOC15_P + RLOC15P2 , RLOC151731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC16_2 = max( RLOC16_P + RLOC16P2 , RLOC161731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC17_2 = max( RLOC17_P + RLOC17P2 , RLOC171731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC18_2 = max( RLOC18_P + RLOC18P2 , RLOC181731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC19_2 = max( RLOC19_P + RLOC19P2 , RLOC191731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC20_2 = max( RLOC20_P + RLOC20P2 , RLOC201731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC21_2 = max( RLOC21_P + RLOC21P2 , RLOC211731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC22_2 = max( RLOC22_P + RLOC22P2 , RLOC221731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC23_2 = max( RLOC23_P + RLOC23P2 , RLOC231731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC24_2 = max( RLOC24_P + RLOC24P2 , RLOC241731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC25_2 = max( RLOC25_P + RLOC25P2 , RLOC251731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC26_2 = max( RLOC26_P + RLOC26P2 , RLOC261731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC27_2 = max( RLOC27_P + RLOC27P2 , RLOC271731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC28_2 = max( RLOC28_P + RLOC28P2 , RLOC281731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC29_2 = max( RLOC29_P + RLOC29P2 , RLOC291731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC30_2 = max( RLOC30_P + RLOC30P2 , RLOC301731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC31_2 = max( RLOC31_P + RLOC31P2 , RLOC311731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC32_2 = max( RLOC32_P + RLOC32P2 , RLOC321731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC33_2 = max( RLOC33_P + RLOC33P2 , RLOC331731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC34_2 = max( RLOC34_P + RLOC34P2 , RLOC341731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC35_2 = max( RLOC35_P + RLOC35P2 , RLOC351731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC36_2 = max( RLOC36_P + RLOC36P2 , RLOC361731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC37_2 = max( RLOC37_P + RLOC37P2 , RLOC371731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC38_2 = max( RLOC38_P + RLOC38P2 , RLOC381731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC39_2 = max( RLOC39_P + RLOC39P2 , RLOC391731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC40_2 = max( RLOC40_P + RLOC40P2 , RLOC401731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC41_2 = max( RLOC41_P + RLOC41P2 , RLOC411731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC42_2 = max( RLOC42_P + RLOC42P2 , RLOC421731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC43_2 = max( RLOC43_P + RLOC43P2 , RLOC431731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC44_2 = max( RLOC44_P + RLOC44P2 , RLOC441731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC45_2 = max( RLOC45_P + RLOC45P2 , RLOC451731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC46_2 = max( RLOC46_P + RLOC46P2 , RLOC461731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC47_2 = max( RLOC47_P + RLOC47P2 , RLOC471731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC48_2 = max( RLOC48_P + RLOC48P2 , RLOC481731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC49_2 = max( RLOC49_P + RLOC49P2 , RLOC491731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC50_2 = max( RLOC50_P + RLOC50P2 , RLOC501731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC51_2 = max( RLOC51_P + RLOC51P2 , RLOC511731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC52_2 = max( RLOC52_P + RLOC52P2 , RLOC521731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC53_2 = max( RLOC53_P + RLOC53P2 , RLOC531731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC54_2 = max( RLOC54_P + RLOC54P2 , RLOC541731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC55_2 = max( RLOC55_P + RLOC55P2 , RLOC551731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC56_2 = max( RLOC56_P + RLOC56P2 , RLOC561731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC57_2 = max( RLOC57_P + RLOC57P2 , RLOC571731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC58_2 = max( RLOC58_P + RLOC58P2 , RLOC581731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC59_2 = max( RLOC59_P + RLOC59P2 , RLOC591731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC60_2 = max( RLOC60_P + RLOC60P2 , RLOC601731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC61_2 = max( RLOC61_P + RLOC61P2 , RLOC611731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC62_2 = max( RLOC62_P + RLOC62P2 , RLOC621731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC63_2 = max( RLOC63_P + RLOC63P2 , RLOC631731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC64_2 = max( RLOC64_P + RLOC64P2 , RLOC641731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC65_2 = max( RLOC65_P + RLOC65P2 , RLOC651731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC66_2 = max( RLOC66_P + RLOC66P2 , RLOC661731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC67_2 = max( RLOC67_P + RLOC67P2 , RLOC671731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC68_2 = max( RLOC68_P + RLOC68P2 , RLOC681731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC69_2 = max( RLOC69_P + RLOC69P2 , RLOC691731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC70_2 = max( RLOC70_P + RLOC70P2 , RLOC701731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC71_2 = max( RLOC71_P + RLOC71P2 , RLOC711731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC72_2 = max( RLOC72_P + RLOC72P2 , RLOC721731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC73_2 = max( RLOC73_P + RLOC73P2 , RLOC731731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC74_2 = max( RLOC74_P + RLOC74P2 , RLOC741731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC75_2 = max( RLOC75_P + RLOC75P2 , RLOC751731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC76_2 = max( RLOC76_P + RLOC76P2 , RLOC761731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC77_2 = max( RLOC77_P + RLOC77P2 , RLOC771731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC78_2 = max( RLOC78_P + RLOC78P2 , RLOC781731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC79_2 = max( RLOC79_P + RLOC79P2 , RLOC791731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC80_2 = max( RLOC80_P + RLOC80P2 , RLOC801731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC81_2 = max( RLOC81_P + RLOC81P2 , RLOC811731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC82_2 = max( RLOC82_P + RLOC82P2 , RLOC821731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC83_2 = max( RLOC83_P + RLOC83P2 , RLOC831731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC84_2 = max( RLOC84_P + RLOC84P2 , RLOC841731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC85_2 = max( RLOC85_P + RLOC85P2 , RLOC851731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC86_2 = max( RLOC86_P + RLOC86P2 , RLOC861731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC87_2 = max( RLOC87_P + RLOC87P2 , RLOC871731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC88_2 = max( RLOC88_P + RLOC88P2 , RLOC881731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC89_2 = max( RLOC89_P + RLOC89P2 , RLOC891731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC90_2 = max( RLOC90_P + RLOC90P2 , RLOC901731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC91_2 = max( RLOC91_P + RLOC91P2 , RLOC911731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC92_2 = max( RLOC92_P + RLOC92P2 , RLOC921731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC93_2 = max( RLOC93_P + RLOC93P2 , RLOC931731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC94_2 = max( RLOC94_P + RLOC94P2 , RLOC941731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC95_2 = max( RLOC95_P + RLOC95P2 , RLOC951731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC96_2 = max( RLOC96_P + RLOC96P2 , RLOC961731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC97_2 = max( RLOC97_P + RLOC97P2 , RLOC971731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC98_2 = max( RLOC98_P + RLOC98P2 , RLOC981731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC99_2 = max( RLOC99_P + RLOC99P2 , RLOC991731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC100_2 = max( RLOC100_P + RLOC100P2 , RLOC1001731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC101_2 = max( RLOC101_P + RLOC101P2 , RLOC1011731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC102_2 = max( RLOC102_P + RLOC102P2 , RLOC1021731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC103_2 = max( RLOC103_P + RLOC103P2 , RLOC1031731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC104_2 = max( RLOC104_P + RLOC104P2 , RLOC1041731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC105_2 = max( RLOC105_P + RLOC105P2 , RLOC1051731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC106_2 = max( RLOC106_P + RLOC106P2 , RLOC1061731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC107_2 = max( RLOC107_P + RLOC107P2 , RLOC1071731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC108_2 = max( RLOC108_P + RLOC108P2 , RLOC1081731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC109_2 = max( RLOC109_P + RLOC109P2 , RLOC1091731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC110_2 = max( RLOC110_P + RLOC110P2 , RLOC1101731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC111_2 = max( RLOC111_P + RLOC111P2 , RLOC1111731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC112_2 = max( RLOC112_P + RLOC112P2 , RLOC1121731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC113_2 = max( RLOC113_P + RLOC113P2 , RLOC1131731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC114_2 = max( RLOC114_P + RLOC114P2 , RLOC1141731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC115_2 = max( RLOC115_P + RLOC115P2 , RLOC1151731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC116_2 = max( RLOC116_P + RLOC116P2 , RLOC1161731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC117_2 = max( RLOC117_P + RLOC117P2 , RLOC1171731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC118_2 = max( RLOC118_P + RLOC118P2 , RLOC1181731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC119_2 = max( RLOC119_P + RLOC119P2 , RLOC1191731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC120_2 = max( RLOC120_P + RLOC120P2 , RLOC1201731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC121_2 = max( RLOC121_P + RLOC121P2 , RLOC1211731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC122_2 = max( RLOC122_P + RLOC122P2 , RLOC1221731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC123_2 = max( RLOC123_P + RLOC123P2 , RLOC1231731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC124_2 = max( RLOC124_P + RLOC124P2 , RLOC1241731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC125_2 = max( RLOC125_P + RLOC125P2 , RLOC1251731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC126_2 = max( RLOC126_P + RLOC126P2 , RLOC1261731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC127_2 = max( RLOC127_P + RLOC127P2 , RLOC1271731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC128_2 = max( RLOC128_P + RLOC128P2 , RLOC1281731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC129_2 = max( RLOC129_P + RLOC129P2 , RLOC1291731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC130_2 = max( RLOC130_P + RLOC130P2 , RLOC1301731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC131_2 = max( RLOC131_P + RLOC131P2 , RLOC1311731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC132_2 = max( RLOC132_P + RLOC132P2 , RLOC1321731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC133_2 = max( RLOC133_P + RLOC133P2 , RLOC1331731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC134_2 = max( RLOC134_P + RLOC134P2 , RLOC1341731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC135_2 = max( RLOC135_P + RLOC135P2 , RLOC1351731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC136_2 = max( RLOC136_P + RLOC136P2 , RLOC1361731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC137_2 = max( RLOC137_P + RLOC137P2 , RLOC1371731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC138_2 = max( RLOC138_P + RLOC138P2 , RLOC1381731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC139_2 = max( RLOC139_P + RLOC139P2 , RLOC1391731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC140_2 = max( RLOC140_P + RLOC140P2 , RLOC1401731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC141_2 = max( RLOC141_P + RLOC141P2 , RLOC1411731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC142_2 = max( RLOC142_P + RLOC142P2 , RLOC1421731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC143_2 = max( RLOC143_P + RLOC143P2 , RLOC1431731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC144_2 = max( RLOC144_P + RLOC144P2 , RLOC1441731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC145_2 = max( RLOC145_P + RLOC145P2 , RLOC1451731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC146_2 = max( RLOC146_P + RLOC146P2 , RLOC1461731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC147_2 = max( RLOC147_P + RLOC147P2 , RLOC1471731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC148_2 = max( RLOC148_P + RLOC148P2 , RLOC1481731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC149_2 = max( RLOC149_P + RLOC149P2 , RLOC1491731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC150_2 = max( RLOC150_P + RLOC150P2 , RLOC1501731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC151_2 = max( RLOC151_P + RLOC151P2 , RLOC1511731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC152_2 = max( RLOC152_P + RLOC152P2 , RLOC1521731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC153_2 = max( RLOC153_P + RLOC153P2 , RLOC1531731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC154_2 = max( RLOC154_P + RLOC154P2 , RLOC1541731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC155_2 = max( RLOC155_P + RLOC155P2 , RLOC1551731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC156_2 = max( RLOC156_P + RLOC156P2 , RLOC1561731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC157_2 = max( RLOC157_P + RLOC157P2 , RLOC1571731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC158_2 = max( RLOC158_P + RLOC158P2 , RLOC1581731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC159_2 = max( RLOC159_P + RLOC159P2 , RLOC1591731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC160_2 = max( RLOC160_P + RLOC160P2 , RLOC1601731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC161_2 = max( RLOC161_P + RLOC161P2 , RLOC1611731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC162_2 = max( RLOC162_P + RLOC162P2 , RLOC1621731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC163_2 = max( RLOC163_P + RLOC163P2 , RLOC1631731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC164_2 = max( RLOC164_P + RLOC164P2 , RLOC1641731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC165_2 = max( RLOC165_P + RLOC165P2 , RLOC1651731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC166_2 = max( RLOC166_P + RLOC166P2 , RLOC1661731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC167_2 = max( RLOC167_P + RLOC167P2 , RLOC1671731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC168_2 = max( RLOC168_P + RLOC168P2 , RLOC1681731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC169_2 = max( RLOC169_P + RLOC169P2 , RLOC1691731 ) * (1-PREM8_11) * ART1731BIS ;
RLOC170_2 = max( RLOC170_P + RLOC170P2 , RLOC1701731 ) * (1-PREM8_11) * ART1731BIS ;

RRILOC = RRISUP - RLOGSOC - RDOMSOC1 ;

RLOC15_1 = max(min((INVRETSB * (1 - INDPLAF) + INVRETSBA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC15 = RLOC15_1 * (1-ART1731BIS) + min(RLOC15_1 , RLOC15_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC15_1 ;

RLOC16_1 = max(min((INVRETSG * (1 - INDPLAF) + INVRETSGA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC16 = RLOC16_1 * (1-ART1731BIS) + min(RLOC16_1 , RLOC16_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC16_1 ;

RLOC17_1 = max(min((INVRETSL * (1 - INDPLAF) + INVRETSLA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC17 = RLOC17_1 * (1-ART1731BIS) + min(RLOC17_1 , RLOC17_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC17_1 ;

RLOC18_1 = max(min((INVRETSQ * (1 - INDPLAF) + INVRETSQA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC18 = RLOC18_1 * (1-ART1731BIS) + min(RLOC18_1 , RLOC18_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC18_1 ;

RLOC19_1 = max(min((INVRETSV * (1 - INDPLAF) + INVRETSVA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC19 = RLOC19_1 * (1-ART1731BIS) + min(RLOC19_1 , RLOC19_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC19_1 ;

RLOC20_1 = max(min((INVRETTA * (1 - INDPLAF) + INVRETTAA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC20 = RLOC20_1 * (1-ART1731BIS) + min(RLOC20_1 , RLOC20_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC20_1 ;

RLOC21_1 = max(min((INVRETSA * (1 - INDPLAF) + INVRETSAA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC21 = RLOC21_1 * (1-ART1731BIS) + min(RLOC21_1 , RLOC21_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC21_1 ;

RLOC22_1 = max(min((INVRETSF * (1 - INDPLAF) + INVRETSFA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC22 = RLOC22_1 * (1-ART1731BIS) + min(RLOC22_1 , RLOC22_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC22_1 ;

RLOC23_1 = max(min((INVRETSK * (1 - INDPLAF) + INVRETSKA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC23 = RLOC23_1 * (1-ART1731BIS) + min(RLOC23_1 , RLOC23_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC23_1 ;

RLOC24_1 = max(min((INVRETSP * (1 - INDPLAF) + INVRETSPA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC24 = RLOC24_1 * (1-ART1731BIS) + min(RLOC24_1 , RLOC24_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC24_1 ;

RLOC25_1 = max(min((INVRETSU * (1 - INDPLAF) + INVRETSUA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC25 = RLOC25_1 * (1-ART1731BIS) + min(RLOC25_1 , RLOC25_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC25_1 ;

RLOC26_1 = max(min((INVRETSZ * (1 - INDPLAF) + INVRETSZA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC26 = RLOC26_1 * (1-ART1731BIS) + min(RLOC26_1 , RLOC26_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC26_1 ;

RLOC27_1 = max(min((INVRETSC * (1 - INDPLAF) + INVRETSCA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC27 = RLOC27_1 * (1-ART1731BIS) + min(RLOC27_1 , RLOC27_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC27_1 ;

RLOC28_1 = max(min((INVRETSH * (1 - INDPLAF) + INVRETSHA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC28 = RLOC28_1 * (1-ART1731BIS) + min(RLOC28_1 , RLOC28_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC28_1 ;

RLOC29_1 = max(min((INVRETSM * (1 - INDPLAF) + INVRETSMA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC29 = RLOC29_1 * (1-ART1731BIS) + min(RLOC29_1 , RLOC29_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC29_1 ;

RLOC30_1 = max(min((INVRETSR * (1 - INDPLAF) + INVRETSRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC30 = RLOC30_1 * (1-ART1731BIS) + min(RLOC30_1 , RLOC30_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC30_1 ;

RLOC31_1 = max(min((INVRETSW * (1 - INDPLAF) + INVRETSWA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC31 = RLOC31_1 * (1-ART1731BIS) + min(RLOC31_1 , RLOC31_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC31_1 ;

RLOC32_1 = max(min((INVRETTB * (1 - INDPLAF) + INVRETTBA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC32 = RLOC32_1 * (1-ART1731BIS) + min(RLOC32_1 , RLOC32_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC32_1 ;

RLOC33_1 = max(min((INVRETSE * (1 - INDPLAF) + INVRETSEA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC33 = RLOC33_1 * (1-ART1731BIS) + min(RLOC33_1 , RLOC33_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC33_1 ;

RLOC34_1 = max(min((INVRETSJ * (1 - INDPLAF) + INVRETSJA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC34 = RLOC34_1 * (1-ART1731BIS) + min(RLOC34_1 , RLOC34_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC34_1 ;

RLOC35_1 = max(min((INVRETSO * (1 - INDPLAF) + INVRETSOA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC35 = RLOC35_1 * (1-ART1731BIS) + min(RLOC35_1 , RLOC35_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC35_1 ;

RLOC36_1 = max(min((INVRETST * (1 - INDPLAF) + INVRETSTA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC36 = RLOC36_1 * (1-ART1731BIS) + min(RLOC36_1 , RLOC36_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC36_1 ;

RLOC37_1 = max(min((INVRETSY * (1 - INDPLAF) + INVRETSYA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC37 = RLOC37_1 * (1-ART1731BIS) + min(RLOC37_1 , RLOC37_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC37_1 ;

RLOC38_1 = max(min((INVRETTD * (1 - INDPLAF) + INVRETTDA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC38 = RLOC38_1 * (1-ART1731BIS) + min(RLOC38_1 , RLOC38_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC38_1 ;

RLOC39_1 = max(min((INVRETSBR * (1 - INDPLAF) + INVRETSBRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC39 = RLOC39_1 * (1-ART1731BIS) + min(RLOC39_1 , RLOC39_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC39_1 ;

RLOC40_1 = max(min((INVRETSGR * (1 - INDPLAF) + INVRETSGRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC40 = RLOC40_1 * (1-ART1731BIS) + min(RLOC40_1 , RLOC40_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC40_1 ;

RLOC41_1 = max(min((INVRETSAR * (1 - INDPLAF) + INVRETSARA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC41 = RLOC41_1 * (1-ART1731BIS) + min(RLOC41_1 , RLOC41_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC41_1 ;

RLOC42_1 = max(min((INVRETSFR * (1 - INDPLAF) + INVRETSFRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC42 = RLOC42_1 * (1-ART1731BIS) + min(RLOC42_1 , RLOC42_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC42_1 ;

RLOC43_1 = max(min((INVRETSLR * (1 - INDPLAF) + INVRETSLRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC43 = RLOC43_1 * (1-ART1731BIS) + min(RLOC43_1 , RLOC43_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC43_1 ;

RLOC44_1 = max(min((INVRETSQR * (1 - INDPLAF) + INVRETSQRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC44 = RLOC44_1 * (1-ART1731BIS) + min(RLOC44_1 , RLOC44_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC44_1 ;

RLOC45_1 = max(min((INVRETSVR * (1 - INDPLAF) + INVRETSVRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC45 = RLOC45_1 * (1-ART1731BIS) + min(RLOC45_1 , RLOC45_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC45_1 ;

RLOC46_1 = max(min((INVRETTAR * (1 - INDPLAF) + INVRETTARA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC46 = RLOC46_1 * (1-ART1731BIS) + min(RLOC46_1 , RLOC46_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC46_1 ;

RLOC47_1 = max(min((INVRETSKR * (1 - INDPLAF) + INVRETSKRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC47 = RLOC47_1 * (1-ART1731BIS) + min(RLOC47_1 , RLOC47_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC47_1 ;

RLOC48_1 = max(min((INVRETSPR * (1 - INDPLAF) + INVRETSPRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC48 = RLOC48_1 * (1-ART1731BIS) + min(RLOC48_1 , RLOC48_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC48_1 ;

RLOC49_1 = max(min((INVRETSUR * (1 - INDPLAF) + INVRETSURA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC49 = RLOC49_1 * (1-ART1731BIS) + min(RLOC49_1 , RLOC49_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC49_1 ;

RLOC50_1 = max(min((INVRETSZR * (1 - INDPLAF) + INVRETSZRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC50 = RLOC50_1 * (1-ART1731BIS) + min(RLOC50_1 , RLOC50_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC50_1 ;

RLOC51_1 = max(min((INVRETAB * (1 - INDPLAF) + INVRETABA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC51 = RLOC51_1 * (1-ART1731BIS) + min(RLOC51_1 , RLOC51_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC51_1 ;

RLOC52_1 = max(min((INVRETAG * (1 - INDPLAF) + INVRETAGA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC52 = RLOC52_1 * (1-ART1731BIS) + min(RLOC52_1 , RLOC52_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC52_1 ;

RLOC53_1 = max(min((INVRETAL * (1 - INDPLAF) + INVRETALA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC53 = RLOC53_1 * (1-ART1731BIS) + min(RLOC53_1 , RLOC53_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC53_1 ;

RLOC54_1 = max(min((INVRETAQ * (1 - INDPLAF) + INVRETAQA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC54 = RLOC54_1 * (1-ART1731BIS) + min(RLOC54_1 , RLOC54_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC54_1 ;

RLOC55_1 = max(min((INVRETAV * (1 - INDPLAF) + INVRETAVA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC55 = RLOC55_1 * (1-ART1731BIS) + min(RLOC55_1 , RLOC55_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC55_1 ;

RLOC56_1 = max(min((INVRETBB * (1 - INDPLAF) + INVRETBBA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC56 = RLOC56_1 * (1-ART1731BIS) + min(RLOC56_1 , RLOC56_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC56_1 ;

RLOC57_1 = max(min((INVRETAA * (1 - INDPLAF) + INVRETAAA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC57 = RLOC57_1 * (1-ART1731BIS) + min(RLOC57_1 , RLOC57_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC57_1 ;

RLOC58_1 = max(min((INVRETAF * (1 - INDPLAF) + INVRETAFA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC58 = RLOC58_1 * (1-ART1731BIS) + min(RLOC58_1 , RLOC58_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC58_1 ;

RLOC59_1 = max(min((INVRETAK * (1 - INDPLAF) + INVRETAKA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC59 = RLOC59_1 * (1-ART1731BIS) + min(RLOC59_1 , RLOC59_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC59_1 ;

RLOC60_1 = max(min((INVRETAP * (1 - INDPLAF) + INVRETAPA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC60 = RLOC60_1 * (1-ART1731BIS) + min(RLOC60_1 , RLOC60_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC60_1 ;

RLOC61_1 = max(min((INVRETAU * (1 - INDPLAF) + INVRETAUA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC61 = RLOC61_1 * (1-ART1731BIS) + min(RLOC61_1 , RLOC61_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC61_1 ;

RLOC62_1 = max(min((INVRETBA * (1 - INDPLAF) + INVRETBAA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC62 = RLOC62_1 * (1-ART1731BIS) + min(RLOC62_1 , RLOC62_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC62_1 ;

RLOC63_1 = max(min((INVRETAC * (1 - INDPLAF) + INVRETACA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC63 = RLOC63_1 * (1-ART1731BIS) + min(RLOC63_1 , RLOC63_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC63_1 ;

RLOC64_1 = max(min((INVRETAH * (1 - INDPLAF) + INVRETAHA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC64 = RLOC64_1 * (1-ART1731BIS) + min(RLOC64_1 , RLOC64_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC64_1 ;

RLOC65_1 = max(min((INVRETAM * (1 - INDPLAF) + INVRETAMA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC65 = RLOC65_1 * (1-ART1731BIS) + min(RLOC65_1 , RLOC65_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC65_1 ;

RLOC66_1 = max(min((INVRETAR * (1 - INDPLAF) + INVRETARA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC66 = RLOC66_1 * (1-ART1731BIS) + min(RLOC66_1 , RLOC66_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC66_1 ;

RLOC67_1 = max(min((INVRETAW * (1 - INDPLAF) + INVRETAWA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC67 = RLOC67_1 * (1-ART1731BIS) + min(RLOC67_1 , RLOC67_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC67_1 ;

RLOC68_1 = max(min((INVRETBE * (1 - INDPLAF) + INVRETBEA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC68 = RLOC68_1 * (1-ART1731BIS) + min(RLOC68_1 , RLOC68_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC68_1 ;

RLOC69_1 = max(min((INVRETAE * (1 - INDPLAF) + INVRETAEA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC69 = RLOC69_1 * (1-ART1731BIS) + min(RLOC69_1 , RLOC69_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC69_1 ;

RLOC70_1 = max(min((INVRETAJ * (1 - INDPLAF) + INVRETAJA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC70 = RLOC70_1 * (1-ART1731BIS) + min(RLOC70_1 , RLOC70_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC70_1 ;

RLOC71_1 = max(min((INVRETAO * (1 - INDPLAF) + INVRETAOA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC71 = RLOC71_1 * (1-ART1731BIS) + min(RLOC71_1 , RLOC71_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC71_1 ;

RLOC72_1 = max(min((INVRETAT * (1 - INDPLAF) + INVRETATA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC72 = RLOC72_1 * (1-ART1731BIS) + min(RLOC72_1 , RLOC72_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC72_1 ;

RLOC73_1 = max(min((INVRETAY * (1 - INDPLAF) + INVRETAYA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC73 = RLOC73_1 * (1-ART1731BIS) + min(RLOC73_1 , RLOC73_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC73_1 ;

RLOC74_1 = max(min((INVRETBG * (1 - INDPLAF) + INVRETBGA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC74 = RLOC74_1 * (1-ART1731BIS) + min(RLOC74_1 , RLOC74_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC74_1 ;

RLOC75_1 = max(min((INVRETABR * (1 - INDPLAF) + INVRETABRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC75 = RLOC75_1 * (1-ART1731BIS) + min(RLOC75_1 , RLOC75_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC75_1 ;

RLOC76_1 = max(min((INVRETAGR * (1 - INDPLAF) + INVRETAGRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC76 = RLOC76_1 * (1-ART1731BIS) + min(RLOC76_1 , RLOC76_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC76_1 ;

RLOC77_1 = max(min((INVRETALR * (1 - INDPLAF) + INVRETALRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC77 = RLOC77_1 * (1-ART1731BIS) + min(RLOC77_1 , RLOC77_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC77_1 ;

RLOC78_1 = max(min((INVRETAQR * (1 - INDPLAF) + INVRETAQRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC78 = RLOC78_1 * (1-ART1731BIS) + min(RLOC78_1 , RLOC78_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC78_1 ;

RLOC79_1 = max(min((INVRETAVR * (1 - INDPLAF) + INVRETAVRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC79 = RLOC79_1 * (1-ART1731BIS) + min(RLOC79_1 , RLOC79_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC79_1 ;

RLOC80_1 = max(min((INVRETBBR * (1 - INDPLAF) + INVRETBBRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC80 = RLOC80_1 * (1-ART1731BIS) + min(RLOC80_1 , RLOC80_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC80_1 ;

RLOC81_1 = max(min((INVRETAAR * (1 - INDPLAF) + INVRETAARA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC81 = RLOC81_1 * (1-ART1731BIS) + min(RLOC81_1 , RLOC81_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC81_1 ;

RLOC82_1 = max(min((INVRETAFR * (1 - INDPLAF) + INVRETAFRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC82 = RLOC82_1 * (1-ART1731BIS) + min(RLOC82_1 , RLOC82_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC82_1 ;

RLOC83_1 = max(min((INVRETAKR * (1 - INDPLAF) + INVRETAKRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC83 = RLOC83_1 * (1-ART1731BIS) + min(RLOC83_1 , RLOC83_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC83_1 ;

RLOC84_1 = max(min((INVRETAPR * (1 - INDPLAF) + INVRETAPRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC84 = RLOC84_1 * (1-ART1731BIS) + min(RLOC84_1 , RLOC84_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC84_1 ;

RLOC85_1 = max(min((INVRETAUR * (1 - INDPLAF) + INVRETAURA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC85 = RLOC85_1 * (1-ART1731BIS) + min(RLOC85_1 , RLOC85_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC85_1 ;

RLOC86_1 = max(min((INVRETBAR * (1 - INDPLAF) + INVRETBARA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC86 = RLOC86_1 * (1-ART1731BIS) + min(RLOC86_1 , RLOC86_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC86_1 ;

RLOC87_1 = max(min((INVRETCD * (1 - INDPLAF) + INVRETCDA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC87 = RLOC87_1 * (1-ART1731BIS) + min(RLOC87_1 , RLOC87_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC87_1 ;

RLOC88_1 = max(min((INVRETBJ * (1 - INDPLAF) + INVRETBJA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC88 = RLOC88_1 * (1-ART1731BIS) + min(RLOC88_1 , RLOC88_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC88_1 ;

RLOC89_1 = max(min((INVRETBO * (1 - INDPLAF) + INVRETBOA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC89 = RLOC89_1 * (1-ART1731BIS) + min(RLOC89_1 , RLOC89_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC89_1 ;

RLOC90_1 = max(min((INVRETBT * (1 - INDPLAF) + INVRETBTA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC90 = RLOC90_1 * (1-ART1731BIS) + min(RLOC90_1 , RLOC90_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC90_1 ;

RLOC91_1 = max(min((INVRETBY * (1 - INDPLAF) + INVRETBYA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC91 = RLOC91_1 * (1-ART1731BIS) + min(RLOC91_1 , RLOC91_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC91_1 ;

RLOC92_1 = max(min((INVRETCC * (1 - INDPLAF) + INVRETCCA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC92 = RLOC92_1 * (1-ART1731BIS) + min(RLOC92_1 , RLOC92_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC92_1 ;

RLOC93_1 = max(min((INVRETBI * (1 - INDPLAF) + INVRETBIA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC93 = RLOC93_1 * (1-ART1731BIS) + min(RLOC93_1 , RLOC93_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC93_1 ;

RLOC94_1 = max(min((INVRETBN * (1 - INDPLAF) + INVRETBNA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC94 = RLOC94_1 * (1-ART1731BIS) + min(RLOC94_1 , RLOC94_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC94_1 ;

RLOC95_1 = max(min((INVRETBS * (1 - INDPLAF) + INVRETBSA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC95 = RLOC95_1 * (1-ART1731BIS) + min(RLOC95_1 , RLOC95_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC95_1 ;

RLOC96_1 = max(min((INVRETBX * (1 - INDPLAF) + INVRETBXA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC96 = RLOC96_1 * (1-ART1731BIS) + min(RLOC96_1 , RLOC96_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC96_1 ;

RLOC97_1 = max(min((INVRETBK * (1 - INDPLAF) + INVRETBKA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC97 = RLOC97_1 * (1-ART1731BIS) + min(RLOC97_1 , RLOC97_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC97_1 ;

RLOC98_1 = max(min((INVRETBP * (1 - INDPLAF) + INVRETBPA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC98 = RLOC98_1 * (1-ART1731BIS) + min(RLOC98_1 , RLOC98_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC98_1 ;

RLOC99_1 = max(min((INVRETBU * (1 - INDPLAF) + INVRETBUA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC99 = RLOC99_1 * (1-ART1731BIS) + min(RLOC99_1 , RLOC99_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC99_1 ;

RLOC100_1 = max(min((INVRETBZ * (1 - INDPLAF) + INVRETBZA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC100 = RLOC100_1 * (1-ART1731BIS) + min(RLOC100_1 , RLOC100_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC100_1 ;

RLOC101_1 = max(min((INVRETCE * (1 - INDPLAF) + INVRETCEA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC101 = RLOC101_1 * (1-ART1731BIS) + min(RLOC101_1 , RLOC101_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC101_1 ;

RLOC102_1 = max(min((INVRETBM * (1 - INDPLAF) + INVRETBMA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC102 = RLOC102_1 * (1-ART1731BIS) + min(RLOC102_1 , RLOC102_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC102_1 ;

RLOC103_1 = max(min((INVRETBR * (1 - INDPLAF) + INVRETBRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC103 = RLOC103_1 * (1-ART1731BIS) + min(RLOC103_1 , RLOC103_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC103_1 ;

RLOC104_1 = max(min((INVRETBW * (1 - INDPLAF) + INVRETBWA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC104 = RLOC104_1 * (1-ART1731BIS) + min(RLOC104_1 , RLOC104_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC104_1 ;

RLOC105_1 = max(min((INVRETCB * (1 - INDPLAF) + INVRETCBA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC105 = RLOC105_1 * (1-ART1731BIS) + min(RLOC105_1 , RLOC105_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC105_1 ;

RLOC106_1 = max(min((INVRETCG * (1 - INDPLAF) + INVRETCGA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC106 = RLOC106_1 * (1-ART1731BIS) + min(RLOC106_1 , RLOC106_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC106_1 ;

RLOC107_1 = max(min((INVRETBJR * (1 - INDPLAF) + INVRETBJRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC107 = RLOC107_1 * (1-ART1731BIS) + min(RLOC107_1 , RLOC107_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC107_1 ;

RLOC108_1 = max(min((INVRETBOR * (1 - INDPLAF) + INVRETBORA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC108 = RLOC108_1 * (1-ART1731BIS) + min(RLOC108_1 , RLOC108_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC108_1 ;

RLOC109_1 = max(min((INVRETBTR * (1 - INDPLAF) + INVRETBTRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC109 = RLOC109_1 * (1-ART1731BIS) + min(RLOC109_1 , RLOC109_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC109_1 ;

RLOC110_1 = max(min((INVRETBYR * (1 - INDPLAF) + INVRETBYRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC110 = RLOC110_1 * (1-ART1731BIS) + min(RLOC110_1 , RLOC110_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC110_1 ;

RLOC111_1 = max(min((INVRETCDR * (1 - INDPLAF) + INVRETCDRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC111 = RLOC111_1 * (1-ART1731BIS) + min(RLOC111_1 , RLOC111_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC111_1 ;

RLOC112_1 = max(min((INVRETBIR * (1 - INDPLAF) + INVRETBIRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC112 = RLOC112_1 * (1-ART1731BIS) + min(RLOC112_1 , RLOC112_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC112_1 ;

RLOC113_1 = max(min((INVRETBNR * (1 - INDPLAF) + INVRETBNRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC113 = RLOC113_1 * (1-ART1731BIS) + min(RLOC113_1 , RLOC113_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC113_1 ;

RLOC114_1 = max(min((INVRETBSR * (1 - INDPLAF) + INVRETBSRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC114 = RLOC114_1 * (1-ART1731BIS) + min(RLOC114_1 , RLOC114_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC114_1 ;

RLOC115_1 = max(min((INVRETBXR * (1 - INDPLAF) + INVRETBXRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC115 = RLOC115_1 * (1-ART1731BIS) + min(RLOC115_1 , RLOC115_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC115_1 ;

RLOC116_1 = max(min((INVRETCCR * (1 - INDPLAF) + INVRETCCRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC116 = RLOC116_1 * (1-ART1731BIS) + min(RLOC116_1 , RLOC116_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC116_1 ;

RLOC117_1 = max(min((INVRETCT * (1 - INDPLAF) + INVRETCTA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC117 = RLOC117_1 * (1-ART1731BIS) + min(RLOC117_1 , RLOC117_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC117_1 ;

RLOC118_1 = max(min((INVRETCJ * (1 - INDPLAF) + INVRETCJA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC118 = RLOC118_1 * (1-ART1731BIS) + min(RLOC118_1 , RLOC118_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC118_1 ;

RLOC119_1 = max(min((INVRETCO * (1 - INDPLAF) + INVRETCOA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC119 = RLOC119_1 * (1-ART1731BIS) + min(RLOC119_1 , RLOC119_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC119_1 ;

RLOC120_1 = max(min((INVRETCS * (1 - INDPLAF) + INVRETCSA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC120 = RLOC120_1 * (1-ART1731BIS) + min(RLOC120_1 , RLOC120_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC120_1 ;

RLOC121_1 = max(min((INVRETCI * (1 - INDPLAF) + INVRETCIA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC121 = RLOC121_1 * (1-ART1731BIS) + min(RLOC121_1 , RLOC121_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC121_1 ;

RLOC122_1 = max(min((INVRETCN * (1 - INDPLAF) + INVRETCNA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC122 = RLOC122_1 * (1-ART1731BIS) + min(RLOC122_1 , RLOC122_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC122_1 ;

RLOC123_1 = max(min((INVRETCK * (1 - INDPLAF) + INVRETCKA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC123 = RLOC123_1 * (1-ART1731BIS) + min(RLOC123_1 , RLOC123_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC123_1 ;

RLOC124_1 = max(min((INVRETCP * (1 - INDPLAF) + INVRETCPA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC124 = RLOC124_1 * (1-ART1731BIS) + min(RLOC124_1 , RLOC124_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC124_1 ;

RLOC125_1 = max(min((INVRETCU * (1 - INDPLAF) + INVRETCUA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC125 = RLOC125_1 * (1-ART1731BIS) + min(RLOC125_1 , RLOC125_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC125_1 ;

RLOC126_1 = max(min((INVRETCM * (1 - INDPLAF) + INVRETCMA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC126 = RLOC126_1 * (1-ART1731BIS) + min(RLOC126_1 , RLOC126_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC126_1 ;

RLOC127_1 = max(min((INVRETCR * (1 - INDPLAF) + INVRETCRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC127 = RLOC127_1 * (1-ART1731BIS) + min(RLOC127_1 , RLOC127_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC127_1 ;

RLOC128_1 = max(min((INVRETCW * (1 - INDPLAF) + INVRETCWA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC128 = RLOC128_1 * (1-ART1731BIS) + min(RLOC128_1 , RLOC128_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC128_1 ;

RLOC129_1 = max(min((INVRETCTR * (1 - INDPLAF) + INVRETCTRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC129 = RLOC129_1 * (1-ART1731BIS) + min(RLOC129_1 , RLOC129_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC129_1 ;

RLOC130_1 = max(min((INVRETCJR * (1 - INDPLAF) + INVRETCJRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC130 = RLOC130_1 * (1-ART1731BIS) + min(RLOC130_1 , RLOC130_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC130_1 ;

RLOC131_1 = max(min((INVRETCOR * (1 - INDPLAF) + INVRETCORA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC131 = RLOC131_1 * (1-ART1731BIS) + min(RLOC131_1 , RLOC131_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC131_1 ;

RLOC132_1 = max(min((INVRETCSR * (1 - INDPLAF) + INVRETCSRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC132 = RLOC132_1 * (1-ART1731BIS) + min(RLOC132_1 , RLOC132_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC132_1 ;

RLOC133_1 = max(min((INVRETCIR * (1 - INDPLAF) + INVRETCIRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC133 = RLOC133_1 * (1-ART1731BIS) + min(RLOC133_1 , RLOC133_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC133_1 ;

RLOC134_1 = max(min((INVRETCNR * (1 - INDPLAF) + INVRETCNRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC134 = RLOC134_1 * (1-ART1731BIS) + min(RLOC134_1 , RLOC134_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC134_1 ;

RLOC135_1 = max(min((INVRETDT * (1 - INDPLAF) + INVRETDTA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC135 = RLOC135_1 * (1-ART1731BIS) + min(RLOC135_1 , RLOC135_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC135_1 ;

RLOC136_1 = max(min((INVRETDJ * (1 - INDPLAF) + INVRETDJA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC136 = RLOC136_1 * (1-ART1731BIS) + min(RLOC136_1 , RLOC136_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC136_1 ;

RLOC137_1 = max(min((INVRETDO * (1 - INDPLAF) + INVRETDOA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC137 = RLOC137_1 * (1-ART1731BIS) + min(RLOC137_1 , RLOC137_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC137_1 ;

RLOC138_1 = max(min((INVRETDS * (1 - INDPLAF) + INVRETDSA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC138 = RLOC138_1 * (1-ART1731BIS) + min(RLOC138_1 , RLOC138_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC138_1 ;

RLOC139_1 = max(min((INVRETDI * (1 - INDPLAF) + INVRETDIA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC139 = RLOC139_1 * (1-ART1731BIS) + min(RLOC139_1 , RLOC139_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC139_1 ;

RLOC140_1 = max(min((INVRETDN * (1 - INDPLAF) + INVRETDNA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC140 = RLOC140_1 * (1-ART1731BIS) + min(RLOC140_1 , RLOC140_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC140_1 ;

RLOC141_1 = max(min((INVRETDK * (1 - INDPLAF) + INVRETDKA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC141 = RLOC141_1 * (1-ART1731BIS) + min(RLOC141_1 , RLOC141_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC141_1 ;

RLOC142_1 = max(min((INVRETDP * (1 - INDPLAF) + INVRETDPA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC142 = RLOC142_1 * (1-ART1731BIS) + min(RLOC142_1 , RLOC142_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC142_1 ;

RLOC143_1 = max(min((INVRETDU * (1 - INDPLAF) + INVRETDUA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC143 = RLOC143_1 * (1-ART1731BIS) + min(RLOC143_1 , RLOC143_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC143_1 ;

RLOC144_1 = max(min((INVRETDM * (1 - INDPLAF) + INVRETDMA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC144 = RLOC144_1 * (1-ART1731BIS) + min(RLOC144_1 , RLOC144_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC144_1 ;

RLOC145_1 = max(min((INVRETDR * (1 - INDPLAF) + INVRETDRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC145 = RLOC145_1 * (1-ART1731BIS) + min(RLOC145_1 , RLOC145_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC145_1 ;

RLOC146_1 = max(min((INVRETDW * (1 - INDPLAF) + INVRETDWA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC146 = RLOC146_1 * (1-ART1731BIS) + min(RLOC146_1 , RLOC146_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC146_1 ;

RLOC147_1 = max(min((INVRETDTR * (1 - INDPLAF) + INVRETDTRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC147 = RLOC147_1 * (1-ART1731BIS) + min(RLOC147_1 , RLOC147_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC147_1 ;

RLOC148_1 = max(min((INVRETDJR * (1 - INDPLAF) + INVRETDJRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC148 = RLOC148_1 * (1-ART1731BIS) + min(RLOC148_1 , RLOC148_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC148_1 ;

RLOC149_1 = max(min((INVRETDOR * (1 - INDPLAF) + INVRETDORA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC149 = RLOC149_1 * (1-ART1731BIS) + min(RLOC149_1 , RLOC149_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC149_1 ;

RLOC150_1 = max(min((INVRETDSR * (1 - INDPLAF) + INVRETDSRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC150 = RLOC150_1 * (1-ART1731BIS) + min(RLOC150_1 , RLOC150_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC150_1 ;

RLOC151_1 = max(min((INVRETDIR * (1 - INDPLAF) + INVRETDIRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC151 = RLOC151_1 * (1-ART1731BIS) + min(RLOC151_1 , RLOC151_2) * ART1731BIS ;
VARTMP1 = VARTMP1 + RLOC151_1 ;

RLOC152_1 = max(min((INVRETDNR * (1 - INDPLAF) + INVRETDNRA * INDPLAF) , RRILOC - VARTMP1) , 0) * (1 - V_CNR) ;
RLOC152 = RLOC152_1 * (1-ART1731BIS) + min(RLOC152_1 , RLOC152_2) * ART1731BIS ;
VARTMP1 = 0 ;

