#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2022]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2022 
#au titre des revenus perçus en 2021. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
regle corrective base_stratemajo 120:
application :  iliad ;
DEFRIMAJ_DEF = DEFRIMAJ *  positif(X-1)+0;
MAJOIR02TARDIF_DEF = FLAG_RETARD *
                ((1 - positif(PROPIR_A)) * MAJOIR02TARDIF_D
                  + positif(PROPIR_A) * MAJOIR02TARDIF_P) ;
MAJOIR03TARDIF_DEF = FLAG_RETARD *
                  ((1 - positif(PROPIR_A)) * MAJOIR03TARDIF_D
                    + positif(PROPIR_A) * MAJOIR03TARDIF_P) ;
MAJOIR07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR07TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR07TARDIF_P) ;
MAJOIR08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR08TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR08TARDIF_P) ;
MAJOIR17_1TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR17_1TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR17_1TARDIF_P) ;
MAJOIR17_2TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR17_2TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR17_2TARDIF_P) ;
MAJOIRTARDIF_DEF = positif(FLAG_RETARD) 
			* (somme(x = 02,03,07,08 : MAJOIR0xTARDIF_DEF)
		    + MAJOIR17_1TARD_DEF + MAJOIR17_2TARD_DEF)
		    + (1 - positif(FLAG_TRTARDIF) * positif(FLAG_RETARD))
		    * MAJOIRTARDIF_REF ;

MAJOHR02TARDIF_DEF = FLAG_RETARD *
                ((1 - positif(PROPHR_A)) * MAJOHR02TARDIF_D
                  + positif(PROPHR_A) * MAJOHR02TARDIF_P) ;
MAJOHR03TARDIF_DEF = FLAG_RETARD *
                 ((1 - positif(PROPHR_A)) * MAJOHR03TARDIF_D
                    + positif(PROPHR_A) * MAJOHR03TARDIF_P) ;
MAJOHR07TARDIF_DEF = FLAG_RETARD * 
               ((1 - positif(PROPHR_A)) * MAJOHR07TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR07TARDIF_P) ;
MAJOHR08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR08TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR08TARDIF_P) ;
MAJOHR17_1TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR17_1TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR17_1TARDIF_P) ;
MAJOHR17_2TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR17_2TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR17_2TARDIF_P) ;
MAJOHRTARDIF_DEF = positif(FLAG_RETARD) 
			* (somme(x = 02,03,07,08 : MAJOHR0xTARDIF_DEF)
		    + MAJOHR17_1TARD_DEF + MAJOHR17_2TARD_DEF)
		    + (1 - positif(FLAG_TRTARDIF) * positif(FLAG_RETARD))
		    * MAJOHRTARDIF_REF ;
MAJOCS02TARDIF_DEF = FLAG_RETARD *
                ((1 - positif(PROPCS_A)) * MAJOCS02TARDIF_D
                  + positif(PROPCS_A) * MAJOCS02TARDIF_P) ;
MAJOCS03TARDIF_DEF = FLAG_RETARD *
                  ((1 - positif(PROPCS_A)) * MAJOCS03TARDIF_D
                    + positif(PROPCS_A) * MAJOCS03TARDIF_P) ;
MAJOCS07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS07TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS07TARDIF_P) ;
MAJOCS08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS08TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS08TARDIF_P) ;
MAJOCS17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS17TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS17TARDIF_P) ;
MAJOCSTARDIF_DEF = somme(x = 02,03,07,08,17 : MAJOCSxTARDIF_DEF);
MAJOPSL02TARDIF_DF = FLAG_RETARD *
                ((1 - positif(PROPPS_A)) * MAJOPSOL02TARDIF_D
                  + positif(PROPPS_A) * MAJOPSOL02TARDIF_P) ;
MAJOPSL03TARDIF_DF = FLAG_RETARD *
                  ((1 - positif(PROPPS_A)) * MAJOPSOL03TARDIF_D
                    + positif(PROPPS_A) * MAJOPSOL03TARDIF_P) ;
MAJOPSL07TARDIF_DF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPSOL07TARDIF_D 
		  + positif(PROPPS_A) * MAJOPSOL07TARDIF_P) ;
MAJOPSL08TARDIF_DF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPSOL08TARDIF_D 
		  + positif(PROPPS_A) * MAJOPSOL08TARDIF_P) ;
MAJOPSL17TARDIF_DF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPSOL17TARDIF_D 
		  + positif(PROPPS_A) * MAJOPSOL17TARDIF_P) ;
MAJOPSOLTARDIF_DEF = somme(x = 02,03,07,08,17 : MAJOPSLxTARDIF_DF);
MAJORD02TARDIF_DEF = FLAG_RETARD *
                ((1 - positif(PROPRD_A)) * MAJORD02TARDIF_D
                 + positif(PROPRD_A) * MAJORD02TARDIF_P) ;
MAJORD03TARDIF_DEF = FLAG_RETARD *
                 ((1 - positif(PROPRD_A)) * MAJORD03TARDIF_D
                    + positif(PROPRD_A) * MAJORD03TARDIF_P) ;
MAJORD07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJORD07TARDIF_D 
		  + positif(PROPRD_A) * MAJORD07TARDIF_P) ;

MAJORD08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJORD08TARDIF_D 
		  + positif(PROPRD_A) * MAJORD08TARDIF_P) ;

MAJORD17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJORD17TARDIF_D 
		  + positif(PROPRD_A) * MAJORD17TARDIF_P) ;

MAJORDTARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORDxTARDIF_DEF);

MAJOCVN02TARD_DEF = FLAG_RETARD * MAJOCVN02TARDIF_D;
MAJOCVN03TARD_DEF = FLAG_RETARD * MAJOCVN03TARDIF_D;
MAJOCVN07TARD_DEF = FLAG_RETARD * MAJOCVN07TARDIF_D;

MAJOCVN08TARD_DEF = FLAG_RETARD * MAJOCVN08TARDIF_D;

MAJOCVN17TARD_DEF = FLAG_RETARD * MAJOCVN17TARDIF_D;

MAJOCVNTARDIF_DEF = somme(x = 02,03,07,08,17 : MAJOCVNxTARD_DEF);

MAJOCDIS02TARD_DEF = FLAG_RETARD * MAJOCDIS02TARDIF_D;
MAJOCDIS03TARD_DEF = FLAG_RETARD * MAJOCDIS03TARDIF_D;
MAJOCDIS07TARD_DEF = FLAG_RETARD * MAJOCDIS07TARDIF_D;

MAJOCDIS08TARD_DEF = FLAG_RETARD * MAJOCDIS08TARDIF_D;

MAJOCDIS17TARD_DEF = FLAG_RETARD * MAJOCDIS17TARDIF_D;

MAJOCDISTARDIF_DEF = somme(x = 02,03,07,08,17 : MAJOCDISxTARD_DEF);

MAJOGLO02TARD_DEF = FLAG_RETARD * MAJOGLO02TARDIF_D;
MAJOGLO03TARD_DEF = FLAG_RETARD * MAJOGLO03TARDIF_D;

MAJOGLO07TARD_DEF = FLAG_RETARD * MAJOGLO07TARDIF_D;

MAJOGLO08TARD_DEF = FLAG_RETARD * MAJOGLO08TARDIF_D;

MAJOGLO17TARD_DEF = FLAG_RETARD * MAJOGLO17TARDIF_D;

MAJOGLOTARDIF_DEF = somme(x = 02,03,07,08,17 : MAJOGLOxTARD_DEF);
MAJOC82002TARD_DEF = FLAG_RETARD * MAJOC82002TARDIF_D;
MAJOC82003TARD_DEF = FLAG_RETARD * MAJOC82003TARDIF_D;
MAJOC82007TARD_DEF = FLAG_RETARD * MAJOC82007TARDIF_D;

MAJOC82008TARD_DEF = FLAG_RETARD * MAJOC82008TARDIF_D;

MAJOC82017TARD_DEF = FLAG_RETARD * MAJOC82017TARDIF_D;

MAJOC820TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJOC820xTARD_DEF);

MAJORSE102TARD_DEF = FLAG_RETARD * MAJORSE102TARDIF_D;
MAJORSE103TARD_DEF = FLAG_RETARD * MAJORSE103TARDIF_D;
MAJORSE107TARD_DEF = FLAG_RETARD * MAJORSE107TARDIF_D;
MAJORSE108TARD_DEF = FLAG_RETARD * MAJORSE108TARDIF_D;
MAJORSE117TARD_DEF = FLAG_RETARD * MAJORSE117TARDIF_D;
MAJORSE1TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE1xTARD_DEF);
MAJORSE202TARD_DEF = FLAG_RETARD * MAJORSE202TARDIF_D;
MAJORSE203TARD_DEF = FLAG_RETARD * MAJORSE203TARDIF_D;
MAJORSE207TARD_DEF = FLAG_RETARD * MAJORSE207TARDIF_D;
MAJORSE208TARD_DEF = FLAG_RETARD * MAJORSE208TARDIF_D;
MAJORSE217TARD_DEF = FLAG_RETARD * MAJORSE217TARDIF_D;
MAJORSE2TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE2xTARD_DEF);
MAJORSE302TARD_DEF = FLAG_RETARD * MAJORSE302TARDIF_D;
MAJORSE303TARD_DEF = FLAG_RETARD * MAJORSE303TARDIF_D;
MAJORSE307TARD_DEF = FLAG_RETARD * MAJORSE307TARDIF_D;
MAJORSE308TARD_DEF = FLAG_RETARD * MAJORSE308TARDIF_D;
MAJORSE317TARD_DEF = FLAG_RETARD * MAJORSE317TARDIF_D;
MAJORSE3TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE3xTARD_DEF);

MAJORSE402TARD_DEF = FLAG_RETARD * MAJORSE402TARDIF_D;
MAJORSE403TARD_DEF = FLAG_RETARD * MAJORSE403TARDIF_D;
MAJORSE407TARD_DEF = FLAG_RETARD * MAJORSE407TARDIF_D;

MAJORSE408TARD_DEF = FLAG_RETARD * MAJORSE408TARDIF_D;

MAJORSE417TARD_DEF = FLAG_RETARD * MAJORSE417TARDIF_D;

MAJORSE4TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE4xTARD_DEF);

MAJORSE502TARD_DEF = FLAG_RETARD * MAJORSE502TARDIF_D;
MAJORSE503TARD_DEF = FLAG_RETARD * MAJORSE503TARDIF_D;
MAJORSE507TARD_DEF = FLAG_RETARD * MAJORSE507TARDIF_D;

MAJORSE508TARD_DEF = FLAG_RETARD * MAJORSE508TARDIF_D;

MAJORSE517TARD_DEF = FLAG_RETARD * MAJORSE517TARDIF_D;

MAJORSE5TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE5xTARD_DEF);

MAJORSE602TARD_DEF = FLAG_RETARD * MAJORSE602TARDIF_D;
MAJORSE603TARD_DEF = FLAG_RETARD * MAJORSE603TARDIF_D;
MAJORSE607TARD_DEF = FLAG_RETARD * MAJORSE607TARDIF_D;

MAJORSE608TARD_DEF = FLAG_RETARD * MAJORSE608TARDIF_D;

MAJORSE617TARD_DEF = FLAG_RETARD * MAJORSE617TARDIF_D;

MAJORSE6TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE6xTARD_DEF);
MAJORSE802TARD_DEF = FLAG_RETARD * MAJORSE802TARDIF_D;
MAJORSE803TARD_DEF = FLAG_RETARD * MAJORSE803TARDIF_D;

MAJORSE807TARD_DEF = FLAG_RETARD * MAJORSE807TARDIF_D;

MAJORSE808TARD_DEF = FLAG_RETARD * MAJORSE808TARDIF_D;

MAJORSE817TARD_DEF = FLAG_RETARD * MAJORSE817TARDIF_D;

MAJORSE8TARDIF_DEF = somme(x = 02,03,07,08,17 : MAJORSE8xTARD_DEF);
MAJOTA02TARDIF_DEF = FLAG_RETARD * MAJOTAXA02TARDIF_D;
MAJOTA03TARDIF_DEF = FLAG_RETARD * MAJOTAXA03TARDIF_D;
MAJOTA07TARDIF_DEF = FLAG_RETARD * MAJOTAXA07TARDIF_D;
MAJOTA08TARDIF_DEF = FLAG_RETARD * MAJOTAXA08TARDIF_D;
MAJOTA17_1TARD_DEF = FLAG_RETARD * MAJOTA17_1TARDIF_D; 
MAJOTA17_2TARD_DEF = FLAG_RETARD * MAJOTA17_2TARDIF_D; 
MAJOTAXATARDIF_DEF = somme(x = 02,03,07,08 : MAJOTA0xTARDIF_DEF)
		+ MAJOTA17_1TARD_DEF + MAJOTA17_2TARD_DEF;
MAJOCP02TARDIF_DEF = FLAG_RETARD * MAJOCAP02TARDIF_D;
MAJOCP03TARDIF_DEF = FLAG_RETARD * MAJOCAP03TARDIF_D;
MAJOCP07TARDIF_DEF = FLAG_RETARD * MAJOCAP07TARDIF_D;
MAJOCP08TARDIF_DEF = FLAG_RETARD * MAJOCAP08TARDIF_D;
MAJOCP17_1TARD_DEF = FLAG_RETARD * MAJOCP17_1TARDIF_D; 
MAJOCP17_2TARD_DEF = FLAG_RETARD * MAJOCP17_2TARDIF_D; 
MAJOCAPTARDIF_DEF = somme(x = 02,03,07,08 : MAJOCP0xTARDIF_DEF)
		+ MAJOCP17_1TARD_DEF + MAJOCP17_2TARD_DEF;
PROPIR_DEF = PROPIR;
PROPHR_DEF = PROPHR;

PROPCS_DEF = PROPCS;
PROPPS_DEF = PROPPS;
PROPRD_DEF = PROPRD;
IRBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * IRBASE
		+ (1 - positif(FLAG_TRTARDIF)) * IRBASE_REF;

IRNINTARDIF_DEF = max(0,FLAG_RETARD *
                  (FLAG_TRTARDIF * IRBASE
                    + FLAG_TRTARDIF_R * SUPIR[00]
                      + FLAG_TRTARDIF_F *
                         (positif(TARDIFEVT2) * positif(IRNINTARDIF_A +IRNINTARDIF_A+CODCOA-CODCOA_A- IRBASE)
                      * (positif(FLAG_RECTIF) * min(SUPIR[2],IRBASE)
                            + (1 - positif(FLAG_RECTIF)) * min(IRBASE,IRBASE_REF))
                        + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A +IRNINTARDIF_A+CODCOA-CODCOA_A- IRBASE))
                      * (positif(FLAG_RECTIF) * min(SUPIR[00],IRBASE)
                           + (1 - positif(FLAG_RECTIF)) * IRBASE_REF)
                         )
                  + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
                               * (positif(FLAG_RECTIF) * SUPIR[00]
                                    + (1 - positif(FLAG_RECTIF)) * (IRNINTARDIF_A+CODCOA-CODCOA_A))
                        ));



TAXABASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * TAXABASE_MAJO 
               + (1 - positif(FLAG_TRTARDIF)) * TAXABASE_REF;

TAXATARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * TAXABASE_MAJO
		+ FLAG_TRTARDIF_R * SUPTAXA[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(TAXATARDIF_A +CODCOU-CODCOU_A- TAXABASE_MAJO) 
                     * (positif(FLAG_RECTIF) * min(SUPTAXA[2],TAXABASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,TAXABASE_MAJO-SUPTAXA[00]*(1 - positif(FLAG_RETARD0718))),TAXABASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(TAXATARDIF_A+CODCOU-CODCOU_A - TAXABASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPTAXA[00],TAXABASE_MAJO)
		    + (1 - positif(FLAG_RECTIF)) * TAXABASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPTAXA[00]
			  + (1 - positif(FLAG_RECTIF)) * (TAXATARDIF_A+CODCOU-CODCOU_A))
		  ));


CAPBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * CAPBASE_MAJO 
               + (1 - positif(FLAG_TRTARDIF)) * CAPBASE_REF;


CAPTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * CAPBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPCAP[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(CAPTARDIF_A +CODCOV-CODCOV_A- CAPBASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPCAP[2],CAPBASE_MAJO)
                          + (1 - positif(FLAG_RECTIF)) * min(max(0,CAPBASE_MAJO-SUPCAP[00]*(1 - positif(FLAG_RETARD0718))),CAPBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(CAPTARDIF_A +CODCOV-CODCOV_A- CAPBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPCAP[00], CAPBASE_MAJO)
		    + (1 - positif(FLAG_RECTIF)) * CAPBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF)* SUPCAP[00]
			  + (1 - positif(FLAG_RECTIF)) * (CAPTARDIF_A+CODCOV-CODCOV_A))
		  ));


HRBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * HRBASE_MAJO
               + (1 - positif(FLAG_TRTARDIF)) * HRBASE_REF;

HRTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * HRBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPHR[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(HRTARDIF_A +CODCOX-CODCOX_A- HRBASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPHR[2],HRBASE_MAJO)
                              + (1 - positif(FLAG_RECTIF)) * min(max(0,HRBASE_MAJO-SUPHR[00]*(1 - positif(FLAG_RETARD0718))),HRBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(HRTARDIF_A +CODCOX-CODCOX_A- HRBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPHR[00],HRBASE_MAJO)
		    + (1 - positif(FLAG_RECTIF)) * HRBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPHR[00]
			  + (1 - positif(FLAG_RECTIF)) * (HRTARDIF_A+CODCOX-CODCOX_A))
		  ));

CSGBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * CSBASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * CSGBASE_REF;

CSGTARDIF_DEF = max(0,
                      FLAG_RETARD *
	                	(FLAG_TRTARDIF * CSBASE_MAJO
		                 + FLAG_TRTARDIF_R * SUPCS[00]
		                 + FLAG_TRTARDIF_F *
                         (positif(TARDIFEVT2) * positif(CSGTARDIF_A +CODCOB-CODCOB_A- CSBASE_MAJO) 
			 * (positif(FLAG_RECTIF) * min(SUPCS[2],CSBASE_MAJO)
                                     + (1 - positif(FLAG_RECTIF)) * min(max(0,CSBASE_MAJO-SUPCS[00]*(1 - positif(FLAG_RETARD0718))),CSGBASE_REF))
		                       + (1 - positif(TARDIFEVT2) * positif(CSGTARDIF_A+CODCOB-CODCOB_A - CSBASE_MAJO)) 
		                         * (positif(FLAG_RECTIF) * min(SUPCS[00],CSBASE_MAJO)
		                       + (1 - positif(FLAG_RECTIF)) * CSGBASE_REF)
		                      )
	                	 + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
		                   * (positif(FLAG_RECTIF) * SUPCS[00]
		                 + (1 - positif(FLAG_RECTIF)) * (CSGTARDIF_A +CODCOB-CODCOB_A))
		                 )
                   );
RDSBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RDBASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RDSBASE_REF;

RDSTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RDBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRD[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RDSTARDIF_A +CODCOR-CODCOR_A - RDBASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRD[2],RDBASE_MAJO)
                          + (1 - positif(FLAG_RECTIF)) * min(max(0,RDBASE_MAJO-SUPRD[00]*(1 - positif(FLAG_RETARD0718))),RDSBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RDSTARDIF_A  +CODCOR-CODCOR_A- RDBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPRD[00],RDBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RDSBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRD[00]
			  + (1 - positif(FLAG_RECTIF)) * (RDSTARDIF_A +CODCOR-CODCOR_A))
		));
PSOLBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * PSOLBASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * PSOLBASE_REF;

PSOLTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * PSOLBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPPSOL[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(PSOLTARDIF_A  +CODCOD-CODCOD_A- PSOLBASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPPSOL[2],PSOLBASE_MAJO)
                          + (1 - positif(FLAG_RECTIF)) * min(max(0,PSOLBASE_MAJO-SUPPSOL[00]*(1 - positif(FLAG_RETARD0718))),PSOLBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(PSOLTARDIF_A  +CODCOD-CODCOD_A- PSOLBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPPSOL[00],PSOLBASE_MAJO)
		    + (1 - positif(FLAG_RECTIF)) * PSOLBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF)* SUPPSOL[00]
			  + (1 - positif(FLAG_RECTIF)) * (PSOLTARDIF_A +CODCOD-CODCOD_A))
		));

CVNBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * CVNBASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * CVNBASE_REF;

CVNTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CVNBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPCVN[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(CVNTARDIF_A  +CODCOE-CODCOE_A- CVNBASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPCVN[2],CVNBASE_MAJO)
                          + (1 - positif(FLAG_RECTIF)) * min(max(0,CVNBASE_MAJO-SUPCVN[00]*(1 - positif(FLAG_RETARD0718))),CVNBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(CVNTARDIF_A  +CODCOE-CODCOE_A- CVNBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPCVN[00],CVNBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * CVNBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF)* SUPCVN[00]
			  + (1 - positif(FLAG_RECTIF)) * (CVNTARDIF_A +CODCOE-CODCOE_A))
		));

CDISBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * CDISBASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * CDISBASE_REF;

CDISTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CDISBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPCDIS[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(CDISTARDIF_A  +CODCOF-CODCOF_A- CDISBASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPCDIS[2],CDISBASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,CDISBASE_MAJO-SUPCDIS[00]*(1 - positif(FLAG_RETARD0718))),CDISBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(CDISTARDIF_A  +CODCOF-CODCOF_A- CDISBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPCDIS[00],CDISBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * CDISBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPCDIS[00]
			  + (1 - positif(FLAG_RECTIF)) * (CDISTARDIF_A +CODCOF-CODCOF_A))
		));
GLOBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * GLOBASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * GLOBASE_REF;

GLOTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * GLOBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPGLO[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(GLOTARDIF_A  +CODCOG-CODCOG_A- GLOBASE_MAJO) 
                     *  (positif(FLAG_RECTIF) * min(SUPGLO[2],GLOBASE_MAJO)
                              + (1 - positif(FLAG_RECTIF)) * min(max(0,GLOBASE_MAJO-SUPGLO[00]*(1 - positif(FLAG_RETARD0718))),GLOBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(GLOTARDIF_A  +CODCOG-CODCOG_A- GLOBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPGLO[00],GLOBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * GLOBASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPGLO[00]
			  + (1 - positif(FLAG_RECTIF)) * (GLOTARDIF_A +CODCOG-CODCOG_A))
		));

C820BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * C820BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * C820BASE_REF;

C820TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * C820BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPC820[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(C820TARDIF_A  +CODCOQ-CODCOQ_A- C820BASE_MAJO) 
		    * (positif(FLAG_RECTIF)* min(SUPC820[2],C820BASE_MAJO)
                          + (1 - positif(FLAG_RECTIF)) * min(max(0,C820BASE_MAJO-SUPC820[00]*(1 - positif(FLAG_RETARD0718))),C820BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(C820TARDIF_A  +CODCOQ-CODCOQ_A- C820BASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPC820[00],C820BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * C820BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF)* SUPC820[00]
			  + (1 - positif(FLAG_RECTIF)) * (C820TARDIF_A +CODCOQ-CODCOQ_A))
		));

RSE1BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE1BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE1BASE_REF;

RSE1TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE1BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE1[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE1TARDIF_A  +CODCOT-CODCOT_A- RSE1BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE1[2],RSE1BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE1BASE_MAJO-SUPRSE1[00]*(1 - positif(FLAG_RETARD0718))),RSE1BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RSE1TARDIF_A  +CODCOT-CODCOT_A- RSE1BASE_MAJO)) 
		      * (positif(FLAG_RECTIF)  * min(SUPRSE1[00],RSE1BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE1BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE1[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE1TARDIF_A +CODCOT-CODCOT_A))
		));
RSE2BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE2BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE2BASE_REF;

RSE2TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE2BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE2[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE2TARDIF_A  +CODCOL-CODCOL_A- RSE2BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE2[2],RSE2BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE2BASE_MAJO-SUPRSE2[00]*(1 - positif(FLAG_RETARD0718))),RSE2BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RSE2TARDIF_A +CODCOL-CODCOL_A - RSE2BASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE2[00],RSE2BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE2BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE2[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE2TARDIF_A +CODCOL-CODCOL_A))
		));
RSE3BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE3BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE3BASE_REF;

RSE3TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE3BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE3[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE3TARDIF_A  +CODCOM-CODCOM_A- RSE3BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE3[2],RSE3BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE3BASE_MAJO-SUPRSE3[00]*(1 - positif(FLAG_RETARD0718))),RSE3BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RSE3TARDIF_A  +CODCOM-CODCOM_A- RSE3BASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE3[00],RSE3BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE3BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE3[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE3TARDIF_A +CODCOM-CODCOM_A))
		));
RSE4BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE4BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE4BASE_REF;

RSE4TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE4BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE4[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE4TARDIF_A  +CODCOO-CODCOO_A- RSE4BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE4[2],RSE4BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE4BASE_MAJO-SUPRSE4[00]*(1 - positif(FLAG_RETARD0718))),RSE4BASE_REF))
		    + (1 - positif(TARDIFEVT2)* positif(RSE4TARDIF_A  +CODCOO-CODCOO_A- RSE4BASE_MAJO)) 
		      * (positif(FLAG_RECTIF)  * min(SUPRSE4[00],RSE4BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE4BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE4[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE4TARDIF_A +CODCOO-CODCOO_A))
		));
RSE5BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE5BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE5BASE_REF;

RSE5TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE5BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE5[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE5TARDIF_A  +CODCOJ-CODCOJ_A- RSE5BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE5[2],RSE5BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE5BASE_MAJO-SUPRSE5[00]*(1 - positif(FLAG_RETARD0718))),RSE5BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RSE5TARDIF_A  +CODCOJ-CODCOJ_A- RSE5BASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE5[00],RSE5BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE5BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE5[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE5TARDIF_A +CODCOJ-CODCOJ_A))
		));

RSE6BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE6BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE6BASE_REF;

RSE6TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE6BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE6[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE6TARDIF_A +CODCOP-CODCOP_A - RSE6BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE6[2],RSE6BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE6BASE_MAJO-SUPRSE6[00]*(1 - positif(FLAG_RETARD0718))),RSE6BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RSE6TARDIF_A  +CODCOP-CODCOP_A- RSE6BASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE6[00],RSE6BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE6BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE6[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE6TARDIF_A +CODCOP-CODCOP_A))
		));
RSE8BASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * RSE8BASE_MAJO
		+ (1 - positif(FLAG_TRTARDIF)) * RSE8BASE_REF;

RSE8TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE8BASE_MAJO
		+ FLAG_TRTARDIF_R * SUPRSE8[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(RSE8TARDIF_A +CODCOH-CODCOH_A - RSE8BASE_MAJO) 
		    * (positif(FLAG_RECTIF) * min(SUPRSE8[2],RSE8BASE_MAJO)
                        + (1 - positif(FLAG_RECTIF)) * min(max(0,RSE8BASE_MAJO-SUPRSE8[00]*(1 - positif(FLAG_RETARD0718))),RSE8BASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(RSE8TARDIF_A  +CODCOH-CODCOH_A- RSE8BASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE8[00],RSE8BASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * RSE8BASE_REF)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF)* SUPRSE8[00]
			  + (1 - positif(FLAG_RECTIF)) * (RSE8TARDIF_A +CODCOH-CODCOH_A))
		));


IRNINMAJOP_DEF = max(IRNIN_MAJOP,IRNINMAJOP_A);
HRMAJOP_DEF = max(HR_MAJOP,HRMAJOP_A);
CSGMAJOP_DEF = max(CSG_MAJOP,CSGMAJOP_A);
RDSMAJOP_DEF =  max(RDS_MAJOP,RDSMAJOP_A);
PSOLMAJOP_DEF =  max(PSOL_MAJOP,PSOLMAJOP_A);
regle corrective base_stratemajo 12001:
application :  iliad ;


MAJOIFI08TARD_DEF = FLAG_RETARD * MAJOIFI08TARDIF_D;
MAJOIFI17TARD_DEF = FLAG_RETARD * MAJOIFI17TARDIF_D;
MAJOIFI10TARD_DEF = FLAG_RETARD * MAJOIFI10TARDIF_D;
MAJOIFI07TARD_DEF = FLAG_RETARD * MAJOIFI07TARDIF_D;

MAJOIFITARDIF_DEF = somme(x = 08,10,17,07 : MAJOIFIxTARD_DEF);


IFITARDIF_DEF = max(0,FLAG_RETARD *
                (FLAG_TRTARDIF * IFI4BASE
              + FLAG_TRTARDIF_R * SUPIFI[00]
              + FLAG_TRTARDIF_F *
             (positif(TARDIFEVT2) * positif(IFITARDIF_A - IFIIN) * min(SUPIFI[2],IFINET)
              + (1 - positif(TARDIFEVT2) * positif(IFITARDIF_A - IFIIN))
              * (positif(FLAG_RECTIF) * min(SUPIFI[00],IFINET)
              + (1 - positif(FLAG_RECTIF)) * IFITARDIF_A)
                )
              + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
              * (positif(FLAG_RECTIF)* SUPIFI[00]
              + (1 - positif(FLAG_RECTIF)) * IFITARDIF_A)
                ));




regle corrective base_stratemajo 121:
application :  iliad ;
MAJOPIR02_DEF = max(MAJOIR_P02,MAJOPIR02_A);
MAJOPIR03_DEF = max(MAJOIR_P03,MAJOPIR03_A);
MAJOPIR07_DEF = max(MAJOIR_P07,MAJOPIR07_A);
MAJOPIR08_DEF = max(MAJOIR_P08,MAJOPIR08_A);
MAJOPIR11_DEF = max(MAJOIR_P11,MAJOPIR11_A);
MAJOPIR31_DEF = max(MAJOIR_P31,MAJOPIR31_A);
MAJOPIR10_1DEF = max(MAJOIR_P10_1,MAJOPIR10_1A);
MAJOPIR10_2DEF = max(MAJOIR_P10_2,MAJOPIR10_2A);
MAJOPIR17_1DEF = max(MAJOIR_P17_1,MAJOPIR17_1A);
MAJOPIR17_2DEF = max(MAJOIR_P17_2,MAJOPIR17_2A);

MAJOPIR_DEF = max(MAJOPIR_TOT,MAJOPIR_A);

MAJOPHR02_DEF = max(MAJOHR_P02,MAJOPHR02_A);
MAJOPHR03_DEF = max(MAJOHR_P03,MAJOPHR03_A);
MAJOPHR07_DEF = max(MAJOHR_P07,MAJOPHR07_A);
MAJOPHR08_DEF = max(MAJOHR_P08,MAJOPHR08_A);
MAJOPHR11_DEF = max(MAJOHR_P11,MAJOPHR11_A);
MAJOPHR31_DEF = max(MAJOHR_P31,MAJOPHR31_A);
MAJOPHR10_1DEF = max(MAJOHR_P10_1,MAJOPHR10_1A);
MAJOPHR10_2DEF = max(MAJOHR_P10_2,MAJOPHR10_2A);
MAJOPHR17_1DEF = max(MAJOHR_P17_1,MAJOPHR17_1A);
MAJOPHR17_2DEF = max(MAJOHR_P17_2,MAJOPHR17_2A);

MAJOPHR_DEF = max(MAJOPHR_TOT,MAJOPHR_A);

MAJOPCS02_DEF = max(MAJOCS_P02,MAJOPCS02_A);
MAJOPCS03_DEF = max(MAJOCS_P03,MAJOPCS03_A);
MAJOPCS07_DEF = max(MAJOCS_P07,MAJOPCS07_A);
MAJOPCS08_DEF = max(MAJOCS_P08,MAJOPCS08_A);
MAJOPCS10_DEF = max(MAJOCS_P10,MAJOPCS10_A);
MAJOPCS11_DEF = max(MAJOCS_P11,MAJOPCS11_A);
MAJOPCS17_DEF = max(MAJOCS_P17,MAJOPCS17_A);
MAJOPCS31_DEF = max(MAJOCS_P31,MAJOPCS31_A);

MAJOPCS_DEF = max(MAJOPCS_TOT,MAJOPCS_A);
MAJOPRD02_DEF = max(MAJORD_P02,MAJOPRD02_A);
MAJOPRD03_DEF = max(MAJORD_P03,MAJOPRD03_A);
MAJOPRD07_DEF = max(MAJORD_P07,MAJOPRD07_A);
MAJOPRD08_DEF = max(MAJORD_P08,MAJOPRD08_A);
MAJOPRD10_DEF = max(MAJORD_P10,MAJOPRD10_A);
MAJOPRD11_DEF = max(MAJORD_P11,MAJOPRD11_A);
MAJOPRD17_DEF = max(MAJORD_P17,MAJOPRD17_A);
MAJOPRD31_DEF = max(MAJORD_P31,MAJOPRD31_A);

MAJOPRD_DEF = max(MAJOPRD_TOT,MAJOPRD_A);
MAJOPPSOL02_DEF = max(MAJOPSOL_P02,MAJOPPSOL02_A);
MAJOPPSOL03_DEF = max(MAJOPSOL_P03,MAJOPPSOL03_A);
MAJOPPSOL07_DEF = max(MAJOPSOL_P07,MAJOPPSOL07_A);
MAJOPPSOL08_DEF = max(MAJOPSOL_P08,MAJOPPSOL08_A);
MAJOPPSOL10_DEF = max(MAJOPSOL_P10,MAJOPPSOL10_A);
MAJOPPSOL11_DEF = max(MAJOPSOL_P11,MAJOPPSOL11_A);
MAJOPPSOL17_DEF = max(MAJOPSOL_P17,MAJOPPSOL17_A);
MAJOPPSOL31_DEF = max(MAJOPSOL_P31,MAJOPPSOL31_A);
MAJOPPSOL_DEF = max(MAJOPPSOL_TOT,MAJOPPSOL_A);

regle corrective base_stratemajo 122:
application :  iliad ;
MAJOIRST_DEF = MAJOIR_ST ;

MAJOTAXAST_DEF = MAJOTAXA_ST;
MAJOCAPST_DEF = MAJOCAP_ST;
MAJOHRST_DEF = MAJOHR_ST;

MAJOCSST_DEF = MAJOCS_ST;
MAJORDST_DEF = MAJORD_ST;
MAJOPSST_DEF = MAJOPS_ST;
MAJOCVNST_DEF = MAJOCVN_ST;
MAJOCDISST_DEF = MAJOCDIS_ST;
MAJOGLOST_DEF = MAJOGLO_ST;
MAJOC820ST_DEF = MAJOC820_ST;

MAJORSE1ST_DEF = MAJORSE1_ST;
MAJORSE2ST_DEF = MAJORSE2_ST;
MAJORSE3ST_DEF = MAJORSE3_ST;
MAJORSE4ST_DEF = MAJORSE4_ST;
MAJORSE5ST_DEF = MAJORSE5_ST;
MAJORSE6ST_DEF = MAJORSE6_ST;
MAJORSE8ST_DEF = MAJORSE8_ST;
TNAPCR[X] = NAPCRINR;
TIRBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )* (positif(abs(IRBASE)-abs(TIRBASE[FLAG_DERSTTR])) * IRBASE+(1-positif(abs(IRBASE)-abs(TIRBASE[FLAG_DERSTTR])))*TIRBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(IRBASE)-abs(IRNINMAJO_P)) * IRBASE+(1-positif(abs(IRBASE)-abs(IRNINMAJO_P)))*IRNINMAJO_P))
            + (1 - null(X)) *
                (positif((1-positif(IRBASE))*(1-positif(TIRBASE[FLAG_DERSTTR]))) * max(IRBASE,TIRBASE[FLAG_DERSTTR])
               +(1-positif((1-positif(IRBASE))*(1-positif(TIRBASE[FLAG_DERSTTR])))) * max(IRBASE,TIRBASE[FLAG_DERSTTR]));
TIRBASEDEF[X] = IRBASE;
TPCAPBASE[X] = null(X) * 
   ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * (positif(abs(CAPBASE_MAJO)-abs(TPCAPBASE[FLAG_DERSTTR])) * CAPBASE_MAJO+(1-positif(abs(CAPBASE_MAJO)-abs(TPCAPBASE[FLAG_DERSTTR])))*TPCAPBASE[FLAG_DERSTTR]) 
   + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) ) * (positif(abs(CAPBASE_MAJO)-abs(PCAPBASE_P)) * CAPBASE_MAJO+(1-positif(abs(CAPBASE_MAJO)-abs(PCAPBASE_P)))*PCAPBASE_P))
   + (1 - null(X)) * (positif(abs(CAPBASE_MAJO)-abs(TPCAPBASE[FLAG_DERSTTR])) * CAPBASE_MAJO+(1-positif(abs(CAPBASE_MAJO)-abs(TPCAPBASE[FLAG_DERSTTR])))*TPCAPBASE[FLAG_DERSTTR]);
TPCAPBASEDEF[X] = CAPBASE_MAJO;


TCHRBASE[X] = null(X) * 
    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(HRBASE_MAJO)-abs(TCHRBASE[FLAG_DERSTTR])) * HRBASE_MAJO+(1-positif(abs(HRBASE_MAJO)-abs(TCHRBASE[FLAG_DERSTTR])))*TCHRBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(HRBASE_MAJO)-abs(CHRBASE_P)) * HRBASE_MAJO+(1-positif(abs(HRBASE_MAJO)-abs(CHRBASE_P)))*CHRBASE_P))
            + (1 - null(X)) * (positif(abs(HRBASE_MAJO)-abs(TCHRBASE[FLAG_DERSTTR])) * HRBASE_MAJO+(1-positif(abs(HRBASE_MAJO)-abs(TCHRBASE[FLAG_DERSTTR])))*TCHRBASE[FLAG_DERSTTR]);
TCHRBASEDEF[X] = HRBASE_MAJO;
TTAXABASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718)* (positif(abs(TAXABASE_MAJO)-abs(TTAXABASE[FLAG_DERSTTR])) * TAXABASE_MAJO+(1-positif(abs(TAXABASE_MAJO)-abs(TTAXABASE[FLAG_DERSTTR])))*TTAXABASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(TAXABASE_MAJO)-abs(TAXABASE_P)) * TAXABASE_MAJO+(1-positif(abs(TAXABASE_MAJO)-abs(TAXABASE_P)))*TAXABASE_P))
            + (1 - null(X)) * (positif(abs(TAXABASE_MAJO)-abs(TTAXABASE[FLAG_DERSTTR])) * TAXABASE_MAJO+(1-positif(abs(TAXABASE_MAJO)-abs(TTAXABASE[FLAG_DERSTTR])))*TTAXABASE[FLAG_DERSTTR]);
TTAXABASEDEF[X] = TAXABASE_MAJO;
TCSBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) 
	                   * (positif(abs(CSBASE)-abs(TCSBASE[FLAG_DERSTTR])) * CSBASE+(1-positif(abs(CSBASE)-abs(TCSBASE[FLAG_DERSTTR])))*TCSBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) 
	                   * (positif(abs(CSBASE)-abs(CSBASE_P)) * CSBASE+(1-positif(abs(CSBASE)-abs(CSBASE_P)))*CSBASE_P))
            + (1 - null(X)) * (positif(abs(CSBASE)-abs(TCSBASE[FLAG_DERSTTR])) * CSBASE+(1-positif(abs(CSBASE)-abs(TCSBASE[FLAG_DERSTTR])))*TCSBASE[FLAG_DERSTTR]);
TRDBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) 
	                   * (positif(abs(RDBASE)-abs(TRDBASE[FLAG_DERSTTR])) * RDBASE+(1-positif(abs(RDBASE)-abs(TRDBASE[FLAG_DERSTTR])))*TRDBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) 
	                   * (positif(abs(RDBASE)-abs(RDBASE_P)) * RDBASE+(1-positif(abs(RDBASE)-abs(RDBASE_P)))*RDBASE_P))
            + (1 - null(X)) * (positif(abs(RDBASE)-abs(TRDBASE[FLAG_DERSTTR])) * RDBASE+(1-positif(abs(RDBASE)-abs(TRDBASE[FLAG_DERSTTR])))*TRDBASE[FLAG_DERSTTR]);
TPSOLBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) 
	              * (positif(abs(PSOLBASE)-abs(TPSOLBASE[FLAG_DERSTTR])) * PSOLBASE+(1-positif(abs(PSOLBASE)-abs(TPSOLBASE[FLAG_DERSTTR])))*TPSOLBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) 
	              * (positif(abs(PSOLBASE)-abs(PSOLBASE_P)) * PSOLBASE+(1-positif(abs(PSOLBASE)-abs(PSOLBASE_P)))*PSOLBASE_P))
            + (1 - null(X)) 
	            * (positif(abs(PSOLBASE)-abs(TPSOLBASE[FLAG_DERSTTR])) * PSOLBASE+(1-positif(abs(PSOLBASE)-abs(TPSOLBASE[FLAG_DERSTTR])))*TPSOLBASE[FLAG_DERSTTR]);

TCVNBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(CVNBASE)-abs(TCVNBASE[FLAG_DERSTTR])) * CVNBASE+(1-positif(abs(CVNBASE)-abs(TCVNBASE[FLAG_DERSTTR])))*TCVNBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(CVNBASE)-abs(CVNBASE_P)) * CVNBASE+(1-positif(abs(CVNBASE)-abs(CVNBASE_P)))*CVNBASE_P))
            + (1 - null(X)) * (positif(abs(CVNBASE)-abs(TCVNBASE[FLAG_DERSTTR])) * CVNBASE+(1-positif(abs(CVNBASE)-abs(TCVNBASE[FLAG_DERSTTR])))*TCVNBASE[FLAG_DERSTTR]);

TC820BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(C820BASE)-abs(TC820BASE[FLAG_DERSTTR])) * C820BASE+(1-positif(abs(C820BASE)-abs(TC820BASE[FLAG_DERSTTR])))*TC820BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(C820BASE)-abs(C820BASE_P)) * C820BASE+(1-positif(abs(C820BASE)-abs(C820BASE_P)))*C820BASE_P))
            + (1 - null(X)) * (positif(abs(C820BASE)-abs(TC820BASE[FLAG_DERSTTR])) * C820BASE+(1-positif(abs(C820BASE)-abs(TC820BASE[FLAG_DERSTTR])))*TC820BASE[FLAG_DERSTTR]);
TCDISBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(CDISBASE)-abs(TCDISBASE[FLAG_DERSTTR])) * CDISBASE+(1-positif(abs(CDISBASE)-abs(TCDISBASE[FLAG_DERSTTR])))*TCDISBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(CDISBASE)-abs(CDISBASE_P)) * CDISBASE+(1-positif(abs(CDISBASE)-abs(CDISBASE_P)))*CDISBASE_P))
            + (1 - null(X)) * (positif(abs(CDISBASE)-abs(TCDISBASE[FLAG_DERSTTR])) * CDISBASE+(1-positif(abs(CDISBASE)-abs(TCDISBASE[FLAG_DERSTTR])))*TCDISBASE[FLAG_DERSTTR]);

TGLOBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(GLOBASE)-abs(TGLOBASE[FLAG_DERSTTR])) * GLOBASE+(1-positif(abs(GLOBASE)-abs(TGLOBASE[FLAG_DERSTTR])))*TGLOBASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(GLOBASE)-abs(GLOBASE_P)) * GLOBASE+(1-positif(abs(GLOBASE)-abs(GLOBASE_P)))*GLOBASE_P))
            + (1 - null(X)) * (positif(abs(GLOBASE)-abs(TGLOBASE[FLAG_DERSTTR])) * GLOBASE+(1-positif(abs(GLOBASE)-abs(TGLOBASE[FLAG_DERSTTR])))*TGLOBASE[FLAG_DERSTTR]);
TRSE1BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE1BASE)-abs(TRSE1BASE[FLAG_DERSTTR])) * RSE1BASE+(1-positif(abs(RSE1BASE)-abs(TRSE1BASE[FLAG_DERSTTR])))*TRSE1BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(RSE1BASE)-abs(RSE1BASE_P)) * RSE1BASE+(1-positif(abs(RSE1BASE)-abs(RSE1BASE_P)))*RSE1BASE_P))
            + (1 - null(X)) * (positif(abs(RSE1BASE)-abs(TRSE1BASE[FLAG_DERSTTR])) * RSE1BASE+(1-positif(abs(RSE1BASE)-abs(TRSE1BASE[FLAG_DERSTTR])))*TRSE1BASE[FLAG_DERSTTR]);
TRSE2BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE2BASE)-abs(TRSE2BASE[FLAG_DERSTTR])) * RSE2BASE+(1-positif(abs(RSE2BASE)-abs(TRSE2BASE[FLAG_DERSTTR])))*TRSE2BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(RSE2BASE)-abs(RSE2BASE_P)) * RSE2BASE+(1-positif(abs(RSE2BASE)-abs(RSE2BASE_P)))*RSE2BASE_P))
            + (1 - null(X)) * (positif(abs(RSE2BASE)-abs(TRSE2BASE[FLAG_DERSTTR])) * RSE2BASE+(1-positif(abs(RSE2BASE)-abs(TRSE2BASE[FLAG_DERSTTR])))*TRSE2BASE[FLAG_DERSTTR]);
TRSE3BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE3BASE)-abs(TRSE3BASE[FLAG_DERSTTR])) * RSE3BASE+(1-positif(abs(RSE3BASE)-abs(TRSE3BASE[FLAG_DERSTTR])))*TRSE3BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(RSE3BASE)-abs(RSE3BASE_P)) * RSE3BASE+(1-positif(abs(RSE3BASE)-abs(RSE3BASE_P)))*RSE3BASE_P))
            + (1 - null(X)) * (positif(abs(RSE3BASE)-abs(TRSE3BASE[FLAG_DERSTTR])) * RSE3BASE+(1-positif(abs(RSE3BASE)-abs(TRSE3BASE[FLAG_DERSTTR])))*TRSE3BASE[FLAG_DERSTTR]);
TRSE4BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE4BASE)-abs(TRSE4BASE[FLAG_DERSTTR])) * RSE4BASE+(1-positif(abs(RSE4BASE)-abs(TRSE4BASE[FLAG_DERSTTR])))*TRSE4BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(RSE4BASE)-abs(RSE4BASE_P)) * RSE4BASE+(1-positif(abs(RSE4BASE)-abs(RSE4BASE_P)))*RSE4BASE_P))
            + (1 - null(X)) * (positif(abs(RSE4BASE)-abs(TRSE4BASE[FLAG_DERSTTR])) * RSE4BASE+(1-positif(abs(RSE4BASE)-abs(TRSE4BASE[FLAG_DERSTTR])))*TRSE4BASE[FLAG_DERSTTR]);

TRSE5BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE5BASE)-abs(TRSE5BASE[FLAG_DERSTTR])) * RSE5BASE+(1-positif(abs(RSE5BASE)-abs(TRSE5BASE[FLAG_DERSTTR])))*TRSE5BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(RSE5BASE)-abs(RSE5BASE_P)) * RSE5BASE+(1-positif(abs(RSE5BASE)-abs(RSE5BASE_P)))*RSE5BASE_P))
            + (1 - null(X)) * (positif(abs(RSE5BASE)-abs(TRSE5BASE[FLAG_DERSTTR])) * RSE5BASE+(1-positif(abs(RSE5BASE)-abs(TRSE5BASE[FLAG_DERSTTR])))*TRSE5BASE[FLAG_DERSTTR]);

TRSE6BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE6BASE)-abs(TRSE6BASE[FLAG_DERSTTR])) * RSE6BASE+(1-positif(abs(RSE6BASE)-abs(TRSE6BASE[FLAG_DERSTTR])))*TRSE6BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) * (positif(abs(RSE6BASE)-abs(RSE6BASE_P)) * RSE6BASE+(1-positif(abs(RSE6BASE)-abs(RSE6BASE_P)))*RSE6BASE_P))
            + (1 - null(X)) * (positif(abs(RSE6BASE)-abs(TRSE6BASE[FLAG_DERSTTR])) * RSE6BASE+(1-positif(abs(RSE6BASE)-abs(TRSE6BASE[FLAG_DERSTTR])))*TRSE6BASE[FLAG_DERSTTR]);
TRSE8BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718) * (positif(abs(RSE8BASE)-abs(TRSE8BASE[FLAG_DERSTTR])) * RSE8BASE+(1-positif(abs(RSE8BASE)-abs(TRSE8BASE[FLAG_DERSTTR])))*TRSE8BASE[FLAG_DERSTTR])
            + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718)) * (positif(abs(RSE8BASE)-abs(RSE8BASE_P)) * RSE8BASE+(1-positif(abs(RSE8BASE)-abs(RSE8BASE_P)))*RSE8BASE_P))
            + (1 - null(X)) * (positif(abs(RSE8BASE)-abs(TRSE8BASE[FLAG_DERSTTR])) * RSE8BASE+(1-positif(abs(RSE8BASE)-abs(TRSE8BASE[FLAG_DERSTTR])))*TRSE8BASE[FLAG_DERSTTR]);


MAJOIR01 = TMAJOIR[25] * STR_TR25
	   + TMAJOIR[01] * null(CSTRATE1 - 1);

MAJOIR02_1 = TMAJOIR[23] * STR_TR23 
	   + TMAJOIR[01] * null(CSTRATE1 - 2);

MAJOIR02_1_NTL = T2MAJOIR[18] * STR_TR18
	   + T2MAJOIR[01] * null(CSTRATE1 - 2);

MAJOIR02_2_NTL = T2MAJOIR[19] * STR_TR19 
                              * (1 - positif(TIRBASE[19]-TIRBASE[23]) * positif(TIRBASE[23])) * (1 - IND_RJLJ)
               + positif(TIRBASE[19] - TIRBASE[23]) * (1 - IND_RJLJ) * positif(TIRBASE[23])
                * arr(max(0,(TIRBASE[19] - TIRBASE[0] - (TIRBASE[19] - TIRBASEDEF[23]))) * TX1758A/100) * STR_TR19
               + T2MAJOIR[01] * null(CSTRATE1 - 2);

MAJOIR02_1_NTL15 = T2MAJOIR[20] * STR_TR20;

MAJOIR02_2_NTL15 = T2MAJOIR[21] * STR_TR21 
                                * (1 - positif(TIRBASE[21]-TIRBASE[23]) * positif(TIRBASE[23])) * (1 - IND_RJLJ)
                 + positif(TIRBASE[21] - TIRBASE[23]) * (1 - IND_RJLJ) * positif(TIRBASE[23])
                    * arr(max(0,(TIRBASE[21] - TIRBASE[0] - (TIRBASE[21] - TIRBASEDEF[23]))) * TX1758A/100) 
		    * STR_TR21 ;

MAJOIR02_1_TL = T2MAJOIR[22] * STR_TR22;

MAJOIR02_2_TL = T2MAJOIR[23] * STR_TR23 + max(0,MAJOIR02TARDIF_DEF);

MAJOIR02_2 = MAJOIR02_2_TL + MAJOIR02_2_NTL + MAJOIR02_2_NTL15 ;

MAJOIR03 = TMAJOIR[14] * STR_TR14 
	   + TMAJOIR[01] * null(CSTRATE1 - 3)
	   + max(0,MAJOIR03TARDIF_DEF);

MAJOIR04 = TMAJOIR[08] * STR_TR08 
	   + TMAJOIR[01] * null(CSTRATE1 - 4);
MAJOIRPRO35 = TMAJOIR[09] * STR_TR09 
	   + TMAJOIR[01] * null(CSTRATE1 - 35);

MAJOIR05 = TMAJOIR[07] * STR_TR07 
	   + TMAJOIR[01] * null(CSTRATE1 - 5);

MAJOIR06 = TMAJOIR[03] * STR_TR03
	   + TMAJOIR[01] * null(CSTRATE1 - 6);

MAJOIR07 = TMAJOIR[17] * STR_TR17 
	   + TMAJOIR[01] * null(CSTRATE1 - 7)
	   + max(0,MAJOIR07TARDIF_DEF) ;

MAJOIR08 = TMAJOIR[12] * STR_TR12 
	   + TMAJOIR[01] * null(CSTRATE1 - 8)
	   + max(0,MAJOIR08TARDIF_DEF) ;

MAJOIR10_1 = TMAJOIR[16] * STR_TR16 
	   + TMAJOIR[01] * null(CSTRATE1 - 10);

MAJOIR10_2 = T2MAJOIR[16] * STR_TR16
	   + T2MAJOIR[01] * null(CSTRATE1 - 10);

MAJOIR11 = TMAJOIR[11] * STR_TR11 
	   + TMAJOIR[01] * null(CSTRATE1 - 11);

MAJOIR17_1 = TMAJOIR[15] * STR_TR15  
	   + TMAJOIR[01] * null(CSTRATE1 - 17)
	   + max(0,MAJOIR17_1TARD_DEF);

MAJOIR17_2 = T2MAJOIR[15] * STR_TR15
	   + T2MAJOIR[01] * null(CSTRATE1 - 17)
	   + max(0,MAJOIR17_2TARD_DEF);

MAJOIR22 = TMAJOIR[24] * STR_TR24 
	   + TMAJOIR[01] * null(CSTRATE1 - 22);

MAJOIR30 = TMAJOIR[10] * STR_TR10 
	   + TMAJOIR[01] * null(CSTRATE1 - 30);

MAJOIR31 = TMAJOIR[06] * STR_TR06 
	   + TMAJOIR[01] * null(CSTRATE1 - 31);

MAJOIR32 = TMAJOIR[05] * STR_TR05 
	   + TMAJOIR[01] * null(CSTRATE1 - 32);

MAJOIR55 = TMAJOIR[13] * STR_TR13
	   + TMAJOIR[01] * null(CSTRATE1 - 55);

MAJOIR99 = (TMAJOIR[00] * STR_TR00 
	   + TMAJOIR[01] * null(CSTRATE1 - 99)) 
	                 * (1 - positif(CSTRATE99)) ;
MAJOPSOL01 = TMAJOPS[25] * STR_TR25
           + TMAJOPS[01] * null(CSTRATE1 - 1);
MAJOPSOL02 = TMAJOPSOL[23] * STR_TR23
              + TMAJOPSOL[01] * null(CSTRATE1 - 2)
                 + max(0,MAJOPSL02TARDIF_DF) ;
MAJOPSOL03 = arr(TMAJOPSOL[14] * STR_TR14 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 3))
            + max(0,MAJOPSL03TARDIF_DF) ;
MAJOPSOL04 = arr(TMAJOPSOL[08] * STR_TR08 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 4));
MAJOPSOLPRO35 = arr(TMAJOPSOL[09] * STR_TR09 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 35));
MAJOPSOL05 = arr(TMAJOPSOL[07] * STR_TR07 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 5));
MAJOPSOL06 = arr(TMAJOPSOL[03] * STR_TR03
	          + TMAJOPSOL[01] * null(CSTRATE1 - 6));
MAJOPSOL07 = arr(TMAJOPSOL[17] * STR_TR17 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 7)
                  + max(0,MAJOPSL07TARDIF_DF));
MAJOPSOL08 = arr(TMAJOPSOL[12] * STR_TR12 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 8)
                  + max(0,MAJOPSL08TARDIF_DF));
MAJOPSOL10 = arr(TMAJOPSOL[16] * STR_TR16 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 10));
MAJOPSOL11 = arr(TMAJOPSOL[11] * STR_TR11 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 11));
MAJOPSOL17 = arr(TMAJOPSOL[15] * STR_TR15
	          + TMAJOPSOL[01] * null(CSTRATE1 - 17)
                  + max(0,MAJOPSL17TARDIF_DF));
MAJOPSOL22 = TMAJOPSOL[24] * STR_TR24
           + TMAJOPSOL[01] * null(CSTRATE1 - 22);
MAJOPSOL30 = arr(TMAJOPSOL[10] * STR_TR10 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 30));
MAJOPSOL31 = arr(TMAJOPSOL[06] * STR_TR06 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 31));
MAJOPSOL32 = arr(TMAJOPSOL[05] * STR_TR05 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 32));
MAJOPSOL55 = arr(TMAJOPSOL[13] * STR_TR13 
	          + TMAJOPSOL[01] * null(CSTRATE1 - 55)) ;

MAJOCS01 = TMAJOCS[25] * STR_TR25 
	   + TMAJOCS[01] * null(CSTRATE1 - 1);
MAJOCS02 = TMAJOCS[23] * STR_TR23 
	   + TMAJOCS[01] * null(CSTRATE1 - 2)
           + max(0,MAJOCS02TARDIF_DEF) ;
MAJOCS03 = TMAJOCS[14] * STR_TR14 
	   + TMAJOCS[01] * null(CSTRATE1 - 3)
           + max(0,MAJOCS03TARDIF_DEF) ;
MAJOCS04 = TMAJOCS[08] * STR_TR08 
	   + TMAJOCS[01] * null(CSTRATE1 - 4);
MAJOCSPRO35 = TMAJOCS[09] * STR_TR09 
	   + TMAJOCS[01] * null(CSTRATE1 - 4);
MAJOCS05 = TMAJOCS[07] * STR_TR07 
	   + TMAJOCS[01] * null(CSTRATE1 - 5);
MAJOCS06 = TMAJOCS[03] * STR_TR03
	   + TMAJOCS[01] * null(CSTRATE1 - 6);
MAJOCS07 = TMAJOCS[17] * STR_TR17 
	   + TMAJOCS[01] * null(CSTRATE1 - 7)
           + max(0,MAJOCS07TARDIF_DEF) ;
MAJOCS08 = TMAJOCS[12] * STR_TR12 
	   + TMAJOCS[01] * null(CSTRATE1 - 8)
           + max(0,MAJOCS08TARDIF_DEF) ;
MAJOCS10 = TMAJOCS[16] * STR_TR16 
	   + TMAJOCS[01] * null(CSTRATE1 - 10);
MAJOCS11 = TMAJOCS[11] * STR_TR11 
	   + TMAJOCS[01] * null(CSTRATE1 - 11);
MAJOCS17 = TMAJOCS[15] * STR_TR15 
	   + TMAJOCS[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCS17TARDIF_DEF) ;
MAJOCS22 = TMAJOCS[24] * STR_TR24 
	   + TMAJOCS[01] * null(CSTRATE1 - 22);
MAJOCS30 = TMAJOCS[10] * STR_TR10 
	   + TMAJOCS[01] * null(CSTRATE1 - 30);
MAJOCS31 = TMAJOCS[06] * STR_TR06 
	   + TMAJOCS[01] * null(CSTRATE1 - 31);
MAJOCS32 = TMAJOCS[05] * STR_TR05 
	   + TMAJOCS[01] * null(CSTRATE1 - 32);
MAJOCS55 = TMAJOCS[13] * STR_TR13 
	   + TMAJOCS[01] * null(CSTRATE1 - 55);
MAJOCS99 = (TMAJOCS[00] * STR_TR00 
	   + TMAJOCS[01] * null(CSTRATE1 - 99)) 
	                 * (1 - positif(CSTRATE99));


MAJORD01 = TMAJORD[25] * STR_TR25 
	   + TMAJORD[01] * null(CSTRATE1 - 1);
MAJORD02 = TMAJORD[23] * STR_TR23
           + TMAJORD[01] * null(CSTRATE1 - 2)
              + max(0,MAJORD02TARDIF_DEF) ;
MAJORD03 = TMAJORD[14] * STR_TR14
              + TMAJORD[01] * null(CSTRATE1 - 3)
            + max(0,MAJORD03TARDIF_DEF) ;
MAJORD04 = TMAJORD[08] * STR_TR08 
	   + TMAJORD[01] * null(CSTRATE1 - 4);
MAJORDPRO35 = TMAJORD[09] * STR_TR09 
	   + TMAJORD[01] * null(CSTRATE1 - 35);
MAJORD05 = TMAJORD[07] * STR_TR07 
	   + TMAJORD[01] * null(CSTRATE1 - 5);
MAJORD06 = TMAJORD[03] * STR_TR03
	   + TMAJORD[01] * null(CSTRATE1 - 6);
MAJORD07 = TMAJORD[17] * STR_TR17 
	   + TMAJORD[01] * null(CSTRATE1 - 7)
           + max(0,MAJORD07TARDIF_DEF) ;
MAJORD08 = TMAJORD[12] * STR_TR12 
	   + TMAJORD[01] * null(CSTRATE1 - 8)
           + max(0,MAJORD08TARDIF_DEF) ;
MAJORD10 = TMAJORD[16] * STR_TR16 
	   + TMAJORD[01] * null(CSTRATE1 - 10);
MAJORD11 = TMAJORD[11] * STR_TR11 
	   + TMAJORD[01] * null(CSTRATE1 - 11);
MAJORD17 = TMAJORD[15] * STR_TR15 
	   + TMAJORD[01] * null(CSTRATE1 - 17)
           + max(0,MAJORD17TARDIF_DEF) ;
MAJORD22 = TMAJORD[24] * STR_TR24 
	   + TMAJORD[01] * null(CSTRATE1 - 22);
MAJORD30 = TMAJORD[10] * STR_TR10 
	   + TMAJORD[01] * null(CSTRATE1 - 30);
MAJORD31 = TMAJORD[06] * STR_TR06 
	   + TMAJORD[01] * null(CSTRATE1 - 31);
MAJORD32 = TMAJORD[05] * STR_TR05 
	   + TMAJORD[01] * null(CSTRATE1 - 32);
MAJORD55 = TMAJORD[13] * STR_TR13 
	   + TMAJORD[01] * null(CSTRATE1 - 55);
MAJORD99 = (TMAJORD[00] * STR_TR00 
	   + TMAJORD[01] * null(CSTRATE1 - 99)) 
	                 * (1 - positif(CSTRATE99));

MAJOCVN01 = TMAJOCVN[25] * STR_TR25 
	   + TMAJOCVN[01] * null(CSTRATE1 - 1);
MAJOCVN02 = TMAJOCVN[23] * STR_TR23 
	   + TMAJOCVN[01] * null(CSTRATE1 - 2)
           + max(0,MAJOCVN02TARD_DEF) ;
MAJOCVN03 = TMAJOCVN[14] * STR_TR14 
	   + TMAJOCVN[01] * null(CSTRATE1 - 3)
           + max(0,MAJOCVN03TARD_DEF) ;
MAJOCVN04 = TMAJOCVN[08] * STR_TR08 
	   + TMAJOCVN[01] * null(CSTRATE1 - 4);
MAJOCVNPRO35 = TMAJOCVN[09] * STR_TR09 
	   + TMAJOCVN[01] * null(CSTRATE1 - 35);
MAJOCVN05 = TMAJOCVN[07] * STR_TR07 
	   + TMAJOCVN[01] * null(CSTRATE1 - 5);
MAJOCVN06 = TMAJOCVN[03] * STR_TR03
	   + TMAJOCVN[01] * null(CSTRATE1 - 6);
MAJOCVN07 = TMAJOCVN[17] * STR_TR17 
	   + TMAJOCVN[01] * null(CSTRATE1 - 7)
           + max(0,MAJOCVN07TARD_DEF) ;
MAJOCVN08 = TMAJOCVN[12] * STR_TR12 
	   + TMAJOCVN[01] * null(CSTRATE1 - 8)
           + max(0,MAJOCVN08TARD_DEF) ;
MAJOCVN10 = TMAJOCVN[16] * STR_TR16 
	   + TMAJOCVN[01] * null(CSTRATE1 - 10);
MAJOCVN11 = TMAJOCVN[11] * STR_TR11 
	   + TMAJOCVN[01] * null(CSTRATE1 - 11);
MAJOCVN17 = TMAJOCVN[15] * STR_TR15 
	   + TMAJOCVN[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCVN17TARD_DEF) ;
MAJOCVN22 = TMAJOCVN[24] * STR_TR24 
	   + TMAJOCVN[01] * null(CSTRATE1 - 22);
MAJOCVN55 = TMAJOCVN[13] * STR_TR13 
	   + TMAJOCVN[01] * null(CSTRATE1 - 55);
MAJOCVN99 = (TMAJOCVN[00] * STR_TR00 
	   + TMAJOCVN[01] * null(CSTRATE1 - 99)) 
	                  * (1 - positif(CSTRATE99));

MAJOCDIS01 = TMAJOCDIS[25] * STR_TR25 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 1);
MAJOCDIS02 = TMAJOCDIS[23] * STR_TR23 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 2)
           + max(0,MAJOCDIS02TARD_DEF) ;
MAJOCDIS03 = TMAJOCDIS[14] * STR_TR14 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 3)
           + max(0,MAJOCDIS03TARD_DEF) ;
MAJOCDIS04 = TMAJOCDIS[08] * STR_TR08 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 4);
MAJOCDISPRO35 = TMAJOCDIS[09] * STR_TR09 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 35);
MAJOCDIS05 = TMAJOCDIS[07] * STR_TR07 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 5);
MAJOCDIS06 = TMAJOCDIS[03] * STR_TR03
	   + TMAJOCDIS[01] * null(CSTRATE1 - 6);
MAJOCDIS07 = TMAJOCDIS[17] * STR_TR17 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 7)
           + max(0,MAJOCDIS07TARD_DEF) ;
MAJOCDIS08 = TMAJOCDIS[12] * STR_TR12 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 8)
           + max(0,MAJOCDIS08TARD_DEF) ;
MAJOCDIS10 = TMAJOCDIS[16] * STR_TR16 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 10);
MAJOCDIS11 = TMAJOCDIS[11] * STR_TR11 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 11);
MAJOCDIS17 = TMAJOCDIS[15] * STR_TR15 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCDIS17TARD_DEF) ;
MAJOCDIS22 = TMAJOCDIS[24] * STR_TR24 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 22);
MAJOCDIS55 = TMAJOCDIS[13] * STR_TR13 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 55);
MAJOCDIS99 = (TMAJOCDIS[00] * STR_TR00 
	   + TMAJOCDIS[01] * null(CSTRATE1 - 99)) 
	                    * (1 - positif(CSTRATE99));


MAJOGLO01 = TMAJOGLO[25] * STR_TR25 
	   + TMAJOGLO[01] * null(CSTRATE1 - 1);
MAJOGLO02 = TMAJOGLO[23] * STR_TR23 
	   + TMAJOGLO[01] * null(CSTRATE1 - 2)
           + max(0,MAJOGLO02TARD_DEF) ;
MAJOGLO03 = TMAJOGLO[14] * STR_TR14 
	   + TMAJOGLO[01] * null(CSTRATE1 - 3)
           + max(0,MAJOGLO03TARD_DEF) ;
MAJOGLO04 = TMAJOGLO[08] * STR_TR08 
	   + TMAJOGLO[01] * null(CSTRATE1 - 4);
MAJOGLOPRO35 = TMAJOGLO[09] * STR_TR09 
	   + TMAJOGLO[01] * null(CSTRATE1 - 35);
MAJOGLO05 = TMAJOGLO[07] * STR_TR07 
	   + TMAJOGLO[01] * null(CSTRATE1 - 5);
MAJOGLO06 = TMAJOGLO[03] * STR_TR03
	   + TMAJOGLO[01] * null(CSTRATE1 - 6);
MAJOGLO07 = TMAJOGLO[17] * STR_TR17 
	   + TMAJOGLO[01] * null(CSTRATE1 - 7)
           + max(0,MAJOGLO07TARD_DEF) ;
MAJOGLO08 = TMAJOGLO[12] * STR_TR12 
	   + TMAJOGLO[01] * null(CSTRATE1 - 8)
           + max(0,MAJOGLO08TARD_DEF) ;
MAJOGLO10 = TMAJOGLO[16] * STR_TR16 
	   + TMAJOGLO[01] * null(CSTRATE1 - 10);
MAJOGLO11 = TMAJOGLO[11] * STR_TR11 
	   + TMAJOGLO[01] * null(CSTRATE1 - 11);
MAJOGLO17 = TMAJOGLO[15] * STR_TR15 
	   + TMAJOGLO[01] * null(CSTRATE1 - 17)
           + max(0,MAJOGLO17TARD_DEF) ;
MAJOGLO22 = TMAJOGLO[24] * STR_TR24 
	   + TMAJOGLO[01] * null(CSTRATE1 - 22);
MAJOGLO55 = TMAJOGLO[13] * STR_TR13 
	   + TMAJOGLO[01] * null(CSTRATE1 - 55);
MAJOGLO99 = (TMAJOGLO[00] * STR_TR00 
	   + TMAJOGLO[01] * null(CSTRATE1 - 99)) 
	                  * (1 - positif(CSTRATE99));
MAJOC82001 = TMAJOC820[25] * STR_TR25 
	   + TMAJOC820[01] * null(CSTRATE1 - 1);
MAJOC82002 = TMAJOC820[23] * STR_TR23 
	   + TMAJOC820[01] * null(CSTRATE1 - 2)
           + max(0,MAJOC82002TARD_DEF) ;
MAJOC82003 = TMAJOC820[14] * STR_TR14 
	   + TMAJOC820[01] * null(CSTRATE1 - 3)
           + max(0,MAJOC82003TARD_DEF) ;
MAJOC82004 = TMAJOC820[08] * STR_TR08 
	   + TMAJOC820[01] * null(CSTRATE1 - 4);
MAJOC820PRO35 = TMAJOC820[09] * STR_TR09 
	   + TMAJOC820[01] * null(CSTRATE1 - 35);
MAJOC82005 = TMAJOC820[07] * STR_TR07 
	   + TMAJOC820[01] * null(CSTRATE1 - 5);
MAJOC82006 = TMAJOC820[03] * STR_TR03
	   + TMAJOC820[01] * null(CSTRATE1 - 6);
MAJOC82007 = TMAJOC820[17] * STR_TR17 
	   + TMAJOC820[01] * null(CSTRATE1 - 7)
           + max(0,MAJOC82007TARD_DEF) ;
MAJOC82008 = TMAJOC820[12] * STR_TR12 
	   + TMAJOC820[01] * null(CSTRATE1 - 8)
           + max(0,MAJOC82008TARD_DEF) ;
MAJOC82010 = TMAJOC820[16] * STR_TR16 
	   + TMAJOC820[01] * null(CSTRATE1 - 10);
MAJOC82011 = TMAJOC820[11] * STR_TR11 
	   + TMAJOC820[01] * null(CSTRATE1 - 11);
MAJOC82017 = TMAJOC820[15] * STR_TR15 
	   + TMAJOC820[01] * null(CSTRATE1 - 17)
           + max(0,MAJOC82017TARD_DEF) ;
MAJOC82022 = TMAJOC820[24] * STR_TR24 
	   + TMAJOC820[01] * null(CSTRATE1 - 22);
MAJOC82055 = TMAJOC820[13] * STR_TR13 
	   + TMAJOC820[01] * null(CSTRATE1 - 55);
MAJOC82099 = (TMAJOC820[00] * STR_TR00 
	   + TMAJOC820[01] * null(CSTRATE1 - 99)) 
	                  * (1 - positif(CSTRATE99));

MAJORSE101 = TMAJORSE1[25] * STR_TR25 
	   + TMAJORSE1[01] * null(CSTRATE1 - 1);
MAJORSE102 = TMAJORSE1[23] * STR_TR23 
	   + TMAJORSE1[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE102TARD_DEF) ;
MAJORSE103 = TMAJORSE1[14] * STR_TR14 
	   + TMAJORSE1[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE103TARD_DEF) ;
MAJORSE104 = TMAJORSE1[08] * STR_TR08 
	   + TMAJORSE1[01] * null(CSTRATE1 - 4);
MAJORSE1PRO35 = TMAJORSE1[09] * STR_TR09 
	   + TMAJORSE1[01] * null(CSTRATE1 - 35);
MAJORSE105 = TMAJORSE1[07] * STR_TR07 
	   + TMAJORSE1[01] * null(CSTRATE1 - 5);
MAJORSE106 = TMAJORSE1[03] * STR_TR03
	   + TMAJORSE1[01] * null(CSTRATE1 - 6);
MAJORSE107 = TMAJORSE1[17] * STR_TR17 
	   + TMAJORSE1[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE107TARD_DEF) ;
MAJORSE108 = TMAJORSE1[12] * STR_TR12 
	   + TMAJORSE1[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE108TARD_DEF) ;
MAJORSE110 = TMAJORSE1[16] * STR_TR16 
	   + TMAJORSE1[01] * null(CSTRATE1 - 10);
MAJORSE111 = TMAJORSE1[11] * STR_TR11 
	   + TMAJORSE1[01] * null(CSTRATE1 - 11);
MAJORSE117 = TMAJORSE1[15] * STR_TR15 
	   + TMAJORSE1[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE117TARD_DEF) ;
MAJORSE122 = TMAJORSE1[24] * STR_TR24 
	   + TMAJORSE1[01] * null(CSTRATE1 - 22);
MAJORSE155 = TMAJORSE1[13] * STR_TR13 
	   + TMAJORSE1[01] * null(CSTRATE1 - 55);
MAJORSE199 = (TMAJORSE1[00] * STR_TR00 
	   + TMAJORSE1[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));

MAJORSE201 = TMAJORSE2[25] * STR_TR25 
	   + TMAJORSE2[01] * null(CSTRATE1 - 1);
MAJORSE202 = TMAJORSE2[23] * STR_TR23 
	   + TMAJORSE2[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE202TARD_DEF) ;
MAJORSE203 = TMAJORSE2[14] * STR_TR14 
	   + TMAJORSE2[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE203TARD_DEF) ;
MAJORSE204 = TMAJORSE2[08] * STR_TR08 
	   + TMAJORSE2[01] * null(CSTRATE1 - 4);
MAJORSE2PRO35 = TMAJORSE2[09] * STR_TR09 
	   + TMAJORSE2[01] * null(CSTRATE1 - 35);
MAJORSE205 = TMAJORSE2[07] * STR_TR07 
	   + TMAJORSE2[01] * null(CSTRATE1 - 5);
MAJORSE206 = TMAJORSE2[03] * STR_TR03
	   + TMAJORSE2[01] * null(CSTRATE1 - 6);
MAJORSE207 = TMAJORSE2[17] * STR_TR17 
	   + TMAJORSE2[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE207TARD_DEF) ;
MAJORSE208 = TMAJORSE2[12] * STR_TR12 
	   + TMAJORSE2[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE208TARD_DEF) ;
MAJORSE210 = TMAJORSE2[16] * STR_TR16 
	   + TMAJORSE2[01] * null(CSTRATE1 - 10);
MAJORSE211 = TMAJORSE2[11] * STR_TR11 
	   + TMAJORSE2[01] * null(CSTRATE1 - 11);
MAJORSE217 = TMAJORSE2[15] * STR_TR15 
	   + TMAJORSE2[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE217TARD_DEF) ;
MAJORSE222 = TMAJORSE2[24] * STR_TR24 
	   + TMAJORSE2[01] * null(CSTRATE1 - 22);
MAJORSE255 = TMAJORSE2[13] * STR_TR13 
	   + TMAJORSE2[01] * null(CSTRATE1 - 55);
MAJORSE299 = (TMAJORSE2[00] * STR_TR00 
	   + TMAJORSE2[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));

MAJORSE301 = TMAJORSE3[25] * STR_TR25 
	   + TMAJORSE3[01] * null(CSTRATE1 - 1);
MAJORSE302 = TMAJORSE3[23] * STR_TR23 
	   + TMAJORSE3[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE302TARD_DEF) ;
MAJORSE303 = TMAJORSE3[14] * STR_TR14 
	   + TMAJORSE3[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE303TARD_DEF) ;
MAJORSE304 = TMAJORSE3[08] * STR_TR08 
	   + TMAJORSE3[01] * null(CSTRATE1 - 4);
MAJORSE3PRO35 = TMAJORSE3[09] * STR_TR09 
	   + TMAJORSE3[01] * null(CSTRATE1 - 35);
MAJORSE305 = TMAJORSE3[07] * STR_TR07 
	   + TMAJORSE3[01] * null(CSTRATE1 - 5);
MAJORSE306 = TMAJORSE3[03] * STR_TR03
	   + TMAJORSE3[01] * null(CSTRATE1 - 6);
MAJORSE307 = TMAJORSE3[17] * STR_TR17 
	   + TMAJORSE3[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE307TARD_DEF) ;
MAJORSE308 = TMAJORSE3[12] * STR_TR12 
	   + TMAJORSE3[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE308TARD_DEF) ;
MAJORSE310 = TMAJORSE3[16] * STR_TR16 
	   + TMAJORSE3[01] * null(CSTRATE1 - 10);
MAJORSE311 = TMAJORSE3[11] * STR_TR11 
	   + TMAJORSE3[01] * null(CSTRATE1 - 11);
MAJORSE317 = TMAJORSE3[15] * STR_TR15 
	   + TMAJORSE3[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE317TARD_DEF) ;
MAJORSE322 = TMAJORSE3[24] * STR_TR24 
	   + TMAJORSE3[01] * null(CSTRATE1 - 22);
MAJORSE355 = TMAJORSE3[13] * STR_TR13 
	   + TMAJORSE3[01] * null(CSTRATE1 - 55);
MAJORSE399 = (TMAJORSE3[00] * STR_TR00 
	   + TMAJORSE3[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));

MAJORSE401 = TMAJORSE4[25] * STR_TR25 
	   + TMAJORSE4[01] * null(CSTRATE1 - 1);
MAJORSE402 = TMAJORSE4[23] * STR_TR23 
	   + TMAJORSE4[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE402TARD_DEF) ;
MAJORSE403 = TMAJORSE4[14] * STR_TR14 
	   + TMAJORSE4[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE403TARD_DEF) ;
MAJORSE404 = TMAJORSE4[08] * STR_TR08 
	   + TMAJORSE4[01] * null(CSTRATE1 - 4);
MAJORSE4PRO35 = TMAJORSE4[09] * STR_TR09 
	   + TMAJORSE4[01] * null(CSTRATE1 - 35);
MAJORSE405 = TMAJORSE4[07] * STR_TR07 
	   + TMAJORSE4[01] * null(CSTRATE1 - 5);
MAJORSE406 = TMAJORSE4[03] * STR_TR03
	   + TMAJORSE4[01] * null(CSTRATE1 - 6);
MAJORSE407 = TMAJORSE4[17] * STR_TR17 
	   + TMAJORSE4[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE407TARD_DEF) ;
MAJORSE408 = TMAJORSE4[12] * STR_TR12 
	   + TMAJORSE4[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE408TARD_DEF) ;
MAJORSE410 = TMAJORSE4[16] * STR_TR16 
	   + TMAJORSE4[01] * null(CSTRATE1 - 10);
MAJORSE411 = TMAJORSE4[11] * STR_TR11 
	   + TMAJORSE4[01] * null(CSTRATE1 - 11);
MAJORSE417 = TMAJORSE4[15] * STR_TR15 
	   + TMAJORSE4[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE417TARD_DEF) ;
MAJORSE422 = TMAJORSE4[24] * STR_TR24 
	   + TMAJORSE4[01] * null(CSTRATE1 - 22);
MAJORSE455 = TMAJORSE4[13] * STR_TR13 
	   + TMAJORSE4[01] * null(CSTRATE1 - 55);
MAJORSE499 = (TMAJORSE4[00] * STR_TR00 
	   + TMAJORSE4[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));

MAJORSE501 = TMAJORSE5[25] * STR_TR25 
	   + TMAJORSE5[01] * null(CSTRATE1 - 1);
MAJORSE502 = TMAJORSE5[23] * STR_TR23 
	   + TMAJORSE5[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE502TARD_DEF) ;
MAJORSE503 = TMAJORSE5[14] * STR_TR14 
	   + TMAJORSE5[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE503TARD_DEF) ;
MAJORSE504 = TMAJORSE5[08] * STR_TR08 
	   + TMAJORSE5[01] * null(CSTRATE1 - 4);
MAJORSE5PRO35 = TMAJORSE5[09] * STR_TR09 
	   + TMAJORSE5[01] * null(CSTRATE1 - 35);
MAJORSE505 = TMAJORSE5[07] * STR_TR07 
	   + TMAJORSE5[01] * null(CSTRATE1 - 5);
MAJORSE506 = TMAJORSE5[03] * STR_TR03
	   + TMAJORSE5[01] * null(CSTRATE1 - 6);
MAJORSE507 = TMAJORSE5[17] * STR_TR17 
	   + TMAJORSE5[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE507TARD_DEF) ;
MAJORSE508 = TMAJORSE5[12] * STR_TR12 
	   + TMAJORSE5[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE508TARD_DEF) ;
MAJORSE510 = TMAJORSE5[16] * STR_TR16 
	   + TMAJORSE5[01] * null(CSTRATE1 - 10);
MAJORSE511 = TMAJORSE5[11] * STR_TR11 
	   + TMAJORSE5[01] * null(CSTRATE1 - 11);
MAJORSE517 = TMAJORSE5[15] * STR_TR15 
	   + TMAJORSE5[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE517TARD_DEF) ;
MAJORSE522 = TMAJORSE5[24] * STR_TR24 
	   + TMAJORSE5[01] * null(CSTRATE1 - 22);
MAJORSE555 = TMAJORSE5[13] * STR_TR13 
	   + TMAJORSE5[01] * null(CSTRATE1 - 55);
MAJORSE599 = (TMAJORSE5[00] * STR_TR00 
	   + TMAJORSE5[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));

MAJORSE601 = TMAJORSE6[25] * STR_TR25 
	   + TMAJORSE6[01] * null(CSTRATE1 - 1);
MAJORSE602 = TMAJORSE6[23] * STR_TR23 
	   + TMAJORSE6[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE602TARD_DEF) ;
MAJORSE603 = TMAJORSE6[14] * STR_TR14 
	   + TMAJORSE6[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE603TARD_DEF) ;
MAJORSE604 = TMAJORSE6[08] * STR_TR08 
	   + TMAJORSE6[01] * null(CSTRATE1 - 4);
MAJORSE6PRO35 = TMAJORSE6[09] * STR_TR09 
	   + TMAJORSE6[01] * null(CSTRATE1 - 35);
MAJORSE605 = TMAJORSE6[07] * STR_TR07 
	   + TMAJORSE6[01] * null(CSTRATE1 - 5);
MAJORSE606 = TMAJORSE6[03] * STR_TR03
	   + TMAJORSE6[01] * null(CSTRATE1 - 6);
MAJORSE607 = TMAJORSE6[17] * STR_TR17 
	   + TMAJORSE6[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE607TARD_DEF) ;
MAJORSE608 = TMAJORSE6[12] * STR_TR12 
	   + TMAJORSE6[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE608TARD_DEF) ;
MAJORSE610 = TMAJORSE6[16] * STR_TR16 
	   + TMAJORSE6[01] * null(CSTRATE1 - 10);
MAJORSE611 = TMAJORSE6[11] * STR_TR11 
	   + TMAJORSE6[01] * null(CSTRATE1 - 11);
MAJORSE617 = TMAJORSE6[15] * STR_TR15 
	   + TMAJORSE6[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE617TARD_DEF) ;
MAJORSE622 = TMAJORSE6[24] * STR_TR24 
	   + TMAJORSE6[01] * null(CSTRATE1 - 22);
MAJORSE655 = TMAJORSE6[13] * STR_TR13 
	   + TMAJORSE6[01] * null(CSTRATE1 - 55);
MAJORSE699 = (TMAJORSE6[00] * STR_TR00 
	   + TMAJORSE6[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));

MAJORSE801 = TMAJORSE8[25] * STR_TR25 
	   + TMAJORSE8[01] * null(CSTRATE1 - 1);
MAJORSE802 = TMAJORSE8[23] * STR_TR23 
	   + TMAJORSE8[01] * null(CSTRATE1 - 2)
           + max(0,MAJORSE802TARD_DEF) ;
MAJORSE803 = TMAJORSE8[14] * STR_TR14 
	   + TMAJORSE8[01] * null(CSTRATE1 - 3)
           + max(0,MAJORSE803TARD_DEF) ;
MAJORSE804 = TMAJORSE8[08] * STR_TR08 
	   + TMAJORSE8[01] * null(CSTRATE1 - 4);
MAJORSE8PRO35 = TMAJORSE8[09] * STR_TR09 
	   + TMAJORSE8[01] * null(CSTRATE1 - 35);
MAJORSE805 = TMAJORSE8[07] * STR_TR07 
	   + TMAJORSE8[01] * null(CSTRATE1 - 5);
MAJORSE806 = TMAJORSE8[03] * STR_TR03
	   + TMAJORSE8[01] * null(CSTRATE1 - 6);
MAJORSE807 = TMAJORSE8[17] * STR_TR17 
	   + TMAJORSE8[01] * null(CSTRATE1 - 7)
           + max(0,MAJORSE807TARD_DEF) ;
MAJORSE808 = TMAJORSE8[12] * STR_TR12 
	   + TMAJORSE8[01] * null(CSTRATE1 - 8)
           + max(0,MAJORSE808TARD_DEF) ;
MAJORSE810 = TMAJORSE8[16] * STR_TR16 
	   + TMAJORSE8[01] * null(CSTRATE1 - 10);
MAJORSE811 = TMAJORSE8[11] * STR_TR11 
	   + TMAJORSE8[01] * null(CSTRATE1 - 11);
MAJORSE817 = TMAJORSE8[15] * STR_TR15 
	   + TMAJORSE8[01] * null(CSTRATE1 - 17)
           + max(0,MAJORSE817TARD_DEF) ;
MAJORSE822 = TMAJORSE8[24] * STR_TR24 
	   + TMAJORSE8[01] * null(CSTRATE1 - 22);
MAJORSE855 = TMAJORSE8[13] * STR_TR13 
	   + TMAJORSE8[01] * null(CSTRATE1 - 55);
MAJORSE899 = (TMAJORSE8[00] * STR_TR00 
	   + TMAJORSE8[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));
MAJOTAXA01 = TMAJOTAXA[25] * STR_TR25
	   + TMAJOTAXA[01] * null(CSTRATE1 - 1);

MAJOTAXA02_1 = TMAJOTAXA[23] * STR_TR23
	   + TMAJOTAXA[01] * null(CSTRATE1 - 2);

MAJOTAXA02_1_TL = T2MAJOTAXA[22] * STR_TR22
	     + T2MAJOTAXA[01] * null(CSTRATE1 - 2);

MAJOTAXA02_2_NTL = T2MAJOTAXA[19] * STR_TR19
                             * (1 - positif_ou_nul(TTAXABASE[19] - TTAXABASE[23]) * positif(TTAXABASE[23]))
                             * (1 - IND_RJLJ)
              + positif_ou_nul(TTAXABASE[19] - TTAXABASE[23]) * (1 - IND_RJLJ) * positif(TTAXABASE[23])
                * arr(max(0,(TTAXABASE[19] - TTAXABASE[0] - (TTAXABASE[19] - TTAXABASEDEF[23]))) * TX1758A/100)
                * STR_TR19
              + T2MAJOTAXA[01] * null(CSTRATE1 - 2);
MAJOTAXA02_2_TL = T2MAJOTAXA[23] * STR_TR23
	     + T2MAJOTAXA[01] * null(CSTRATE1 - 2) + max(0,MAJOTA02TARDIF_DEF) ;

MAJOTAXA02_2 = MAJOTAXA02_2_TL ;

MAJOTAXA03 = TMAJOTAXA[14] * STR_TR14 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 3)
           + max(0,MAJOTA03TARDIF_DEF) ;
MAJOTAXA04 = TMAJOTAXA[08] * STR_TR08 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 4);
MAJOTAXAPRO35 = TMAJOTAXA[09] * STR_TR09 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 35);
MAJOTAXA05 = TMAJOTAXA[07] * STR_TR07 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 5);
MAJOTAXA06 = TMAJOTAXA[03] * STR_TR03
	   + TMAJOTAXA[01] * null(CSTRATE1 - 6);
MAJOTAXA07 = TMAJOTAXA[17] * STR_TR17
	   + TMAJOTAXA[01] * null(CSTRATE1 - 7)
           + max(0,MAJOTA07TARDIF_DEF) ;
MAJOTAXA08 = TMAJOTAXA[12] * STR_TR12 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 8)
           + max(0,MAJOTA08TARDIF_DEF) ;
MAJOTAXA10_1 = TMAJOTAXA[16] * STR_TR16 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 10);
MAJOTAXA10_2 = T2MAJOTAXA[16] * STR_TR16
	   + T2MAJOTAXA[01] * null(CSTRATE1 - 10);
MAJOTAXA11 = TMAJOTAXA[11] * STR_TR11 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 11);
MAJOTAXA17_1 = TMAJOTAXA[15] * STR_TR15
	   + TMAJOTAXA[01] * null(CSTRATE1 - 17)
           + max(0,MAJOTA17_1TARD_DEF) ;
MAJOTAXA17_2 = T2MAJOTAXA[15] * STR_TR15
	   + T2MAJOTAXA[01] * null(CSTRATE1 - 17)
           + max(0,MAJOTA17_2TARD_DEF) ;
MAJOTAXA22 = TMAJOTAXA[24] * STR_TR24 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 22);
MAJOTAXA55 = TMAJOTAXA[13] * STR_TR13 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 55);
MAJOTAXA99 = (TMAJOTAXA[00] * STR_TR00 
	   + TMAJOTAXA[01] * null(CSTRATE1 - 99)) 
	                   * (1 - positif(CSTRATE99));
MAJOHR01 = TMAJOHR[25] * STR_TR25
	   + TMAJOHR[01] * null(CSTRATE1 - 1);

MAJOHR02_1 = TMAJOHR[23] * STR_TR23 
	   + TMAJOHR[01] * null(CSTRATE1 - 2);

MAJOHR02_1_NTL = T2MAJOHR[18] * STR_TR18
	     + T2MAJOHR[01] * null(CSTRATE1 - 2);

MAJOHR02_2_NTL = T2MAJOHR[19] * STR_TR19 
                              * (1 - positif_ou_nul(TCHRBASE[19] - TCHRBASE[23]) * positif(TCHRBASE[23])) 
			      * (1 - IND_RJLJ)
              + positif_ou_nul(TCHRBASE[19] - TCHRBASE[23]) * (1 - IND_RJLJ) * positif(TCHRBASE[23])
               * arr(max(0,(TCHRBASE[19] - TCHRBASE[0] - (TCHRBASE[19] - TCHRBASEDEF[23]))) * TX1758A/100) 
	       * STR_TR19
              + T2MAJOHR[01] * null(CSTRATE1 - 2);

MAJOHR02_1_TL15 = T2MAJOHR[20] * STR_TR20
	     + T2MAJOHR[01] * null(CSTRATE1 - 2);

MAJOHR02_2_TL15 = T2MAJOHR[21] * STR_TR21
	        + T2MAJOHR[01] * null(CSTRATE1 - 2);

MAJOHR02_1_TL = T2MAJOHR[22] * STR_TR22
	      + T2MAJOHR[01] * null(CSTRATE1 - 2);

MAJOHR02_2_TL = T2MAJOHR[23] * STR_TR23
      	      + T2MAJOHR[01] * null(CSTRATE1 - 2) + max(0,MAJOHR02TARDIF_DEF) ;

MAJOHR02_2 = MAJOHR02_2_TL + MAJOHR02_2_TL15 + MAJOHR02_2_NTL;

MAJOHR03 = TMAJOHR[14] * STR_TR14 
	   + TMAJOHR[01] * null(CSTRATE1 - 3)
           + max(0,MAJOHR03TARDIF_DEF) ;
MAJOHR04 = TMAJOHR[08] * STR_TR08 
	   + TMAJOHR[01] * null(CSTRATE1 - 4);
MAJOHRPRO35 = TMAJOHR[09] * STR_TR09 
	   + TMAJOHR[01] * null(CSTRATE1 - 35);
MAJOHR05 = TMAJOHR[07] * STR_TR07 
	   + TMAJOHR[01] * null(CSTRATE1 - 5);
MAJOHR06 = TMAJOHR[03] * STR_TR03
	   + TMAJOHR[01] * null(CSTRATE1 - 6);
MAJOHR07 = TMAJOHR[17] * STR_TR17
	   + TMAJOHR[01] * null(CSTRATE1 - 7)
           + max(0,MAJOHR07TARDIF_DEF) ;
MAJOHR08 = TMAJOHR[12] * STR_TR12 
	   + TMAJOHR[01] * null(CSTRATE1 - 8)
           + max(0,MAJOHR08TARDIF_DEF) ;
MAJOHR10_1 = TMAJOHR[16] * STR_TR16 
	   + TMAJOHR[01] * null(CSTRATE1 - 10);
MAJOHR10_2 = T2MAJOHR[16] * STR_TR16
	   + T2MAJOHR[01] * null(CSTRATE1 - 10);
MAJOHR11 = TMAJOHR[11] * STR_TR11 
	   + TMAJOHR[01] * null(CSTRATE1 - 11);
MAJOHR17_1 = TMAJOHR[15] * STR_TR15
	   + TMAJOHR[01] * null(CSTRATE1 - 17)
           + max(0,MAJOHR17_1TARD_DEF) ;
MAJOHR17_2 = T2MAJOHR[15] * STR_TR15
	   + T2MAJOHR[01] * null(CSTRATE1 - 17)
           + max(0,MAJOHR17_2TARD_DEF) ;
MAJOHR22 = TMAJOHR[24] * STR_TR24 
	   + TMAJOHR[01] * null(CSTRATE1 - 22);
MAJOHR30 = TMAJOHR[10] * STR_TR10 
	   + TMAJOHR[01] * null(CSTRATE1 - 30);
MAJOHR31 = TMAJOHR[06] * STR_TR06 
	   + TMAJOHR[01] * null(CSTRATE1 - 31);
MAJOHR32 = TMAJOHR[05] * STR_TR05 
	   + TMAJOHR[01] * null(CSTRATE1 - 32);
MAJOHR55 = TMAJOHR[13] * STR_TR13 
	   + TMAJOHR[01] * null(CSTRATE1 - 55);
MAJOHR99 = (TMAJOHR[00] * STR_TR00 
	   + TMAJOHR[01] * null(CSTRATE1 - 99)) 
	                 * (1 - positif(CSTRATE99));

MAJOCAP01 = TMAJOCAP[25] * STR_TR25
	   + TMAJOCAP[01] * null(CSTRATE1 - 1);

MAJOCAP02_1 = TMAJOCAP[23] * STR_TR23 
	    + TMAJOCAP[01] * null(CSTRATE1 - 2);

MAJOCAP02_1_NTL = T2MAJOCAP[18] * STR_TR18
   	        + T2MAJOCAP[01] * null(CSTRATE1 - 2);

MAJOCAP02_2_NTL = T2MAJOCAP[19] * STR_TR19 
                                * (1 - positif_ou_nul(TPCAPBASE[19] - TPCAPBASE[23]) * positif(TPCAPBASE[23])) 
				* (1 - IND_RJLJ)
              + positif_ou_nul(TPCAPBASE[19] - TPCAPBASE[23]) * (1 - IND_RJLJ) * positif(TPCAPBASE[23])
               * arr(max(0,(TPCAPBASE[19] - TPCAPBASE[0] - (TPCAPBASE[19] - TPCAPBASEDEF[23]))) * TX1758A/100) 
	       * STR_TR19
              + T2MAJOCAP[01] * null(CSTRATE1 - 2);


MAJOCAP02_1_TL = T2MAJOCAP[22] * STR_TR22
	     + T2MAJOCAP[01] * null(CSTRATE1 - 2);

MAJOCAP02_2_TL = T2MAJOCAP[23] * STR_TR23
	     + T2MAJOCAP[01] * null(CSTRATE1 - 2) + max(0,MAJOCP02TARDIF_DEF) ;

MAJOCAP02_2 = MAJOCAP02_2_TL + MAJOCAP02_2_NTL;

MAJOCAP03 = TMAJOCAP[14] * STR_TR14 
	   + TMAJOCAP[01] * null(CSTRATE1 - 3)
           + max(0,MAJOCP03TARDIF_DEF) ;
MAJOCAP04 = TMAJOCAP[08] * STR_TR08 
	   + TMAJOCAP[01] * null(CSTRATE1 - 4);
MAJOCAPPRO35 = TMAJOCAP[09] * STR_TR09 
	   + TMAJOCAP[01] * null(CSTRATE1 - 35);
MAJOCAP05 = TMAJOCAP[07] * STR_TR07 
	   + TMAJOCAP[01] * null(CSTRATE1 - 5);
MAJOCAP06 = TMAJOCAP[03] * STR_TR03
	   + TMAJOCAP[01] * null(CSTRATE1 - 6);
MAJOCAP07 = TMAJOCAP[17] * STR_TR17
	   + TMAJOCAP[01] * null(CSTRATE1 - 7)
           + max(0,MAJOCP07TARDIF_DEF) ;
MAJOCAP08 = TMAJOCAP[12] * STR_TR12 
	   + TMAJOCAP[01] * null(CSTRATE1 - 8)
           + max(0,MAJOCP08TARDIF_DEF) ;
MAJOCAP10_1 = TMAJOCAP[16] * STR_TR16 
	   + TMAJOCAP[01] * null(CSTRATE1 - 10);
MAJOCAP10_2 = T2MAJOCAP[16] * STR_TR16
	   + T2MAJOCAP[01] * null(CSTRATE1 - 10);
MAJOCAP11 = TMAJOCAP[11] * STR_TR11 
	   + TMAJOCAP[01] * null(CSTRATE1 - 11);
MAJOCAP17_1 = TMAJOCAP[15] * STR_TR15
	   + TMAJOCAP[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCP17_1TARD_DEF) ;
MAJOCAP17_2 = T2MAJOCAP[15] * STR_TR15
	   + T2MAJOCAP[01] * null(CSTRATE1 - 17)
           + max(0,MAJOCP17_2TARD_DEF) ;
MAJOCAP22 = TMAJOCAP[24] * STR_TR24 
	   + TMAJOCAP[01] * null(CSTRATE1 - 22);
MAJOCAP55 = TMAJOCAP[13] * STR_TR13 
	   + TMAJOCAP[01] * null(CSTRATE1 - 55);
MAJOCAP99 = (TMAJOCAP[00] * STR_TR00 
	   + TMAJOCAP[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));


MAJO1728IR = somme (x = 08,11,31 : MAJOIRx)
	     + MAJOIR10_1 + MAJOIR17_1
	     + somme (x = 08,11,31 : MAJOPIRx)
	     + MAJOPIR10_1 + MAJOPIR17_1 ;

MAJO1728TAXA = somme (x = 08,11 : MAJOTAXAx)
	     + MAJOTAXA10_1 + MAJOTAXA17_1;
MAJO1728PCAP = somme (x = 08,11 : MAJOCAPx)
	     + MAJOCAP10_1 + MAJOCAP17_1;
MAJO1728CHR = somme (x = 08,11,31 : MAJOHRx)
	     + MAJOHR10_1 + MAJOHR17_1
	     + somme (x = 08,11,31 : MAJOPHRx)
	     + MAJOPHR10_1 + MAJOPHR17_1;

MAJO1728RD = somme (x = 07,08,10,11,17,31 : MAJORDx)
	     + somme(x = 07,08,10,11,17,31   : MAJOPRDx);
MAJO1728CS = somme (x = 07,08,10,11,17,31 : MAJOCSx)
	     + somme(x = 07,08,10,11,17,31   : MAJOPCSx);
MAJO1728PSOL =  somme(x = 07,08,10,11,17,31  : MAJOPSOLx)
	     + somme(x = 07,08,10,11,17,31   : MAJOPPSOLx);
MAJO1728CVN = somme (x = 07,08,10,11,17  : MAJOCVNx);
MAJO1728CDIS = somme (x = 07,08,10,11,17 : MAJOCDISx);
MAJO1728GLO = somme (x = 07,08,10,11,17  : MAJOGLOx);
MAJO1728C820 = somme (x = 07,08,10,11,17  : MAJOC820x);
MAJO1728RSE1 = somme (x = 07,08,10,11,17 : MAJORSE1x);
MAJO1728RSE2 = somme (x = 07,08,10,11,17 : MAJORSE2x);
MAJO1728RSE3 = somme (x = 07,08,10,11,17 : MAJORSE3x);
MAJO1728RSE4 = somme (x = 07,08,10,11,17 : MAJORSE4x);
MAJO1728RSE5 = somme (x = 07,08,10,11,17 : MAJORSE5x);
MAJO1728RSE6 = somme (x = 07,08,10,11,17 : MAJORSE6x);
MAJO1728RSE8 = somme (x = 07,08,10,11,17 : MAJORSE8x);
MAJO1729IR = somme (x = 03..05,22,35,55 : MAJOIRx);

MAJO1729TAXA = somme (x = 03..05,22,35,55 : MAJOTAXAx);
MAJO1729PCAP = somme (x = 03..05,22,35,55 : MAJOCAPx);
MAJO1729CHR = somme (x = 03..05,22,35,55 : MAJOHRx);

MAJO1729RD = somme (x = 03..05,22,35,55 : MAJORDx);
MAJO1729CS = somme (x = 03..05,22,35,55 : MAJOCSx);
MAJO1729PSOL = somme (x = 03..05,22,35,55 : MAJOPSOLx);
MAJO1729CVN = somme (x = 03..05,22,35,55 : MAJOCVNx);
MAJO1729CDIS = somme (x = 03..05,22,35,55 : MAJOCDISx);
MAJO1729GLO = somme (x = 03..05,22,35,55 : MAJOGLOx);
MAJO1729C820 = somme (x = 03..05,22,35,55 : MAJOC820x);
MAJO1729RSE1 = somme (x = 03..05,22,35,55 : MAJORSE1x);
MAJO1729RSE2 = somme (x = 03..05,22,35,55 : MAJORSE2x);
MAJO1729RSE3 = somme (x = 03..05,22,35,55 : MAJORSE3x);
MAJO1729RSE4 = somme (x = 03..05,22,35,55 : MAJORSE4x);
MAJO1729RSE5 = somme (x = 03..05,22,35,55 : MAJORSE5x);
MAJO1729RSE6 = somme (x = 03..05,22,35,55 : MAJORSE6x);
MAJO1729RSE8 = somme (x = 03..05,22,35,55 : MAJORSE8x);
MAJO1732IR = MAJOIR06;
MAJOTOT35PRO = MAJOIRPRO35 + MAJORDPRO35 + MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35+0; 
MAJOTOT35 = max(MAJOIRPRO35 + MAJORDPRO35 + MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35+0,(COD8NA * LIM1500 + COD8NB * LIM10000) 
		      * positif(MAJOIRPRO35 + MAJORDPRO35 + MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
		                            +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35));

MAJOIR35 =  positif(MAJORDPRO35+ MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOIRPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORDPRO35+MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  MAJOTOT35;
MAJORD35 =  positif(MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORDPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOPSOLPRO35 + MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35);

MAJOPSOL35 =  positif(MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOPSOLPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOCSPRO35 + MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                     +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35);
MAJOCS35 =  positif(MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOCSPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOTAXAPRO35 + MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
				*  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35);

MAJOTAXA35 =  positif(MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOTAXAPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOCAPPRO35+MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
				     *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35);

MAJOCAP35 =  positif(MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOCAPPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOHRPRO35+MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
				           *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35);

MAJOHR35 =  positif(MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOHRPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOCVNPRO35+MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
				          *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35-MAJOCAP35);

MAJOCVN35 =  positif(MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
                      +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOCVNPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOCDISPRO35+MAJOGLOPRO35+MAJOC820PRO35
	                        +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
				        *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35-MAJOCAP35-MAJOHR35);

MAJOCDIS35 =  positif(MAJOGLOPRO35+MAJOC820PRO35 +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) 
                                              * arr(MAJOTOT35 * MAJOCDISPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOGLOPRO35+MAJOC820PRO35 +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
		   *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35);

MAJOGLO35 =  positif(MAJOC820PRO35 +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) 
                                                  * arr(MAJOTOT35 * MAJOGLOPRO35/MAJOTOT35PRO)
		+ (1-positif(MAJOC820PRO35 +MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
		*  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35);

MAJOC82035 =  positif(MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJOC820PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE1PRO35+MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) 
		                    *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35);

MAJORSE135 =  positif(MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORSE1PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE2PRO35+MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35
		        - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035);

MAJORSE235 =  positif(MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORSE2PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE3PRO35+MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35
		        - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035-MAJORSE135);

MAJORSE335 =  positif(MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORSE3PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE4PRO35+MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35
		        - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035-MAJORSE135-MAJORSE235);

MAJORSE435 =  positif(MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORSE4PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE5PRO35+MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35
		        - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035
			-MAJORSE135-MAJORSE235-MAJORSE335);

MAJORSE535 =  positif(MAJORSE6PRO35+MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORSE5PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE6PRO35+MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35
		        - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035
			-MAJORSE135-MAJORSE235-MAJORSE335-MAJORSE435);

MAJORSE635 =  positif(MAJORSE8PRO35) * arr(MAJOTOT35 * MAJORSE6PRO35/MAJOTOT35PRO)
		+ (1-positif(MAJORSE8PRO35)) *  max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35
		        - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035
			-MAJORSE135-MAJORSE235-MAJORSE335-MAJORSE435-MAJORSE535);

MAJORSE835 = max(0,MAJOTOT35-MAJOIR35-MAJORD35-MAJOPSOL35-MAJOCS35 - MAJOTAXA35-MAJOCAP35-MAJOHR35-MAJOCVN35-MAJOCDIS35-MAJOGLO35-MAJOC82035
			                        -MAJORSE135-MAJORSE235-MAJORSE335-MAJORSE435-MAJORSE535-MAJORSE635);

MAJOCONTROLE35 = (MAJOIR35+MAJORD35+MAJOPSOL35+MAJOCS35 + MAJOTAXA35+MAJOCAP35+MAJOHR35+MAJOCVN35+MAJOCDIS35+MAJOGLO35+MAJOC82035
                                                +MAJORSE135+MAJORSE235+MAJORSE335+MAJORSE435+MAJORSE535+MAJORSE635+MAJORSE835);


MAJO1732TAXA = MAJOTAXA06;
MAJO1732PCAP = MAJOCAP06;
MAJO1732CHR = MAJOHR06;

MAJO1732RD = MAJORD06;
MAJO1732CS = MAJOCS06;
MAJO1732PSOL = MAJOPSOL06;
MAJO1732CVN = MAJOCVN06;
MAJO1732CDIS = MAJOCDIS06;
MAJO1732GLO = MAJOGLO06;
MAJO1732C820 = MAJOC82006;
MAJO1732RSE1 = MAJORSE106;
MAJO1732RSE2 = MAJORSE206;
MAJO1732RSE3 = MAJORSE306;
MAJO1732RSE4 = MAJORSE406;
MAJO1732RSE5 = MAJORSE506;
MAJO1732RSE6 = MAJORSE606;
MAJO1732RSE8 = MAJORSE806;
MAJO1758IR = MAJOIR30 + MAJOIR32;

MAJO1758CHR = MAJOHR30 + MAJOHR32 ;

MAJO1758RD = MAJORD30 + MAJORD32;
MAJO1758CS = MAJOCS30 + MAJOCS32;
MAJO1758PS = MAJOPS30 + MAJOPS32;
MAJO1758PSOL = MAJOPSOL30 + MAJOPSOL32;

MAJO1758AIR = MAJOIR07 + MAJOIR10_2 + MAJOIR17_2 
	      + MAJOIR02_2_NTL + MAJOIR02_2_TL + MAJOIR02_2_NTL15
		+  MAJOPIR07 + MAJOPIR10_2 + MAJOPIR17_2
	     + MAJOIR02_1;

MAJO1758ATAXA = MAJOTAXA07 + MAJOTAXA10_2 + MAJOTAXA17_2 
		+ MAJOTAXA02_2_NTL + MAJOTAXA02_2_TL 
		+ MAJOTAXA02_1;

MAJO1758APCAP = MAJOCAP07 + MAJOCAP10_2 + MAJOCAP17_2 
		+ MAJOCAP02_2_NTL + MAJOCAP02_2_TL 
		+ MAJOCAP02_1;


MAJO1758ACHR = MAJOHR07 + MAJOHR10_2 + MAJOHR17_2 
		+ MAJOHR02_2_NTL + MAJOHR02_2_TL + MAJOHR02_2_TL15 + MAJOPHR07 + MAJOPHR10_2 + MAJOPHR17_2
		+ MAJOHR02_1;
regle corrective base_stratemajo 1231:
application : iliad ;
TIFI4BASE[X] = null(X) *
           ( positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718)* max(IFI4BASE,TIFI4BASE[FLAG_DERSTTR])
           + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF) * positif(FLAG_RETARD0718 )) *max(IFI4BASE,IFI_P))
           + (1 - null(X)) * max(IFI4BASE,TIFI4BASE[FLAG_DERSTTR]);


MAJOIFI01 = TMAJOIFI[25] * STR_TR25
            + TMAJOIFI[01] * null(CSTRATE1 - 1);

MAJOIFI02 = TMAJOIFI[23] * STR_TR23
            + TMAJOIFI[01] * null(CSTRATE1 - 2);

MAJOIFI07 = TMAJOIFI[17] * STR_TR17  
           + TMAJOIFI[01] * null(CSTRATE1 - 7)
           + max(0,MAJOIFI07TARD_DEF) ;

MAJOIFI08 = TMAJOIFI[12] * STR_TR12
           + TMAJOIFI[01] * null(CSTRATE1 - 8)
           + max(0,MAJOIFI08TARD_DEF) ;


MAJOIFI99 = (TMAJOIFI[00] * STR_TR00
            + TMAJOIFI[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));

MAJOIFI05 = TMAJOIFI[07] * STR_TR07
            + TMAJOIFI[01] * null(CSTRATE1 - 05);
	    
MAJOIFI04 = TMAJOIFI[08] * STR_TR08
            + TMAJOIFI[01] * null(CSTRATE1 - 04);
MAJOIFI35B = TMAJOIFI[09] * STR_TR09
            + TMAJOIFI[01] * null(CSTRATE1 - 35);
MAJOIFI35 = max(MAJOIFI35B,(COD8NA * LIM1500 + COD8NB * LIM10000))*positif(STR_TR09);

MAJOIFI11 = TMAJOIFI[11] * STR_TR11
            + TMAJOIFI[01] * null(CSTRATE1 - 11);

MAJOIFI55 = TMAJOIFI[13] * STR_TR13
            + TMAJOIFI[01] * null(CSTRATE1 - 55);

MAJOIFI03 = TMAJOIFI[14] * STR_TR14
            + TMAJOIFI[01] * null(CSTRATE1 - 03);

MAJOIFI17 = TMAJOIFI[15] * STR_TR15
            + TMAJOIFI[01] * null(CSTRATE1 - 17)
            + max(0,MAJOIFI17TARD_DEF) ;
			
MAJOIFI10 = TMAJOIFI[16] * STR_TR16
            + TMAJOIFI[01] * null(CSTRATE1 - 10)
            + max(0,MAJOIFI10TARD_DEF) ;
	    



MAJO1728IFI = somme (x = 07,08,10,11,17  : MAJOIFIx) ;
MAJO1728IFI2 = somme (x = 03,04,35,05,55  : MAJOIFIx) ;

regle corrective base_MAJO 123:
application : iliad ;

PROPIR_A = PROPIR_DEF;
PROPHR_A = PROPHR_DEF;

PROPCS_A = PROPCS_DEF;
PROPPS_A = PROPPS_DEF;
PROPRD_A = PROPRD_DEF;
IRNINMAJOP_A = IRNINMAJOP_DEF;
HRMAJOP_A = HRMAJOP_DEF;
CSGMAJOP_A = CSGMAJOP_DEF;
RDSMAJOP_A = RDSMAJOP_DEF;
PSOLMAJOP_A = PSOLMAJOP_DEF ;
MAJOPIR02_A = MAJOPIR02_DEF;
MAJOPIR03_A = MAJOPIR03_DEF;
MAJOPIR07_A = MAJOPIR07_DEF;
MAJOPIR08_A = MAJOPIR08_DEF;
MAJOPIR11_A = MAJOPIR11_DEF;
MAJOPIR31_A = MAJOPIR31_DEF;
MAJOPIR10_1A = MAJOPIR10_1DEF;
MAJOPIR10_2A = MAJOPIR10_2DEF;
MAJOPIR17_1A = MAJOPIR17_1DEF;
MAJOPIR17_2A = MAJOPIR17_2DEF;
MAJOPHR02_A = MAJOPHR02_DEF;
MAJOPHR03_A = MAJOPHR03_DEF;
MAJOPHR07_A = MAJOPHR07_DEF;
MAJOPHR08_A = MAJOPHR08_DEF;
MAJOPHR11_A = MAJOPHR11_DEF;
MAJOPHR31_A = MAJOPHR31_DEF;
MAJOPHR10_1A = MAJOPHR10_1DEF;
MAJOPHR10_2A = MAJOPHR10_2DEF;
MAJOPHR17_1A = MAJOPHR17_1DEF;
MAJOPHR17_2A = MAJOPHR17_2DEF;
MAJOPCS02_A = MAJOPCS02_DEF;
MAJOPCS03_A = MAJOPCS03_DEF;
MAJOPCS07_A = MAJOPCS07_DEF;
MAJOPCS08_A = MAJOPCS08_DEF;
MAJOPCS10_A = MAJOPCS10_DEF;
MAJOPCS11_A = MAJOPCS11_DEF;
MAJOPCS17_A = MAJOPCS17_DEF;
MAJOPCS31_A = MAJOPCS31_DEF;
MAJOPPSOL02_A = MAJOPPSOL02_DEF;
MAJOPPSOL03_A = MAJOPPSOL03_DEF;
MAJOPPSOL07_A = MAJOPPSOL07_DEF;
MAJOPPSOL08_A = MAJOPPSOL08_DEF;
MAJOPPSOL10_A = MAJOPPSOL10_DEF;
MAJOPPSOL11_A = MAJOPPSOL11_DEF;
MAJOPPSOL17_A = MAJOPPSOL17_DEF;
MAJOPPSOL31_A = MAJOPPSOL31_DEF;
MAJOPRD02_A = MAJOPRD02_DEF;
MAJOPRD03_A = MAJOPRD03_DEF;
MAJOPRD07_A = MAJOPRD07_DEF;
MAJOPRD08_A = MAJOPRD08_DEF;
MAJOPRD10_A = MAJOPRD10_DEF;
MAJOPRD11_A = MAJOPRD11_DEF;
MAJOPRD17_A = MAJOPRD17_DEF;
MAJOPRD31_A = MAJOPRD31_DEF;
MAJOPIR_A = MAJOPIR_DEF;
MAJOPHR_A = MAJOPHR_DEF;

MAJOPCS_A = MAJOPCS_DEF;
MAJOPRD_A = MAJOPRD_DEF;
MAJOPPS_A = MAJOPPS_DEF;
MAJOPIR02 = MAJOPIR02_A;
MAJOPIR03 = MAJOPIR03_A;
MAJOPIR07 = MAJOPIR07_A;
MAJOPIR08 = MAJOPIR08_A;
MAJOPIR10_1 = MAJOPIR10_1A;
MAJOPIR10_2 = MAJOPIR10_2A;
MAJOPIR11 = MAJOPIR11_A;
MAJOPIR17_1 = MAJOPIR17_1A;
MAJOPIR17_2 = MAJOPIR17_2A;
MAJOPIR31 = MAJOPIR31_A;
MAJOPHR02 = MAJOPHR02_A;
MAJOPHR03 = MAJOPHR03_A;
MAJOPHR07 = MAJOPHR07_A;
MAJOPHR08 = MAJOPHR08_A;
MAJOPHR10_1 = MAJOPHR10_1A;
MAJOPHR10_2 = MAJOPHR10_2A;
MAJOPHR11 = MAJOPHR11_A;
MAJOPHR17_1 = MAJOPHR17_1A;
MAJOPHR17_2 = MAJOPHR17_2A;
MAJOPHR31 = MAJOPHR31_A;
MAJOPCS02 = MAJOPCS02_A;
MAJOPCS03 = MAJOPCS03_A;
MAJOPCS07 = MAJOPCS07_A;
MAJOPCS08 = MAJOPCS08_A;
MAJOPCS10 = MAJOPCS10_A;
MAJOPCS11 = MAJOPCS11_A;
MAJOPCS17 = MAJOPCS17_A;
MAJOPCS31 = MAJOPCS31_A;
MAJOPPSOL02 = MAJOPPSOL02_A ;
MAJOPPSOL03 = MAJOPPSOL03_A ;
MAJOPPSOL07 = MAJOPPSOL07_A ;
MAJOPPSOL08 = MAJOPPSOL08_A;
MAJOPPSOL10 = MAJOPPSOL10_A ;
MAJOPPSOL11 = MAJOPPSOL11_A ;
MAJOPPSOL17 = MAJOPPSOL17_A ;
MAJOPPSOL31 = MAJOPPSOL31_A ;
MAJOPRD02 = MAJOPRD02_A;
MAJOPRD03 = MAJOPRD03_A;
MAJOPRD07 = MAJOPRD07_A;
MAJOPRD08 = MAJOPRD08_A;
MAJOPRD10 = MAJOPRD10_A;
MAJOPRD11 = MAJOPRD11_A;
MAJOPRD17 = MAJOPRD17_A;
MAJOPRD31 = MAJOPRD31_A;
MAJOPIR_TOT = somme (x = 02,03,07,08,11,31 : MAJOPIRx)
		+ MAJOPIR10_1 + MAJOPIR17_2
		+ MAJOPIR17_1 + MAJOPIR17_2 ;

MAJOPHR_TOT = somme (x = 02,03,07,08,11,31 : MAJOPHRx)
		+ MAJOPHR10_1 + MAJOPHR10_2
		+ MAJOPHR17_1 + MAJOPHR17_2 ;

MAJOPCS_TOT = somme (x = 02,03,07,08,10,11,17,31 : MAJOPCSx);
MAJOPPSOL_TOT = somme (x = 02,03,07,08,10,11,17,31 : MAJOPPSOLx);
MAJOPRD_TOT = somme (x = 02,03,07,08,10,11,17,31 : MAJOPRDx);
regle corrective base_anterieure 124:
application : iliad ;
MAJOIR02TARDIF_A = MAJOIR02TARDIF_DEF;
MAJOIR03TARDIF_A = MAJOIR03TARDIF_DEF;
MAJOIR07TARDIF_A = MAJOIR07TARDIF_DEF;
MAJOIR08TARDIF_A = MAJOIR08TARDIF_DEF;
MAJOIR17_2TARDIF_A = MAJOIR17_2TARD_DEF;
MAJOIRTARDIF_A = somme(x = 02,03,07,08 : MAJOIR0xTARDIF_A)
		+ MAJOIR17_1TARDIF_A + MAJOIR17_2TARDIF_A;
MAJOPSOL02TARDIF_A = MAJOPSL02TARDIF_DF;
MAJOPSOL03TARDIF_A = MAJOPSL03TARDIF_DF;
MAJOPSOL07TARDIF_A = MAJOPSL07TARDIF_DF;
MAJOPSOL08TARDIF_A = MAJOPSL08TARDIF_DF;
MAJOPSOL17TARDIF_A = MAJOPSL17TARDIF_DF;
MAJOPSOLTARDIF_A = somme(x = 02,03,07,08,17 : MAJOPSOLxTARDIF_A);
MAJOCS02TARDIF_A = MAJOCS02TARDIF_DEF;
MAJOCS03TARDIF_A = MAJOCS03TARDIF_DEF;
MAJOCS07TARDIF_A = MAJOCS07TARDIF_DEF;
MAJOCS08TARDIF_A = MAJOCS08TARDIF_DEF;
MAJOCS17TARDIF_A = MAJOCS17TARDIF_DEF;
MAJOCSTARDIF_A = somme(x = 02,03,07,08,17 : MAJOCSxTARDIF_A);
MAJORD02TARDIF_A = MAJORD02TARDIF_DEF;
MAJORD03TARDIF_A = MAJORD03TARDIF_DEF;
MAJORD07TARDIF_A = MAJORD07TARDIF_DEF;
MAJORD08TARDIF_A = MAJORD08TARDIF_DEF;
MAJORD17TARDIF_A = MAJORD17TARDIF_DEF;
MAJORDTARDIF_A = somme(x = 02,03,07,08,17 : MAJORDxTARDIF_A);
MAJOCVN02TARDIF_A = MAJOCVN02TARD_DEF;
MAJOCVN03TARDIF_A = MAJOCVN03TARD_DEF;
MAJOCVN07TARDIF_A = MAJOCVN07TARD_DEF;
MAJOCVN08TARDIF_A = MAJOCVN08TARD_DEF;
MAJOCVN17TARDIF_A = MAJOCVN17TARD_DEF;
MAJOCVNTARDIF_A = somme(x = 02,03,07,08,17 : MAJOCVNxTARDIF_A);
MAJOCDIS02TARDIF_A = MAJOCDIS02TARD_DEF;
MAJOCDIS03TARDIF_A = MAJOCDIS03TARD_DEF;
MAJOCDIS07TARDIF_A = MAJOCDIS07TARD_DEF;
MAJOCDIS08TARDIF_A = MAJOCDIS08TARD_DEF;
MAJOCDIS17TARDIF_A = MAJOCDIS17TARD_DEF;
MAJOCDISTARDIF_A = somme(x = 02,03,07,08,17 : MAJOCDISxTARDIF_A);
MAJOGLO02TARDIF_A = MAJOGLO02TARD_DEF;
MAJOGLO03TARDIF_A = MAJOGLO03TARD_DEF;
MAJOGLO07TARDIF_A = MAJOGLO07TARD_DEF;
MAJOGLO08TARDIF_A = MAJOGLO08TARD_DEF;
MAJOGLO17TARDIF_A = MAJOGLO17TARD_DEF;
MAJOGLOTARDIF_A = somme(x = 02,03,07,08,17 : MAJOGLOxTARDIF_A);
MAJOC82002TARDIF_A = MAJOC82002TARD_DEF;
MAJOC82003TARDIF_A = MAJOC82003TARD_DEF;
MAJOC82007TARDIF_A = MAJOC82007TARD_DEF;
MAJOC82008TARDIF_A = MAJOC82008TARD_DEF;
MAJOC82017TARDIF_A = MAJOC82017TARD_DEF;
MAJOC820TARDIF_A = somme(x = 02,03,07,08,17 : MAJOC820xTARDIF_A);
MAJORSE102TARDIF_A = MAJORSE102TARD_DEF;
MAJORSE103TARDIF_A = MAJORSE103TARD_DEF;
MAJORSE107TARDIF_A = MAJORSE107TARD_DEF;
MAJORSE108TARDIF_A = MAJORSE108TARD_DEF;
MAJORSE117TARDIF_A = MAJORSE117TARD_DEF;
MAJORSE1TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE1xTARDIF_A);
MAJORSE202TARDIF_A = MAJORSE202TARD_DEF;
MAJORSE203TARDIF_A = MAJORSE203TARD_DEF;
MAJORSE207TARDIF_A = MAJORSE207TARD_DEF;
MAJORSE208TARDIF_A = MAJORSE208TARD_DEF;
MAJORSE217TARDIF_A = MAJORSE217TARD_DEF;
MAJORSE2TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE2xTARDIF_A);
MAJORSE302TARDIF_A = MAJORSE302TARD_DEF;
MAJORSE303TARDIF_A = MAJORSE303TARD_DEF;
MAJORSE307TARDIF_A = MAJORSE307TARD_DEF;
MAJORSE308TARDIF_A = MAJORSE308TARD_DEF;
MAJORSE317TARDIF_A = MAJORSE317TARD_DEF;
MAJORSE3TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE3xTARDIF_A);
MAJORSE402TARDIF_A = MAJORSE402TARD_DEF;
MAJORSE403TARDIF_A = MAJORSE403TARD_DEF;
MAJORSE407TARDIF_A = MAJORSE407TARD_DEF;
MAJORSE408TARDIF_A = MAJORSE408TARD_DEF;
MAJORSE417TARDIF_A = MAJORSE417TARD_DEF;
MAJORSE4TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE4xTARDIF_A);
MAJORSE502TARDIF_A = MAJORSE502TARD_DEF;
MAJORSE503TARDIF_A = MAJORSE503TARD_DEF;
MAJORSE507TARDIF_A = MAJORSE507TARD_DEF;
MAJORSE508TARDIF_A = MAJORSE508TARD_DEF;
MAJORSE517TARDIF_A = MAJORSE517TARD_DEF;
MAJORSE5TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE5xTARDIF_A);
MAJORSE602TARDIF_A = MAJORSE602TARD_DEF;
MAJORSE603TARDIF_A = MAJORSE603TARD_DEF;
MAJORSE607TARDIF_A = MAJORSE607TARD_DEF;
MAJORSE608TARDIF_A = MAJORSE608TARD_DEF;
MAJORSE617TARDIF_A = MAJORSE617TARD_DEF;
MAJORSE6TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE6xTARDIF_A);
MAJORSE802TARDIF_A = MAJORSE802TARD_DEF;
MAJORSE803TARDIF_A = MAJORSE803TARD_DEF;
MAJORSE807TARDIF_A = MAJORSE807TARD_DEF;
MAJORSE808TARDIF_A = MAJORSE808TARD_DEF;
MAJORSE817TARDIF_A = MAJORSE817TARD_DEF;
MAJORSE8TARDIF_A = somme(x = 02,03,07,08,17 : MAJORSE8xTARDIF_A);
MAJOTAXA02TARDIF_A = MAJOTA02TARDIF_DEF;
MAJOTAXA03TARDIF_A = MAJOTA03TARDIF_DEF;
MAJOTAXA07TARDIF_A = MAJOTA07TARDIF_DEF;
MAJOTAXA08TARDIF_A = MAJOTA08TARDIF_DEF;
MAJOTA17_1TARDIF_A = MAJOTA17_1TARD_DEF;
MAJOTA17_2TARDIF_A = MAJOTA17_2TARD_DEF;
MAJOTAXATARDIF_A = somme(x = 02,03,07,08 : MAJOTAXA0xTARDIF_A)
		+ MAJOTA17_1TARD_DEF + MAJOTA17_2TARD_DEF;
MAJOHR02TARDIF_A = MAJOHR02TARDIF_DEF;
MAJOHR03TARDIF_A = MAJOHR03TARDIF_DEF;
MAJOHR07TARDIF_A = MAJOHR07TARDIF_DEF;
MAJOHR08TARDIF_A = MAJOHR08TARDIF_DEF;
MAJOHR17_1TARDIF_A = MAJOHR17_1TARD_DEF;
MAJOHR17_2TARDIF_A = MAJOHR17_2TARD_DEF;
MAJOHRTARDIF_A = somme(x = 02,03,07,08 : MAJOHR0xTARDIF_A)
		+ MAJOHR17_1TARD_DEF + MAJOHR17_2TARD_DEF;
MAJOCAP02TARDIF_A = MAJOCP02TARDIF_DEF;
MAJOCAP03TARDIF_A = MAJOCP03TARDIF_DEF;
MAJOCAP07TARDIF_A = MAJOCP07TARDIF_DEF;
MAJOCAP08TARDIF_A = MAJOCP08TARDIF_DEF;
MAJOCP17_1TARDIF_A = MAJOCP17_1TARD_DEF;
MAJOCP17_2TARDIF_A = MAJOCP17_2TARD_DEF;
MAJOCAPTARDIF_A = somme(x = 02,03,07,08 : MAJOCAP0xTARDIF_A)
		+ MAJOCP17_1TARD_DEF + MAJOCP17_2TARD_DEF;
MAJOLO02TARDIF_A = MAJOLO02TARDIF_DEF;
MAJOLO03TARDIF_A = MAJOLO03TARDIF_DEF;
MAJOLO07TARDIF_A = MAJOLO07TARDIF_DEF;
MAJOLO08TARDIF_A = MAJOLO08TARDIF_DEF;
MAJOLO17_1TARDIF_A = MAJOLO17_1TARD_DEF;
IRBASE_REF = IRBASE_DEF;
TAXABASE_REF = TAXABASE_DEF;
HRBASE_REF = HRBASE_DEF;
CAPBASE_REF = CAPBASE_DEF;
CSGBASE_REF = CSGBASE_DEF ;
RDSBASE_REF = RDSBASE_DEF ;
PSOLBASE_REF = PSOLBASE_DEF ;
CVNBASE_REF = CVNBASE_DEF ;
CDISBASE_REF = CDISBASE_DEF ;
GLOBASE_REF = GLOBASE_DEF ;
C820BASE_REF = C820BASE_DEF ;
RSE1BASE_REF = RSE1BASE_DEF ;
RSE2BASE_REF = RSE2BASE_DEF ;
RSE3BASE_REF = RSE3BASE_DEF ;
RSE4BASE_REF = RSE4BASE_DEF ;
RSE5BASE_REF = RSE5BASE_DEF ;
RSE6BASE_REF = RSE6BASE_DEF ;
RSE8BASE_REF = RSE8BASE_DEF ;

IRNINTARDIF_A = IRNINTARDIF_DEF;

TAXATARDIF_A = TAXATARDIF_DEF;
HRTARDIF_A = HRTARDIF_DEF ;
CAPTARDIF_A = CAPTARDIF_DEF ;

NAPCRTARDIF_A = NAPCRINR;
CSGTARDIF_A = CSGTARDIF_DEF;
RDSTARDIF_A = RDSTARDIF_DEF;
PSOLTARDIF_A = PSOLTARDIF_DEF;
CVNTARDIF_A = CVNTARDIF_DEF;
CDISTARDIF_A = CDISTARDIF_DEF;
GLOTARDIF_A = GLOTARDIF_DEF;
C820TARDIF_A = C820TARDIF_DEF;
RSE1TARDIF_A = RSE1TARDIF_DEF ;
RSE2TARDIF_A = RSE2TARDIF_DEF ;
RSE3TARDIF_A = RSE3TARDIF_DEF ;
RSE4TARDIF_A = RSE4TARDIF_DEF ;
RSE5TARDIF_A = RSE5TARDIF_DEF ;
RSE6TARDIF_A = RSE6TARDIF_DEF ;
RSE8TARDIF_A = RSE8TARDIF_DEF ;

MAJOTARDCOA_A = MAJOTARDCOA;
MAJOTARDCOB_A = MAJOTARDCOB;
MAJOTARDCOR_A = MAJOTARDCOR;
MAJOTARDCOD_A = MAJOTARDCOD;
MAJOTARDCOE_A = MAJOTARDCOE;
MAJOTARDCOF_A = MAJOTARDCOF;
MAJOTARDCOQ_A = MAJOTARDCOQ;
MAJOTARDCOG_A = MAJOTARDCOG;
MAJOTARDCOT_A = MAJOTARDCOT;
MAJOTARDCOL_A = MAJOTARDCOL;
MAJOTARDCOM_A = MAJOTARDCOM;
MAJOTARDCOO_A = MAJOTARDCOO;
MAJOTARDCOJ_A = MAJOTARDCOJ;
MAJOTARDCOP_A = MAJOTARDCOP;
MAJOTARDCOH_A = MAJOTARDCOH;
MAJOTARDCOU_A = MAJOTARDCOU;
MAJOTARDCOV_A = MAJOTARDCOV;
MAJOTARDCOW_A = MAJOTARDCOW;
MAJOTARDCOX_A = MAJOTARDCOX;


STRATIR01 = SUPIR[25] + null(CSTRATE1-1) * SUPIR[01] + null(CSTRATE1 - 1) * SUP2IR[01] ;

STRATIR02_2_NTL =  (1-null(CODE_2042 - 2)) *(
                  SUP2IR[18] +
                 (SUP2IR[19] * STR_TR19 
			     * (1 - positif_ou_nul(TIRBASE[19]-TIRBASE[21]) * positif(TIRBASE[21])) 
			     * (1 - IND_RJLJ)
                   + positif_ou_nul(TIRBASE[19] - TIRBASE[21]) * (1 - IND_RJLJ) * positif(TIRBASE[21])
                     * max(0,(TIRBASE[19] - TIRBASE[0] - (TIRBASE[19] - TIRBASEDEF[21]))) * STR_TR19
		  )
		  + null(CSTRATE1 - 2) * SUP2IR[01]
                  + SUP2IR[20]+SUP2IR[21] )
		  ; 

STRATIR02_2_TL = SUP2IR[22] + SUP2IR[23] + null(CSTRATE1 - 2) * SUP2IR[01]
		  + null(CODE_2042 - 2) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF) ) * min(IRNINTARDIF_A+DIFCODCOA,IRNIN-CODCOA));

STRATIR03 = SUPIR[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF) ) * min(IRNINTARDIF_A+DIFCODCOA,IRNIN-CODCOA))
		     + null(CSTRATE1 - 7) * SUPIR[1];

STRATIR04 = SUPIR[08] + null(CSTRATE1 - 4) * SUPIR[01];
STRATIR35 = SUPIR[09] + null(CSTRATE1 - 35) * SUPIR[01];

STRATIR05 = SUPIR[07] + null(CSTRATE1 - 5) * SUPIR[01];

STRATIR06 = SUPIR[03] + null(CSTRATE1 - 6) * SUPIR[01];

STRATIR07 = SUPIR[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN))
		     + null(CSTRATE1 - 7) * SUPIR[1];

STRATIR08 = SUPIR[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN));

STRATIR10_1 = SUPIR[16] + null(CSTRATE1-10) * SUPIR[01] + null(CSTRATE1 - 10) * SUP2IR[01] ;

STRATIR10_2 = SUP2IR[16] + null(CSTRATE1 - 10) * SUP2IR[01] ;

STRATIR11 = SUPIR[11] + null(CSTRATE1 - 11) * SUPIR[01];

STRATIR17_1 = SUPIR[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN))
		     + null(CSTRATE1-17) * SUPIR[01] + null(CSTRATE1 - 17) * SUP2IR[01] ;

STRATIR17_2 = SUP2IR[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF)) * min(IRNINTARDIF_A, IRNIN))
		     + null(CSTRATE1 - 17) * SUP2IR[01];

STRATIR22 = SUPIR[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPIR[0],IRNIN)
		     + (1 - positif(FLAG_RECTIF) ) * min(IRNINTARDIF_A+DIFCODCOA,IRNIN-CODCOA))
		     + null(CSTRATE1 - 22) * SUPIR[1];

STRATIR30 = SUPIR[10] + null(CSTRATE1 - 30) * SUPIR[01] + null(CSTRATE1 - 30) * SUP2IR[01] ;

STRATIR31 = SUPIR[06] + null(CSTRATE1 - 31) * SUPIR[01] ;

STRATIR32 = SUPIR[05] + null(CSTRATE1 - 32) * SUPIR[01] + null(CSTRATE1 - 32) * SUP2IR[01];

STRATIR55 = SUPIR[13] + null(CSTRATE1 - 55) * SUPIR[01] ;

STRATIR99 = SUPIR[00] + null(CSTRATE1 - 99) * SUPIR[01] ;


STRATCS01 = SUPCS[25] ;
STRATCS03 = SUPCS[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(CSGTARDIF_A+DIFCODCOB, CSBASE));
STRATCS04 = SUPCS[08] ;
STRATCS35 = SUPCS[09] ;
STRATCS05 = SUPCS[07] ;
STRATCS06 = SUPCS[03] ;
STRATCS07 = SUPCS[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CSGTARDIF_A, CSBASE));
STRATCS08 = SUPCS[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CSGTARDIF_A, CSBASE));
STRATCS10 = SUPCS[16] ;
STRATCS11 = SUPCS[11]  ;
STRATCS17 = SUPCS[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CSGTARDIF_A, CSBASE));
STRATCS22 = SUPCS[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPCS[0],CSBASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(CSGTARDIF_A+DIFCODCOB, CSBASE));
STRATCS30 = SUPCS[10] ;
STRATCS31 = SUPCS[06] ;
STRATCS32 = SUPCS[05] ;
STRATCS55 = SUPCS[13] ;
STRATCS99 = SUPCS[00] + SUPCS[01] ;



STRATPSOL01 = SUPPSOL[25] ;
STRATPSOL03 = arr(SUPPSOL[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) * min(SUPPSOL[0],PSOLBASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(PSOLTARDIF_A+DIFCODCOD, PSOLBASE)));
STRATPSOL04 = arr(SUPPSOL[08]);
STRATPSOL35 = arr(SUPPSOL[09]);
STRATPSOL05 = arr(SUPPSOL[07]);
STRATPSOL06 = arr(SUPPSOL[03]);
STRATPSOL07 = arr(SUPPSOL[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPPSOL[0],PSOLBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(PSOLTARDIF_A, PSOLBASE)));
STRATPSOL08 = arr(SUPPSOL[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPPSOL[0],PSOLBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(PSOLTARDIF_A, PSOLBASE))) ;
STRATPSOL10 = arr(SUPPSOL[16]);
STRATPSOL11 = arr(SUPPSOL[11]);
STRATPSOL17 = arr(SUPPSOL[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPPSOL[0],PSOLBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(PSOLTARDIF_A, PSOLBASE))) ;
STRATPSOL22 = arr(SUPPSOL[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPPSOL[0],PSOLBASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(PSOLTARDIF_A+DIFCODCOD, PSOLBASE)));
STRATPSOL30 = arr(SUPPSOL[10]);
STRATPSOL31 = arr(SUPPSOL[06]);
STRATPSOL32 = arr(SUPPSOL[05]);
STRATPSOL55 = arr(SUPPSOL[13]);
STRATPSOL99 = SUPPSOL[00] + SUPPSOL[01] ;

STRATRD01 = SUPRD[25] ;
STRATRD03 = SUPRD[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRD[0],RDBASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RDSTARDIF_A+DIFCODCOR, RDBASE));
STRATRD04 = SUPRD[08] ;
STRATRD35 = SUPRD[09] ;
STRATRD05 = SUPRD[07] ;
STRATRD06 = SUPRD[03] ;
STRATRD07 = SUPRD[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRD[0],RDBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RDSTARDIF_A, RDBASE));
STRATRD08 = SUPRD[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRD[0],RDBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RDSTARDIF_A, RDBASE));
STRATRD10 = SUPRD[16] ;
STRATRD11 = SUPRD[11]  ;
STRATRD17 = SUPRD[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRD[0],RDBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RDSTARDIF_A, RDBASE));
STRATRD22 = SUPRD[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRD[0],RDBASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RDSTARDIF_A+DIFCODCOR, RDBASE));
STRATRD30 = SUPRD[10] ;
STRATRD31 = SUPRD[06] ;
STRATRD32 = SUPRD[05] ;
STRATRD55 = SUPRD[13] ;
STRATRD99 = SUPRD[00] + SUPRD[01] ;


STRATCVN01 = SUPCVN[25] ;
STRATCVN03 = SUPCVN[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPCVN[0],CVNBASE)
		     + (1 - positif(FLAG_RECTIF) ) *  min(CVNTARDIF_A+DIFCODCOE, CVNBASE));
STRATCVN04 = SUPCVN[08] ;
STRATCVN35 = SUPCVN[09] ;
STRATCVN05 = SUPCVN[07] ;
STRATCVN06 = SUPCVN[03] ;
STRATCVN07 = SUPCVN[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPCVN[0],CVNBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CVNTARDIF_A, CVNBASE));
STRATCVN08 = SUPCVN[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPCVN[0],CVNBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CVNTARDIF_A, CVNBASE));
STRATCVN10 = SUPCVN[16] ;
STRATCVN11 = SUPCVN[11]  ;
STRATCVN17 = SUPCVN[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPCVN[0],CVNBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CVNTARDIF_A, CVNBASE));
STRATCVN22 = SUPCVN[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPCVN[0],CVNBASE)
		     + (1 - positif(FLAG_RECTIF) ) *  min(CVNTARDIF_A+DIFCODCOE, CVNBASE));
STRATCVN55 = SUPCVN[13] ;
STRATCVN99 = SUPCVN[00] + SUPCVN[01] ;


STRATCDIS01 = SUPCDIS[25] ;
STRATCDIS03 = SUPCDIS[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPCDIS[0],CDISBASE)
		     + (1 - positif(FLAG_RECTIF) ) *  min(CDISTARDIF_A+DIFCODCOF, CDISBASE));
STRATCDIS04 = SUPCDIS[08] ;
STRATCDIS35 = SUPCDIS[09] ;
STRATCDIS05 = SUPCDIS[07] ;
STRATCDIS06 = SUPCDIS[03] ;
STRATCDIS07 = SUPCDIS[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPCDIS[0],CDISBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CDISTARDIF_A, CDISBASE));
STRATCDIS08 = SUPCDIS[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPCDIS[0],CDISBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CDISTARDIF_A, CDISBASE));
STRATCDIS10 = SUPCDIS[16] ;
STRATCDIS11 = SUPCDIS[11]  ;
STRATCDIS17 = SUPCDIS[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPCDIS[0],CDISBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(CDISTARDIF_A, CDISBASE));
STRATCDIS22 = SUPCDIS[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPCDIS[0],CDISBASE)
		     + (1 - positif(FLAG_RECTIF) ) *  min(CDISTARDIF_A+DIFCODCOF, CDISBASE));
STRATCDIS55 = SUPCDIS[13] ;
STRATCDIS99 = SUPCDIS[00] + SUPCDIS[01] ;

STRATGLO01 = SUPGLO[25] ;
STRATGLO03 = SUPGLO[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPGLO[0],GLOBASE)
		     + (1 - positif(FLAG_RECTIF) ) *  min(GLOTARDIF_A+DIFCODCOG, GLOBASE));
STRATGLO04 = SUPGLO[08] ;
STRATGLO35 = SUPGLO[09] ;
STRATGLO05 = SUPGLO[07] ;
STRATGLO06 = SUPGLO[03] ;
STRATGLO07 = SUPGLO[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPGLO[0],GLOBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(GLOTARDIF_A, GLOBASE));
STRATGLO08 = SUPGLO[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPGLO[0],GLOBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(GLOTARDIF_A, GLOBASE));
STRATGLO10 = SUPGLO[16] ;
STRATGLO11 = SUPGLO[11]  ;
STRATGLO17 = SUPGLO[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPGLO[0],GLOBASE)
		     + (1 - positif(FLAG_RECTIF)) * min(GLOTARDIF_A, GLOBASE));
STRATGLO22 = SUPGLO[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPGLO[0],GLOBASE)
		     + (1 - positif(FLAG_RECTIF) ) *  min(GLOTARDIF_A+DIFCODCOG, GLOBASE));
STRATGLO55 = SUPGLO[13] ;
STRATGLO99 = SUPGLO[00] + SUPGLO[01] ;


STRATC82001 = SUPC820[25] ;
STRATC82003 = SUPC820[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPC820[0],C820BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(C820TARDIF_A+DIFCODCOQ, C820BASE));
STRATC82004 = SUPC820[08] ;
STRATC82035 = SUPC820[09] ;
STRATC82005 = SUPC820[07] ;
STRATC82006 = SUPC820[03] ;
STRATC82007 = SUPC820[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPC820[0],C820BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(C820TARDIF_A, C820BASE));
STRATC82008 = SUPC820[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPC820[0],C820BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(C820TARDIF_A, C820BASE));
STRATC82010 = SUPC820[16] ;
STRATC82011 = SUPC820[11]  ;
STRATC82017 = SUPC820[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPC820[0],C820BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(C820TARDIF_A, C820BASE));
STRATC82022 = SUPC820[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPC820[0],C820BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(C820TARDIF_A+DIFCODCOQ, C820BASE));
STRATC82055 = SUPC820[13] ;
STRATC82099 = SUPC820[00] + SUPC820[01] ;

STRATRSE101 = SUPRSE1[25] ;
STRATRSE103 = SUPRSE1[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE1[0],RSE1BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE1TARDIF_A+DIFCODCOT, RSE1BASE));
STRATRSE104 = SUPRSE1[08] ;
STRATRSE135 = SUPRSE1[09] ;
STRATRSE105 = SUPRSE1[07] ;
STRATRSE106 = SUPRSE1[03] ;
STRATRSE107 = SUPRSE1[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE1[0],RSE1BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE1TARDIF_A, RSE1BASE));
STRATRSE108 = SUPRSE1[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE1[0],RSE1BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE1TARDIF_A, RSE1BASE));
STRATRSE110 = SUPRSE1[16] ;
STRATRSE111 = SUPRSE1[11]  ;
STRATRSE117 = SUPRSE1[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE1[0],RSE1BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE1TARDIF_A, RSE1BASE));
STRATRSE122 = SUPRSE1[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE1[0],RSE1BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE1TARDIF_A+DIFCODCOT, RSE1BASE));
STRATRSE155 = SUPRSE1[13] ;
STRATRSE199 = SUPRSE1[00] + SUPRSE1[01] ;

STRATRSE201 = SUPRSE2[25] ;
STRATRSE203 = SUPRSE2[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE2[0],RSE2BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE2TARDIF_A+DIFCODCOL, RSE2BASE));
STRATRSE204 = SUPRSE2[08] ;
STRATRSE235 = SUPRSE2[09] ;
STRATRSE205 = SUPRSE2[07] ;
STRATRSE206 = SUPRSE2[03] ;
STRATRSE207 = SUPRSE2[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE2[0],RSE2BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE2TARDIF_A, RSE2BASE));
STRATRSE208 = SUPRSE2[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE2[0],RSE2BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE2TARDIF_A, RSE2BASE));
STRATRSE210 = SUPRSE2[16] ;
STRATRSE211 = SUPRSE2[11]  ;
STRATRSE217 = SUPRSE2[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE2[0],RSE2BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE2TARDIF_A, RSE2BASE));
STRATRSE222 = SUPRSE2[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE2[0],RSE2BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE2TARDIF_A+DIFCODCOL, RSE2BASE));
STRATRSE255 = SUPRSE2[13] ;
STRATRSE299 = SUPRSE2[00] + SUPRSE2[01] ;

STRATRSE301 = SUPRSE3[25] ;
STRATRSE303 = SUPRSE3[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE3[0],RSE3BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE3TARDIF_A+DIFCODCOM, RSE3BASE));
STRATRSE304 = SUPRSE3[08] ;
STRATRSE335 = SUPRSE3[09] ;
STRATRSE305 = SUPRSE3[07] ;
STRATRSE306 = SUPRSE3[03] ;
STRATRSE307 = SUPRSE3[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE3[0],RSE3BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE3TARDIF_A, RSE3BASE));
STRATRSE308 = SUPRSE3[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE3[0],RSE3BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE3TARDIF_A, RSE3BASE));
STRATRSE310 = SUPRSE3[16] ;
STRATRSE311 = SUPRSE3[11]  ;
STRATRSE317 = SUPRSE3[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE3[0],RSE3BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE3TARDIF_A, RSE3BASE));
STRATRSE322 = SUPRSE3[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE3[0],RSE3BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE3TARDIF_A+DIFCODCOM, RSE3BASE));
STRATRSE355 = SUPRSE3[13] ;
STRATRSE399 = SUPRSE3[00] + SUPRSE3[01] ;

STRATRSE401 = SUPRSE4[25] ;
STRATRSE403 = SUPRSE4[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE4[0],RSE4BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE4TARDIF_A+DIFCODCOO, RSE4BASE));
STRATRSE404 = SUPRSE4[08] ;
STRATRSE435 = SUPRSE4[09] ;
STRATRSE405 = SUPRSE4[07] ;
STRATRSE406 = SUPRSE4[03] ;
STRATRSE407 = SUPRSE4[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE4[0],RSE4BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE4TARDIF_A, RSE4BASE));
STRATRSE408 = SUPRSE4[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE4[0],RSE4BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE4TARDIF_A, RSE4BASE));
STRATRSE410 = SUPRSE4[16] ;
STRATRSE411 = SUPRSE4[11]  ;
STRATRSE417 = SUPRSE4[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE4[0],RSE4BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE4TARDIF_A, RSE4BASE));
STRATRSE422 = SUPRSE4[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE4[0],RSE4BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE4TARDIF_A+DIFCODCOO, RSE4BASE));
STRATRSE455 = SUPRSE4[13] ;
STRATRSE499 = SUPRSE4[00] + SUPRSE4[01] ;


STRATRSE501 = SUPRSE5[25] ;
STRATRSE503 = SUPRSE5[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE5[0],RSE5BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE5TARDIF_A+DIFCODCOJ, RSE5BASE));
STRATRSE504 = SUPRSE5[08] ;
STRATRSE535 = SUPRSE5[09] ;
STRATRSE505 = SUPRSE5[07] ;
STRATRSE506 = SUPRSE5[03] ;
STRATRSE507 = SUPRSE5[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE5[0],RSE5BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE5TARDIF_A, RSE5BASE));
STRATRSE508 = SUPRSE5[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE5[0],RSE5BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE5TARDIF_A, RSE5BASE));
STRATRSE510 = SUPRSE5[16] ;
STRATRSE511 = SUPRSE5[11]  ;
STRATRSE517 = SUPRSE5[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE5[0],RSE5BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE5TARDIF_A, RSE5BASE));
STRATRSE522 = SUPRSE5[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE5[0],RSE5BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE5TARDIF_A+DIFCODCOJ, RSE5BASE));
STRATRSE555 = SUPRSE5[13] ;
STRATRSE599 = SUPRSE5[00] + SUPRSE5[01] ;


STRATRSE601 = SUPRSE6[25] ;
STRATRSE603 = SUPRSE6[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE6[0],RSE6BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE6TARDIF_A+DIFCODCOP, RSE6BASE));
STRATRSE604 = SUPRSE6[08] ;
STRATRSE635 = SUPRSE6[09] ;
STRATRSE605 = SUPRSE6[07] ;
STRATRSE606 = SUPRSE6[03] ;
STRATRSE607 = SUPRSE6[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE6[0],RSE6BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE6TARDIF_A, RSE6BASE));
STRATRSE608 = SUPRSE6[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE6[0],RSE6BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE6TARDIF_A, RSE6BASE));
STRATRSE610 = SUPRSE6[16] ;
STRATRSE611 = SUPRSE6[11]  ;
STRATRSE617 = SUPRSE6[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE6[0],RSE6BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE6TARDIF_A, RSE6BASE));
STRATRSE622 = SUPRSE6[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE6[0],RSE6BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE6TARDIF_A+DIFCODCOP, RSE6BASE));
STRATRSE655 = SUPRSE6[13] ;
STRATRSE699 = SUPRSE6[00] + SUPRSE6[01] ;

STRATRSE801 = SUPRSE8[25] ;
STRATRSE803 = SUPRSE8[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE8[0],RSE8BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE8TARDIF_A+DIFCODCOH, RSE8BASE));
STRATRSE804 = SUPRSE8[08] ;
STRATRSE835 = SUPRSE8[09] ;
STRATRSE805 = SUPRSE8[07] ;
STRATRSE806 = SUPRSE8[03] ;
STRATRSE807 = SUPRSE8[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE8[0],RSE8BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE8TARDIF_A, RSE8BASE));
STRATRSE808 = SUPRSE8[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPRSE8[0],RSE8BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE8TARDIF_A, RSE8BASE));
STRATRSE810 = SUPRSE8[16] ;
STRATRSE811 = SUPRSE8[11]  ;
STRATRSE817 = SUPRSE8[15] + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE8[0],RSE8BASE)
		     + (1 - positif(FLAG_RECTIF)) * min(RSE8TARDIF_A, RSE8BASE));
STRATRSE822 = SUPRSE8[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPRSE8[0],RSE8BASE)
		     + (1 - positif(FLAG_RECTIF) ) * min(RSE8TARDIF_A+DIFCODCOH, RSE8BASE));
STRATRSE855 = SUPRSE8[13] ;
STRATRSE899 = SUPRSE8[00] + SUPRSE8[01] ;



STRATTAXA01 = SUPTAXA[25] + null(CSTRATE1-1) * SUPTAXA[01] + null(CSTRATE1 - 1) * SUP2TAXA[01];

STRATTAXA02_2_NTL = (1-null(CODE_2042 - 2)) *(
                     SUP2TAXA[18] +
                    (SUP2TAXA[19] * STR_TR19 
				  * (1 - positif_ou_nul(TTAXABASE[19] - TTAXABASE[21]) * positif(TTAXABASE[21])) 
				  * (1 - IND_RJLJ)
                     + positif_ou_nul(TTAXABASE[19] - TTAXABASE[21]) * (1 - IND_RJLJ) 
								     * positif(TTAXABASE[21])
                             * max(0,(TTAXABASE[19] - TTAXABASE[0] - (TTAXABASE[19] - TTAXABASEDEF[21]))) * STR_TR19
		    )
		   + null(CSTRATE1 - 2) * SUP2TAXA[01] 
                   + SUP2TAXA[20] + SUP2TAXA[21] )
		   ;
STRATTAXA02_2_TL = SUP2TAXA[22]+SUP2TAXA[23] + null(CSTRATE1 - 2) * SUP2TAXA[01]
                   + null(CODE_2042 - 2) * 
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(TAXATARDIF_A+DIFCODCOU, TAXABASE_MAJO));

STRATTAXA03 = SUPTAXA[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(TAXATARDIF_A+DIFCODCOU, TAXABASE_MAJO))
		    + null(CSTRATE1 - 3) * SUPTAXA[01] ;
STRATTAXA04 = SUPTAXA[08] + null(CSTRATE1 - 4) * SUPTAXA[01];
STRATTAXA35 = SUPTAXA[09] + null(CSTRATE1 - 35) * SUPTAXA[01];
STRATTAXA05 = SUPTAXA[07] + null(CSTRATE1 - 5) * SUPTAXA[01];
STRATTAXA06 = SUPTAXA[03] + null(CSTRATE1 - 6) * SUPTAXA[01];
STRATTAXA07 = SUPTAXA[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(TAXATARDIF_A, TAXABASE_MAJO))
		    + null(CSTRATE1 - 3) * SUPTAXA[01] ;
STRATTAXA08 = SUPTAXA[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(TAXATARDIF_A, TAXABASE_MAJO))
		    + null(CSTRATE1 - 8) * SUPTAXA[01] ;
STRATTAXA10_1 = SUPTAXA[16] + null(CSTRATE1 - 10) * SUPTAXA[01];
STRATTAXA10_2 = SUP2TAXA[16] + null(CSTRATE1 - 10) * SUP2TAXA[01];
STRATTAXA11 = SUPTAXA[11]  + null(CSTRATE1 - 11) * SUPTAXA[01];
STRATTAXA17_1 = SUPTAXA[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(TAXATARDIF_A, TAXABASE_MAJO))
		    + null(CSTRATE1 - 17) * SUPTAXA[01] ;
STRATTAXA17_2 = SUP2TAXA[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(TAXATARDIF_A, TAXABASE_MAJO))
		    + null(CSTRATE1 - 17) * SUP2TAXA[01] ;
STRATTAXA22 = SUPTAXA[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPTAXA[0],TAXABASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(TAXATARDIF_A+DIFCODCOU, TAXABASE_MAJO))
		    + null(CSTRATE1 - 22) * SUPTAXA[01] ;
STRATTAXA30 = SUPTAXA[10] + null(CSTRATE1 - 30) * SUPTAXA[01]+ null(CSTRATE1 - 30) * SUP2TAXA[01];
STRATTAXA31 = SUPTAXA[06] + null(CSTRATE1 - 31) * SUPTAXA[01];
STRATTAXA55 = SUPTAXA[13] + null(CSTRATE1 - 55) * SUPTAXA[01];
STRATTAXA99 = SUPTAXA[00] + null(CSTRATE1 - 99) * SUPTAXA[01];


STRATHR01 = SUPHR[25] + null(CSTRATE1-1) * SUPHR[01] + null(CSTRATE1 - 1) * SUP2HR[01];

STRATHR02_2_NTL = (1-null(CODE_2042 - 2)) *(
                   SUP2HR[18]+
                  (SUP2HR[19] * STR_TR19 
			      * (1 - positif_ou_nul(TCHRBASE[19] - TCHRBASE[21]) * positif(TCHRBASE[21])) 
			      * (1 - IND_RJLJ)
                    + positif_ou_nul(TCHRBASE[19] - TCHRBASE[21]) * (1 - IND_RJLJ) * positif(TCHRBASE[21])
                      * max(0,(TCHRBASE[19] - TCHRBASE[0] - (TCHRBASE[19] - TCHRBASEDEF[21]))) * STR_TR19)
		  + null(CSTRATE1 - 2) * SUP2HR[01] )
		  ;
STRATHR02_2_TL = SUP2HR[20] + SUP2HR[21] + SUP2HR[22] + SUP2HR[23]
		 + null(CSTRATE1 - 2) * SUP2HR[01]
                  +  null(CODE_2042 - 2) * 
		    (positif(FLAG_RECTIF) *  min(SUPHR[0],HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(HRTARDIF_A+DIFCODCOX, HRBASE_MAJO));

STRATHR03 = SUPHR[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPHR[0], HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(HRTARDIF_A+DIFCODCOX, HRBASE_MAJO))
		    + null(CSTRATE1 - 3) * SUPHR[01] ;
STRATHR04 = SUPHR[08] + null(CSTRATE1 - 4) * SUPHR[01];
STRATHR35 = SUPHR[09] + null(CSTRATE1 - 35) * SUPHR[01];
STRATHR05 = SUPHR[07] + null(CSTRATE1 - 5) * SUPHR[01];
STRATHR06 = SUPHR[03] + null(CSTRATE1 - 6) * SUPHR[01];
STRATHR07 = SUPHR[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPHR[0], HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(HRTARDIF_A, HRBASE_MAJO))
		    + null(CSTRATE1 - 3) * SUPHR[01] ;
STRATHR08 = SUPHR[12] + null(CODE_2042 - 8) *
		    (positif(FLAG_RECTIF) *  min(SUPHR[0],HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(HRTARDIF_A, HRBASE_MAJO))
		    + null(CSTRATE1 - 8) * SUPHR[01] ;
STRATHR10_1 = SUPHR[16] + null(CSTRATE1 - 10) * SUPHR[01];
STRATHR10_2 = SUP2HR[16] + null(CSTRATE1 - 10) * SUP2HR[01];
STRATHR11 = SUPHR[11]  + null(CSTRATE1 - 11) * SUPHR[01];
STRATHR17_1 = SUPHR[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPHR[0],HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(HRTARDIF_A, HRBASE_MAJO))
		    + null(CSTRATE1 - 17) * SUPHR[01] ;
STRATHR17_2 = SUP2HR[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPHR[0],HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(HRTARDIF_A, HRBASE_MAJO))
		    + null(CSTRATE1 - 17) * SUP2HR[01] ;
STRATHR22 = SUPHR[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPHR[0], HRBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(HRTARDIF_A+DIFCODCOX, HRBASE_MAJO))
		    + null(CSTRATE1 - 22) * SUPHR[01] ;
STRATHR30 = SUPHR[10] + null(CSTRATE1 - 30) * SUPHR[01]+ null(CSTRATE1 - 30) * SUP2HR[01];
STRATHR31 = SUPHR[06] + null(CSTRATE1 - 31) * SUPHR[01];
STRATHR32 = SUPHR[05] + null(CSTRATE1 - 32) * SUPHR[01] + null(CSTRATE1 - 32) * SUP2HR[01];
STRATHR55 = SUPHR[13] + null(CSTRATE1 - 55) * SUPHR[01];
STRATHR99 = SUPHR[00] + null(CSTRATE1 - 99) * SUPHR[01];



STRATCAP01 = SUPCAP[25] + null(CSTRATE1-1) * SUPCAP[01] + null(CSTRATE1 - 1) * SUP2CAP[01];

STRATCAP02_2_NTL = (1-null(CODE_2042 - 2)) *(
                    SUP2CAP[18]+
                   (SUP2CAP[19] * STR_TR19 
				 * (1 - positif_ou_nul(TPCAPBASE[19] - TPCAPBASE[21]) * positif(TPCAPBASE[21])) 
				 * (1 - IND_RJLJ)
                    + positif_ou_nul(TPCAPBASE[19] - TPCAPBASE[21]) * (1 - IND_RJLJ) * positif(TPCAPBASE[21])
                      * max(0,(TPCAPBASE[19] - TPCAPBASE[0] - (TPCAPBASE[19] - TPCAPBASEDEF[21]))) * STR_TR19)
		   + null(CSTRATE1 - 2) * SUP2CAP[01] 
		+ SUP2CAP[20]+SUP2CAP[21] )
		;
STRATCAP02_2_TL = SUP2CAP[22]+SUP2CAP[23] + null(CSTRATE1 - 2) * SUP2CAP[01]
                + null(CODE_2042 - 2) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0], CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(CAPTARDIF_A+DIFCODCOV, CAPBASE_MAJO));

STRATCAP03 = SUPCAP[14] + null(CODE_2042 - 3) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0], CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(CAPTARDIF_A+DIFCODCOV, CAPBASE_MAJO))
		    + null(CSTRATE1 - 3) * SUPCAP[01] ;
STRATCAP04 = SUPCAP[08] + null(CSTRATE1 - 4) * SUPCAP[01];
STRATCAP35 = SUPCAP[09] + null(CSTRATE1 - 35) * SUPCAP[01];
STRATCAP05 = SUPCAP[07] + null(CSTRATE1 - 5) * SUPCAP[01];
STRATCAP06 = SUPCAP[03] + null(CSTRATE1 - 6) * SUPCAP[01];
STRATCAP07 = SUPCAP[17] + null(CODE_2042 - 7) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0], CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(CAPTARDIF_A, CAPBASE_MAJO))
		    + null(CSTRATE1 - 3) * SUPCAP[01] ;
STRATCAP08 = SUPCAP[12] + null(CODE_2042 - 8) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0],CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(CAPTARDIF_A, CAPBASE_MAJO))
		    + null(CSTRATE1 - 8) * SUPCAP[01] ;
STRATCAP10_1 = SUPCAP[16] + null(CSTRATE1 - 10) * SUPCAP[01];
STRATCAP10_2 = SUP2CAP[16] + null(CSTRATE1 - 10) * SUP2CAP[01];
STRATCAP11 = SUPCAP[11]  + null(CSTRATE1 - 11) * SUPCAP[01];
STRATCAP17_1 = SUPCAP[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0],CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(CAPTARDIF_A, CAPBASE_MAJO))
		    + null(CSTRATE1 - 17) * SUPCAP[01] ;
STRATCAP17_2 = SUP2CAP[15]  + null(CODE_2042 - 17) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0],CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF)) * min(CAPTARDIF_A, CAPBASE_MAJO))
		    + null(CSTRATE1 - 17) * SUP2CAP[01] ;
STRATCAP22 = SUPCAP[24] + null(CODE_2042 - 22) * 
		    (positif(FLAG_RECTIF) *  min(SUPCAP[0], CAPBASE_MAJO)
		     + (1 - positif(FLAG_RECTIF) ) * min(CAPTARDIF_A+DIFCODCOV, CAPBASE_MAJO))
		    + null(CSTRATE1 - 22) * SUPCAP[01] ;
STRATCAP30 = SUPCAP[10] + null(CSTRATE1 - 30) * SUPCAP[01]+ null(CSTRATE1 - 30) * SUP2CAP[01];
STRATCAP31 = SUPCAP[06] + null(CSTRATE1 - 31) * SUPCAP[01];
STRATCAP55 = SUPCAP[13] + null(CSTRATE1 - 55) * SUPCAP[01];
STRATCAP99 = SUPCAP[00] + null(CSTRATE1 - 99) * SUPCAP[01];











regle corrective base_anterieure 12401 :
application : iliad ;

MAJOIFI08TARDIF_A = MAJOIFI08TARD_DEF;
MAJOIFI17TARDIF_A = MAJOIFI17TARD_DEF;
MAJOIFI10TARDIF_A = MAJOIFI10TARD_DEF;
MAJOIFI07TARDIF_A = MAJOIFI07TARD_DEF;

MAJOIFITARDIF_A = somme(x = 08,10,17,07 : MAJOIFIxTARDIF_A);

IFIINTARDIF_A = IFIINTARDIF_DEF;
IFITARDIF_A = IFITARDIF_DEF;


STRATIFI01 = SUPIFI[25] ;

STRATIFI02 = SUPIFI[23] ;

STRATIFI03 = SUPIFI[14] ;

STRATIFI04 = SUPIFI[08] ;
STRATIFI35 = SUPIFI[09] ;

STRATIFI05 = SUPIFI[07] ;

STRATIFI07 = SUPIFI[17] + null(CODE_2042 - 7) *
             (positif(FLAG_RECTIFMAJO) *  min(SUPIFI[0],IFI4BASE)
             + (1 - positif(FLAG_RECTIFMAJO)) * min(IFITARDIF_A, IFI4BASE));

STRATIFI08 = SUPIFI[12] + null(CODE_2042 - 8) *
             (positif(FLAG_RECTIFMAJO) *  min(SUPIFI[0],IFI2)
             + (1 - positif(FLAG_RECTIFMAJO)) * min(IFITARDIF_A, IFI2));

STRATIFI10 = SUPIFI[16] ;

STRATIFI11 = SUPIFI[11] ;	     

STRATIFI17 = SUPIFI[15] + null(CODE_2042 - 17) *
             (positif(FLAG_RECTIFMAJO) *  min(SUPIFI[0],IFI4BASE)
      	    + (1 - positif(FLAG_RECTIFMAJO)) * min(IFITARDIF_A, IFI4BASE));

STRATIFI22 = SUPIFI[24] ;

STRATIFI55 = SUPIFI[13] ;	    

STRATIFI99 = SUPIFI[00] + null(CSTRATE1 - 99) * SUPIFI[01] ;


regle corrective base_INITIAL 12700:
application : iliad ;
TISF4BASE[0] = ISF4BASE ;

TIFI4BASE[0] = IFI4BASE;
regle  corrective base_INITIAL 127:
application : iliad ;

TIRBASE[0] = positif(IRN) * IRN + (1-positif(IRN)) * IRN + CODZRA - IRANT - IR9YI; 
TTAXABASE[0] = max(0,TAXASSUR)-TAXA9YI  ;
TPCAPBASE[0] = max(0,IPCAPTAXT) -CAP9YI;
TCHRBASE[0] = max(0,IHAUTREVT + CHRPVIMP)-CHR9YI; 
TNAPCR[0] = max(0,NAPCRINR - CSGIM - PRSPROV - CRDSIM) ;
TCSBASE[0] = max(0,CSG - CSGIM)-CS9YP;
TPSOLBASE[0] = max(0,PSOL - PRSPROV)-PS9YP;
TRDBASE[0] = max(0,RDSN - CRDSIM)-RD9YP;
TCVNBASE[0] = max(0,CVNN - COD8YT)-CVN9YP;
TCDISBASE[0] = max(0,CDIS - CDISPROV)-CDIS9YP;
TGLOBASE[0] = max(0,CGLOA - CGLOAPROV)-GLO9YP;
TC820BASE[0] = max(0,MCSG820)-C8209YP;
TRSE1BASE[0] = max(0,RSE1N - CSPROVYD)-RSE19YP;
TRSE2BASE[0] = max(0,RSE2N - CSPROVRSE2)-RSE29YP;
TRSE3BASE[0] = max(0,RSE3N - CSPROVYG)-RSE39YP;
TRSE4BASE[0] = max(0,RSE4N - CSPROVRSE4)-RSE49YP;
TRSE5BASE[0] = max(0,RSE5N - CSPROVYE)-RSE59YP;
TRSE6BASE[0] = max(0,RSE6N - COD8YQ)-RSE69YP;
TRSE8BASE[0] = max(0,RSE8N) -RSE89YP;


regle corrective base_anterieure 133 :
application : iliad;
RFCG_R = RFCG;
DRFRP_R = DRFRP;
BANOR_R = BANOR;
DEFBA_R = DEFBA;
BICNPF_R = BICNPF;
DLMRN_R = DLMRN;
BALNP_R = BALNP;
DALNP_R = DALNP;
RNI_R = RNI;
RNIDF_R = RNIDF;
regle corrective base_anterieure 150 :
application : iliad;
MAJO1729_TOT = MAJO1729IR + 
	       MAJO1729TAXA +
	       MAJO1729PCAP +
	       MAJO1729CHR +
	       MAJO1729CS + 
               MAJO1729RD + 
               MAJO1729PS + 
               MAJO1729PSOL + 
               MAJO1729CVN + 
               MAJO1729CDIS + 
               MAJO1729GLO + 
               MAJO1729C820 + 
	       MAJO1729RSE1 +
	       MAJO1729RSE2 +
	       MAJO1729RSE3 +
	       MAJO1729RSE4 +
	       MAJO1729RSE5 +
	       MAJO1729RSE6 +
	       MAJO1729RSE8 ;
MAJO1732_TOT = MAJO1732IR +
	       MAJO1732TAXA +
	       MAJO1732PCAP +
	       MAJO1732CHR +
	       MAJO1732CS +
               MAJO1732RD +
	       MAJO1732PS +
	       MAJO1732PSOL +
	       MAJO1732CVN +
	       MAJO1732CDIS +
	       MAJO1732GLO +
	       MAJO1732C820 +
	       MAJO1732RSE1 +
	       MAJO1732RSE2 +
	       MAJO1732RSE3 +
	       MAJO1732RSE4 +
	       MAJO1732RSE5 +
	       MAJO1732RSE6 +
	       MAJO1732RSE8 ;
MAJO1758_TOT = MAJO1758IR +
	       MAJO1758CHR +
	       MAJO1758CS +
	       MAJO1758RD +
	       MAJO1758PS + 
	       MAJO1758PSOL;

MAJO4TOT = MAJO1729_TOT + MAJO1732_TOT + MAJO1758_TOT ;

MAJO4IRTOT = MAJO1729IR + MAJO1732IR + MAJO1758IR
           + MAJO1729TAXA + MAJO1732TAXA 
           + MAJO1729PCAP + MAJO1732PCAP 
           + MAJO1729CHR + MAJO1732CHR + MAJO1758CHR ;

MAJO4PSTOT = MAJO1729CS + MAJO1732CS + MAJO1758CS
           + MAJO1729PS + MAJO1732PS + MAJO1758PS
           + MAJO1729PSOL + MAJO1732PSOL + MAJO1758PSOL
           + MAJO1729RD + MAJO1732RD + MAJO1758RD
           + MAJO1729CVN + MAJO1732CVN
           + MAJO1729CDIS + MAJO1732CDIS
           + MAJO1729GLO + MAJO1732GLO
           + MAJO1729C820 + MAJO1732C820
           + MAJO1729RSE1 + MAJO1732RSE1
           + MAJO1729RSE2 + MAJO1732RSE2
           + MAJO1729RSE3 + MAJO1732RSE3 
           + MAJO1729RSE4 + MAJO1732RSE4
           + MAJO1729RSE5 + MAJO1732RSE5 
           + MAJO1729RSE6 + MAJO1732RSE6
           + MAJO1729RSE8 + MAJO1732RSE8 ;

MAJO1758A_TOT = MAJO1758AIR +
	       MAJO1758ATAXA +
             MAJO1758APCAP +
	       MAJO1758ACHR 
	       ;

MAJO1758ATOT= MAJO1758A_TOT ;
	       
MAJOIR_TOT = MAJO1728IR + MAJO1729IR + MAJO1732IR + MAJO1758IR + MAJO1758AIR;
MAJOTAXA_TOT = MAJO1728TAXA + MAJO1729TAXA + MAJO1732TAXA 
			  + MAJO1758ATAXA;
MAJOPCAP_TOT = MAJO1728PCAP + MAJO1729PCAP + MAJO1732PCAP 
			  + MAJO1758APCAP;

MAJOCHR_TOT = MAJO1728CHR + MAJO1729CHR + MAJO1732CHR + MAJO1758CHR 
			  + MAJO1758ACHR;

MAJOCS_TOT = MAJO1728CS + MAJO1729CS + MAJO1732CS + MAJO1758CS;
MAJOPS_TOT = MAJO1728PS + MAJO1729PS + MAJO1732PS + MAJO1758PS;
MAJORD_TOT = MAJO1728RD + MAJO1729RD + MAJO1732RD + MAJO1758RD;
MAJOCVN_TOT = MAJO1728CVN + MAJO1729CVN + MAJO1732CVN ;
MAJOCDIS_TOT = MAJO1728CDIS + MAJO1729CDIS + MAJO1732CDIS ;
MAJOGLO_TOT = MAJO1728GLO + MAJO1729GLO + MAJO1732GLO ;
MAJOC820_TOT = MAJO1728C820 + MAJO1729C820 + MAJO1732C820 ;
MAJORSE1_TOT = MAJO1728RSE1 + MAJO1729RSE1 + MAJO1732RSE1 ;
MAJORSE2_TOT = MAJO1728RSE2 + MAJO1729RSE2 + MAJO1732RSE2 ;
MAJORSE3_TOT = MAJO1728RSE3 + MAJO1729RSE3 + MAJO1732RSE3 ;
MAJORSE4_TOT = MAJO1728RSE4 + MAJO1729RSE4 + MAJO1732RSE4 ;
MAJORSE5_TOT = MAJO1728RSE5 + MAJO1729RSE5 + MAJO1732RSE5 ;
MAJORSE6_TOT = MAJO1728RSE6 + MAJO1729RSE6 + MAJO1732RSE6 ;
MAJORSE8_TOT = MAJO1728RSE8 + MAJO1729RSE8 + MAJO1732RSE8 ;
MAJO_TOT = MAJOIR_TOT + MAJOCS_TOT + MAJOPS_TOT + MAJORD_TOT 
	   + MAJOCDIS_TOT + MAJOTAXA_TOT
	   + MAJOCHR_TOT + MAJOPCAP_TOT + MAJOCVN_TOT + MAJOGLO_TOT+ MAJOC820_TOT
	   + MAJORSE1_TOT + MAJORSE2_TOT + MAJORSE3_TOT + MAJORSE4_TOT
	   + MAJORSE5_TOT + MAJORSE6_TOT + MAJORSE8_TOT;
